package android.support.v4.app;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.view.View.BaseSavedState;
import android.widget.TabHost;
import android.widget.TabHost.OnTabChangeListener;
import java.util.ArrayList;

public class FragmentTabHost extends TabHost implements OnTabChangeListener {
    private final ArrayList f187a;
    private Context f188b;
    private C0056y f189c;
    private int f190d;
    private OnTabChangeListener f191e;
    private ak f192f;
    private boolean f193g;

    class SavedState extends BaseSavedState {
        public static final Creator CREATOR;
        String f186a;

        static {
            CREATOR = new aj();
        }

        private SavedState(Parcel parcel) {
            super(parcel);
            this.f186a = parcel.readString();
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "FragmentTabHost.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " curTab=" + this.f186a + "}";
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeString(this.f186a);
        }
    }

    private al m306a(String str, al alVar) {
        ak akVar = null;
        int i = 0;
        while (i < this.f187a.size()) {
            ak akVar2 = (ak) this.f187a.get(i);
            if (!akVar2.f232a.equals(str)) {
                akVar2 = akVar;
            }
            i++;
            akVar = akVar2;
        }
        if (akVar == null) {
            throw new IllegalStateException("No tab known for tag " + str);
        }
        if (this.f192f != akVar) {
            if (alVar == null) {
                alVar = this.f189c.m314a();
            }
            if (!(this.f192f == null || this.f192f.f235d == null)) {
                alVar.m403b(this.f192f.f235d);
            }
            if (akVar != null) {
                if (akVar.f235d == null) {
                    akVar.f235d = Fragment.m231a(this.f188b, akVar.f233b.getName(), akVar.f234c);
                    alVar.m399a(this.f190d, akVar.f235d, akVar.f232a);
                } else {
                    alVar.m404c(akVar.f235d);
                }
            }
            this.f192f = akVar;
        }
        return alVar;
    }

    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        String currentTabTag = getCurrentTabTag();
        al alVar = null;
        for (int i = 0; i < this.f187a.size(); i++) {
            ak akVar = (ak) this.f187a.get(i);
            akVar.f235d = this.f189c.m313a(akVar.f232a);
            if (!(akVar.f235d == null || akVar.f235d.m290l())) {
                if (akVar.f232a.equals(currentTabTag)) {
                    this.f192f = akVar;
                } else {
                    if (alVar == null) {
                        alVar = this.f189c.m314a();
                    }
                    alVar.m403b(akVar.f235d);
                }
            }
        }
        this.f193g = true;
        al a = m306a(currentTabTag, alVar);
        if (a != null) {
            a.m397a();
            this.f189c.m317b();
        }
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.f193g = false;
    }

    protected void onRestoreInstanceState(Parcelable parcelable) {
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        setCurrentTabByTag(savedState.f186a);
    }

    protected Parcelable onSaveInstanceState() {
        Parcelable savedState = new SavedState(super.onSaveInstanceState());
        savedState.f186a = getCurrentTabTag();
        return savedState;
    }

    public void onTabChanged(String str) {
        if (this.f193g) {
            al a = m306a(str, null);
            if (a != null) {
                a.m397a();
            }
        }
        if (this.f191e != null) {
            this.f191e.onTabChanged(str);
        }
    }

    public void setOnTabChangedListener(OnTabChangeListener onTabChangeListener) {
        this.f191e = onTabChangeListener;
    }

    @Deprecated
    public void setup() {
        throw new IllegalStateException("Must call setup() that takes a Context and FragmentManager");
    }
}
