package android.support.v4.app;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Parcelable;
import android.support.v4.p016g.C0145d;
import android.support.v4.p016g.C0146e;
import android.support.v4.view.am;
import android.support.v4.view.bw;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.AlphaAnimation;
import android.view.animation.Animation;
import android.view.animation.AnimationSet;
import android.view.animation.AnimationUtils;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.view.animation.ScaleAnimation;
import com.neatorobotics.android.C0729b;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

final class aa extends C0056y implements am {
    static final Interpolator f194A;
    static final Interpolator f195B;
    static final Interpolator f196C;
    static boolean f197a;
    static final boolean f198b;
    static final Interpolator f199z;
    ArrayList f200c;
    Runnable[] f201d;
    boolean f202e;
    ArrayList f203f;
    ArrayList f204g;
    ArrayList f205h;
    ArrayList f206i;
    ArrayList f207j;
    ArrayList f208k;
    ArrayList f209l;
    ArrayList f210m;
    int f211n;
    C0078x f212o;
    C0072v f213p;
    Fragment f214q;
    boolean f215r;
    boolean f216s;
    boolean f217t;
    String f218u;
    boolean f219v;
    Bundle f220w;
    SparseArray f221x;
    Runnable f222y;

    static {
        boolean z = false;
        f197a = false;
        if (VERSION.SDK_INT >= 11) {
            z = true;
        }
        f198b = z;
        f199z = new DecelerateInterpolator(2.5f);
        f194A = new DecelerateInterpolator(1.5f);
        f195B = new AccelerateInterpolator(2.5f);
        f196C = new AccelerateInterpolator(1.5f);
    }

    aa() {
        this.f211n = 0;
        this.f220w = null;
        this.f221x = null;
        this.f222y = new ab(this);
    }

    static Animation m320a(Context context, float f, float f2) {
        Animation alphaAnimation = new AlphaAnimation(f, f2);
        alphaAnimation.setInterpolator(f194A);
        alphaAnimation.setDuration(220);
        return alphaAnimation;
    }

    static Animation m321a(Context context, float f, float f2, float f3, float f4) {
        Animation animationSet = new AnimationSet(false);
        Animation scaleAnimation = new ScaleAnimation(f, f2, f, f2, 1, 0.5f, 1, 0.5f);
        scaleAnimation.setInterpolator(f199z);
        scaleAnimation.setDuration(220);
        animationSet.addAnimation(scaleAnimation);
        scaleAnimation = new AlphaAnimation(f3, f4);
        scaleAnimation.setInterpolator(f194A);
        scaleAnimation.setDuration(220);
        animationSet.addAnimation(scaleAnimation);
        return animationSet;
    }

    private void m322a(RuntimeException runtimeException) {
        Log.e("FragmentManager", runtimeException.getMessage());
        Log.e("FragmentManager", "Activity state:");
        PrintWriter printWriter = new PrintWriter(new C0146e("FragmentManager"));
        if (this.f212o != null) {
            try {
                this.f212o.m649a("  ", null, printWriter, new String[0]);
            } catch (Throwable e) {
                Log.e("FragmentManager", "Failed dumping state", e);
            }
        } else {
            try {
                m349a("  ", null, printWriter, new String[0]);
            } catch (Throwable e2) {
                Log.e("FragmentManager", "Failed dumping state", e2);
            }
        }
        throw runtimeException;
    }

    static boolean m323a(View view, Animation animation) {
        return bw.m1523g(view) == 0 && bw.m1540x(view) && m324a(animation);
    }

    static boolean m324a(Animation animation) {
        if (animation instanceof AlphaAnimation) {
            return true;
        }
        if (!(animation instanceof AnimationSet)) {
            return false;
        }
        List animations = ((AnimationSet) animation).getAnimations();
        for (int i = 0; i < animations.size(); i++) {
            if (animations.get(i) instanceof AlphaAnimation) {
                return true;
            }
        }
        return false;
    }

    public static int m325b(int i, boolean z) {
        switch (i) {
            case 4097:
                return z ? 1 : 2;
            case 4099:
                return z ? 5 : 6;
            case 8194:
                return z ? 3 : 4;
            default:
                return -1;
        }
    }

    private void m326b(View view, Animation animation) {
        if (view != null && animation != null && m323a(view, animation)) {
            animation.setAnimationListener(new ae(view, animation));
        }
    }

    public static int m327c(int i) {
        switch (i) {
            case 4097:
                return 8194;
            case 4099:
                return 4099;
            case 8194:
                return 4097;
            default:
                return 0;
        }
    }

    private void m328u() {
        if (this.f216s) {
            throw new IllegalStateException("Can not perform this action after onSaveInstanceState");
        } else if (this.f218u != null) {
            throw new IllegalStateException("Can not perform this action inside of " + this.f218u);
        }
    }

    public int m329a(C0062e c0062e) {
        int size;
        synchronized (this) {
            if (this.f209l == null || this.f209l.size() <= 0) {
                if (this.f208k == null) {
                    this.f208k = new ArrayList();
                }
                size = this.f208k.size();
                if (f197a) {
                    Log.v("FragmentManager", "Setting back stack index " + size + " to " + c0062e);
                }
                this.f208k.add(c0062e);
            } else {
                size = ((Integer) this.f209l.remove(this.f209l.size() - 1)).intValue();
                if (f197a) {
                    Log.v("FragmentManager", "Adding back stack index " + size + " with " + c0062e);
                }
                this.f208k.set(size, c0062e);
            }
        }
        return size;
    }

    public Fragment m330a(int i) {
        int size;
        Fragment fragment;
        if (this.f204g != null) {
            for (size = this.f204g.size() - 1; size >= 0; size--) {
                fragment = (Fragment) this.f204g.get(size);
                if (fragment != null && fragment.f136G == i) {
                    return fragment;
                }
            }
        }
        if (this.f203f != null) {
            for (size = this.f203f.size() - 1; size >= 0; size--) {
                fragment = (Fragment) this.f203f.get(size);
                if (fragment != null && fragment.f136G == i) {
                    return fragment;
                }
            }
        }
        return null;
    }

    public Fragment m331a(Bundle bundle, String str) {
        int i = bundle.getInt(str, -1);
        if (i == -1) {
            return null;
        }
        if (i >= this.f203f.size()) {
            m322a(new IllegalStateException("Fragment no longer exists for key " + str + ": index " + i));
        }
        Fragment fragment = (Fragment) this.f203f.get(i);
        if (fragment != null) {
            return fragment;
        }
        m322a(new IllegalStateException("Fragment no longer exists for key " + str + ": index " + i));
        return fragment;
    }

    public Fragment m332a(String str) {
        int size;
        Fragment fragment;
        if (!(this.f204g == null || str == null)) {
            for (size = this.f204g.size() - 1; size >= 0; size--) {
                fragment = (Fragment) this.f204g.get(size);
                if (fragment != null && str.equals(fragment.f138I)) {
                    return fragment;
                }
            }
        }
        if (!(this.f203f == null || str == null)) {
            for (size = this.f203f.size() - 1; size >= 0; size--) {
                fragment = (Fragment) this.f203f.get(size);
                if (fragment != null && str.equals(fragment.f138I)) {
                    return fragment;
                }
            }
        }
        return null;
    }

    public al m333a() {
        return new C0062e(this);
    }

    public View m334a(View view, String str, Context context, AttributeSet attributeSet) {
        if (!"fragment".equals(str)) {
            return null;
        }
        String attributeValue = attributeSet.getAttributeValue(null, "class");
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, af.f231a);
        String string = attributeValue == null ? obtainStyledAttributes.getString(0) : attributeValue;
        int resourceId = obtainStyledAttributes.getResourceId(1, -1);
        String string2 = obtainStyledAttributes.getString(2);
        obtainStyledAttributes.recycle();
        if (!Fragment.m232b(this.f212o.m660g(), string)) {
            return null;
        }
        int id = view != null ? view.getId() : 0;
        if (id == -1 && resourceId == -1 && string2 == null) {
            throw new IllegalArgumentException(attributeSet.getPositionDescription() + ": Must specify unique android:id, android:tag, or have a parent with an id for " + string);
        }
        Fragment fragment;
        Fragment a = resourceId != -1 ? m330a(resourceId) : null;
        if (a == null && string2 != null) {
            a = m332a(string2);
        }
        if (a == null && id != -1) {
            a = m330a(id);
        }
        if (f197a) {
            Log.v("FragmentManager", "onCreateView: id=0x" + Integer.toHexString(resourceId) + " fname=" + string + " existing=" + a);
        }
        if (a == null) {
            Fragment a2 = Fragment.m230a(context, string);
            a2.f170y = true;
            a2.f136G = resourceId != 0 ? resourceId : id;
            a2.f137H = id;
            a2.f138I = string2;
            a2.f171z = true;
            a2.f132C = this;
            a2.m253a(this.f212o.m660g(), attributeSet, a2.f159n);
            m346a(a2, true);
            fragment = a2;
        } else if (a.f171z) {
            throw new IllegalArgumentException(attributeSet.getPositionDescription() + ": Duplicate id 0x" + Integer.toHexString(resourceId) + ", tag " + string2 + ", or parent id 0x" + Integer.toHexString(id) + " with another fragment for " + string);
        } else {
            a.f171z = true;
            if (!a.f142M) {
                a.m253a(this.f212o.m660g(), attributeSet, a.f159n);
            }
            fragment = a;
        }
        if (this.f211n >= 1 || !fragment.f170y) {
            m355b(fragment);
        } else {
            m345a(fragment, 1, 0, 0, false);
        }
        if (fragment.f148S == null) {
            throw new IllegalStateException("Fragment " + string + " did not create a view.");
        }
        if (resourceId != 0) {
            fragment.f148S.setId(resourceId);
        }
        if (fragment.f148S.getTag() == null) {
            fragment.f148S.setTag(string2);
        }
        return fragment.f148S;
    }

    Animation m335a(Fragment fragment, int i, boolean z, int i2) {
        Animation a = fragment.m245a(i, z, fragment.f146Q);
        if (a != null) {
            return a;
        }
        if (fragment.f146Q != 0) {
            a = AnimationUtils.loadAnimation(this.f212o.m660g(), fragment.f146Q);
            if (a != null) {
                return a;
            }
        }
        if (i == 0) {
            return null;
        }
        int b = m325b(i, z);
        if (b < 0) {
            return null;
        }
        switch (b) {
            case C0729b.View_android_focusable /*1*/:
                return m321a(this.f212o.m660g(), 1.125f, 1.0f, 0.0f, 1.0f);
            case C0729b.View_paddingStart /*2*/:
                return m321a(this.f212o.m660g(), 1.0f, 0.975f, 1.0f, 0.0f);
            case C0729b.View_paddingEnd /*3*/:
                return m321a(this.f212o.m660g(), 0.975f, 1.0f, 0.0f, 1.0f);
            case C0729b.View_theme /*4*/:
                return m321a(this.f212o.m660g(), 1.0f, 1.075f, 1.0f, 0.0f);
            case C0729b.Toolbar_contentInsetStart /*5*/:
                return m320a(this.f212o.m660g(), 0.0f, 1.0f);
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                return m320a(this.f212o.m660g(), 1.0f, 0.0f);
            default:
                if (i2 == 0 && this.f212o.m657d()) {
                    i2 = this.f212o.m658e();
                }
                return i2 == 0 ? null : null;
        }
    }

    public void m336a(int i, int i2) {
        if (i < 0) {
            throw new IllegalArgumentException("Bad id: " + i);
        }
        m348a(new ac(this, i, i2), false);
    }

    void m337a(int i, int i2, int i3, boolean z) {
        if (this.f212o == null && i != 0) {
            throw new IllegalStateException("No host");
        } else if (z || this.f211n != i) {
            this.f211n = i;
            if (this.f203f != null) {
                int i4 = 0;
                int i5 = 0;
                while (i4 < this.f203f.size()) {
                    int a;
                    Fragment fragment = (Fragment) this.f203f.get(i4);
                    if (fragment != null) {
                        m345a(fragment, i, i2, i3, false);
                        if (fragment.f152W != null) {
                            a = i5 | fragment.f152W.m436a();
                            i4++;
                            i5 = a;
                        }
                    }
                    a = i5;
                    i4++;
                    i5 = a;
                }
                if (i5 == 0) {
                    m364d();
                }
                if (this.f215r && this.f212o != null && this.f211n == 5) {
                    this.f212o.m656c();
                    this.f215r = false;
                }
            }
        }
    }

    public void m338a(int i, C0062e c0062e) {
        synchronized (this) {
            if (this.f208k == null) {
                this.f208k = new ArrayList();
            }
            int size = this.f208k.size();
            if (i < size) {
                if (f197a) {
                    Log.v("FragmentManager", "Setting back stack index " + i + " to " + c0062e);
                }
                this.f208k.set(i, c0062e);
            } else {
                while (size < i) {
                    this.f208k.add(null);
                    if (this.f209l == null) {
                        this.f209l = new ArrayList();
                    }
                    if (f197a) {
                        Log.v("FragmentManager", "Adding available back stack index " + size);
                    }
                    this.f209l.add(Integer.valueOf(size));
                    size++;
                }
                if (f197a) {
                    Log.v("FragmentManager", "Adding back stack index " + i + " with " + c0062e);
                }
                this.f208k.add(c0062e);
            }
        }
    }

    void m339a(int i, boolean z) {
        m337a(i, 0, 0, z);
    }

    public void m340a(Configuration configuration) {
        if (this.f204g != null) {
            for (int i = 0; i < this.f204g.size(); i++) {
                Fragment fragment = (Fragment) this.f204g.get(i);
                if (fragment != null) {
                    fragment.m256a(configuration);
                }
            }
        }
    }

    public void m341a(Bundle bundle, String str, Fragment fragment) {
        if (fragment.f161p < 0) {
            m322a(new IllegalStateException("Fragment " + fragment + " is not currently in the FragmentManager"));
        }
        bundle.putInt(str, fragment.f161p);
    }

    void m342a(Parcelable parcelable, List list) {
        if (parcelable != null) {
            FragmentManagerState fragmentManagerState = (FragmentManagerState) parcelable;
            if (fragmentManagerState.f172a != null) {
                int i;
                Fragment fragment;
                int i2;
                if (list != null) {
                    for (i = 0; i < list.size(); i++) {
                        fragment = (Fragment) list.get(i);
                        if (f197a) {
                            Log.v("FragmentManager", "restoreAllState: re-attaching retained " + fragment);
                        }
                        FragmentState fragmentState = fragmentManagerState.f172a[fragment.f161p];
                        fragmentState.f185k = fragment;
                        fragment.f160o = null;
                        fragment.f131B = 0;
                        fragment.f171z = false;
                        fragment.f167v = false;
                        fragment.f164s = null;
                        if (fragmentState.f184j != null) {
                            fragmentState.f184j.setClassLoader(this.f212o.m660g().getClassLoader());
                            fragment.f160o = fragmentState.f184j.getSparseParcelableArray("android:view_state");
                            fragment.f159n = fragmentState.f184j;
                        }
                    }
                }
                this.f203f = new ArrayList(fragmentManagerState.f172a.length);
                if (this.f205h != null) {
                    this.f205h.clear();
                }
                for (i2 = 0; i2 < fragmentManagerState.f172a.length; i2++) {
                    FragmentState fragmentState2 = fragmentManagerState.f172a[i2];
                    if (fragmentState2 != null) {
                        Fragment a = fragmentState2.m305a(this.f212o, this.f214q);
                        if (f197a) {
                            Log.v("FragmentManager", "restoreAllState: active #" + i2 + ": " + a);
                        }
                        this.f203f.add(a);
                        fragmentState2.f185k = null;
                    } else {
                        this.f203f.add(null);
                        if (this.f205h == null) {
                            this.f205h = new ArrayList();
                        }
                        if (f197a) {
                            Log.v("FragmentManager", "restoreAllState: avail #" + i2);
                        }
                        this.f205h.add(Integer.valueOf(i2));
                    }
                }
                if (list != null) {
                    for (int i3 = 0; i3 < list.size(); i3++) {
                        fragment = (Fragment) list.get(i3);
                        if (fragment.f165t >= 0) {
                            if (fragment.f165t < this.f203f.size()) {
                                fragment.f164s = (Fragment) this.f203f.get(fragment.f165t);
                            } else {
                                Log.w("FragmentManager", "Re-attaching retained fragment " + fragment + " target no longer exists: " + fragment.f165t);
                                fragment.f164s = null;
                            }
                        }
                    }
                }
                if (fragmentManagerState.f173b != null) {
                    this.f204g = new ArrayList(fragmentManagerState.f173b.length);
                    for (i = 0; i < fragmentManagerState.f173b.length; i++) {
                        fragment = (Fragment) this.f203f.get(fragmentManagerState.f173b[i]);
                        if (fragment == null) {
                            m322a(new IllegalStateException("No instantiated fragment for index #" + fragmentManagerState.f173b[i]));
                        }
                        fragment.f167v = true;
                        if (f197a) {
                            Log.v("FragmentManager", "restoreAllState: added #" + i + ": " + fragment);
                        }
                        if (this.f204g.contains(fragment)) {
                            throw new IllegalStateException("Already added!");
                        }
                        this.f204g.add(fragment);
                    }
                } else {
                    this.f204g = null;
                }
                if (fragmentManagerState.f174c != null) {
                    this.f206i = new ArrayList(fragmentManagerState.f174c.length);
                    for (i2 = 0; i2 < fragmentManagerState.f174c.length; i2++) {
                        C0062e a2 = fragmentManagerState.f174c[i2].m229a(this);
                        if (f197a) {
                            Log.v("FragmentManager", "restoreAllState: back stack #" + i2 + " (index " + a2.f366p + "): " + a2);
                            a2.m603a("  ", new PrintWriter(new C0146e("FragmentManager")), false);
                        }
                        this.f206i.add(a2);
                        if (a2.f366p >= 0) {
                            m338a(a2.f366p, a2);
                        }
                    }
                    return;
                }
                this.f206i = null;
            }
        }
    }

    public void m343a(Fragment fragment) {
        if (!fragment.f150U) {
            return;
        }
        if (this.f202e) {
            this.f219v = true;
            return;
        }
        fragment.f150U = false;
        m345a(fragment, this.f211n, 0, 0, false);
    }

    public void m344a(Fragment fragment, int i, int i2) {
        if (f197a) {
            Log.v("FragmentManager", "remove: " + fragment + " nesting=" + fragment.f131B);
        }
        boolean z = !fragment.m280f();
        if (!fragment.f140K || z) {
            if (this.f204g != null) {
                this.f204g.remove(fragment);
            }
            if (fragment.f143N && fragment.f144O) {
                this.f215r = true;
            }
            fragment.f167v = false;
            fragment.f168w = true;
            m345a(fragment, z ? 0 : 1, i, i2, false);
        }
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    void m345a(android.support.v4.app.Fragment r11, int r12, int r13, int r14, boolean r15) {
        /*
        r10 = this;
        r9 = 4;
        r6 = 3;
        r5 = 1;
        r3 = 0;
        r7 = 0;
        r0 = r11.f167v;
        if (r0 == 0) goto L_0x000d;
    L_0x0009:
        r0 = r11.f140K;
        if (r0 == 0) goto L_0x0010;
    L_0x000d:
        if (r12 <= r5) goto L_0x0010;
    L_0x000f:
        r12 = r5;
    L_0x0010:
        r0 = r11.f168w;
        if (r0 == 0) goto L_0x001a;
    L_0x0014:
        r0 = r11.f156k;
        if (r12 <= r0) goto L_0x001a;
    L_0x0018:
        r12 = r11.f156k;
    L_0x001a:
        r0 = r11.f150U;
        if (r0 == 0) goto L_0x0025;
    L_0x001e:
        r0 = r11.f156k;
        if (r0 >= r9) goto L_0x0025;
    L_0x0022:
        if (r12 <= r6) goto L_0x0025;
    L_0x0024:
        r12 = r6;
    L_0x0025:
        r0 = r11.f156k;
        if (r0 >= r12) goto L_0x0274;
    L_0x0029:
        r0 = r11.f170y;
        if (r0 == 0) goto L_0x0032;
    L_0x002d:
        r0 = r11.f171z;
        if (r0 != 0) goto L_0x0032;
    L_0x0031:
        return;
    L_0x0032:
        r0 = r11.f157l;
        if (r0 == 0) goto L_0x0040;
    L_0x0036:
        r11.f157l = r7;
        r2 = r11.f158m;
        r0 = r10;
        r1 = r11;
        r4 = r3;
        r0.m345a(r1, r2, r3, r4, r5);
    L_0x0040:
        r0 = r11.f156k;
        switch(r0) {
            case 0: goto L_0x0048;
            case 1: goto L_0x013e;
            case 2: goto L_0x020f;
            case 3: goto L_0x020f;
            case 4: goto L_0x0230;
            default: goto L_0x0045;
        };
    L_0x0045:
        r11.f156k = r12;
        goto L_0x0031;
    L_0x0048:
        r0 = f197a;
        if (r0 == 0) goto L_0x0064;
    L_0x004c:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "moveto CREATED: ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x0064:
        r0 = r11.f159n;
        if (r0 == 0) goto L_0x00ac;
    L_0x0068:
        r0 = r11.f159n;
        r1 = r10.f212o;
        r1 = r1.m660g();
        r1 = r1.getClassLoader();
        r0.setClassLoader(r1);
        r0 = r11.f159n;
        r1 = "android:view_state";
        r0 = r0.getSparseParcelableArray(r1);
        r11.f160o = r0;
        r0 = r11.f159n;
        r1 = "android:target_state";
        r0 = r10.m331a(r0, r1);
        r11.f164s = r0;
        r0 = r11.f164s;
        if (r0 == 0) goto L_0x0099;
    L_0x008f:
        r0 = r11.f159n;
        r1 = "android:target_req_state";
        r0 = r0.getInt(r1, r3);
        r11.f166u = r0;
    L_0x0099:
        r0 = r11.f159n;
        r1 = "android:user_visible_hint";
        r0 = r0.getBoolean(r1, r5);
        r11.f151V = r0;
        r0 = r11.f151V;
        if (r0 != 0) goto L_0x00ac;
    L_0x00a7:
        r11.f150U = r5;
        if (r12 <= r6) goto L_0x00ac;
    L_0x00ab:
        r12 = r6;
    L_0x00ac:
        r0 = r10.f212o;
        r11.f133D = r0;
        r0 = r10.f214q;
        r11.f135F = r0;
        r0 = r10.f214q;
        if (r0 == 0) goto L_0x00ec;
    L_0x00b8:
        r0 = r10.f214q;
        r0 = r0.f134E;
    L_0x00bc:
        r11.f132C = r0;
        r11.f145P = r3;
        r0 = r10.f212o;
        r0 = r0.m660g();
        r11.m252a(r0);
        r0 = r11.f145P;
        if (r0 != 0) goto L_0x00f3;
    L_0x00cd:
        r0 = new android.support.v4.app.cy;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "Fragment ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r2 = " did not call through to super.onAttach()";
        r1 = r1.append(r2);
        r1 = r1.toString();
        r0.<init>(r1);
        throw r0;
    L_0x00ec:
        r0 = r10.f212o;
        r0 = r0.m662i();
        goto L_0x00bc;
    L_0x00f3:
        r0 = r11.f135F;
        if (r0 != 0) goto L_0x00fc;
    L_0x00f7:
        r0 = r10.f212o;
        r0.m654b(r11);
    L_0x00fc:
        r0 = r11.f142M;
        if (r0 != 0) goto L_0x0105;
    L_0x0100:
        r0 = r11.f159n;
        r11.m284h(r0);
    L_0x0105:
        r11.f142M = r3;
        r0 = r11.f170y;
        if (r0 == 0) goto L_0x013e;
    L_0x010b:
        r0 = r11.f159n;
        r0 = r11.m263b(r0);
        r1 = r11.f159n;
        r0 = r11.m264b(r0, r7, r1);
        r11.f148S = r0;
        r0 = r11.f148S;
        if (r0 == 0) goto L_0x0263;
    L_0x011d:
        r0 = r11.f148S;
        r11.f149T = r0;
        r0 = android.os.Build.VERSION.SDK_INT;
        r1 = 11;
        if (r0 < r1) goto L_0x0259;
    L_0x0127:
        r0 = r11.f148S;
        android.support.v4.view.bw.m1507a(r0, r3);
    L_0x012c:
        r0 = r11.f139J;
        if (r0 == 0) goto L_0x0137;
    L_0x0130:
        r0 = r11.f148S;
        r1 = 8;
        r0.setVisibility(r1);
    L_0x0137:
        r0 = r11.f148S;
        r1 = r11.f159n;
        r11.m260a(r0, r1);
    L_0x013e:
        if (r12 <= r5) goto L_0x020f;
    L_0x0140:
        r0 = f197a;
        if (r0 == 0) goto L_0x015c;
    L_0x0144:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "moveto ACTIVITY_CREATED: ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x015c:
        r0 = r11.f170y;
        if (r0 != 0) goto L_0x01ff;
    L_0x0160:
        r0 = r11.f137H;
        if (r0 == 0) goto L_0x03d1;
    L_0x0164:
        r0 = r10.f213p;
        r1 = r11.f137H;
        r0 = r0.m627a(r1);
        r0 = (android.view.ViewGroup) r0;
        if (r0 != 0) goto L_0x01b3;
    L_0x0170:
        r1 = r11.f130A;
        if (r1 != 0) goto L_0x01b3;
    L_0x0174:
        r1 = new java.lang.IllegalArgumentException;
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r4 = "No view found for id 0x";
        r2 = r2.append(r4);
        r4 = r11.f137H;
        r4 = java.lang.Integer.toHexString(r4);
        r2 = r2.append(r4);
        r4 = " (";
        r2 = r2.append(r4);
        r4 = r11.m283h();
        r8 = r11.f137H;
        r4 = r4.getResourceName(r8);
        r2 = r2.append(r4);
        r4 = ") for fragment ";
        r2 = r2.append(r4);
        r2 = r2.append(r11);
        r2 = r2.toString();
        r1.<init>(r2);
        r10.m322a(r1);
    L_0x01b3:
        r11.f147R = r0;
        r1 = r11.f159n;
        r1 = r11.m263b(r1);
        r2 = r11.f159n;
        r1 = r11.m264b(r1, r0, r2);
        r11.f148S = r1;
        r1 = r11.f148S;
        if (r1 == 0) goto L_0x0271;
    L_0x01c7:
        r1 = r11.f148S;
        r11.f149T = r1;
        r1 = android.os.Build.VERSION.SDK_INT;
        r2 = 11;
        if (r1 < r2) goto L_0x0267;
    L_0x01d1:
        r1 = r11.f148S;
        android.support.v4.view.bw.m1507a(r1, r3);
    L_0x01d6:
        if (r0 == 0) goto L_0x01ed;
    L_0x01d8:
        r1 = r10.m335a(r11, r13, r5, r14);
        if (r1 == 0) goto L_0x01e8;
    L_0x01de:
        r2 = r11.f148S;
        r10.m326b(r2, r1);
        r2 = r11.f148S;
        r2.startAnimation(r1);
    L_0x01e8:
        r1 = r11.f148S;
        r0.addView(r1);
    L_0x01ed:
        r0 = r11.f139J;
        if (r0 == 0) goto L_0x01f8;
    L_0x01f1:
        r0 = r11.f148S;
        r1 = 8;
        r0.setVisibility(r1);
    L_0x01f8:
        r0 = r11.f148S;
        r1 = r11.f159n;
        r11.m260a(r0, r1);
    L_0x01ff:
        r0 = r11.f159n;
        r11.m286i(r0);
        r0 = r11.f148S;
        if (r0 == 0) goto L_0x020d;
    L_0x0208:
        r0 = r11.f159n;
        r11.m279f(r0);
    L_0x020d:
        r11.f159n = r7;
    L_0x020f:
        if (r12 <= r6) goto L_0x0230;
    L_0x0211:
        r0 = f197a;
        if (r0 == 0) goto L_0x022d;
    L_0x0215:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "moveto STARTED: ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x022d:
        r11.m236D();
    L_0x0230:
        if (r12 <= r9) goto L_0x0045;
    L_0x0232:
        r0 = f197a;
        if (r0 == 0) goto L_0x024e;
    L_0x0236:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "moveto RESUMED: ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x024e:
        r11.f169x = r5;
        r11.m237E();
        r11.f159n = r7;
        r11.f160o = r7;
        goto L_0x0045;
    L_0x0259:
        r0 = r11.f148S;
        r0 = android.support.v4.app.bc.m476a(r0);
        r11.f148S = r0;
        goto L_0x012c;
    L_0x0263:
        r11.f149T = r7;
        goto L_0x013e;
    L_0x0267:
        r1 = r11.f148S;
        r1 = android.support.v4.app.bc.m476a(r1);
        r11.f148S = r1;
        goto L_0x01d6;
    L_0x0271:
        r11.f149T = r7;
        goto L_0x01ff;
    L_0x0274:
        r0 = r11.f156k;
        if (r0 <= r12) goto L_0x0045;
    L_0x0278:
        r0 = r11.f156k;
        switch(r0) {
            case 1: goto L_0x027f;
            case 2: goto L_0x02ff;
            case 3: goto L_0x02de;
            case 4: goto L_0x02bd;
            case 5: goto L_0x0299;
            default: goto L_0x027d;
        };
    L_0x027d:
        goto L_0x0045;
    L_0x027f:
        if (r12 >= r5) goto L_0x0045;
    L_0x0281:
        r0 = r10.f217t;
        if (r0 == 0) goto L_0x0290;
    L_0x0285:
        r0 = r11.f157l;
        if (r0 == 0) goto L_0x0290;
    L_0x0289:
        r0 = r11.f157l;
        r11.f157l = r7;
        r0.clearAnimation();
    L_0x0290:
        r0 = r11.f157l;
        if (r0 == 0) goto L_0x036e;
    L_0x0294:
        r11.f158m = r12;
        r12 = r5;
        goto L_0x0045;
    L_0x0299:
        r0 = 5;
        if (r12 >= r0) goto L_0x02bd;
    L_0x029c:
        r0 = f197a;
        if (r0 == 0) goto L_0x02b8;
    L_0x02a0:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "movefrom RESUMED: ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x02b8:
        r11.m239G();
        r11.f169x = r3;
    L_0x02bd:
        if (r12 >= r9) goto L_0x02de;
    L_0x02bf:
        r0 = f197a;
        if (r0 == 0) goto L_0x02db;
    L_0x02c3:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "movefrom STARTED: ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x02db:
        r11.m240H();
    L_0x02de:
        if (r12 >= r6) goto L_0x02ff;
    L_0x02e0:
        r0 = f197a;
        if (r0 == 0) goto L_0x02fc;
    L_0x02e4:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "movefrom STOPPED: ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x02fc:
        r11.m241I();
    L_0x02ff:
        r0 = 2;
        if (r12 >= r0) goto L_0x027f;
    L_0x0302:
        r0 = f197a;
        if (r0 == 0) goto L_0x031e;
    L_0x0306:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "movefrom ACTIVITY_CREATED: ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x031e:
        r0 = r11.f148S;
        if (r0 == 0) goto L_0x0331;
    L_0x0322:
        r0 = r10.f212o;
        r0 = r0.m652a(r11);
        if (r0 == 0) goto L_0x0331;
    L_0x032a:
        r0 = r11.f160o;
        if (r0 != 0) goto L_0x0331;
    L_0x032e:
        r10.m367e(r11);
    L_0x0331:
        r11.m242J();
        r0 = r11.f148S;
        if (r0 == 0) goto L_0x0366;
    L_0x0338:
        r0 = r11.f147R;
        if (r0 == 0) goto L_0x0366;
    L_0x033c:
        r0 = r10.f211n;
        if (r0 <= 0) goto L_0x03ce;
    L_0x0340:
        r0 = r10.f217t;
        if (r0 != 0) goto L_0x03ce;
    L_0x0344:
        r0 = r10.m335a(r11, r13, r3, r14);
    L_0x0348:
        if (r0 == 0) goto L_0x035f;
    L_0x034a:
        r1 = r11.f148S;
        r11.f157l = r1;
        r11.f158m = r12;
        r1 = r11.f148S;
        r2 = new android.support.v4.app.ad;
        r2.<init>(r10, r1, r0, r11);
        r0.setAnimationListener(r2);
        r1 = r11.f148S;
        r1.startAnimation(r0);
    L_0x035f:
        r0 = r11.f147R;
        r1 = r11.f148S;
        r0.removeView(r1);
    L_0x0366:
        r11.f147R = r7;
        r11.f148S = r7;
        r11.f149T = r7;
        goto L_0x027f;
    L_0x036e:
        r0 = f197a;
        if (r0 == 0) goto L_0x038a;
    L_0x0372:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "movefrom CREATED: ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x038a:
        r0 = r11.f142M;
        if (r0 != 0) goto L_0x0391;
    L_0x038e:
        r11.m243K();
    L_0x0391:
        r11.f145P = r3;
        r11.m265b();
        r0 = r11.f145P;
        if (r0 != 0) goto L_0x03b9;
    L_0x039a:
        r0 = new android.support.v4.app.cy;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "Fragment ";
        r1 = r1.append(r2);
        r1 = r1.append(r11);
        r2 = " did not call through to super.onDetach()";
        r1 = r1.append(r2);
        r1 = r1.toString();
        r0.<init>(r1);
        throw r0;
    L_0x03b9:
        if (r15 != 0) goto L_0x0045;
    L_0x03bb:
        r0 = r11.f142M;
        if (r0 != 0) goto L_0x03c4;
    L_0x03bf:
        r10.m365d(r11);
        goto L_0x0045;
    L_0x03c4:
        r11.f133D = r7;
        r11.f135F = r7;
        r11.f132C = r7;
        r11.f134E = r7;
        goto L_0x0045;
    L_0x03ce:
        r0 = r7;
        goto L_0x0348;
    L_0x03d1:
        r0 = r7;
        goto L_0x01b3;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.app.aa.a(android.support.v4.app.Fragment, int, int, int, boolean):void");
    }

    public void m346a(Fragment fragment, boolean z) {
        if (this.f204g == null) {
            this.f204g = new ArrayList();
        }
        if (f197a) {
            Log.v("FragmentManager", "add: " + fragment);
        }
        m361c(fragment);
        if (!fragment.f140K) {
            if (this.f204g.contains(fragment)) {
                throw new IllegalStateException("Fragment already added: " + fragment);
            }
            this.f204g.add(fragment);
            fragment.f167v = true;
            fragment.f168w = false;
            if (fragment.f143N && fragment.f144O) {
                this.f215r = true;
            }
            if (z) {
                m355b(fragment);
            }
        }
    }

    public void m347a(C0078x c0078x, C0072v c0072v, Fragment fragment) {
        if (this.f212o != null) {
            throw new IllegalStateException("Already attached");
        }
        this.f212o = c0078x;
        this.f213p = c0072v;
        this.f214q = fragment;
    }

    public void m348a(Runnable runnable, boolean z) {
        if (!z) {
            m328u();
        }
        synchronized (this) {
            if (this.f217t || this.f212o == null) {
                throw new IllegalStateException("Activity has been destroyed");
            }
            if (this.f200c == null) {
                this.f200c = new ArrayList();
            }
            this.f200c.add(runnable);
            if (this.f200c.size() == 1) {
                this.f212o.m661h().removeCallbacks(this.f222y);
                this.f212o.m661h().post(this.f222y);
            }
        }
    }

    public void m349a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        int size;
        int i;
        int i2 = 0;
        String str2 = str + "    ";
        if (this.f203f != null) {
            size = this.f203f.size();
            if (size > 0) {
                printWriter.print(str);
                printWriter.print("Active Fragments in ");
                printWriter.print(Integer.toHexString(System.identityHashCode(this)));
                printWriter.println(":");
                for (i = 0; i < size; i++) {
                    Fragment fragment;
                    fragment = (Fragment) this.f203f.get(i);
                    printWriter.print(str);
                    printWriter.print("  #");
                    printWriter.print(i);
                    printWriter.print(": ");
                    printWriter.println(fragment);
                    if (fragment != null) {
                        fragment.m261a(str2, fileDescriptor, printWriter, strArr);
                    }
                }
            }
        }
        if (this.f204g != null) {
            size = this.f204g.size();
            if (size > 0) {
                printWriter.print(str);
                printWriter.println("Added Fragments:");
                for (i = 0; i < size; i++) {
                    fragment = (Fragment) this.f204g.get(i);
                    printWriter.print(str);
                    printWriter.print("  #");
                    printWriter.print(i);
                    printWriter.print(": ");
                    printWriter.println(fragment.toString());
                }
            }
        }
        if (this.f207j != null) {
            size = this.f207j.size();
            if (size > 0) {
                printWriter.print(str);
                printWriter.println("Fragments Created Menus:");
                for (i = 0; i < size; i++) {
                    fragment = (Fragment) this.f207j.get(i);
                    printWriter.print(str);
                    printWriter.print("  #");
                    printWriter.print(i);
                    printWriter.print(": ");
                    printWriter.println(fragment.toString());
                }
            }
        }
        if (this.f206i != null) {
            size = this.f206i.size();
            if (size > 0) {
                printWriter.print(str);
                printWriter.println("Back Stack:");
                for (i = 0; i < size; i++) {
                    C0062e c0062e = (C0062e) this.f206i.get(i);
                    printWriter.print(str);
                    printWriter.print("  #");
                    printWriter.print(i);
                    printWriter.print(": ");
                    printWriter.println(c0062e.toString());
                    c0062e.m602a(str2, fileDescriptor, printWriter, strArr);
                }
            }
        }
        synchronized (this) {
            if (this.f208k != null) {
                int size2 = this.f208k.size();
                if (size2 > 0) {
                    printWriter.print(str);
                    printWriter.println("Back Stack Indices:");
                    for (i = 0; i < size2; i++) {
                        c0062e = (C0062e) this.f208k.get(i);
                        printWriter.print(str);
                        printWriter.print("  #");
                        printWriter.print(i);
                        printWriter.print(": ");
                        printWriter.println(c0062e);
                    }
                }
            }
            if (this.f209l != null && this.f209l.size() > 0) {
                printWriter.print(str);
                printWriter.print("mAvailBackStackIndices: ");
                printWriter.println(Arrays.toString(this.f209l.toArray()));
            }
        }
        if (this.f200c != null) {
            i = this.f200c.size();
            if (i > 0) {
                printWriter.print(str);
                printWriter.println("Pending Actions:");
                while (i2 < i) {
                    Runnable runnable = (Runnable) this.f200c.get(i2);
                    printWriter.print(str);
                    printWriter.print("  #");
                    printWriter.print(i2);
                    printWriter.print(": ");
                    printWriter.println(runnable);
                    i2++;
                }
            }
        }
        printWriter.print(str);
        printWriter.println("FragmentManager misc state:");
        printWriter.print(str);
        printWriter.print("  mHost=");
        printWriter.println(this.f212o);
        printWriter.print(str);
        printWriter.print("  mContainer=");
        printWriter.println(this.f213p);
        if (this.f214q != null) {
            printWriter.print(str);
            printWriter.print("  mParent=");
            printWriter.println(this.f214q);
        }
        printWriter.print(str);
        printWriter.print("  mCurState=");
        printWriter.print(this.f211n);
        printWriter.print(" mStateSaved=");
        printWriter.print(this.f216s);
        printWriter.print(" mDestroyed=");
        printWriter.println(this.f217t);
        if (this.f215r) {
            printWriter.print(str);
            printWriter.print("  mNeedMenuInvalidate=");
            printWriter.println(this.f215r);
        }
        if (this.f218u != null) {
            printWriter.print(str);
            printWriter.print("  mNoTransactionsBecause=");
            printWriter.println(this.f218u);
        }
        if (this.f205h != null && this.f205h.size() > 0) {
            printWriter.print(str);
            printWriter.print("  mAvailIndices: ");
            printWriter.println(Arrays.toString(this.f205h.toArray()));
        }
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    boolean m350a(android.os.Handler r12, java.lang.String r13, int r14, int r15) {
        /*
        r11 = this;
        r4 = 0;
        r2 = 1;
        r3 = 0;
        r0 = r11.f206i;
        if (r0 != 0) goto L_0x0008;
    L_0x0007:
        return r3;
    L_0x0008:
        if (r13 != 0) goto L_0x0037;
    L_0x000a:
        if (r14 >= 0) goto L_0x0037;
    L_0x000c:
        r0 = r15 & 1;
        if (r0 != 0) goto L_0x0037;
    L_0x0010:
        r0 = r11.f206i;
        r0 = r0.size();
        r0 = r0 + -1;
        if (r0 < 0) goto L_0x0007;
    L_0x001a:
        r1 = r11.f206i;
        r0 = r1.remove(r0);
        r0 = (android.support.v4.app.C0062e) r0;
        r1 = new android.util.SparseArray;
        r1.<init>();
        r3 = new android.util.SparseArray;
        r3.<init>();
        r0.m601a(r1, r3);
        r0.m598a(r2, r4, r1, r3);
        r11.m371f();
    L_0x0035:
        r3 = r2;
        goto L_0x0007;
    L_0x0037:
        r0 = -1;
        if (r13 != 0) goto L_0x003c;
    L_0x003a:
        if (r14 < 0) goto L_0x008b;
    L_0x003c:
        r0 = r11.f206i;
        r0 = r0.size();
        r1 = r0 + -1;
    L_0x0044:
        if (r1 < 0) goto L_0x005a;
    L_0x0046:
        r0 = r11.f206i;
        r0 = r0.get(r1);
        r0 = (android.support.v4.app.C0062e) r0;
        if (r13 == 0) goto L_0x0081;
    L_0x0050:
        r5 = r0.m608c();
        r5 = r13.equals(r5);
        if (r5 == 0) goto L_0x0081;
    L_0x005a:
        if (r1 < 0) goto L_0x0007;
    L_0x005c:
        r0 = r15 & 1;
        if (r0 == 0) goto L_0x008a;
    L_0x0060:
        r1 = r1 + -1;
    L_0x0062:
        if (r1 < 0) goto L_0x008a;
    L_0x0064:
        r0 = r11.f206i;
        r0 = r0.get(r1);
        r0 = (android.support.v4.app.C0062e) r0;
        if (r13 == 0) goto L_0x0078;
    L_0x006e:
        r5 = r0.m608c();
        r5 = r13.equals(r5);
        if (r5 != 0) goto L_0x007e;
    L_0x0078:
        if (r14 < 0) goto L_0x008a;
    L_0x007a:
        r0 = r0.f366p;
        if (r14 != r0) goto L_0x008a;
    L_0x007e:
        r1 = r1 + -1;
        goto L_0x0062;
    L_0x0081:
        if (r14 < 0) goto L_0x0087;
    L_0x0083:
        r0 = r0.f366p;
        if (r14 == r0) goto L_0x005a;
    L_0x0087:
        r1 = r1 + -1;
        goto L_0x0044;
    L_0x008a:
        r0 = r1;
    L_0x008b:
        r1 = r11.f206i;
        r1 = r1.size();
        r1 = r1 + -1;
        if (r0 == r1) goto L_0x0007;
    L_0x0095:
        r6 = new java.util.ArrayList;
        r6.<init>();
        r1 = r11.f206i;
        r1 = r1.size();
        r1 = r1 + -1;
    L_0x00a2:
        if (r1 <= r0) goto L_0x00b0;
    L_0x00a4:
        r5 = r11.f206i;
        r5 = r5.remove(r1);
        r6.add(r5);
        r1 = r1 + -1;
        goto L_0x00a2;
    L_0x00b0:
        r0 = r6.size();
        r7 = r0 + -1;
        r8 = new android.util.SparseArray;
        r8.<init>();
        r9 = new android.util.SparseArray;
        r9.<init>();
        r1 = r3;
    L_0x00c1:
        if (r1 > r7) goto L_0x00d0;
    L_0x00c3:
        r0 = r6.get(r1);
        r0 = (android.support.v4.app.C0062e) r0;
        r0.m601a(r8, r9);
        r0 = r1 + 1;
        r1 = r0;
        goto L_0x00c1;
    L_0x00d0:
        r5 = r4;
        r4 = r3;
    L_0x00d2:
        if (r4 > r7) goto L_0x0108;
    L_0x00d4:
        r0 = f197a;
        if (r0 == 0) goto L_0x00f4;
    L_0x00d8:
        r0 = "FragmentManager";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r10 = "Popping back stack state: ";
        r1 = r1.append(r10);
        r10 = r6.get(r4);
        r1 = r1.append(r10);
        r1 = r1.toString();
        android.util.Log.v(r0, r1);
    L_0x00f4:
        r0 = r6.get(r4);
        r0 = (android.support.v4.app.C0062e) r0;
        if (r4 != r7) goto L_0x0106;
    L_0x00fc:
        r1 = r2;
    L_0x00fd:
        r1 = r0.m598a(r1, r5, r8, r9);
        r0 = r4 + 1;
        r4 = r0;
        r5 = r1;
        goto L_0x00d2;
    L_0x0106:
        r1 = r3;
        goto L_0x00fd;
    L_0x0108:
        r11.m371f();
        goto L_0x0035;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.app.aa.a(android.os.Handler, java.lang.String, int, int):boolean");
    }

    public boolean m351a(Menu menu) {
        if (this.f204g == null) {
            return false;
        }
        boolean z = false;
        for (int i = 0; i < this.f204g.size(); i++) {
            Fragment fragment = (Fragment) this.f204g.get(i);
            if (fragment != null && fragment.m271c(menu)) {
                z = true;
            }
        }
        return z;
    }

    public boolean m352a(Menu menu, MenuInflater menuInflater) {
        boolean z;
        Fragment fragment;
        int i = 0;
        ArrayList arrayList = null;
        if (this.f204g != null) {
            int i2 = 0;
            z = false;
            while (i2 < this.f204g.size()) {
                fragment = (Fragment) this.f204g.get(i2);
                if (fragment != null && fragment.m268b(menu, menuInflater)) {
                    z = true;
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.add(fragment);
                }
                i2++;
                z = z;
            }
        } else {
            z = false;
        }
        if (this.f207j != null) {
            while (i < this.f207j.size()) {
                fragment = (Fragment) this.f207j.get(i);
                if (arrayList == null || !arrayList.contains(fragment)) {
                    fragment.m298t();
                }
                i++;
            }
        }
        this.f207j = arrayList;
        return z;
    }

    public boolean m353a(MenuItem menuItem) {
        if (this.f204g == null) {
            return false;
        }
        for (int i = 0; i < this.f204g.size(); i++) {
            Fragment fragment = (Fragment) this.f204g.get(i);
            if (fragment != null && fragment.m272c(menuItem)) {
                return true;
            }
        }
        return false;
    }

    public void m354b(int i) {
        synchronized (this) {
            this.f208k.set(i, null);
            if (this.f209l == null) {
                this.f209l = new ArrayList();
            }
            if (f197a) {
                Log.v("FragmentManager", "Freeing back stack index " + i);
            }
            this.f209l.add(Integer.valueOf(i));
        }
    }

    void m355b(Fragment fragment) {
        m345a(fragment, this.f211n, 0, 0, false);
    }

    public void m356b(Fragment fragment, int i, int i2) {
        if (f197a) {
            Log.v("FragmentManager", "hide: " + fragment);
        }
        if (!fragment.f139J) {
            fragment.f139J = true;
            if (fragment.f148S != null) {
                Animation a = m335a(fragment, i, false, i2);
                if (a != null) {
                    m326b(fragment.f148S, a);
                    fragment.f148S.startAnimation(a);
                }
                fragment.f148S.setVisibility(8);
            }
            if (fragment.f167v && fragment.f143N && fragment.f144O) {
                this.f215r = true;
            }
            fragment.m267b(true);
        }
    }

    void m357b(C0062e c0062e) {
        if (this.f206i == null) {
            this.f206i = new ArrayList();
        }
        this.f206i.add(c0062e);
        m371f();
    }

    public void m358b(Menu menu) {
        if (this.f204g != null) {
            for (int i = 0; i < this.f204g.size(); i++) {
                Fragment fragment = (Fragment) this.f204g.get(i);
                if (fragment != null) {
                    fragment.m275d(menu);
                }
            }
        }
    }

    public boolean m359b() {
        return m369e();
    }

    public boolean m360b(MenuItem menuItem) {
        if (this.f204g == null) {
            return false;
        }
        for (int i = 0; i < this.f204g.size(); i++) {
            Fragment fragment = (Fragment) this.f204g.get(i);
            if (fragment != null && fragment.m276d(menuItem)) {
                return true;
            }
        }
        return false;
    }

    void m361c(Fragment fragment) {
        if (fragment.f161p < 0) {
            if (this.f205h == null || this.f205h.size() <= 0) {
                if (this.f203f == null) {
                    this.f203f = new ArrayList();
                }
                fragment.m248a(this.f203f.size(), this.f214q);
                this.f203f.add(fragment);
            } else {
                fragment.m248a(((Integer) this.f205h.remove(this.f205h.size() - 1)).intValue(), this.f214q);
                this.f203f.set(fragment.f161p, fragment);
            }
            if (f197a) {
                Log.v("FragmentManager", "Allocated fragment index " + fragment);
            }
        }
    }

    public void m362c(Fragment fragment, int i, int i2) {
        if (f197a) {
            Log.v("FragmentManager", "show: " + fragment);
        }
        if (fragment.f139J) {
            fragment.f139J = false;
            if (fragment.f148S != null) {
                Animation a = m335a(fragment, i, true, i2);
                if (a != null) {
                    m326b(fragment.f148S, a);
                    fragment.f148S.startAnimation(a);
                }
                fragment.f148S.setVisibility(0);
            }
            if (fragment.f167v && fragment.f143N && fragment.f144O) {
                this.f215r = true;
            }
            fragment.m267b(false);
        }
    }

    public boolean m363c() {
        m328u();
        m359b();
        return m350a(this.f212o.m661h(), null, -1, 0);
    }

    void m364d() {
        if (this.f203f != null) {
            for (int i = 0; i < this.f203f.size(); i++) {
                Fragment fragment = (Fragment) this.f203f.get(i);
                if (fragment != null) {
                    m343a(fragment);
                }
            }
        }
    }

    void m365d(Fragment fragment) {
        if (fragment.f161p >= 0) {
            if (f197a) {
                Log.v("FragmentManager", "Freeing fragment index " + fragment);
            }
            this.f203f.set(fragment.f161p, null);
            if (this.f205h == null) {
                this.f205h = new ArrayList();
            }
            this.f205h.add(Integer.valueOf(fragment.f161p));
            this.f212o.m648a(fragment.f162q);
            fragment.m297s();
        }
    }

    public void m366d(Fragment fragment, int i, int i2) {
        if (f197a) {
            Log.v("FragmentManager", "detach: " + fragment);
        }
        if (!fragment.f140K) {
            fragment.f140K = true;
            if (fragment.f167v) {
                if (this.f204g != null) {
                    if (f197a) {
                        Log.v("FragmentManager", "remove from detach: " + fragment);
                    }
                    this.f204g.remove(fragment);
                }
                if (fragment.f143N && fragment.f144O) {
                    this.f215r = true;
                }
                fragment.f167v = false;
                m345a(fragment, 1, i, i2, false);
            }
        }
    }

    void m367e(Fragment fragment) {
        if (fragment.f149T != null) {
            if (this.f221x == null) {
                this.f221x = new SparseArray();
            } else {
                this.f221x.clear();
            }
            fragment.f149T.saveHierarchyState(this.f221x);
            if (this.f221x.size() > 0) {
                fragment.f160o = this.f221x;
                this.f221x = null;
            }
        }
    }

    public void m368e(Fragment fragment, int i, int i2) {
        if (f197a) {
            Log.v("FragmentManager", "attach: " + fragment);
        }
        if (fragment.f140K) {
            fragment.f140K = false;
            if (!fragment.f167v) {
                if (this.f204g == null) {
                    this.f204g = new ArrayList();
                }
                if (this.f204g.contains(fragment)) {
                    throw new IllegalStateException("Fragment already added: " + fragment);
                }
                if (f197a) {
                    Log.v("FragmentManager", "add from attach: " + fragment);
                }
                this.f204g.add(fragment);
                fragment.f167v = true;
                if (fragment.f143N && fragment.f144O) {
                    this.f215r = true;
                }
                m345a(fragment, this.f211n, i, i2, false);
            }
        }
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean m369e() {
        /*
        r6 = this;
        r0 = 1;
        r2 = 0;
        r1 = r6.f202e;
        if (r1 == 0) goto L_0x000e;
    L_0x0006:
        r0 = new java.lang.IllegalStateException;
        r1 = "Recursive entry to executePendingTransactions";
        r0.<init>(r1);
        throw r0;
    L_0x000e:
        r1 = android.os.Looper.myLooper();
        r3 = r6.f212o;
        r3 = r3.m661h();
        r3 = r3.getLooper();
        if (r1 == r3) goto L_0x0026;
    L_0x001e:
        r0 = new java.lang.IllegalStateException;
        r1 = "Must be called from main thread of process";
        r0.<init>(r1);
        throw r0;
    L_0x0026:
        r1 = r2;
    L_0x0027:
        monitor-enter(r6);
        r3 = r6.f200c;	 Catch:{ all -> 0x009b }
        if (r3 == 0) goto L_0x0034;
    L_0x002c:
        r3 = r6.f200c;	 Catch:{ all -> 0x009b }
        r3 = r3.size();	 Catch:{ all -> 0x009b }
        if (r3 != 0) goto L_0x005c;
    L_0x0034:
        monitor-exit(r6);	 Catch:{ all -> 0x009b }
        r0 = r6.f219v;
        if (r0 == 0) goto L_0x00a9;
    L_0x0039:
        r3 = r2;
        r4 = r2;
    L_0x003b:
        r0 = r6.f203f;
        r0 = r0.size();
        if (r3 >= r0) goto L_0x00a2;
    L_0x0043:
        r0 = r6.f203f;
        r0 = r0.get(r3);
        r0 = (android.support.v4.app.Fragment) r0;
        if (r0 == 0) goto L_0x0058;
    L_0x004d:
        r5 = r0.f152W;
        if (r5 == 0) goto L_0x0058;
    L_0x0051:
        r0 = r0.f152W;
        r0 = r0.m436a();
        r4 = r4 | r0;
    L_0x0058:
        r0 = r3 + 1;
        r3 = r0;
        goto L_0x003b;
    L_0x005c:
        r1 = r6.f200c;	 Catch:{ all -> 0x009b }
        r3 = r1.size();	 Catch:{ all -> 0x009b }
        r1 = r6.f201d;	 Catch:{ all -> 0x009b }
        if (r1 == 0) goto L_0x006b;
    L_0x0066:
        r1 = r6.f201d;	 Catch:{ all -> 0x009b }
        r1 = r1.length;	 Catch:{ all -> 0x009b }
        if (r1 >= r3) goto L_0x006f;
    L_0x006b:
        r1 = new java.lang.Runnable[r3];	 Catch:{ all -> 0x009b }
        r6.f201d = r1;	 Catch:{ all -> 0x009b }
    L_0x006f:
        r1 = r6.f200c;	 Catch:{ all -> 0x009b }
        r4 = r6.f201d;	 Catch:{ all -> 0x009b }
        r1.toArray(r4);	 Catch:{ all -> 0x009b }
        r1 = r6.f200c;	 Catch:{ all -> 0x009b }
        r1.clear();	 Catch:{ all -> 0x009b }
        r1 = r6.f212o;	 Catch:{ all -> 0x009b }
        r1 = r1.m661h();	 Catch:{ all -> 0x009b }
        r4 = r6.f222y;	 Catch:{ all -> 0x009b }
        r1.removeCallbacks(r4);	 Catch:{ all -> 0x009b }
        monitor-exit(r6);	 Catch:{ all -> 0x009b }
        r6.f202e = r0;
        r1 = r2;
    L_0x008a:
        if (r1 >= r3) goto L_0x009e;
    L_0x008c:
        r4 = r6.f201d;
        r4 = r4[r1];
        r4.run();
        r4 = r6.f201d;
        r5 = 0;
        r4[r1] = r5;
        r1 = r1 + 1;
        goto L_0x008a;
    L_0x009b:
        r0 = move-exception;
        monitor-exit(r6);	 Catch:{ all -> 0x009b }
        throw r0;
    L_0x009e:
        r6.f202e = r2;
        r1 = r0;
        goto L_0x0027;
    L_0x00a2:
        if (r4 != 0) goto L_0x00a9;
    L_0x00a4:
        r6.f219v = r2;
        r6.m364d();
    L_0x00a9:
        return r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.app.aa.e():boolean");
    }

    Bundle m370f(Fragment fragment) {
        Bundle bundle;
        if (this.f220w == null) {
            this.f220w = new Bundle();
        }
        fragment.m288j(this.f220w);
        if (this.f220w.isEmpty()) {
            bundle = null;
        } else {
            bundle = this.f220w;
            this.f220w = null;
        }
        if (fragment.f148S != null) {
            m367e(fragment);
        }
        if (fragment.f160o != null) {
            if (bundle == null) {
                bundle = new Bundle();
            }
            bundle.putSparseParcelableArray("android:view_state", fragment.f160o);
        }
        if (!fragment.f151V) {
            if (bundle == null) {
                bundle = new Bundle();
            }
            bundle.putBoolean("android:user_visible_hint", fragment.f151V);
        }
        return bundle;
    }

    void m371f() {
        if (this.f210m != null) {
            for (int i = 0; i < this.f210m.size(); i++) {
                ((C0082z) this.f210m.get(i)).m710a();
            }
        }
    }

    ArrayList m372g() {
        ArrayList arrayList = null;
        if (this.f203f != null) {
            for (int i = 0; i < this.f203f.size(); i++) {
                Fragment fragment = (Fragment) this.f203f.get(i);
                if (fragment != null && fragment.f141L) {
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.add(fragment);
                    fragment.f142M = true;
                    fragment.f165t = fragment.f164s != null ? fragment.f164s.f161p : -1;
                    if (f197a) {
                        Log.v("FragmentManager", "retainNonConfig: keeping retained " + fragment);
                    }
                }
            }
        }
        return arrayList;
    }

    Parcelable m373h() {
        BackStackState[] backStackStateArr = null;
        m369e();
        if (f198b) {
            this.f216s = true;
        }
        if (this.f203f == null || this.f203f.size() <= 0) {
            return null;
        }
        int size = this.f203f.size();
        FragmentState[] fragmentStateArr = new FragmentState[size];
        int i = 0;
        boolean z = false;
        while (i < size) {
            boolean z2;
            Fragment fragment = (Fragment) this.f203f.get(i);
            if (fragment != null) {
                if (fragment.f161p < 0) {
                    m322a(new IllegalStateException("Failure saving state: active " + fragment + " has cleared index: " + fragment.f161p));
                }
                FragmentState fragmentState = new FragmentState(fragment);
                fragmentStateArr[i] = fragmentState;
                if (fragment.f156k <= 0 || fragmentState.f184j != null) {
                    fragmentState.f184j = fragment.f159n;
                } else {
                    fragmentState.f184j = m370f(fragment);
                    if (fragment.f164s != null) {
                        if (fragment.f164s.f161p < 0) {
                            m322a(new IllegalStateException("Failure saving state: " + fragment + " has target not in fragment manager: " + fragment.f164s));
                        }
                        if (fragmentState.f184j == null) {
                            fragmentState.f184j = new Bundle();
                        }
                        m341a(fragmentState.f184j, "android:target_state", fragment.f164s);
                        if (fragment.f166u != 0) {
                            fragmentState.f184j.putInt("android:target_req_state", fragment.f166u);
                        }
                    }
                }
                if (f197a) {
                    Log.v("FragmentManager", "Saved state of " + fragment + ": " + fragmentState.f184j);
                }
                z2 = true;
            } else {
                z2 = z;
            }
            i++;
            z = z2;
        }
        if (z) {
            int[] iArr;
            int i2;
            FragmentManagerState fragmentManagerState;
            if (this.f204g != null) {
                i = this.f204g.size();
                if (i > 0) {
                    iArr = new int[i];
                    for (i2 = 0; i2 < i; i2++) {
                        iArr[i2] = ((Fragment) this.f204g.get(i2)).f161p;
                        if (iArr[i2] < 0) {
                            m322a(new IllegalStateException("Failure saving state: active " + this.f204g.get(i2) + " has cleared index: " + iArr[i2]));
                        }
                        if (f197a) {
                            Log.v("FragmentManager", "saveAllState: adding fragment #" + i2 + ": " + this.f204g.get(i2));
                        }
                    }
                    if (this.f206i != null) {
                        i = this.f206i.size();
                        if (i > 0) {
                            backStackStateArr = new BackStackState[i];
                            for (i2 = 0; i2 < i; i2++) {
                                backStackStateArr[i2] = new BackStackState((C0062e) this.f206i.get(i2));
                                if (f197a) {
                                    Log.v("FragmentManager", "saveAllState: adding back stack #" + i2 + ": " + this.f206i.get(i2));
                                }
                            }
                        }
                    }
                    fragmentManagerState = new FragmentManagerState();
                    fragmentManagerState.f172a = fragmentStateArr;
                    fragmentManagerState.f173b = iArr;
                    fragmentManagerState.f174c = backStackStateArr;
                    return fragmentManagerState;
                }
            }
            iArr = null;
            if (this.f206i != null) {
                i = this.f206i.size();
                if (i > 0) {
                    backStackStateArr = new BackStackState[i];
                    for (i2 = 0; i2 < i; i2++) {
                        backStackStateArr[i2] = new BackStackState((C0062e) this.f206i.get(i2));
                        if (f197a) {
                            Log.v("FragmentManager", "saveAllState: adding back stack #" + i2 + ": " + this.f206i.get(i2));
                        }
                    }
                }
            }
            fragmentManagerState = new FragmentManagerState();
            fragmentManagerState.f172a = fragmentStateArr;
            fragmentManagerState.f173b = iArr;
            fragmentManagerState.f174c = backStackStateArr;
            return fragmentManagerState;
        } else if (!f197a) {
            return null;
        } else {
            Log.v("FragmentManager", "saveAllState: no fragments!");
            return null;
        }
    }

    public void m374i() {
        this.f216s = false;
    }

    public void m375j() {
        this.f216s = false;
        m339a(1, false);
    }

    public void m376k() {
        this.f216s = false;
        m339a(2, false);
    }

    public void m377l() {
        this.f216s = false;
        m339a(4, false);
    }

    public void m378m() {
        this.f216s = false;
        m339a(5, false);
    }

    public void m379n() {
        m339a(4, false);
    }

    public void m380o() {
        this.f216s = true;
        m339a(3, false);
    }

    public void m381p() {
        m339a(2, false);
    }

    public void m382q() {
        m339a(1, false);
    }

    public void m383r() {
        this.f217t = true;
        m369e();
        m339a(0, false);
        this.f212o = null;
        this.f213p = null;
        this.f214q = null;
    }

    public void m384s() {
        if (this.f204g != null) {
            for (int i = 0; i < this.f204g.size(); i++) {
                Fragment fragment = (Fragment) this.f204g.get(i);
                if (fragment != null) {
                    fragment.m238F();
                }
            }
        }
    }

    am m385t() {
        return this;
    }

    public String toString() {
        StringBuilder stringBuilder = new StringBuilder(128);
        stringBuilder.append("FragmentManager{");
        stringBuilder.append(Integer.toHexString(System.identityHashCode(this)));
        stringBuilder.append(" in ");
        if (this.f214q != null) {
            C0145d.m891a(this.f214q, stringBuilder);
        } else {
            C0145d.m891a(this.f212o, stringBuilder);
        }
        stringBuilder.append("}}");
        return stringBuilder.toString();
    }
}
