package android.support.v4.media.session;

import android.os.Build.VERSION;
import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.os.ResultReceiver;
import android.support.v4.media.MediaDescriptionCompat;

public class MediaSessionCompat {

    public final class QueueItem implements Parcelable {
        public static final Creator CREATOR;
        private final MediaDescriptionCompat f536a;
        private final long f537b;

        static {
            CREATOR = new C0166b();
        }

        private QueueItem(Parcel parcel) {
            this.f536a = (MediaDescriptionCompat) MediaDescriptionCompat.CREATOR.createFromParcel(parcel);
            this.f537b = parcel.readLong();
        }

        public int describeContents() {
            return 0;
        }

        public String toString() {
            return "MediaSession.QueueItem {Description=" + this.f536a + ", Id=" + this.f537b + " }";
        }

        public void writeToParcel(Parcel parcel, int i) {
            this.f536a.writeToParcel(parcel, i);
            parcel.writeLong(this.f537b);
        }
    }

    final class ResultReceiverWrapper implements Parcelable {
        public static final Creator CREATOR;
        private ResultReceiver f538a;

        static {
            CREATOR = new C0167c();
        }

        ResultReceiverWrapper(Parcel parcel) {
            this.f538a = (ResultReceiver) ResultReceiver.CREATOR.createFromParcel(parcel);
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            this.f538a.writeToParcel(parcel, i);
        }
    }

    public final class Token implements Parcelable {
        public static final Creator CREATOR;
        private final Object f539a;

        static {
            CREATOR = new C0168d();
        }

        Token(Object obj) {
            this.f539a = obj;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            if (VERSION.SDK_INT >= 21) {
                parcel.writeParcelable((Parcelable) this.f539a, i);
            } else {
                parcel.writeStrongBinder((IBinder) this.f539a);
            }
        }
    }
}
