package android.support.v4.media.session;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.text.TextUtils;
import java.util.List;

public final class PlaybackStateCompat implements Parcelable {
    public static final Creator CREATOR;
    private final int f549a;
    private final long f550b;
    private final long f551c;
    private final float f552d;
    private final long f553e;
    private final CharSequence f554f;
    private final long f555g;
    private List f556h;
    private final long f557i;
    private final Bundle f558j;

    public final class CustomAction implements Parcelable {
        public static final Creator CREATOR;
        private final String f545a;
        private final CharSequence f546b;
        private final int f547c;
        private final Bundle f548d;

        static {
            CREATOR = new C0171g();
        }

        private CustomAction(Parcel parcel) {
            this.f545a = parcel.readString();
            this.f546b = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f547c = parcel.readInt();
            this.f548d = parcel.readBundle();
        }

        public int describeContents() {
            return 0;
        }

        public String toString() {
            return "Action:mName='" + this.f546b + ", mIcon=" + this.f547c + ", mExtras=" + this.f548d;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeString(this.f545a);
            TextUtils.writeToParcel(this.f546b, parcel, i);
            parcel.writeInt(this.f547c);
            parcel.writeBundle(this.f548d);
        }
    }

    static {
        CREATOR = new C0170f();
    }

    private PlaybackStateCompat(Parcel parcel) {
        this.f549a = parcel.readInt();
        this.f550b = parcel.readLong();
        this.f552d = parcel.readFloat();
        this.f555g = parcel.readLong();
        this.f551c = parcel.readLong();
        this.f553e = parcel.readLong();
        this.f554f = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f556h = parcel.createTypedArrayList(CustomAction.CREATOR);
        this.f557i = parcel.readLong();
        this.f558j = parcel.readBundle();
    }

    public int describeContents() {
        return 0;
    }

    public String toString() {
        StringBuilder stringBuilder = new StringBuilder("PlaybackState {");
        stringBuilder.append("state=").append(this.f549a);
        stringBuilder.append(", position=").append(this.f550b);
        stringBuilder.append(", buffered position=").append(this.f551c);
        stringBuilder.append(", speed=").append(this.f552d);
        stringBuilder.append(", updated=").append(this.f555g);
        stringBuilder.append(", actions=").append(this.f553e);
        stringBuilder.append(", error=").append(this.f554f);
        stringBuilder.append(", custom actions=").append(this.f556h);
        stringBuilder.append(", active item id=").append(this.f557i);
        stringBuilder.append("}");
        return stringBuilder.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.f549a);
        parcel.writeLong(this.f550b);
        parcel.writeFloat(this.f552d);
        parcel.writeLong(this.f555g);
        parcel.writeLong(this.f551c);
        parcel.writeLong(this.f553e);
        TextUtils.writeToParcel(this.f554f, parcel, i);
        parcel.writeTypedList(this.f556h);
        parcel.writeLong(this.f557i);
        parcel.writeBundle(this.f558j);
    }
}
