package android.support.v4.view;

import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.p014e.C0121c;
import android.support.v4.widget.ah;
import android.util.AttributeSet;
import android.util.Log;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.SoundEffectConstants;
import android.view.VelocityTracker;
import android.view.View;
import android.view.View.BaseSavedState;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.Interpolator;
import android.widget.Scroller;
import com.neatorobotics.android.C0729b;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class ViewPager extends ViewGroup {
    private static final int[] f562a;
    private static final ds ah;
    private static final Comparator f563c;
    private static final Interpolator f564d;
    private boolean f565A;
    private boolean f566B;
    private int f567C;
    private int f568D;
    private int f569E;
    private float f570F;
    private float f571G;
    private float f572H;
    private float f573I;
    private int f574J;
    private VelocityTracker f575K;
    private int f576L;
    private int f577M;
    private int f578N;
    private int f579O;
    private boolean f580P;
    private ah f581Q;
    private ah f582R;
    private boolean f583S;
    private boolean f584T;
    private boolean f585U;
    private int f586V;
    private List f587W;
    private C0206do aa;
    private C0206do ab;
    private dn ac;
    private dp ad;
    private Method ae;
    private int af;
    private ArrayList ag;
    private final Runnable ai;
    private int aj;
    private int f588b;
    private final ArrayList f589e;
    private final dl f590f;
    private final Rect f591g;
    private bo f592h;
    private int f593i;
    private int f594j;
    private Parcelable f595k;
    private ClassLoader f596l;
    private Scroller f597m;
    private dq f598n;
    private int f599o;
    private Drawable f600p;
    private int f601q;
    private int f602r;
    private float f603s;
    private float f604t;
    private int f605u;
    private int f606v;
    private boolean f607w;
    private boolean f608x;
    private boolean f609y;
    private int f610z;

    public class SavedState extends BaseSavedState {
        public static final Creator CREATOR;
        int f559a;
        Parcelable f560b;
        ClassLoader f561c;

        static {
            CREATOR = C0121c.m823a(new dr());
        }

        SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel);
            if (classLoader == null) {
                classLoader = getClass().getClassLoader();
            }
            this.f559a = parcel.readInt();
            this.f560b = parcel.readParcelable(classLoader);
            this.f561c = classLoader;
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "FragmentPager.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " position=" + this.f559a + "}";
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f559a);
            parcel.writeParcelable(this.f560b, i);
        }
    }

    static {
        f562a = new int[]{16842931};
        f563c = new di();
        f564d = new dj();
        ah = new ds();
    }

    private int m962a(int i, float f, int i2, int i3) {
        if (Math.abs(i3) <= this.f578N || Math.abs(i2) <= this.f576L) {
            i = (int) ((i >= this.f593i ? 0.4f : 0.6f) + (((float) i) + f));
        } else if (i2 <= 0) {
            i++;
        }
        if (this.f589e.size() <= 0) {
            return i;
        }
        return Math.max(((dl) this.f589e.get(0)).f685b, Math.min(i, ((dl) this.f589e.get(this.f589e.size() - 1)).f685b));
    }

    private Rect m963a(Rect rect, View view) {
        Rect rect2 = rect == null ? new Rect() : rect;
        if (view == null) {
            rect2.set(0, 0, 0, 0);
            return rect2;
        }
        rect2.left = view.getLeft();
        rect2.right = view.getRight();
        rect2.top = view.getTop();
        rect2.bottom = view.getBottom();
        ViewPager parent = view.getParent();
        while ((parent instanceof ViewGroup) && parent != this) {
            ViewGroup viewGroup = parent;
            rect2.left += viewGroup.getLeft();
            rect2.right += viewGroup.getRight();
            rect2.top += viewGroup.getTop();
            rect2.bottom += viewGroup.getBottom();
            parent = viewGroup.getParent();
        }
        return rect2;
    }

    private void m964a(int i, int i2, int i3, int i4) {
        if (i2 <= 0 || this.f589e.isEmpty()) {
            dl b = m994b(this.f593i);
            int min = (int) ((b != null ? Math.min(b.f688e, this.f604t) : 0.0f) * ((float) ((i - getPaddingLeft()) - getPaddingRight())));
            if (min != getScrollX()) {
                m968a(false);
                scrollTo(min, getScrollY());
                return;
            }
            return;
        }
        int paddingLeft = (int) (((float) (((i - getPaddingLeft()) - getPaddingRight()) + i3)) * (((float) getScrollX()) / ((float) (((i2 - getPaddingLeft()) - getPaddingRight()) + i4))));
        scrollTo(paddingLeft, getScrollY());
        if (!this.f597m.isFinished()) {
            this.f597m.startScroll(paddingLeft, 0, (int) (m994b(this.f593i).f688e * ((float) i)), 0, this.f597m.getDuration() - this.f597m.timePassed());
        }
    }

    private void m965a(int i, boolean z, int i2, boolean z2) {
        int max;
        dl b = m994b(i);
        if (b != null) {
            max = (int) (Math.max(this.f603s, Math.min(b.f688e, this.f604t)) * ((float) getClientWidth()));
        } else {
            max = 0;
        }
        if (z) {
            m988a(max, 0, i2);
            if (z2) {
                m975e(i);
                return;
            }
            return;
        }
        if (z2) {
            m975e(i);
        }
        m968a(false);
        scrollTo(max, 0);
        m974d(max);
    }

    private void m966a(dl dlVar, int i, dl dlVar2) {
        float f;
        int i2;
        dl dlVar3;
        int i3;
        int a = this.f592h.m1465a();
        int clientWidth = getClientWidth();
        float f2 = clientWidth > 0 ? ((float) this.f599o) / ((float) clientWidth) : 0.0f;
        if (dlVar2 != null) {
            clientWidth = dlVar2.f685b;
            int i4;
            if (clientWidth < dlVar.f685b) {
                f = (dlVar2.f688e + dlVar2.f687d) + f2;
                i4 = clientWidth + 1;
                i2 = 0;
                while (i4 <= dlVar.f685b && i2 < this.f589e.size()) {
                    dlVar3 = (dl) this.f589e.get(i2);
                    while (i4 > dlVar3.f685b && i2 < this.f589e.size() - 1) {
                        i2++;
                        dlVar3 = (dl) this.f589e.get(i2);
                    }
                    while (i4 < dlVar3.f685b) {
                        f += this.f592h.m1464a(i4) + f2;
                        i4++;
                    }
                    dlVar3.f688e = f;
                    f += dlVar3.f687d + f2;
                    i4++;
                }
            } else if (clientWidth > dlVar.f685b) {
                i2 = this.f589e.size() - 1;
                f = dlVar2.f688e;
                i4 = clientWidth - 1;
                while (i4 >= dlVar.f685b && i2 >= 0) {
                    dlVar3 = (dl) this.f589e.get(i2);
                    while (i4 < dlVar3.f685b && i2 > 0) {
                        i2--;
                        dlVar3 = (dl) this.f589e.get(i2);
                    }
                    while (i4 > dlVar3.f685b) {
                        f -= this.f592h.m1464a(i4) + f2;
                        i4--;
                    }
                    f -= dlVar3.f687d + f2;
                    dlVar3.f688e = f;
                    i4--;
                }
            }
        }
        int size = this.f589e.size();
        float f3 = dlVar.f688e;
        i2 = dlVar.f685b - 1;
        this.f603s = dlVar.f685b == 0 ? dlVar.f688e : -3.4028235E38f;
        this.f604t = dlVar.f685b == a + -1 ? (dlVar.f688e + dlVar.f687d) - 1.0f : Float.MAX_VALUE;
        for (i3 = i - 1; i3 >= 0; i3--) {
            dlVar3 = (dl) this.f589e.get(i3);
            f = f3;
            while (i2 > dlVar3.f685b) {
                f -= this.f592h.m1464a(i2) + f2;
                i2--;
            }
            f3 = f - (dlVar3.f687d + f2);
            dlVar3.f688e = f3;
            if (dlVar3.f685b == 0) {
                this.f603s = f3;
            }
            i2--;
        }
        f3 = (dlVar.f688e + dlVar.f687d) + f2;
        i2 = dlVar.f685b + 1;
        for (i3 = i + 1; i3 < size; i3++) {
            dlVar3 = (dl) this.f589e.get(i3);
            f = f3;
            while (i2 < dlVar3.f685b) {
                f = (this.f592h.m1464a(i2) + f2) + f;
                i2++;
            }
            if (dlVar3.f685b == a - 1) {
                this.f604t = (dlVar3.f687d + f) - 1.0f;
            }
            dlVar3.f688e = f;
            f3 = f + (dlVar3.f687d + f2);
            i2++;
        }
        this.f584T = false;
    }

    private void m967a(MotionEvent motionEvent) {
        int b = ba.m1416b(motionEvent);
        if (ba.m1417b(motionEvent, b) == this.f574J) {
            b = b == 0 ? 1 : 0;
            this.f570F = ba.m1418c(motionEvent, b);
            this.f574J = ba.m1417b(motionEvent, b);
            if (this.f575K != null) {
                this.f575K.clear();
            }
        }
    }

    private void m968a(boolean z) {
        int scrollX;
        boolean z2 = this.aj == 2;
        if (z2) {
            setScrollingCacheEnabled(false);
            this.f597m.abortAnimation();
            scrollX = getScrollX();
            int scrollY = getScrollY();
            int currX = this.f597m.getCurrX();
            int currY = this.f597m.getCurrY();
            if (!(scrollX == currX && scrollY == currY)) {
                scrollTo(currX, currY);
                if (currX != scrollX) {
                    m974d(currX);
                }
            }
        }
        this.f609y = false;
        boolean z3 = z2;
        for (scrollX = 0; scrollX < this.f589e.size(); scrollX++) {
            dl dlVar = (dl) this.f589e.get(scrollX);
            if (dlVar.f686c) {
                dlVar.f686c = false;
                z3 = true;
            }
        }
        if (!z3) {
            return;
        }
        if (z) {
            bw.m1505a((View) this, this.ai);
        } else {
            this.ai.run();
        }
    }

    private boolean m969a(float f, float f2) {
        return (f < ((float) this.f568D) && f2 > 0.0f) || (f > ((float) (getWidth() - this.f568D)) && f2 < 0.0f);
    }

    private void m970b(int i, float f, int i2) {
        if (this.aa != null) {
            this.aa.m1793a(i, f, i2);
        }
        if (this.f587W != null) {
            int size = this.f587W.size();
            for (int i3 = 0; i3 < size; i3++) {
                C0206do c0206do = (C0206do) this.f587W.get(i3);
                if (c0206do != null) {
                    c0206do.m1793a(i, f, i2);
                }
            }
        }
        if (this.ab != null) {
            this.ab.m1793a(i, f, i2);
        }
    }

    private void m971b(boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            bw.m1499a(getChildAt(i), z ? 2 : 0, null);
        }
    }

    private boolean m972b(float f) {
        boolean z;
        float f2;
        boolean z2 = true;
        boolean z3 = false;
        float f3 = this.f570F - f;
        this.f570F = f;
        float scrollX = ((float) getScrollX()) + f3;
        int clientWidth = getClientWidth();
        float f4 = ((float) clientWidth) * this.f603s;
        float f5 = ((float) clientWidth) * this.f604t;
        dl dlVar = (dl) this.f589e.get(0);
        dl dlVar2 = (dl) this.f589e.get(this.f589e.size() - 1);
        if (dlVar.f685b != 0) {
            f4 = dlVar.f688e * ((float) clientWidth);
            z = false;
        } else {
            z = true;
        }
        if (dlVar2.f685b != this.f592h.m1465a() - 1) {
            f2 = dlVar2.f688e * ((float) clientWidth);
            z2 = false;
        } else {
            f2 = f5;
        }
        if (scrollX < f4) {
            if (z) {
                z3 = this.f581Q.m2186a(Math.abs(f4 - scrollX) / ((float) clientWidth));
            }
        } else if (scrollX > f2) {
            if (z2) {
                z3 = this.f582R.m2186a(Math.abs(scrollX - f2) / ((float) clientWidth));
            }
            f4 = f2;
        } else {
            f4 = scrollX;
        }
        this.f570F += f4 - ((float) ((int) f4));
        scrollTo((int) f4, getScrollY());
        m974d((int) f4);
        return z3;
    }

    private void m973c(boolean z) {
        ViewParent parent = getParent();
        if (parent != null) {
            parent.requestDisallowInterceptTouchEvent(z);
        }
    }

    private boolean m974d(int i) {
        if (this.f589e.size() == 0) {
            this.f585U = false;
            m987a(0, 0.0f, 0);
            if (this.f585U) {
                return false;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        }
        dl h = m980h();
        int clientWidth = getClientWidth();
        int i2 = this.f599o + clientWidth;
        float f = ((float) this.f599o) / ((float) clientWidth);
        int i3 = h.f685b;
        float f2 = ((((float) i) / ((float) clientWidth)) - h.f688e) / (h.f687d + f);
        clientWidth = (int) (((float) i2) * f2);
        this.f585U = false;
        m987a(i3, f2, clientWidth);
        if (this.f585U) {
            return true;
        }
        throw new IllegalStateException("onPageScrolled did not call superclass implementation");
    }

    private void m975e(int i) {
        if (this.aa != null) {
            this.aa.m1792a(i);
        }
        if (this.f587W != null) {
            int size = this.f587W.size();
            for (int i2 = 0; i2 < size; i2++) {
                C0206do c0206do = (C0206do) this.f587W.get(i2);
                if (c0206do != null) {
                    c0206do.m1792a(i);
                }
            }
        }
        if (this.ab != null) {
            this.ab.m1792a(i);
        }
    }

    private void m977f() {
        int i = 0;
        while (i < getChildCount()) {
            if (!((dm) getChildAt(i).getLayoutParams()).f689a) {
                removeViewAt(i);
                i--;
            }
            i++;
        }
    }

    private void m978f(int i) {
        if (this.aa != null) {
            this.aa.m1794b(i);
        }
        if (this.f587W != null) {
            int size = this.f587W.size();
            for (int i2 = 0; i2 < size; i2++) {
                C0206do c0206do = (C0206do) this.f587W.get(i2);
                if (c0206do != null) {
                    c0206do.m1794b(i);
                }
            }
        }
        if (this.ab != null) {
            this.ab.m1794b(i);
        }
    }

    private void m979g() {
        if (this.af != 0) {
            if (this.ag == null) {
                this.ag = new ArrayList();
            } else {
                this.ag.clear();
            }
            int childCount = getChildCount();
            for (int i = 0; i < childCount; i++) {
                this.ag.add(getChildAt(i));
            }
            Collections.sort(this.ag, ah);
        }
    }

    private int getClientWidth() {
        return (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
    }

    private dl m980h() {
        int clientWidth = getClientWidth();
        float scrollX = clientWidth > 0 ? ((float) getScrollX()) / ((float) clientWidth) : 0.0f;
        float f = clientWidth > 0 ? ((float) this.f599o) / ((float) clientWidth) : 0.0f;
        float f2 = 0.0f;
        float f3 = 0.0f;
        int i = -1;
        int i2 = 0;
        Object obj = 1;
        dl dlVar = null;
        while (i2 < this.f589e.size()) {
            int i3;
            dl dlVar2;
            dl dlVar3 = (dl) this.f589e.get(i2);
            dl dlVar4;
            if (obj != null || dlVar3.f685b == i + 1) {
                dlVar4 = dlVar3;
                i3 = i2;
                dlVar2 = dlVar4;
            } else {
                dlVar3 = this.f590f;
                dlVar3.f688e = (f2 + f3) + f;
                dlVar3.f685b = i + 1;
                dlVar3.f687d = this.f592h.m1464a(dlVar3.f685b);
                dlVar4 = dlVar3;
                i3 = i2 - 1;
                dlVar2 = dlVar4;
            }
            f2 = dlVar2.f688e;
            f3 = (dlVar2.f687d + f2) + f;
            if (obj == null && scrollX < f2) {
                return dlVar;
            }
            if (scrollX < f3 || i3 == this.f589e.size() - 1) {
                return dlVar2;
            }
            f3 = f2;
            i = dlVar2.f685b;
            obj = null;
            f2 = dlVar2.f687d;
            dlVar = dlVar2;
            i2 = i3 + 1;
        }
        return dlVar;
    }

    private void m981i() {
        this.f565A = false;
        this.f566B = false;
        if (this.f575K != null) {
            this.f575K.recycle();
            this.f575K = null;
        }
    }

    private void setScrollState(int i) {
        if (this.aj != i) {
            this.aj = i;
            if (this.ad != null) {
                m971b(i != 0);
            }
            m978f(i);
        }
    }

    private void setScrollingCacheEnabled(boolean z) {
        if (this.f608x != z) {
            this.f608x = z;
        }
    }

    float m982a(float f) {
        return (float) Math.sin((double) ((float) (((double) (f - 0.5f)) * 0.4712389167638204d)));
    }

    dl m983a(int i, int i2) {
        dl dlVar = new dl();
        dlVar.f685b = i;
        dlVar.f684a = this.f592h.m1468a((ViewGroup) this, i);
        dlVar.f687d = this.f592h.m1464a(i);
        if (i2 < 0 || i2 >= this.f589e.size()) {
            this.f589e.add(dlVar);
        } else {
            this.f589e.add(i2, dlVar);
        }
        return dlVar;
    }

    dl m984a(View view) {
        for (int i = 0; i < this.f589e.size(); i++) {
            dl dlVar = (dl) this.f589e.get(i);
            if (this.f592h.m1475a(view, dlVar.f684a)) {
                return dlVar;
            }
        }
        return null;
    }

    void m985a() {
        int i;
        int a = this.f592h.m1465a();
        this.f588b = a;
        boolean z = this.f589e.size() < (this.f610z * 2) + 1 && this.f589e.size() < a;
        boolean z2 = false;
        int i2 = this.f593i;
        boolean z3 = z;
        int i3 = 0;
        while (i3 < this.f589e.size()) {
            int i4;
            boolean z4;
            boolean z5;
            dl dlVar = (dl) this.f589e.get(i3);
            int a2 = this.f592h.m1466a(dlVar.f684a);
            if (a2 == -1) {
                i4 = i3;
                z4 = z2;
                i = i2;
                z5 = z3;
            } else if (a2 == -2) {
                this.f589e.remove(i3);
                i3--;
                if (!z2) {
                    this.f592h.m1473a((ViewGroup) this);
                    z2 = true;
                }
                this.f592h.m1474a((ViewGroup) this, dlVar.f685b, dlVar.f684a);
                if (this.f593i == dlVar.f685b) {
                    i4 = i3;
                    z4 = z2;
                    i = Math.max(0, Math.min(this.f593i, a - 1));
                    z5 = true;
                } else {
                    i4 = i3;
                    z4 = z2;
                    i = i2;
                    z5 = true;
                }
            } else if (dlVar.f685b != a2) {
                if (dlVar.f685b == this.f593i) {
                    i2 = a2;
                }
                dlVar.f685b = a2;
                i4 = i3;
                z4 = z2;
                i = i2;
                z5 = true;
            } else {
                i4 = i3;
                z4 = z2;
                i = i2;
                z5 = z3;
            }
            z3 = z5;
            i2 = i;
            z2 = z4;
            i3 = i4 + 1;
        }
        if (z2) {
            this.f592h.m1480b((ViewGroup) this);
        }
        Collections.sort(this.f589e, f563c);
        if (z3) {
            i = getChildCount();
            for (i3 = 0; i3 < i; i3++) {
                dm dmVar = (dm) getChildAt(i3).getLayoutParams();
                if (!dmVar.f689a) {
                    dmVar.f691c = 0.0f;
                }
            }
            m990a(i2, false, true);
            requestLayout();
        }
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    void m986a(int r19) {
        /*
        r18 = this;
        r3 = 0;
        r2 = 2;
        r0 = r18;
        r4 = r0.f593i;
        r0 = r19;
        if (r4 == r0) goto L_0x033f;
    L_0x000a:
        r0 = r18;
        r2 = r0.f593i;
        r0 = r19;
        if (r2 >= r0) goto L_0x0030;
    L_0x0012:
        r2 = 66;
    L_0x0014:
        r0 = r18;
        r3 = r0.f593i;
        r0 = r18;
        r3 = r0.m994b(r3);
        r0 = r19;
        r1 = r18;
        r1.f593i = r0;
        r4 = r3;
        r3 = r2;
    L_0x0026:
        r0 = r18;
        r2 = r0.f592h;
        if (r2 != 0) goto L_0x0033;
    L_0x002c:
        r18.m979g();
    L_0x002f:
        return;
    L_0x0030:
        r2 = 17;
        goto L_0x0014;
    L_0x0033:
        r0 = r18;
        r2 = r0.f609y;
        if (r2 == 0) goto L_0x003d;
    L_0x0039:
        r18.m979g();
        goto L_0x002f;
    L_0x003d:
        r2 = r18.getWindowToken();
        if (r2 == 0) goto L_0x002f;
    L_0x0043:
        r0 = r18;
        r2 = r0.f592h;
        r0 = r18;
        r2.m1473a(r0);
        r0 = r18;
        r2 = r0.f610z;
        r5 = 0;
        r0 = r18;
        r6 = r0.f593i;
        r6 = r6 - r2;
        r11 = java.lang.Math.max(r5, r6);
        r0 = r18;
        r5 = r0.f592h;
        r12 = r5.m1465a();
        r5 = r12 + -1;
        r0 = r18;
        r6 = r0.f593i;
        r2 = r2 + r6;
        r13 = java.lang.Math.min(r5, r2);
        r0 = r18;
        r2 = r0.f588b;
        if (r12 == r2) goto L_0x00da;
    L_0x0073:
        r2 = r18.getResources();	 Catch:{ NotFoundException -> 0x00d0 }
        r3 = r18.getId();	 Catch:{ NotFoundException -> 0x00d0 }
        r2 = r2.getResourceName(r3);	 Catch:{ NotFoundException -> 0x00d0 }
    L_0x007f:
        r3 = new java.lang.IllegalStateException;
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = "The application's PagerAdapter changed the adapter's contents without calling PagerAdapter#notifyDataSetChanged! Expected adapter item count: ";
        r4 = r4.append(r5);
        r0 = r18;
        r5 = r0.f588b;
        r4 = r4.append(r5);
        r5 = ", found: ";
        r4 = r4.append(r5);
        r4 = r4.append(r12);
        r5 = " Pager id: ";
        r4 = r4.append(r5);
        r2 = r4.append(r2);
        r4 = " Pager class: ";
        r2 = r2.append(r4);
        r4 = r18.getClass();
        r2 = r2.append(r4);
        r4 = " Problematic adapter: ";
        r2 = r2.append(r4);
        r0 = r18;
        r4 = r0.f592h;
        r4 = r4.getClass();
        r2 = r2.append(r4);
        r2 = r2.toString();
        r3.<init>(r2);
        throw r3;
    L_0x00d0:
        r2 = move-exception;
        r2 = r18.getId();
        r2 = java.lang.Integer.toHexString(r2);
        goto L_0x007f;
    L_0x00da:
        r6 = 0;
        r2 = 0;
        r5 = r2;
    L_0x00dd:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.size();
        if (r5 >= r2) goto L_0x033c;
    L_0x00e7:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.get(r5);
        r2 = (android.support.v4.view.dl) r2;
        r7 = r2.f685b;
        r0 = r18;
        r8 = r0.f593i;
        if (r7 < r8) goto L_0x01cf;
    L_0x00f9:
        r7 = r2.f685b;
        r0 = r18;
        r8 = r0.f593i;
        if (r7 != r8) goto L_0x033c;
    L_0x0101:
        if (r2 != 0) goto L_0x0339;
    L_0x0103:
        if (r12 <= 0) goto L_0x0339;
    L_0x0105:
        r0 = r18;
        r2 = r0.f593i;
        r0 = r18;
        r2 = r0.m983a(r2, r5);
        r10 = r2;
    L_0x0110:
        if (r10 == 0) goto L_0x0180;
    L_0x0112:
        r9 = 0;
        r8 = r5 + -1;
        if (r8 < 0) goto L_0x01d4;
    L_0x0117:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.get(r8);
        r2 = (android.support.v4.view.dl) r2;
    L_0x0121:
        r14 = r18.getClientWidth();
        if (r14 > 0) goto L_0x01d7;
    L_0x0127:
        r6 = 0;
    L_0x0128:
        r0 = r18;
        r7 = r0.f593i;
        r7 = r7 + -1;
        r16 = r7;
        r7 = r9;
        r9 = r16;
        r17 = r8;
        r8 = r5;
        r5 = r17;
    L_0x0138:
        if (r9 < 0) goto L_0x0142;
    L_0x013a:
        r15 = (r7 > r6 ? 1 : (r7 == r6 ? 0 : -1));
        if (r15 < 0) goto L_0x0216;
    L_0x013e:
        if (r9 >= r11) goto L_0x0216;
    L_0x0140:
        if (r2 != 0) goto L_0x01e6;
    L_0x0142:
        r6 = r10.f687d;
        r9 = r8 + 1;
        r2 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r2 = (r6 > r2 ? 1 : (r6 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x017b;
    L_0x014c:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.size();
        if (r9 >= r2) goto L_0x024c;
    L_0x0156:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.get(r9);
        r2 = (android.support.v4.view.dl) r2;
        r7 = r2;
    L_0x0161:
        if (r14 > 0) goto L_0x024f;
    L_0x0163:
        r2 = 0;
        r5 = r2;
    L_0x0165:
        r0 = r18;
        r2 = r0.f593i;
        r2 = r2 + 1;
        r16 = r2;
        r2 = r7;
        r7 = r9;
        r9 = r16;
    L_0x0171:
        if (r9 >= r12) goto L_0x017b;
    L_0x0173:
        r11 = (r6 > r5 ? 1 : (r6 == r5 ? 0 : -1));
        if (r11 < 0) goto L_0x029a;
    L_0x0177:
        if (r9 <= r13) goto L_0x029a;
    L_0x0179:
        if (r2 != 0) goto L_0x025c;
    L_0x017b:
        r0 = r18;
        r0.m966a(r10, r8, r4);
    L_0x0180:
        r0 = r18;
        r4 = r0.f592h;
        r0 = r18;
        r5 = r0.f593i;
        if (r10 == 0) goto L_0x02e8;
    L_0x018a:
        r2 = r10.f684a;
    L_0x018c:
        r0 = r18;
        r4.m1481b(r0, r5, r2);
        r0 = r18;
        r2 = r0.f592h;
        r0 = r18;
        r2.m1480b(r0);
        r5 = r18.getChildCount();
        r2 = 0;
        r4 = r2;
    L_0x01a0:
        if (r4 >= r5) goto L_0x02eb;
    L_0x01a2:
        r0 = r18;
        r6 = r0.getChildAt(r4);
        r2 = r6.getLayoutParams();
        r2 = (android.support.v4.view.dm) r2;
        r2.f694f = r4;
        r7 = r2.f689a;
        if (r7 != 0) goto L_0x01cb;
    L_0x01b4:
        r7 = r2.f691c;
        r8 = 0;
        r7 = (r7 > r8 ? 1 : (r7 == r8 ? 0 : -1));
        if (r7 != 0) goto L_0x01cb;
    L_0x01bb:
        r0 = r18;
        r6 = r0.m984a(r6);
        if (r6 == 0) goto L_0x01cb;
    L_0x01c3:
        r7 = r6.f687d;
        r2.f691c = r7;
        r6 = r6.f685b;
        r2.f693e = r6;
    L_0x01cb:
        r2 = r4 + 1;
        r4 = r2;
        goto L_0x01a0;
    L_0x01cf:
        r2 = r5 + 1;
        r5 = r2;
        goto L_0x00dd;
    L_0x01d4:
        r2 = 0;
        goto L_0x0121;
    L_0x01d7:
        r6 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r7 = r10.f687d;
        r6 = r6 - r7;
        r7 = r18.getPaddingLeft();
        r7 = (float) r7;
        r15 = (float) r14;
        r7 = r7 / r15;
        r6 = r6 + r7;
        goto L_0x0128;
    L_0x01e6:
        r15 = r2.f685b;
        if (r9 != r15) goto L_0x0210;
    L_0x01ea:
        r15 = r2.f686c;
        if (r15 != 0) goto L_0x0210;
    L_0x01ee:
        r0 = r18;
        r15 = r0.f589e;
        r15.remove(r5);
        r0 = r18;
        r15 = r0.f592h;
        r2 = r2.f684a;
        r0 = r18;
        r15.m1474a(r0, r9, r2);
        r5 = r5 + -1;
        r8 = r8 + -1;
        if (r5 < 0) goto L_0x0214;
    L_0x0206:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.get(r5);
        r2 = (android.support.v4.view.dl) r2;
    L_0x0210:
        r9 = r9 + -1;
        goto L_0x0138;
    L_0x0214:
        r2 = 0;
        goto L_0x0210;
    L_0x0216:
        if (r2 == 0) goto L_0x0230;
    L_0x0218:
        r15 = r2.f685b;
        if (r9 != r15) goto L_0x0230;
    L_0x021c:
        r2 = r2.f687d;
        r7 = r7 + r2;
        r5 = r5 + -1;
        if (r5 < 0) goto L_0x022e;
    L_0x0223:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.get(r5);
        r2 = (android.support.v4.view.dl) r2;
        goto L_0x0210;
    L_0x022e:
        r2 = 0;
        goto L_0x0210;
    L_0x0230:
        r2 = r5 + 1;
        r0 = r18;
        r2 = r0.m983a(r9, r2);
        r2 = r2.f687d;
        r7 = r7 + r2;
        r8 = r8 + 1;
        if (r5 < 0) goto L_0x024a;
    L_0x023f:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.get(r5);
        r2 = (android.support.v4.view.dl) r2;
        goto L_0x0210;
    L_0x024a:
        r2 = 0;
        goto L_0x0210;
    L_0x024c:
        r7 = 0;
        goto L_0x0161;
    L_0x024f:
        r2 = r18.getPaddingRight();
        r2 = (float) r2;
        r5 = (float) r14;
        r2 = r2 / r5;
        r5 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r2 = r2 + r5;
        r5 = r2;
        goto L_0x0165;
    L_0x025c:
        r11 = r2.f685b;
        if (r9 != r11) goto L_0x0332;
    L_0x0260:
        r11 = r2.f686c;
        if (r11 != 0) goto L_0x0332;
    L_0x0264:
        r0 = r18;
        r11 = r0.f589e;
        r11.remove(r7);
        r0 = r18;
        r11 = r0.f592h;
        r2 = r2.f684a;
        r0 = r18;
        r11.m1474a(r0, r9, r2);
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.size();
        if (r7 >= r2) goto L_0x0298;
    L_0x0280:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.get(r7);
        r2 = (android.support.v4.view.dl) r2;
    L_0x028a:
        r16 = r6;
        r6 = r2;
        r2 = r16;
    L_0x028f:
        r9 = r9 + 1;
        r16 = r2;
        r2 = r6;
        r6 = r16;
        goto L_0x0171;
    L_0x0298:
        r2 = 0;
        goto L_0x028a;
    L_0x029a:
        if (r2 == 0) goto L_0x02c1;
    L_0x029c:
        r11 = r2.f685b;
        if (r9 != r11) goto L_0x02c1;
    L_0x02a0:
        r2 = r2.f687d;
        r6 = r6 + r2;
        r7 = r7 + 1;
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.size();
        if (r7 >= r2) goto L_0x02bf;
    L_0x02af:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.get(r7);
        r2 = (android.support.v4.view.dl) r2;
    L_0x02b9:
        r16 = r6;
        r6 = r2;
        r2 = r16;
        goto L_0x028f;
    L_0x02bf:
        r2 = 0;
        goto L_0x02b9;
    L_0x02c1:
        r0 = r18;
        r2 = r0.m983a(r9, r7);
        r7 = r7 + 1;
        r2 = r2.f687d;
        r6 = r6 + r2;
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.size();
        if (r7 >= r2) goto L_0x02e6;
    L_0x02d6:
        r0 = r18;
        r2 = r0.f589e;
        r2 = r2.get(r7);
        r2 = (android.support.v4.view.dl) r2;
    L_0x02e0:
        r16 = r6;
        r6 = r2;
        r2 = r16;
        goto L_0x028f;
    L_0x02e6:
        r2 = 0;
        goto L_0x02e0;
    L_0x02e8:
        r2 = 0;
        goto L_0x018c;
    L_0x02eb:
        r18.m979g();
        r2 = r18.hasFocus();
        if (r2 == 0) goto L_0x002f;
    L_0x02f4:
        r2 = r18.findFocus();
        if (r2 == 0) goto L_0x0330;
    L_0x02fa:
        r0 = r18;
        r2 = r0.m995b(r2);
    L_0x0300:
        if (r2 == 0) goto L_0x030a;
    L_0x0302:
        r2 = r2.f685b;
        r0 = r18;
        r4 = r0.f593i;
        if (r2 == r4) goto L_0x002f;
    L_0x030a:
        r2 = 0;
    L_0x030b:
        r4 = r18.getChildCount();
        if (r2 >= r4) goto L_0x002f;
    L_0x0311:
        r0 = r18;
        r4 = r0.getChildAt(r2);
        r0 = r18;
        r5 = r0.m984a(r4);
        if (r5 == 0) goto L_0x032d;
    L_0x031f:
        r5 = r5.f685b;
        r0 = r18;
        r6 = r0.f593i;
        if (r5 != r6) goto L_0x032d;
    L_0x0327:
        r4 = r4.requestFocus(r3);
        if (r4 != 0) goto L_0x002f;
    L_0x032d:
        r2 = r2 + 1;
        goto L_0x030b;
    L_0x0330:
        r2 = 0;
        goto L_0x0300;
    L_0x0332:
        r16 = r6;
        r6 = r2;
        r2 = r16;
        goto L_0x028f;
    L_0x0339:
        r10 = r2;
        goto L_0x0110;
    L_0x033c:
        r2 = r6;
        goto L_0x0101;
    L_0x033f:
        r4 = r3;
        r3 = r2;
        goto L_0x0026;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.view.ViewPager.a(int):void");
    }

    protected void m987a(int i, float f, int i2) {
        int paddingLeft;
        int paddingRight;
        int i3;
        if (this.f586V > 0) {
            int scrollX = getScrollX();
            paddingLeft = getPaddingLeft();
            paddingRight = getPaddingRight();
            int width = getWidth();
            int childCount = getChildCount();
            i3 = 0;
            while (i3 < childCount) {
                int i4;
                View childAt = getChildAt(i3);
                dm dmVar = (dm) childAt.getLayoutParams();
                if (dmVar.f689a) {
                    int max;
                    switch (dmVar.f690b & 7) {
                        case C0729b.View_android_focusable /*1*/:
                            max = Math.max((width - childAt.getMeasuredWidth()) / 2, paddingLeft);
                            i4 = paddingRight;
                            paddingRight = paddingLeft;
                            paddingLeft = i4;
                            break;
                        case C0729b.View_paddingEnd /*3*/:
                            max = childAt.getWidth() + paddingLeft;
                            i4 = paddingLeft;
                            paddingLeft = paddingRight;
                            paddingRight = max;
                            max = i4;
                            break;
                        case C0729b.Toolbar_contentInsetStart /*5*/:
                            max = (width - paddingRight) - childAt.getMeasuredWidth();
                            i4 = paddingRight + childAt.getMeasuredWidth();
                            paddingRight = paddingLeft;
                            paddingLeft = i4;
                            break;
                        default:
                            max = paddingLeft;
                            i4 = paddingRight;
                            paddingRight = paddingLeft;
                            paddingLeft = i4;
                            break;
                    }
                    max = (max + scrollX) - childAt.getLeft();
                    if (max != 0) {
                        childAt.offsetLeftAndRight(max);
                    }
                } else {
                    i4 = paddingRight;
                    paddingRight = paddingLeft;
                    paddingLeft = i4;
                }
                i3++;
                i4 = paddingLeft;
                paddingLeft = paddingRight;
                paddingRight = i4;
            }
        }
        m970b(i, f, i2);
        if (this.ad != null) {
            paddingRight = getScrollX();
            i3 = getChildCount();
            for (paddingLeft = 0; paddingLeft < i3; paddingLeft++) {
                View childAt2 = getChildAt(paddingLeft);
                if (!((dm) childAt2.getLayoutParams()).f689a) {
                    this.ad.m1795a(childAt2, ((float) (childAt2.getLeft() - paddingRight)) / ((float) getClientWidth()));
                }
            }
        }
        this.f585U = true;
    }

    void m988a(int i, int i2, int i3) {
        if (getChildCount() == 0) {
            setScrollingCacheEnabled(false);
            return;
        }
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        int i4 = i - scrollX;
        int i5 = i2 - scrollY;
        if (i4 == 0 && i5 == 0) {
            m968a(false);
            m996b();
            setScrollState(0);
            return;
        }
        setScrollingCacheEnabled(true);
        setScrollState(2);
        int clientWidth = getClientWidth();
        int i6 = clientWidth / 2;
        float a = (((float) i6) * m982a(Math.min(1.0f, (((float) Math.abs(i4)) * 1.0f) / ((float) clientWidth)))) + ((float) i6);
        int abs = Math.abs(i3);
        if (abs > 0) {
            clientWidth = Math.round(1000.0f * Math.abs(a / ((float) abs))) * 4;
        } else {
            clientWidth = (int) (((((float) Math.abs(i4)) / ((((float) clientWidth) * this.f592h.m1464a(this.f593i)) + ((float) this.f599o))) + 1.0f) * 100.0f);
        }
        this.f597m.startScroll(scrollX, scrollY, i4, i5, Math.min(clientWidth, 600));
        bw.m1517d(this);
    }

    public void m989a(int i, boolean z) {
        this.f609y = false;
        m990a(i, z, false);
    }

    void m990a(int i, boolean z, boolean z2) {
        m991a(i, z, z2, 0);
    }

    void m991a(int i, boolean z, boolean z2, int i2) {
        boolean z3 = false;
        if (this.f592h == null || this.f592h.m1465a() <= 0) {
            setScrollingCacheEnabled(false);
        } else if (z2 || this.f593i != i || this.f589e.size() == 0) {
            if (i < 0) {
                i = 0;
            } else if (i >= this.f592h.m1465a()) {
                i = this.f592h.m1465a() - 1;
            }
            int i3 = this.f610z;
            if (i > this.f593i + i3 || i < this.f593i - i3) {
                for (int i4 = 0; i4 < this.f589e.size(); i4++) {
                    ((dl) this.f589e.get(i4)).f686c = true;
                }
            }
            if (this.f593i != i) {
                z3 = true;
            }
            if (this.f583S) {
                this.f593i = i;
                if (z3) {
                    m975e(i);
                }
                requestLayout();
                return;
            }
            m986a(i);
            m965a(i, z, i2, z3);
        } else {
            setScrollingCacheEnabled(false);
        }
    }

    public boolean m992a(KeyEvent keyEvent) {
        if (keyEvent.getAction() != 0) {
            return false;
        }
        switch (keyEvent.getKeyCode()) {
            case C0729b.Toolbar_navigationContentDescription /*21*/:
                return m998c(17);
            case C0729b.Toolbar_logoDescription /*22*/:
                return m998c(66);
            case C0729b.Theme_popupWindowStyle /*61*/:
                return VERSION.SDK_INT >= 11 ? C0222v.m1973a(keyEvent) ? m998c(2) : C0222v.m1974a(keyEvent, 1) ? m998c(1) : false : false;
            default:
                return false;
        }
    }

    protected boolean m993a(View view, boolean z, int i, int i2, int i3) {
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int scrollX = view.getScrollX();
            int scrollY = view.getScrollY();
            for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount);
                if (i2 + scrollX >= childAt.getLeft() && i2 + scrollX < childAt.getRight() && i3 + scrollY >= childAt.getTop() && i3 + scrollY < childAt.getBottom()) {
                    if (m993a(childAt, true, i, (i2 + scrollX) - childAt.getLeft(), (i3 + scrollY) - childAt.getTop())) {
                        return true;
                    }
                }
            }
        }
        return z && bw.m1509a(view, -i);
    }

    public void addFocusables(ArrayList arrayList, int i, int i2) {
        int size = arrayList.size();
        int descendantFocusability = getDescendantFocusability();
        if (descendantFocusability != 393216) {
            for (int i3 = 0; i3 < getChildCount(); i3++) {
                View childAt = getChildAt(i3);
                if (childAt.getVisibility() == 0) {
                    dl a = m984a(childAt);
                    if (a != null && a.f685b == this.f593i) {
                        childAt.addFocusables(arrayList, i, i2);
                    }
                }
            }
        }
        if ((descendantFocusability == 262144 && size != arrayList.size()) || !isFocusable()) {
            return;
        }
        if (((i2 & 1) != 1 || !isInTouchMode() || isFocusableInTouchMode()) && arrayList != null) {
            arrayList.add(this);
        }
    }

    public void addTouchables(ArrayList arrayList) {
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() == 0) {
                dl a = m984a(childAt);
                if (a != null && a.f685b == this.f593i) {
                    childAt.addTouchables(arrayList);
                }
            }
        }
    }

    public void addView(View view, int i, LayoutParams layoutParams) {
        LayoutParams generateLayoutParams = !checkLayoutParams(layoutParams) ? generateLayoutParams(layoutParams) : layoutParams;
        dm dmVar = (dm) generateLayoutParams;
        dmVar.f689a |= view instanceof dk;
        if (!this.f607w) {
            super.addView(view, i, generateLayoutParams);
        } else if (dmVar == null || !dmVar.f689a) {
            dmVar.f692d = true;
            addViewInLayout(view, i, generateLayoutParams);
        } else {
            throw new IllegalStateException("Cannot add pager decor view during layout");
        }
    }

    dl m994b(int i) {
        for (int i2 = 0; i2 < this.f589e.size(); i2++) {
            dl dlVar = (dl) this.f589e.get(i2);
            if (dlVar.f685b == i) {
                return dlVar;
            }
        }
        return null;
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    android.support.v4.view.dl m995b(android.view.View r3) {
        /*
        r2 = this;
    L_0x0000:
        r0 = r3.getParent();
        if (r0 == r2) goto L_0x0012;
    L_0x0006:
        if (r0 == 0) goto L_0x000c;
    L_0x0008:
        r1 = r0 instanceof android.view.View;
        if (r1 != 0) goto L_0x000e;
    L_0x000c:
        r0 = 0;
    L_0x000d:
        return r0;
    L_0x000e:
        r0 = (android.view.View) r0;
        r3 = r0;
        goto L_0x0000;
    L_0x0012:
        r0 = r2.m984a(r3);
        goto L_0x000d;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.view.ViewPager.b(android.view.View):android.support.v4.view.dl");
    }

    void m996b() {
        m986a(this.f593i);
    }

    boolean m997c() {
        if (this.f593i <= 0) {
            return false;
        }
        m989a(this.f593i - 1, true);
        return true;
    }

    public boolean m998c(int i) {
        View view;
        boolean c;
        View findFocus = findFocus();
        if (findFocus == this) {
            view = null;
        } else {
            if (findFocus != null) {
                Object obj;
                for (ViewPager parent = findFocus.getParent(); parent instanceof ViewGroup; parent = parent.getParent()) {
                    if (parent == this) {
                        obj = 1;
                        break;
                    }
                }
                obj = null;
                if (obj == null) {
                    StringBuilder stringBuilder = new StringBuilder();
                    stringBuilder.append(findFocus.getClass().getSimpleName());
                    for (ViewParent parent2 = findFocus.getParent(); parent2 instanceof ViewGroup; parent2 = parent2.getParent()) {
                        stringBuilder.append(" => ").append(parent2.getClass().getSimpleName());
                    }
                    Log.e("ViewPager", "arrowScroll tried to find focus based on non-child current focused view " + stringBuilder.toString());
                    view = null;
                }
            }
            view = findFocus;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, view, i);
        if (findNextFocus == null || findNextFocus == view) {
            if (i == 17 || i == 1) {
                c = m997c();
            } else {
                if (i == 66 || i == 2) {
                    c = m999d();
                }
                c = false;
            }
        } else if (i == 17) {
            c = (view == null || m963a(this.f591g, findNextFocus).left < m963a(this.f591g, view).left) ? findNextFocus.requestFocus() : m997c();
        } else {
            if (i == 66) {
                c = (view == null || m963a(this.f591g, findNextFocus).left > m963a(this.f591g, view).left) ? findNextFocus.requestFocus() : m999d();
            }
            c = false;
        }
        if (c) {
            playSoundEffect(SoundEffectConstants.getContantForFocusDirection(i));
        }
        return c;
    }

    public boolean canScrollHorizontally(int i) {
        boolean z = true;
        if (this.f592h == null) {
            return false;
        }
        int clientWidth = getClientWidth();
        int scrollX = getScrollX();
        if (i < 0) {
            if (scrollX <= ((int) (((float) clientWidth) * this.f603s))) {
                z = false;
            }
            return z;
        } else if (i <= 0) {
            return false;
        } else {
            if (scrollX >= ((int) (((float) clientWidth) * this.f604t))) {
                z = false;
            }
            return z;
        }
    }

    protected boolean checkLayoutParams(LayoutParams layoutParams) {
        return (layoutParams instanceof dm) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        if (this.f597m.isFinished() || !this.f597m.computeScrollOffset()) {
            m968a(true);
            return;
        }
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        int currX = this.f597m.getCurrX();
        int currY = this.f597m.getCurrY();
        if (!(scrollX == currX && scrollY == currY)) {
            scrollTo(currX, currY);
            if (!m974d(currX)) {
                this.f597m.abortAnimation();
                scrollTo(0, currY);
            }
        }
        bw.m1517d(this);
    }

    boolean m999d() {
        if (this.f592h == null || this.f593i >= this.f592h.m1465a() - 1) {
            return false;
        }
        m989a(this.f593i + 1, true);
        return true;
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || m992a(keyEvent);
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        if (accessibilityEvent.getEventType() == 4096) {
            return super.dispatchPopulateAccessibilityEvent(accessibilityEvent);
        }
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() == 0) {
                dl a = m984a(childAt);
                if (a != null && a.f685b == this.f593i && childAt.dispatchPopulateAccessibilityEvent(accessibilityEvent)) {
                    return true;
                }
            }
        }
        return false;
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        int i = 0;
        int a = bw.m1495a(this);
        if (a == 0 || (a == 1 && this.f592h != null && this.f592h.m1465a() > 1)) {
            int height;
            int width;
            if (!this.f581Q.m2185a()) {
                a = canvas.save();
                height = (getHeight() - getPaddingTop()) - getPaddingBottom();
                width = getWidth();
                canvas.rotate(270.0f);
                canvas.translate((float) ((-height) + getPaddingTop()), this.f603s * ((float) width));
                this.f581Q.m2184a(height, width);
                i = 0 | this.f581Q.m2189a(canvas);
                canvas.restoreToCount(a);
            }
            if (!this.f582R.m2185a()) {
                a = canvas.save();
                height = getWidth();
                width = (getHeight() - getPaddingTop()) - getPaddingBottom();
                canvas.rotate(90.0f);
                canvas.translate((float) (-getPaddingTop()), (-(this.f604t + 1.0f)) * ((float) height));
                this.f582R.m2184a(width, height);
                i |= this.f582R.m2189a(canvas);
                canvas.restoreToCount(a);
            }
        } else {
            this.f581Q.m2190b();
            this.f582R.m2190b();
        }
        if (i != 0) {
            bw.m1517d(this);
        }
    }

    protected void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f600p;
        if (drawable != null && drawable.isStateful()) {
            drawable.setState(getDrawableState());
        }
    }

    protected LayoutParams generateDefaultLayoutParams() {
        return new dm();
    }

    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new dm(getContext(), attributeSet);
    }

    protected LayoutParams generateLayoutParams(LayoutParams layoutParams) {
        return generateDefaultLayoutParams();
    }

    public bo getAdapter() {
        return this.f592h;
    }

    protected int getChildDrawingOrder(int i, int i2) {
        if (this.af == 2) {
            i2 = (i - 1) - i2;
        }
        return ((dm) ((View) this.ag.get(i2)).getLayoutParams()).f694f;
    }

    public int getCurrentItem() {
        return this.f593i;
    }

    public int getOffscreenPageLimit() {
        return this.f610z;
    }

    public int getPageMargin() {
        return this.f599o;
    }

    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f583S = true;
    }

    protected void onDetachedFromWindow() {
        removeCallbacks(this.ai);
        super.onDetachedFromWindow();
    }

    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.f599o > 0 && this.f600p != null && this.f589e.size() > 0 && this.f592h != null) {
            int scrollX = getScrollX();
            int width = getWidth();
            float f = ((float) this.f599o) / ((float) width);
            dl dlVar = (dl) this.f589e.get(0);
            float f2 = dlVar.f688e;
            int size = this.f589e.size();
            int i = dlVar.f685b;
            int i2 = ((dl) this.f589e.get(size - 1)).f685b;
            int i3 = 0;
            int i4 = i;
            while (i4 < i2) {
                float f3;
                while (i4 > dlVar.f685b && i3 < size) {
                    i3++;
                    dlVar = (dl) this.f589e.get(i3);
                }
                if (i4 == dlVar.f685b) {
                    f3 = (dlVar.f688e + dlVar.f687d) * ((float) width);
                    f2 = (dlVar.f688e + dlVar.f687d) + f;
                } else {
                    float a = this.f592h.m1464a(i4);
                    f3 = (f2 + a) * ((float) width);
                    f2 += a + f;
                }
                if (((float) this.f599o) + f3 > ((float) scrollX)) {
                    this.f600p.setBounds((int) f3, this.f601q, (int) ((((float) this.f599o) + f3) + 0.5f), this.f602r);
                    this.f600p.draw(canvas);
                }
                if (f3 <= ((float) (scrollX + width))) {
                    i4++;
                } else {
                    return;
                }
            }
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction() & 255;
        if (action == 3 || action == 1) {
            this.f565A = false;
            this.f566B = false;
            this.f574J = -1;
            if (this.f575K == null) {
                return false;
            }
            this.f575K.recycle();
            this.f575K = null;
            return false;
        }
        if (action != 0) {
            if (this.f565A) {
                return true;
            }
            if (this.f566B) {
                return false;
            }
        }
        switch (action) {
            case C0729b.View_android_theme /*0*/:
                float x = motionEvent.getX();
                this.f572H = x;
                this.f570F = x;
                x = motionEvent.getY();
                this.f573I = x;
                this.f571G = x;
                this.f574J = ba.m1417b(motionEvent, 0);
                this.f566B = false;
                this.f597m.computeScrollOffset();
                if (this.aj == 2 && Math.abs(this.f597m.getFinalX() - this.f597m.getCurrX()) > this.f579O) {
                    this.f597m.abortAnimation();
                    this.f609y = false;
                    m996b();
                    this.f565A = true;
                    m973c(true);
                    setScrollState(1);
                    break;
                }
                m968a(false);
                this.f565A = false;
                break;
                break;
            case C0729b.View_paddingStart /*2*/:
                action = this.f574J;
                if (action != -1) {
                    action = ba.m1415a(motionEvent, action);
                    float c = ba.m1418c(motionEvent, action);
                    float f = c - this.f570F;
                    float abs = Math.abs(f);
                    float d = ba.m1420d(motionEvent, action);
                    float abs2 = Math.abs(d - this.f573I);
                    if (f == 0.0f || m969a(this.f570F, f) || !m993a(this, false, (int) f, (int) c, (int) d)) {
                        if (abs > ((float) this.f569E) && 0.5f * abs > abs2) {
                            this.f565A = true;
                            m973c(true);
                            setScrollState(1);
                            this.f570F = f > 0.0f ? this.f572H + ((float) this.f569E) : this.f572H - ((float) this.f569E);
                            this.f571G = d;
                            setScrollingCacheEnabled(true);
                        } else if (abs2 > ((float) this.f569E)) {
                            this.f566B = true;
                        }
                        if (this.f565A && m972b(c)) {
                            bw.m1517d(this);
                            break;
                        }
                    }
                    this.f570F = c;
                    this.f571G = d;
                    this.f566B = true;
                    return false;
                }
                break;
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                m967a(motionEvent);
                break;
        }
        if (this.f575K == null) {
            this.f575K = VelocityTracker.obtain();
        }
        this.f575K.addMovement(motionEvent);
        return this.f565A;
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int max;
        int childCount = getChildCount();
        int i5 = i3 - i;
        int i6 = i4 - i2;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        int scrollX = getScrollX();
        int i7 = 0;
        int i8 = 0;
        while (i8 < childCount) {
            dm dmVar;
            int measuredWidth;
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() != 8) {
                dmVar = (dm) childAt.getLayoutParams();
                if (dmVar.f689a) {
                    int i9 = dmVar.f690b & 112;
                    switch (dmVar.f690b & 7) {
                        case C0729b.View_android_focusable /*1*/:
                            max = Math.max((i5 - childAt.getMeasuredWidth()) / 2, paddingLeft);
                            break;
                        case C0729b.View_paddingEnd /*3*/:
                            max = paddingLeft;
                            paddingLeft = childAt.getMeasuredWidth() + paddingLeft;
                            break;
                        case C0729b.Toolbar_contentInsetStart /*5*/:
                            measuredWidth = (i5 - paddingRight) - childAt.getMeasuredWidth();
                            paddingRight += childAt.getMeasuredWidth();
                            max = measuredWidth;
                            break;
                        default:
                            max = paddingLeft;
                            break;
                    }
                    int i10;
                    switch (i9) {
                        case C0729b.Toolbar_titleMarginBottom /*16*/:
                            measuredWidth = Math.max((i6 - childAt.getMeasuredHeight()) / 2, paddingTop);
                            i10 = paddingBottom;
                            paddingBottom = paddingTop;
                            paddingTop = i10;
                            break;
                        case C0729b.Theme_homeAsUpIndicator /*48*/:
                            measuredWidth = childAt.getMeasuredHeight() + paddingTop;
                            i10 = paddingTop;
                            paddingTop = paddingBottom;
                            paddingBottom = measuredWidth;
                            measuredWidth = i10;
                            break;
                        case C0729b.Theme_listChoiceBackgroundIndicator /*80*/:
                            measuredWidth = (i6 - paddingBottom) - childAt.getMeasuredHeight();
                            i10 = paddingBottom + childAt.getMeasuredHeight();
                            paddingBottom = paddingTop;
                            paddingTop = i10;
                            break;
                        default:
                            measuredWidth = paddingTop;
                            i10 = paddingBottom;
                            paddingBottom = paddingTop;
                            paddingTop = i10;
                            break;
                    }
                    max += scrollX;
                    childAt.layout(max, measuredWidth, childAt.getMeasuredWidth() + max, childAt.getMeasuredHeight() + measuredWidth);
                    measuredWidth = i7 + 1;
                    i7 = paddingBottom;
                    paddingBottom = paddingTop;
                    paddingTop = paddingRight;
                    paddingRight = paddingLeft;
                    i8++;
                    paddingLeft = paddingRight;
                    paddingRight = paddingTop;
                    paddingTop = i7;
                    i7 = measuredWidth;
                }
            }
            measuredWidth = i7;
            i7 = paddingTop;
            paddingTop = paddingRight;
            paddingRight = paddingLeft;
            i8++;
            paddingLeft = paddingRight;
            paddingRight = paddingTop;
            paddingTop = i7;
            i7 = measuredWidth;
        }
        max = (i5 - paddingLeft) - paddingRight;
        for (paddingRight = 0; paddingRight < childCount; paddingRight++) {
            View childAt2 = getChildAt(paddingRight);
            if (childAt2.getVisibility() != 8) {
                dmVar = (dm) childAt2.getLayoutParams();
                if (!dmVar.f689a) {
                    dl a = m984a(childAt2);
                    if (a != null) {
                        i5 = ((int) (a.f688e * ((float) max))) + paddingLeft;
                        if (dmVar.f692d) {
                            dmVar.f692d = false;
                            childAt2.measure(MeasureSpec.makeMeasureSpec((int) (dmVar.f691c * ((float) max)), 1073741824), MeasureSpec.makeMeasureSpec((i6 - paddingTop) - paddingBottom, 1073741824));
                        }
                        childAt2.layout(i5, paddingTop, childAt2.getMeasuredWidth() + i5, childAt2.getMeasuredHeight() + paddingTop);
                    }
                }
            }
        }
        this.f601q = paddingTop;
        this.f602r = i6 - paddingBottom;
        this.f586V = i7;
        if (this.f583S) {
            m965a(this.f593i, false, 0, false);
        }
        this.f583S = false;
    }

    protected void onMeasure(int i, int i2) {
        int i3;
        setMeasuredDimension(getDefaultSize(0, i), getDefaultSize(0, i2));
        int measuredWidth = getMeasuredWidth();
        this.f568D = Math.min(measuredWidth / 10, this.f567C);
        int paddingLeft = (measuredWidth - getPaddingLeft()) - getPaddingRight();
        int measuredHeight = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
        int childCount = getChildCount();
        for (int i4 = 0; i4 < childCount; i4++) {
            dm dmVar;
            int i5;
            View childAt = getChildAt(i4);
            if (childAt.getVisibility() != 8) {
                dmVar = (dm) childAt.getLayoutParams();
                if (dmVar != null && dmVar.f689a) {
                    int i6 = dmVar.f690b & 7;
                    int i7 = dmVar.f690b & 112;
                    i3 = Integer.MIN_VALUE;
                    i5 = Integer.MIN_VALUE;
                    Object obj = (i7 == 48 || i7 == 80) ? 1 : null;
                    Object obj2 = (i6 == 3 || i6 == 5) ? 1 : null;
                    if (obj != null) {
                        i3 = 1073741824;
                    } else if (obj2 != null) {
                        i5 = 1073741824;
                    }
                    if (dmVar.width != -2) {
                        i7 = 1073741824;
                        i3 = dmVar.width != -1 ? dmVar.width : paddingLeft;
                    } else {
                        i7 = i3;
                        i3 = paddingLeft;
                    }
                    if (dmVar.height != -2) {
                        i5 = 1073741824;
                        if (dmVar.height != -1) {
                            measuredWidth = dmVar.height;
                            childAt.measure(MeasureSpec.makeMeasureSpec(i3, i7), MeasureSpec.makeMeasureSpec(measuredWidth, i5));
                            if (obj != null) {
                                measuredHeight -= childAt.getMeasuredHeight();
                            } else if (obj2 != null) {
                                paddingLeft -= childAt.getMeasuredWidth();
                            }
                        }
                    }
                    measuredWidth = measuredHeight;
                    childAt.measure(MeasureSpec.makeMeasureSpec(i3, i7), MeasureSpec.makeMeasureSpec(measuredWidth, i5));
                    if (obj != null) {
                        measuredHeight -= childAt.getMeasuredHeight();
                    } else if (obj2 != null) {
                        paddingLeft -= childAt.getMeasuredWidth();
                    }
                }
            }
        }
        this.f605u = MeasureSpec.makeMeasureSpec(paddingLeft, 1073741824);
        this.f606v = MeasureSpec.makeMeasureSpec(measuredHeight, 1073741824);
        this.f607w = true;
        m996b();
        this.f607w = false;
        i3 = getChildCount();
        for (i5 = 0; i5 < i3; i5++) {
            View childAt2 = getChildAt(i5);
            if (childAt2.getVisibility() != 8) {
                dmVar = (dm) childAt2.getLayoutParams();
                if (dmVar == null || !dmVar.f689a) {
                    childAt2.measure(MeasureSpec.makeMeasureSpec((int) (dmVar.f691c * ((float) paddingLeft)), 1073741824), this.f606v);
                }
            }
        }
    }

    protected boolean onRequestFocusInDescendants(int i, Rect rect) {
        int i2;
        int i3 = -1;
        int childCount = getChildCount();
        if ((i & 2) != 0) {
            i3 = 1;
            i2 = 0;
        } else {
            i2 = childCount - 1;
            childCount = -1;
        }
        while (i2 != childCount) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0) {
                dl a = m984a(childAt);
                if (a != null && a.f685b == this.f593i && childAt.requestFocus(i, rect)) {
                    return true;
                }
            }
            i2 += i3;
        }
        return false;
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            SavedState savedState = (SavedState) parcelable;
            super.onRestoreInstanceState(savedState.getSuperState());
            if (this.f592h != null) {
                this.f592h.m1470a(savedState.f560b, savedState.f561c);
                m990a(savedState.f559a, false, true);
                return;
            }
            this.f594j = savedState.f559a;
            this.f595k = savedState.f560b;
            this.f596l = savedState.f561c;
            return;
        }
        super.onRestoreInstanceState(parcelable);
    }

    public Parcelable onSaveInstanceState() {
        Parcelable savedState = new SavedState(super.onSaveInstanceState());
        savedState.f559a = this.f593i;
        if (this.f592h != null) {
            savedState.f560b = this.f592h.m1476b();
        }
        return savedState;
    }

    protected void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        if (i != i3) {
            m964a(i, i3, this.f599o, this.f599o);
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z = false;
        if (this.f580P) {
            return true;
        }
        if (motionEvent.getAction() == 0 && motionEvent.getEdgeFlags() != 0) {
            return false;
        }
        if (this.f592h == null || this.f592h.m1465a() == 0) {
            return false;
        }
        if (this.f575K == null) {
            this.f575K = VelocityTracker.obtain();
        }
        this.f575K.addMovement(motionEvent);
        float x;
        int a;
        switch (motionEvent.getAction() & 255) {
            case C0729b.View_android_theme /*0*/:
                this.f597m.abortAnimation();
                this.f609y = false;
                m996b();
                x = motionEvent.getX();
                this.f572H = x;
                this.f570F = x;
                x = motionEvent.getY();
                this.f573I = x;
                this.f571G = x;
                this.f574J = ba.m1417b(motionEvent, 0);
                break;
            case C0729b.View_android_focusable /*1*/:
                if (this.f565A) {
                    VelocityTracker velocityTracker = this.f575K;
                    velocityTracker.computeCurrentVelocity(1000, (float) this.f577M);
                    a = (int) br.m1482a(velocityTracker, this.f574J);
                    this.f609y = true;
                    int clientWidth = getClientWidth();
                    int scrollX = getScrollX();
                    dl h = m980h();
                    m991a(m962a(h.f685b, ((((float) scrollX) / ((float) clientWidth)) - h.f688e) / h.f687d, a, (int) (ba.m1418c(motionEvent, ba.m1415a(motionEvent, this.f574J)) - this.f572H)), true, true, a);
                    this.f574J = -1;
                    m981i();
                    z = this.f582R.m2191c() | this.f581Q.m2191c();
                    break;
                }
                break;
            case C0729b.View_paddingStart /*2*/:
                if (!this.f565A) {
                    a = ba.m1415a(motionEvent, this.f574J);
                    float c = ba.m1418c(motionEvent, a);
                    float abs = Math.abs(c - this.f570F);
                    float d = ba.m1420d(motionEvent, a);
                    x = Math.abs(d - this.f571G);
                    if (abs > ((float) this.f569E) && abs > x) {
                        this.f565A = true;
                        m973c(true);
                        this.f570F = c - this.f572H > 0.0f ? this.f572H + ((float) this.f569E) : this.f572H - ((float) this.f569E);
                        this.f571G = d;
                        setScrollState(1);
                        setScrollingCacheEnabled(true);
                        ViewParent parent = getParent();
                        if (parent != null) {
                            parent.requestDisallowInterceptTouchEvent(true);
                        }
                    }
                }
                if (this.f565A) {
                    z = false | m972b(ba.m1418c(motionEvent, ba.m1415a(motionEvent, this.f574J)));
                    break;
                }
                break;
            case C0729b.View_paddingEnd /*3*/:
                if (this.f565A) {
                    m965a(this.f593i, true, 0, false);
                    this.f574J = -1;
                    m981i();
                    z = this.f582R.m2191c() | this.f581Q.m2191c();
                    break;
                }
                break;
            case C0729b.Toolbar_contentInsetStart /*5*/:
                a = ba.m1416b(motionEvent);
                this.f570F = ba.m1418c(motionEvent, a);
                this.f574J = ba.m1417b(motionEvent, a);
                break;
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                m967a(motionEvent);
                this.f570F = ba.m1418c(motionEvent, ba.m1415a(motionEvent, this.f574J));
                break;
        }
        if (z) {
            bw.m1517d(this);
        }
        return true;
    }

    public void removeView(View view) {
        if (this.f607w) {
            removeViewInLayout(view);
        } else {
            super.removeView(view);
        }
    }

    public void setAdapter(bo boVar) {
        if (this.f592h != null) {
            this.f592h.m1477b(this.f598n);
            this.f592h.m1473a((ViewGroup) this);
            for (int i = 0; i < this.f589e.size(); i++) {
                dl dlVar = (dl) this.f589e.get(i);
                this.f592h.m1474a((ViewGroup) this, dlVar.f685b, dlVar.f684a);
            }
            this.f592h.m1480b((ViewGroup) this);
            this.f589e.clear();
            m977f();
            this.f593i = 0;
            scrollTo(0, 0);
        }
        bo boVar2 = this.f592h;
        this.f592h = boVar;
        this.f588b = 0;
        if (this.f592h != null) {
            if (this.f598n == null) {
                this.f598n = new dq();
            }
            this.f592h.m1469a(this.f598n);
            this.f609y = false;
            boolean z = this.f583S;
            this.f583S = true;
            this.f588b = this.f592h.m1465a();
            if (this.f594j >= 0) {
                this.f592h.m1470a(this.f595k, this.f596l);
                m990a(this.f594j, false, true);
                this.f594j = -1;
                this.f595k = null;
                this.f596l = null;
            } else if (z) {
                requestLayout();
            } else {
                m996b();
            }
        }
        if (this.ac != null && boVar2 != boVar) {
            this.ac.m1791a(boVar2, boVar);
        }
    }

    void setChildrenDrawingOrderEnabledCompat(boolean z) {
        if (VERSION.SDK_INT >= 7) {
            if (this.ae == null) {
                try {
                    this.ae = ViewGroup.class.getDeclaredMethod("setChildrenDrawingOrderEnabled", new Class[]{Boolean.TYPE});
                } catch (Throwable e) {
                    Log.e("ViewPager", "Can't find setChildrenDrawingOrderEnabled", e);
                }
            }
            try {
                this.ae.invoke(this, new Object[]{Boolean.valueOf(z)});
            } catch (Throwable e2) {
                Log.e("ViewPager", "Error changing children drawing order", e2);
            }
        }
    }

    public void setCurrentItem(int i) {
        this.f609y = false;
        m990a(i, !this.f583S, false);
    }

    public void setOffscreenPageLimit(int i) {
        if (i < 1) {
            Log.w("ViewPager", "Requested offscreen page limit " + i + " too small; defaulting to " + 1);
            i = 1;
        }
        if (i != this.f610z) {
            this.f610z = i;
            m996b();
        }
    }

    void setOnAdapterChangeListener(dn dnVar) {
        this.ac = dnVar;
    }

    @Deprecated
    public void setOnPageChangeListener(C0206do c0206do) {
        this.aa = c0206do;
    }

    public void setPageMargin(int i) {
        int i2 = this.f599o;
        this.f599o = i;
        int width = getWidth();
        m964a(width, width, i, i2);
        requestLayout();
    }

    public void setPageMarginDrawable(int i) {
        setPageMarginDrawable(getContext().getResources().getDrawable(i));
    }

    public void setPageMarginDrawable(Drawable drawable) {
        this.f600p = drawable;
        if (drawable != null) {
            refreshDrawableState();
        }
        setWillNotDraw(drawable == null);
        invalidate();
    }

    protected boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f600p;
    }
}
