package android.support.v4.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.os.SystemClock;
import android.support.v4.p009b.C0054a;
import android.support.v4.p010c.p011a.C0094a;
import android.support.v4.view.C0217q;
import android.support.v4.view.C0222v;
import android.support.v4.view.bw;
import android.support.v4.view.da;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.BaseSavedState;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import com.neatorobotics.android.C0729b;
import java.util.ArrayList;

public class DrawerLayout extends ViewGroup implements ag {
    static final C0249w f727a;
    private static final int[] f728b;
    private static final boolean f729c;
    private static final boolean f730d;
    private Drawable f731A;
    private CharSequence f732B;
    private CharSequence f733C;
    private Object f734D;
    private boolean f735E;
    private Drawable f736F;
    private Drawable f737G;
    private Drawable f738H;
    private Drawable f739I;
    private final ArrayList f740J;
    private final C0248v f741e;
    private float f742f;
    private int f743g;
    private int f744h;
    private float f745i;
    private Paint f746j;
    private final cj f747k;
    private final cj f748l;
    private final ac f749m;
    private final ac f750n;
    private int f751o;
    private boolean f752p;
    private boolean f753q;
    private int f754r;
    private int f755s;
    private boolean f756t;
    private boolean f757u;
    private C0252z f758v;
    private float f759w;
    private float f760x;
    private Drawable f761y;
    private Drawable f762z;

    public class SavedState extends BaseSavedState {
        public static final Creator CREATOR;
        int f724a;
        int f725b;
        int f726c;

        static {
            CREATOR = new ab();
        }

        public SavedState(Parcel parcel) {
            super(parcel);
            this.f724a = 0;
            this.f725b = 0;
            this.f726c = 0;
            this.f724a = parcel.readInt();
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
            this.f724a = 0;
            this.f725b = 0;
            this.f726c = 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f724a);
        }
    }

    static {
        boolean z = true;
        f728b = new int[]{16842931};
        f729c = VERSION.SDK_INT >= 19;
        if (VERSION.SDK_INT < 21) {
            z = false;
        }
        f730d = z;
        if (VERSION.SDK_INT >= 21) {
            f727a = new C0250x();
        } else {
            f727a = new C0251y();
        }
    }

    public DrawerLayout(Context context) {
        this(context, null);
    }

    public DrawerLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public DrawerLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f741e = new C0248v(this);
        this.f744h = -1728053248;
        this.f746j = new Paint();
        this.f753q = true;
        this.f736F = null;
        this.f737G = null;
        this.f738H = null;
        this.f739I = null;
        setDescendantFocusability(262144);
        float f = getResources().getDisplayMetrics().density;
        this.f743g = (int) ((64.0f * f) + 0.5f);
        float f2 = 400.0f * f;
        this.f749m = new ac(this, 3);
        this.f750n = new ac(this, 5);
        this.f747k = cj.m2414a((ViewGroup) this, 1.0f, this.f749m);
        this.f747k.m2433a(1);
        this.f747k.m2432a(f2);
        this.f749m.m2171a(this.f747k);
        this.f748l = cj.m2414a((ViewGroup) this, 1.0f, this.f750n);
        this.f748l.m2433a(2);
        this.f748l.m2432a(f2);
        this.f750n.m2171a(this.f748l);
        setFocusableInTouchMode(true);
        bw.m1515c((View) this, 1);
        bw.m1503a((View) this, new C0247u(this));
        da.m1785a(this, false);
        if (bw.m1538v(this)) {
            f727a.m2484a((View) this);
            this.f761y = f727a.m2483a(context);
        }
        this.f742f = f * 10.0f;
        this.f740J = new ArrayList();
    }

    private void m1990a(View view, boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if ((z || m2026g(childAt)) && !(z && childAt == view)) {
                bw.m1515c(childAt, 4);
            } else {
                bw.m1515c(childAt, 1);
            }
        }
    }

    private boolean m1991a(Drawable drawable, int i) {
        if (drawable == null || !C0094a.m747b(drawable)) {
            return false;
        }
        C0094a.m746b(drawable, i);
        return true;
    }

    static String m1992c(int i) {
        return (i & 3) == 3 ? "LEFT" : (i & 5) == 5 ? "RIGHT" : Integer.toHexString(i);
    }

    private void m1995f() {
        if (!f730d) {
            this.f762z = m1996g();
            this.f731A = m1997h();
        }
    }

    private Drawable m1996g() {
        int h = bw.m1524h(this);
        if (h == 0) {
            if (this.f736F != null) {
                m1991a(this.f736F, h);
                return this.f736F;
            }
        } else if (this.f737G != null) {
            m1991a(this.f737G, h);
            return this.f737G;
        }
        return this.f738H;
    }

    private Drawable m1997h() {
        int h = bw.m1524h(this);
        if (h == 0) {
            if (this.f737G != null) {
                m1991a(this.f737G, h);
                return this.f737G;
            }
        } else if (this.f736F != null) {
            m1991a(this.f736F, h);
            return this.f736F;
        }
        return this.f739I;
    }

    private boolean m1998i() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            if (((aa) getChildAt(i).getLayoutParams()).f873c) {
                return true;
            }
        }
        return false;
    }

    private boolean m1999j() {
        return m2000k() != null;
    }

    private View m2000k() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (m2026g(childAt) && m2030k(childAt)) {
                return childAt;
            }
        }
        return null;
    }

    private static boolean m2002m(View view) {
        Drawable background = view.getBackground();
        return background != null && background.getOpacity() == -1;
    }

    private static boolean m2003n(View view) {
        return (bw.m1519e(view) == 4 || bw.m1519e(view) == 2) ? false : true;
    }

    public int m2004a(View view) {
        int e = m2021e(view);
        return e == 3 ? this.f754r : e == 5 ? this.f755s : 0;
    }

    View m2005a() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (((aa) childAt.getLayoutParams()).f874d) {
                return childAt;
            }
        }
        return null;
    }

    public CharSequence m2006a(int i) {
        int a = C0217q.m1968a(i, bw.m1524h(this));
        return a == 3 ? this.f732B : a == 5 ? this.f733C : null;
    }

    public void m2007a(int i, int i2) {
        int a = C0217q.m1968a(i2, bw.m1524h(this));
        if (a == 3) {
            this.f754r = i;
        } else if (a == 5) {
            this.f755s = i;
        }
        if (i != 0) {
            (a == 3 ? this.f747k : this.f748l).m2451e();
        }
        View b;
        switch (i) {
            case C0729b.View_android_focusable /*1*/:
                b = m2013b(a);
                if (b != null) {
                    m2028i(b);
                }
            case C0729b.View_paddingStart /*2*/:
                b = m2013b(a);
                if (b != null) {
                    m2027h(b);
                }
            default:
        }
    }

    void m2008a(int i, int i2, View view) {
        int i3 = 1;
        int a = this.f747k.m2431a();
        int a2 = this.f748l.m2431a();
        if (!(a == 1 || a2 == 1)) {
            i3 = (a == 2 || a2 == 2) ? 2 : 0;
        }
        if (view != null && i2 == 0) {
            aa aaVar = (aa) view.getLayoutParams();
            if (aaVar.f872b == 0.0f) {
                m2015b(view);
            } else if (aaVar.f872b == 1.0f) {
                m2018c(view);
            }
        }
        if (i3 != this.f751o) {
            this.f751o = i3;
            if (this.f758v != null) {
                this.f758v.m2497a(i3);
            }
        }
    }

    void m2009a(View view, float f) {
        if (this.f758v != null) {
            this.f758v.m2499a(view, f);
        }
    }

    public void m2010a(Object obj, boolean z) {
        this.f734D = obj;
        this.f735E = z;
        boolean z2 = !z && getBackground() == null;
        setWillNotDraw(z2);
        requestLayout();
    }

    void m2011a(boolean z) {
        int childCount = getChildCount();
        int i = 0;
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            aa aaVar = (aa) childAt.getLayoutParams();
            if (m2026g(childAt) && (!z || aaVar.f873c)) {
                i = m2012a(childAt, 3) ? i | this.f747k.m2437a(childAt, -childAt.getWidth(), childAt.getTop()) : i | this.f748l.m2437a(childAt, getWidth(), childAt.getTop());
                aaVar.f873c = false;
            }
        }
        this.f749m.m2168a();
        this.f750n.m2168a();
        if (i != 0) {
            invalidate();
        }
    }

    boolean m2012a(View view, int i) {
        return (m2021e(view) & i) == i;
    }

    public void addFocusables(ArrayList arrayList, int i, int i2) {
        int i3 = 0;
        if (getDescendantFocusability() != 393216) {
            int i4;
            int childCount = getChildCount();
            int i5 = 0;
            for (i4 = 0; i4 < childCount; i4++) {
                View childAt = getChildAt(i4);
                if (!m2026g(childAt)) {
                    this.f740J.add(childAt);
                } else if (m2029j(childAt)) {
                    i5 = 1;
                    childAt.addFocusables(arrayList, i, i2);
                }
            }
            if (i5 == 0) {
                i4 = this.f740J.size();
                while (i3 < i4) {
                    View view = (View) this.f740J.get(i3);
                    if (view.getVisibility() == 0) {
                        view.addFocusables(arrayList, i, i2);
                    }
                    i3++;
                }
            }
            this.f740J.clear();
        }
    }

    public void addView(View view, int i, LayoutParams layoutParams) {
        super.addView(view, i, layoutParams);
        if (m2005a() != null || m2026g(view)) {
            bw.m1515c(view, 4);
        } else {
            bw.m1515c(view, 1);
        }
        if (!f729c) {
            bw.m1503a(view, this.f741e);
        }
    }

    View m2013b(int i) {
        int a = C0217q.m1968a(i, bw.m1524h(this)) & 7;
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if ((m2021e(childAt) & 7) == a) {
                return childAt;
            }
        }
        return null;
    }

    public void m2014b() {
        m2011a(false);
    }

    void m2015b(View view) {
        aa aaVar = (aa) view.getLayoutParams();
        if (aaVar.f874d) {
            aaVar.f874d = false;
            if (this.f758v != null) {
                this.f758v.m2500b(view);
            }
            m1990a(view, false);
            if (hasWindowFocus()) {
                View rootView = getRootView();
                if (rootView != null) {
                    rootView.sendAccessibilityEvent(32);
                }
            }
        }
    }

    void m2016b(View view, float f) {
        aa aaVar = (aa) view.getLayoutParams();
        if (f != aaVar.f872b) {
            aaVar.f872b = f;
            m2009a(view, f);
        }
    }

    void m2017c() {
        int i = 0;
        if (!this.f757u) {
            long uptimeMillis = SystemClock.uptimeMillis();
            MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
            int childCount = getChildCount();
            while (i < childCount) {
                getChildAt(i).dispatchTouchEvent(obtain);
                i++;
            }
            obtain.recycle();
            this.f757u = true;
        }
    }

    void m2018c(View view) {
        aa aaVar = (aa) view.getLayoutParams();
        if (!aaVar.f874d) {
            aaVar.f874d = true;
            if (this.f758v != null) {
                this.f758v.m2498a(view);
            }
            m1990a(view, true);
            if (hasWindowFocus()) {
                sendAccessibilityEvent(32);
            }
            view.requestFocus();
        }
    }

    protected boolean checkLayoutParams(LayoutParams layoutParams) {
        return (layoutParams instanceof aa) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        int childCount = getChildCount();
        float f = 0.0f;
        for (int i = 0; i < childCount; i++) {
            f = Math.max(f, ((aa) getChildAt(i).getLayoutParams()).f872b);
        }
        this.f745i = f;
        if ((this.f747k.m2438a(true) | this.f748l.m2438a(true)) != 0) {
            bw.m1517d(this);
        }
    }

    float m2019d(View view) {
        return ((aa) view.getLayoutParams()).f872b;
    }

    public void m2020d(int i) {
        View b = m2013b(i);
        if (b == null) {
            throw new IllegalArgumentException("No drawer view found with gravity " + m1992c(i));
        }
        m2027h(b);
    }

    protected boolean drawChild(Canvas canvas, View view, long j) {
        int i;
        int height = getHeight();
        boolean f = m2024f(view);
        int i2 = 0;
        int width = getWidth();
        int save = canvas.save();
        if (f) {
            int childCount = getChildCount();
            int i3 = 0;
            while (i3 < childCount) {
                View childAt = getChildAt(i3);
                if (childAt != view && childAt.getVisibility() == 0 && m2002m(childAt) && m2026g(childAt)) {
                    if (childAt.getHeight() < height) {
                        i = width;
                    } else if (m2012a(childAt, 3)) {
                        i = childAt.getRight();
                        if (i <= i2) {
                            i = i2;
                        }
                        i2 = i;
                        i = width;
                    } else {
                        i = childAt.getLeft();
                        if (i < width) {
                        }
                    }
                    i3++;
                    width = i;
                }
                i = width;
                i3++;
                width = i;
            }
            canvas.clipRect(i2, 0, width, getHeight());
        }
        i = width;
        boolean drawChild = super.drawChild(canvas, view, j);
        canvas.restoreToCount(save);
        if (this.f745i > 0.0f && f) {
            this.f746j.setColor((((int) (((float) ((this.f744h & -16777216) >>> 24)) * this.f745i)) << 24) | (this.f744h & 16777215));
            canvas.drawRect((float) i2, 0.0f, (float) i, (float) getHeight(), this.f746j);
        } else if (this.f762z != null && m2012a(view, 3)) {
            i = this.f762z.getIntrinsicWidth();
            i2 = view.getRight();
            r2 = Math.max(0.0f, Math.min(((float) i2) / ((float) this.f747k.m2439b()), 1.0f));
            this.f762z.setBounds(i2, view.getTop(), i + i2, view.getBottom());
            this.f762z.setAlpha((int) (255.0f * r2));
            this.f762z.draw(canvas);
        } else if (this.f731A != null && m2012a(view, 5)) {
            i = this.f731A.getIntrinsicWidth();
            i2 = view.getLeft();
            r2 = Math.max(0.0f, Math.min(((float) (getWidth() - i2)) / ((float) this.f748l.m2439b()), 1.0f));
            this.f731A.setBounds(i2 - i, view.getTop(), i2, view.getBottom());
            this.f731A.setAlpha((int) (255.0f * r2));
            this.f731A.draw(canvas);
        }
        return drawChild;
    }

    int m2021e(View view) {
        return C0217q.m1968a(((aa) view.getLayoutParams()).f871a, bw.m1524h(this));
    }

    public void m2022e(int i) {
        View b = m2013b(i);
        if (b == null) {
            throw new IllegalArgumentException("No drawer view found with gravity " + m1992c(i));
        }
        m2028i(b);
    }

    public boolean m2023f(int i) {
        View b = m2013b(i);
        return b != null ? m2029j(b) : false;
    }

    boolean m2024f(View view) {
        return ((aa) view.getLayoutParams()).f871a == 0;
    }

    public boolean m2025g(int i) {
        View b = m2013b(i);
        return b != null ? m2030k(b) : false;
    }

    boolean m2026g(View view) {
        return (C0217q.m1968a(((aa) view.getLayoutParams()).f871a, bw.m1524h(view)) & 7) != 0;
    }

    protected LayoutParams generateDefaultLayoutParams() {
        return new aa(-1, -1);
    }

    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new aa(getContext(), attributeSet);
    }

    protected LayoutParams generateLayoutParams(LayoutParams layoutParams) {
        return layoutParams instanceof aa ? new aa((aa) layoutParams) : layoutParams instanceof MarginLayoutParams ? new aa((MarginLayoutParams) layoutParams) : new aa(layoutParams);
    }

    public float getDrawerElevation() {
        return f730d ? this.f742f : 0.0f;
    }

    public Drawable getStatusBarBackgroundDrawable() {
        return this.f761y;
    }

    public void m2027h(View view) {
        if (m2026g(view)) {
            if (this.f753q) {
                aa aaVar = (aa) view.getLayoutParams();
                aaVar.f872b = 1.0f;
                aaVar.f874d = true;
                m1990a(view, true);
            } else if (m2012a(view, 3)) {
                this.f747k.m2437a(view, 0, view.getTop());
            } else {
                this.f748l.m2437a(view, getWidth() - view.getWidth(), view.getTop());
            }
            invalidate();
            return;
        }
        throw new IllegalArgumentException("View " + view + " is not a sliding drawer");
    }

    public void m2028i(View view) {
        if (m2026g(view)) {
            if (this.f753q) {
                aa aaVar = (aa) view.getLayoutParams();
                aaVar.f872b = 0.0f;
                aaVar.f874d = false;
            } else if (m2012a(view, 3)) {
                this.f747k.m2437a(view, -view.getWidth(), view.getTop());
            } else {
                this.f748l.m2437a(view, getWidth(), view.getTop());
            }
            invalidate();
            return;
        }
        throw new IllegalArgumentException("View " + view + " is not a sliding drawer");
    }

    public boolean m2029j(View view) {
        if (m2026g(view)) {
            return ((aa) view.getLayoutParams()).f874d;
        }
        throw new IllegalArgumentException("View " + view + " is not a drawer");
    }

    public boolean m2030k(View view) {
        if (m2026g(view)) {
            return ((aa) view.getLayoutParams()).f872b > 0.0f;
        } else {
            throw new IllegalArgumentException("View " + view + " is not a drawer");
        }
    }

    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f753q = true;
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.f753q = true;
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.f735E && this.f761y != null) {
            int a = f727a.m2482a(this.f734D);
            if (a > 0) {
                this.f761y.setBounds(0, 0, getWidth(), a);
                this.f761y.draw(canvas);
            }
        }
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean onInterceptTouchEvent(android.view.MotionEvent r8) {
        /*
        r7 = this;
        r1 = 1;
        r2 = 0;
        r0 = android.support.v4.view.ba.m1414a(r8);
        r3 = r7.f747k;
        r3 = r3.m2436a(r8);
        r4 = r7.f748l;
        r4 = r4.m2436a(r8);
        r3 = r3 | r4;
        switch(r0) {
            case 0: goto L_0x0027;
            case 1: goto L_0x0065;
            case 2: goto L_0x0050;
            case 3: goto L_0x0065;
            default: goto L_0x0016;
        };
    L_0x0016:
        r0 = r2;
    L_0x0017:
        if (r3 != 0) goto L_0x0025;
    L_0x0019:
        if (r0 != 0) goto L_0x0025;
    L_0x001b:
        r0 = r7.m1998i();
        if (r0 != 0) goto L_0x0025;
    L_0x0021:
        r0 = r7.f757u;
        if (r0 == 0) goto L_0x0026;
    L_0x0025:
        r2 = r1;
    L_0x0026:
        return r2;
    L_0x0027:
        r0 = r8.getX();
        r4 = r8.getY();
        r7.f759w = r0;
        r7.f760x = r4;
        r5 = r7.f745i;
        r6 = 0;
        r5 = (r5 > r6 ? 1 : (r5 == r6 ? 0 : -1));
        if (r5 <= 0) goto L_0x006d;
    L_0x003a:
        r5 = r7.f747k;
        r0 = (int) r0;
        r4 = (int) r4;
        r0 = r5.m2449d(r0, r4);
        if (r0 == 0) goto L_0x006d;
    L_0x0044:
        r0 = r7.m2024f(r0);
        if (r0 == 0) goto L_0x006d;
    L_0x004a:
        r0 = r1;
    L_0x004b:
        r7.f756t = r2;
        r7.f757u = r2;
        goto L_0x0017;
    L_0x0050:
        r0 = r7.f747k;
        r4 = 3;
        r0 = r0.m2450d(r4);
        if (r0 == 0) goto L_0x0016;
    L_0x0059:
        r0 = r7.f749m;
        r0.m2168a();
        r0 = r7.f750n;
        r0.m2168a();
        r0 = r2;
        goto L_0x0017;
    L_0x0065:
        r7.m2011a(r1);
        r7.f756t = r2;
        r7.f757u = r2;
        goto L_0x0016;
    L_0x006d:
        r0 = r2;
        goto L_0x004b;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.widget.DrawerLayout.onInterceptTouchEvent(android.view.MotionEvent):boolean");
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i != 4 || !m1999j()) {
            return super.onKeyDown(i, keyEvent);
        }
        C0222v.m1975b(keyEvent);
        return true;
    }

    public boolean onKeyUp(int i, KeyEvent keyEvent) {
        if (i != 4) {
            return super.onKeyUp(i, keyEvent);
        }
        View k = m2000k();
        if (k != null && m2004a(k) == 0) {
            m2014b();
        }
        return k != null;
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        this.f752p = true;
        int i5 = i3 - i;
        int childCount = getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() != 8) {
                aa aaVar = (aa) childAt.getLayoutParams();
                if (m2024f(childAt)) {
                    childAt.layout(aaVar.leftMargin, aaVar.topMargin, aaVar.leftMargin + childAt.getMeasuredWidth(), aaVar.topMargin + childAt.getMeasuredHeight());
                } else {
                    int i7;
                    float f;
                    int measuredWidth = childAt.getMeasuredWidth();
                    int measuredHeight = childAt.getMeasuredHeight();
                    if (m2012a(childAt, 3)) {
                        i7 = ((int) (((float) measuredWidth) * aaVar.f872b)) + (-measuredWidth);
                        f = ((float) (measuredWidth + i7)) / ((float) measuredWidth);
                    } else {
                        i7 = i5 - ((int) (((float) measuredWidth) * aaVar.f872b));
                        f = ((float) (i5 - i7)) / ((float) measuredWidth);
                    }
                    Object obj = f != aaVar.f872b ? 1 : null;
                    int i8;
                    switch (aaVar.f871a & 112) {
                        case C0729b.Toolbar_titleMarginBottom /*16*/:
                            int i9 = i4 - i2;
                            i8 = (i9 - measuredHeight) / 2;
                            if (i8 < aaVar.topMargin) {
                                i8 = aaVar.topMargin;
                            } else if (i8 + measuredHeight > i9 - aaVar.bottomMargin) {
                                i8 = (i9 - aaVar.bottomMargin) - measuredHeight;
                            }
                            childAt.layout(i7, i8, measuredWidth + i7, measuredHeight + i8);
                            break;
                        case C0729b.Theme_listChoiceBackgroundIndicator /*80*/:
                            i8 = i4 - i2;
                            childAt.layout(i7, (i8 - aaVar.bottomMargin) - childAt.getMeasuredHeight(), measuredWidth + i7, i8 - aaVar.bottomMargin);
                            break;
                        default:
                            childAt.layout(i7, aaVar.topMargin, measuredWidth + i7, measuredHeight + aaVar.topMargin);
                            break;
                    }
                    if (obj != null) {
                        m2016b(childAt, f);
                    }
                    int i10 = aaVar.f872b > 0.0f ? 0 : 4;
                    if (childAt.getVisibility() != i10) {
                        childAt.setVisibility(i10);
                    }
                }
            }
        }
        this.f752p = false;
        this.f753q = false;
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    protected void onMeasure(int r14, int r15) {
        /*
        r13 = this;
        r1 = 300; // 0x12c float:4.2E-43 double:1.48E-321;
        r7 = -2147483648; // 0xffffffff80000000 float:-0.0 double:NaN;
        r4 = 0;
        r12 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r3 = android.view.View.MeasureSpec.getMode(r14);
        r5 = android.view.View.MeasureSpec.getMode(r15);
        r2 = android.view.View.MeasureSpec.getSize(r14);
        r0 = android.view.View.MeasureSpec.getSize(r15);
        if (r3 != r12) goto L_0x001b;
    L_0x0019:
        if (r5 == r12) goto L_0x0056;
    L_0x001b:
        r6 = r13.isInEditMode();
        if (r6 == 0) goto L_0x0058;
    L_0x0021:
        if (r3 != r7) goto L_0x0050;
    L_0x0023:
        if (r5 != r7) goto L_0x0054;
    L_0x0025:
        r1 = r0;
    L_0x0026:
        r13.setMeasuredDimension(r2, r1);
        r0 = r13.f734D;
        if (r0 == 0) goto L_0x0060;
    L_0x002d:
        r0 = android.support.v4.view.bw.m1538v(r13);
        if (r0 == 0) goto L_0x0060;
    L_0x0033:
        r0 = 1;
        r3 = r0;
    L_0x0035:
        r6 = android.support.v4.view.bw.m1524h(r13);
        r7 = r13.getChildCount();
        r5 = r4;
    L_0x003e:
        if (r5 >= r7) goto L_0x014b;
    L_0x0040:
        r8 = r13.getChildAt(r5);
        r0 = r8.getVisibility();
        r9 = 8;
        if (r0 != r9) goto L_0x0062;
    L_0x004c:
        r0 = r5 + 1;
        r5 = r0;
        goto L_0x003e;
    L_0x0050:
        if (r3 != 0) goto L_0x0023;
    L_0x0052:
        r2 = r1;
        goto L_0x0023;
    L_0x0054:
        if (r5 == 0) goto L_0x0026;
    L_0x0056:
        r1 = r0;
        goto L_0x0026;
    L_0x0058:
        r0 = new java.lang.IllegalArgumentException;
        r1 = "DrawerLayout must be measured with MeasureSpec.EXACTLY.";
        r0.<init>(r1);
        throw r0;
    L_0x0060:
        r3 = r4;
        goto L_0x0035;
    L_0x0062:
        r0 = r8.getLayoutParams();
        r0 = (android.support.v4.widget.aa) r0;
        if (r3 == 0) goto L_0x007d;
    L_0x006a:
        r9 = r0.f871a;
        r9 = android.support.v4.view.C0217q.m1968a(r9, r6);
        r10 = android.support.v4.view.bw.m1538v(r8);
        if (r10 == 0) goto L_0x009e;
    L_0x0076:
        r10 = f727a;
        r11 = r13.f734D;
        r10.m2485a(r8, r11, r9);
    L_0x007d:
        r9 = r13.m2024f(r8);
        if (r9 == 0) goto L_0x00a6;
    L_0x0083:
        r9 = r0.leftMargin;
        r9 = r2 - r9;
        r10 = r0.rightMargin;
        r9 = r9 - r10;
        r9 = android.view.View.MeasureSpec.makeMeasureSpec(r9, r12);
        r10 = r0.topMargin;
        r10 = r1 - r10;
        r0 = r0.bottomMargin;
        r0 = r10 - r0;
        r0 = android.view.View.MeasureSpec.makeMeasureSpec(r0, r12);
        r8.measure(r9, r0);
        goto L_0x004c;
    L_0x009e:
        r10 = f727a;
        r11 = r13.f734D;
        r10.m2486a(r0, r11, r9);
        goto L_0x007d;
    L_0x00a6:
        r9 = r13.m2026g(r8);
        if (r9 == 0) goto L_0x011c;
    L_0x00ac:
        r9 = f730d;
        if (r9 == 0) goto L_0x00bf;
    L_0x00b0:
        r9 = android.support.v4.view.bw.m1535s(r8);
        r10 = r13.f742f;
        r9 = (r9 > r10 ? 1 : (r9 == r10 ? 0 : -1));
        if (r9 == 0) goto L_0x00bf;
    L_0x00ba:
        r9 = r13.f742f;
        android.support.v4.view.bw.m1522f(r8, r9);
    L_0x00bf:
        r9 = r13.m2021e(r8);
        r9 = r9 & 7;
        r10 = r4 & r9;
        if (r10 == 0) goto L_0x00fe;
    L_0x00c9:
        r0 = new java.lang.IllegalStateException;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "Child drawer has absolute gravity ";
        r1 = r1.append(r2);
        r2 = m1992c(r9);
        r1 = r1.append(r2);
        r2 = " but this ";
        r1 = r1.append(r2);
        r2 = "DrawerLayout";
        r1 = r1.append(r2);
        r2 = " already has a ";
        r1 = r1.append(r2);
        r2 = "drawer view along that edge";
        r1 = r1.append(r2);
        r1 = r1.toString();
        r0.<init>(r1);
        throw r0;
    L_0x00fe:
        r9 = r13.f743g;
        r10 = r0.leftMargin;
        r9 = r9 + r10;
        r10 = r0.rightMargin;
        r9 = r9 + r10;
        r10 = r0.width;
        r9 = getChildMeasureSpec(r14, r9, r10);
        r10 = r0.topMargin;
        r11 = r0.bottomMargin;
        r10 = r10 + r11;
        r0 = r0.height;
        r0 = getChildMeasureSpec(r15, r10, r0);
        r8.measure(r9, r0);
        goto L_0x004c;
    L_0x011c:
        r0 = new java.lang.IllegalStateException;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "Child ";
        r1 = r1.append(r2);
        r1 = r1.append(r8);
        r2 = " at index ";
        r1 = r1.append(r2);
        r1 = r1.append(r5);
        r2 = " does not have a valid layout_gravity - must be Gravity.LEFT, ";
        r1 = r1.append(r2);
        r2 = "Gravity.RIGHT or Gravity.NO_GRAVITY";
        r1 = r1.append(r2);
        r1 = r1.toString();
        r0.<init>(r1);
        throw r0;
    L_0x014b:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.widget.DrawerLayout.onMeasure(int, int):void");
    }

    protected void onRestoreInstanceState(Parcelable parcelable) {
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        if (savedState.f724a != 0) {
            View b = m2013b(savedState.f724a);
            if (b != null) {
                m2027h(b);
            }
        }
        m2007a(savedState.f725b, 3);
        m2007a(savedState.f726c, 5);
    }

    public void onRtlPropertiesChanged(int i) {
        m1995f();
    }

    protected Parcelable onSaveInstanceState() {
        Parcelable savedState = new SavedState(super.onSaveInstanceState());
        View a = m2005a();
        if (a != null) {
            savedState.f724a = ((aa) a.getLayoutParams()).f871a;
        }
        savedState.f725b = this.f754r;
        savedState.f726c = this.f755s;
        return savedState;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        this.f747k.m2440b(motionEvent);
        this.f748l.m2440b(motionEvent);
        float x;
        float y;
        switch (motionEvent.getAction() & 255) {
            case C0729b.View_android_theme /*0*/:
                x = motionEvent.getX();
                y = motionEvent.getY();
                this.f759w = x;
                this.f760x = y;
                this.f756t = false;
                this.f757u = false;
                break;
            case C0729b.View_android_focusable /*1*/:
                boolean z;
                x = motionEvent.getX();
                y = motionEvent.getY();
                View d = this.f747k.m2449d((int) x, (int) y);
                if (d != null && m2024f(d)) {
                    x -= this.f759w;
                    y -= this.f760x;
                    int d2 = this.f747k.m2448d();
                    if ((x * x) + (y * y) < ((float) (d2 * d2))) {
                        View a = m2005a();
                        if (a != null) {
                            z = m2004a(a) == 2;
                            m2011a(z);
                            this.f756t = false;
                            break;
                        }
                    }
                }
                z = true;
                m2011a(z);
                this.f756t = false;
            case C0729b.View_paddingEnd /*3*/:
                m2011a(true);
                this.f756t = false;
                this.f757u = false;
                break;
        }
        return true;
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        super.requestDisallowInterceptTouchEvent(z);
        this.f756t = z;
        if (z) {
            m2011a(true);
        }
    }

    public void requestLayout() {
        if (!this.f752p) {
            super.requestLayout();
        }
    }

    public void setDrawerElevation(float f) {
        this.f742f = f;
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if (m2026g(childAt)) {
                bw.m1522f(childAt, this.f742f);
            }
        }
    }

    public void setDrawerListener(C0252z c0252z) {
        this.f758v = c0252z;
    }

    public void setDrawerLockMode(int i) {
        m2007a(i, 3);
        m2007a(i, 5);
    }

    public void setScrimColor(int i) {
        this.f744h = i;
        invalidate();
    }

    public void setStatusBarBackground(int i) {
        this.f761y = i != 0 ? C0054a.m307a(getContext(), i) : null;
        invalidate();
    }

    public void setStatusBarBackground(Drawable drawable) {
        this.f761y = drawable;
        invalidate();
    }

    public void setStatusBarBackgroundColor(int i) {
        this.f761y = new ColorDrawable(i);
        invalidate();
    }
}
