package android.support.v4.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.view.ba;
import android.support.v4.view.bj;
import android.support.v4.view.bk;
import android.support.v4.view.bl;
import android.support.v4.view.bm;
import android.support.v4.view.br;
import android.support.v4.view.bw;
import android.util.Log;
import android.util.TypedValue;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.View.BaseSavedState;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import android.view.ViewParent;
import android.view.animation.AnimationUtils;
import android.widget.FrameLayout;
import com.neatorobotics.android.C0729b;
import java.util.List;

public class NestedScrollView extends FrameLayout implements bj, bl {
    private static final au f764v;
    private static final int[] f765w;
    private long f766a;
    private final Rect f767b;
    private bi f768c;
    private ah f769d;
    private ah f770e;
    private int f771f;
    private boolean f772g;
    private boolean f773h;
    private View f774i;
    private boolean f775j;
    private VelocityTracker f776k;
    private boolean f777l;
    private boolean f778m;
    private int f779n;
    private int f780o;
    private int f781p;
    private int f782q;
    private final int[] f783r;
    private final int[] f784s;
    private int f785t;
    private SavedState f786u;
    private final bm f787x;
    private final bk f788y;
    private float f789z;

    class SavedState extends BaseSavedState {
        public static final Creator CREATOR;
        public int f763a;

        static {
            CREATOR = new av();
        }

        public SavedState(Parcel parcel) {
            super(parcel);
            this.f763a = parcel.readInt();
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "HorizontalScrollView.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " scrollPosition=" + this.f763a + "}";
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f763a);
        }
    }

    static {
        f764v = new au();
        f765w = new int[]{16843130};
    }

    private View m2032a(boolean z, int i, int i2) {
        List focusables = getFocusables(2);
        View view = null;
        Object obj = null;
        int size = focusables.size();
        int i3 = 0;
        while (i3 < size) {
            View view2;
            Object obj2;
            View view3 = (View) focusables.get(i3);
            int top = view3.getTop();
            int bottom = view3.getBottom();
            if (i < bottom && top < i2) {
                Object obj3 = (i >= top || bottom >= i2) ? null : 1;
                if (view == null) {
                    Object obj4 = obj3;
                    view2 = view3;
                    obj2 = obj4;
                } else {
                    Object obj5 = ((!z || top >= view.getTop()) && (z || bottom <= view.getBottom())) ? null : 1;
                    if (obj != null) {
                        if (!(obj3 == null || obj5 == null)) {
                            view2 = view3;
                            obj2 = obj;
                        }
                    } else if (obj3 != null) {
                        view2 = view3;
                        int i4 = 1;
                    } else if (obj5 != null) {
                        view2 = view3;
                        obj2 = obj;
                    }
                }
                i3++;
                view = view2;
                obj = obj2;
            }
            obj2 = obj;
            view2 = view;
            i3++;
            view = view2;
            obj = obj2;
        }
        return view;
    }

    private void m2033a(MotionEvent motionEvent) {
        int action = (motionEvent.getAction() & 65280) >> 8;
        if (ba.m1417b(motionEvent, action) == this.f782q) {
            action = action == 0 ? 1 : 0;
            this.f771f = (int) ba.m1420d(motionEvent, action);
            this.f782q = ba.m1417b(motionEvent, action);
            if (this.f776k != null) {
                this.f776k.clear();
            }
        }
    }

    private boolean m2034a() {
        View childAt = getChildAt(0);
        if (childAt == null) {
            return false;
        }
        return getHeight() < (childAt.getHeight() + getPaddingTop()) + getPaddingBottom();
    }

    private boolean m2035a(int i, int i2, int i3) {
        boolean z = false;
        int height = getHeight();
        int scrollY = getScrollY();
        int i4 = scrollY + height;
        boolean z2 = i == 33;
        View a = m2032a(z2, i2, i3);
        if (a == null) {
            a = this;
        }
        if (i2 < scrollY || i3 > i4) {
            m2047e(z2 ? i2 - scrollY : i3 - i4);
            z = true;
        }
        if (a != findFocus()) {
            a.requestFocus(i);
        }
        return z;
    }

    private boolean m2036a(Rect rect, boolean z) {
        int a = m2050a(rect);
        boolean z2 = a != 0;
        if (z2) {
            if (z) {
                scrollBy(0, a);
            } else {
                m2051a(0, a);
            }
        }
        return z2;
    }

    private boolean m2037a(View view) {
        return !m2038a(view, 0, getHeight());
    }

    private boolean m2038a(View view, int i, int i2) {
        view.getDrawingRect(this.f767b);
        offsetDescendantRectToMyCoords(view, this.f767b);
        return this.f767b.bottom + i >= getScrollY() && this.f767b.top - i <= getScrollY() + i2;
    }

    private static boolean m2039a(View view, View view2) {
        if (view == view2) {
            return true;
        }
        ViewParent parent = view.getParent();
        boolean z = (parent instanceof ViewGroup) && m2039a((View) parent, view2);
        return z;
    }

    private static int m2040b(int i, int i2, int i3) {
        return (i2 >= i3 || i < 0) ? 0 : i2 + i > i3 ? i3 - i2 : i;
    }

    private void m2041b() {
        if (this.f776k == null) {
            this.f776k = VelocityTracker.obtain();
        } else {
            this.f776k.clear();
        }
    }

    private void m2042b(View view) {
        view.getDrawingRect(this.f767b);
        offsetDescendantRectToMyCoords(view, this.f767b);
        int a = m2050a(this.f767b);
        if (a != 0) {
            scrollBy(0, a);
        }
    }

    private void m2043c() {
        if (this.f776k == null) {
            this.f776k = VelocityTracker.obtain();
        }
    }

    private boolean m2044c(int i, int i2) {
        if (getChildCount() <= 0) {
            return false;
        }
        int scrollY = getScrollY();
        View childAt = getChildAt(0);
        return i2 >= childAt.getTop() - scrollY && i2 < childAt.getBottom() - scrollY && i >= childAt.getLeft() && i < childAt.getRight();
    }

    private void m2045d() {
        if (this.f776k != null) {
            this.f776k.recycle();
            this.f776k = null;
        }
    }

    private void m2046e() {
        this.f775j = false;
        m2045d();
        stopNestedScroll();
        if (this.f769d != null) {
            this.f769d.m2191c();
            this.f770e.m2191c();
        }
    }

    private void m2047e(int i) {
        if (i == 0) {
            return;
        }
        if (this.f778m) {
            m2051a(0, i);
        } else {
            scrollBy(0, i);
        }
    }

    private void m2048f() {
        if (bw.m1495a(this) == 2) {
            this.f769d = null;
            this.f770e = null;
        } else if (this.f769d == null) {
            Context context = getContext();
            this.f769d = new ah(context);
            this.f770e = new ah(context);
        }
    }

    private void m2049f(int i) {
        int scrollY = getScrollY();
        boolean z = (scrollY > 0 || i > 0) && (scrollY < getScrollRange() || i < 0);
        if (!dispatchNestedPreFling(0.0f, (float) i)) {
            dispatchNestedFling(0.0f, (float) i, z);
            if (z) {
                m2058d(i);
            }
        }
    }

    private int getScrollRange() {
        return getChildCount() > 0 ? Math.max(0, getChildAt(0).getHeight() - ((getHeight() - getPaddingBottom()) - getPaddingTop())) : 0;
    }

    private float getVerticalScrollFactorCompat() {
        if (this.f789z == 0.0f) {
            TypedValue typedValue = new TypedValue();
            Context context = getContext();
            if (context.getTheme().resolveAttribute(16842829, typedValue, true)) {
                this.f789z = typedValue.getDimension(context.getResources().getDisplayMetrics());
            } else {
                throw new IllegalStateException("Expected theme to define listPreferredItemHeight.");
            }
        }
        return this.f789z;
    }

    protected int m2050a(Rect rect) {
        if (getChildCount() == 0) {
            return 0;
        }
        int height = getHeight();
        int scrollY = getScrollY();
        int i = scrollY + height;
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        if (rect.top > 0) {
            scrollY += verticalFadingEdgeLength;
        }
        if (rect.bottom < getChildAt(0).getHeight()) {
            i -= verticalFadingEdgeLength;
        }
        if (rect.bottom > i && rect.top > scrollY) {
            scrollY = Math.min(rect.height() > height ? (rect.top - scrollY) + 0 : (rect.bottom - i) + 0, getChildAt(0).getBottom() - i);
        } else if (rect.top >= scrollY || rect.bottom >= i) {
            scrollY = 0;
        } else {
            scrollY = Math.max(rect.height() > height ? 0 - (i - rect.bottom) : 0 - (scrollY - rect.top), -getScrollY());
        }
        return scrollY;
    }

    public final void m2051a(int i, int i2) {
        if (getChildCount() != 0) {
            if (AnimationUtils.currentAnimationTimeMillis() - this.f766a > 250) {
                int max = Math.max(0, getChildAt(0).getHeight() - ((getHeight() - getPaddingBottom()) - getPaddingTop()));
                int scrollY = getScrollY();
                this.f768c.m2326a(getScrollX(), scrollY, 0, Math.max(0, Math.min(scrollY + i2, max)) - scrollY);
                bw.m1517d(this);
            } else {
                if (!this.f768c.m2330a()) {
                    this.f768c.m2337h();
                }
                scrollBy(i, i2);
            }
            this.f766a = AnimationUtils.currentAnimationTimeMillis();
        }
    }

    public boolean m2052a(int i) {
        int i2 = i == 130 ? 1 : 0;
        int height = getHeight();
        if (i2 != 0) {
            this.f767b.top = getScrollY() + height;
            i2 = getChildCount();
            if (i2 > 0) {
                View childAt = getChildAt(i2 - 1);
                if (this.f767b.top + height > childAt.getBottom()) {
                    this.f767b.top = childAt.getBottom() - height;
                }
            }
        } else {
            this.f767b.top = getScrollY() - height;
            if (this.f767b.top < 0) {
                this.f767b.top = 0;
            }
        }
        this.f767b.bottom = this.f767b.top + height;
        return m2035a(i, this.f767b.top, this.f767b.bottom);
    }

    boolean m2053a(int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8, boolean z) {
        boolean z2;
        int a = bw.m1495a(this);
        Object obj = computeHorizontalScrollRange() > computeHorizontalScrollExtent() ? 1 : null;
        Object obj2 = computeVerticalScrollRange() > computeVerticalScrollExtent() ? 1 : null;
        Object obj3 = (a == 0 || (a == 1 && obj != null)) ? 1 : null;
        obj = (a == 0 || (a == 1 && obj2 != null)) ? 1 : null;
        int i9 = i3 + i;
        if (obj3 == null) {
            i7 = 0;
        }
        a = i4 + i2;
        if (obj == null) {
            i8 = 0;
        }
        int i10 = -i7;
        int i11 = i7 + i5;
        int i12 = -i8;
        int i13 = i8 + i6;
        if (i9 > i11) {
            i10 = i11;
            z2 = true;
        } else if (i9 < i10) {
            z2 = true;
        } else {
            z2 = false;
            i10 = i9;
        }
        boolean z3 = false;
        if (a > i13) {
            z3 = true;
        } else if (a < i12) {
            z3 = true;
            i13 = i12;
        } else {
            i13 = a;
        }
        onOverScrolled(i10, i13, z2, z3);
        return z2 || z3;
    }

    public boolean m2054a(KeyEvent keyEvent) {
        int i = 33;
        this.f767b.setEmpty();
        if (m2034a()) {
            if (keyEvent.getAction() != 0) {
                return false;
            }
            switch (keyEvent.getKeyCode()) {
                case C0729b.Toolbar_collapseContentDescription /*19*/:
                    return !keyEvent.isAltPressed() ? m2057c(33) : m2056b(33);
                case C0729b.Toolbar_navigationIcon /*20*/:
                    return !keyEvent.isAltPressed() ? m2057c(130) : m2056b(130);
                case C0729b.Theme_editTextColor /*62*/:
                    if (!keyEvent.isShiftPressed()) {
                        i = 130;
                    }
                    m2052a(i);
                    return false;
                default:
                    return false;
            }
        } else if (!isFocused() || keyEvent.getKeyCode() == 4) {
            return false;
        } else {
            View findFocus = findFocus();
            if (findFocus == this) {
                findFocus = null;
            }
            findFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, 130);
            boolean z = (findFocus == null || findFocus == this || !findFocus.requestFocus(130)) ? false : true;
            return z;
        }
    }

    public void addView(View view) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view);
    }

    public void addView(View view, int i) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, i);
    }

    public void addView(View view, int i, LayoutParams layoutParams) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, i, layoutParams);
    }

    public void addView(View view, LayoutParams layoutParams) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, layoutParams);
    }

    public final void m2055b(int i, int i2) {
        m2051a(i - getScrollX(), i2 - getScrollY());
    }

    public boolean m2056b(int i) {
        int i2 = i == 130 ? 1 : 0;
        int height = getHeight();
        this.f767b.top = 0;
        this.f767b.bottom = height;
        if (i2 != 0) {
            i2 = getChildCount();
            if (i2 > 0) {
                this.f767b.bottom = getChildAt(i2 - 1).getBottom() + getPaddingBottom();
                this.f767b.top = this.f767b.bottom - height;
            }
        }
        return m2035a(i, this.f767b.top, this.f767b.bottom);
    }

    public boolean m2057c(int i) {
        View findFocus = findFocus();
        if (findFocus == this) {
            findFocus = null;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i);
        int maxScrollAmount = getMaxScrollAmount();
        if (findNextFocus == null || !m2038a(findNextFocus, maxScrollAmount, getHeight())) {
            if (i == 33 && getScrollY() < maxScrollAmount) {
                maxScrollAmount = getScrollY();
            } else if (i == 130 && getChildCount() > 0) {
                int bottom = getChildAt(0).getBottom();
                int scrollY = (getScrollY() + getHeight()) - getPaddingBottom();
                if (bottom - scrollY < maxScrollAmount) {
                    maxScrollAmount = bottom - scrollY;
                }
            }
            if (maxScrollAmount == 0) {
                return false;
            }
            if (i != 130) {
                maxScrollAmount = -maxScrollAmount;
            }
            m2047e(maxScrollAmount);
        } else {
            findNextFocus.getDrawingRect(this.f767b);
            offsetDescendantRectToMyCoords(findNextFocus, this.f767b);
            m2047e(m2050a(this.f767b));
            findNextFocus.requestFocus(i);
        }
        if (findFocus != null && findFocus.isFocused() && m2037a(findFocus)) {
            int descendantFocusability = getDescendantFocusability();
            setDescendantFocusability(131072);
            requestFocus();
            setDescendantFocusability(descendantFocusability);
        }
        return true;
    }

    public void computeScroll() {
        if (this.f768c.m2336g()) {
            int scrollX = getScrollX();
            int scrollY = getScrollY();
            int b = this.f768c.m2331b();
            int c = this.f768c.m2332c();
            if (scrollX != b || scrollY != c) {
                int scrollRange = getScrollRange();
                int a = bw.m1495a(this);
                int i = (a == 0 || (a == 1 && scrollRange > 0)) ? 1 : 0;
                m2053a(b - scrollX, c - scrollY, scrollX, scrollY, 0, scrollRange, 0, 0, false);
                if (i != 0) {
                    m2048f();
                    if (c <= 0 && scrollY > 0) {
                        this.f769d.m2188a((int) this.f768c.m2335f());
                    } else if (c >= scrollRange && scrollY < scrollRange) {
                        this.f770e.m2188a((int) this.f768c.m2335f());
                    }
                }
            }
        }
    }

    protected int computeVerticalScrollOffset() {
        return Math.max(0, super.computeVerticalScrollOffset());
    }

    protected int computeVerticalScrollRange() {
        int height = (getHeight() - getPaddingBottom()) - getPaddingTop();
        if (getChildCount() == 0) {
            return height;
        }
        int bottom = getChildAt(0).getBottom();
        int scrollY = getScrollY();
        height = Math.max(0, bottom - height);
        return scrollY < 0 ? bottom - scrollY : scrollY > height ? bottom + (scrollY - height) : bottom;
    }

    public void m2058d(int i) {
        if (getChildCount() > 0) {
            int height = (getHeight() - getPaddingBottom()) - getPaddingTop();
            int height2 = getChildAt(0).getHeight();
            this.f768c.m2329a(getScrollX(), getScrollY(), 0, i, 0, 0, 0, Math.max(0, height2 - height), 0, height / 2);
            bw.m1517d(this);
        }
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || m2054a(keyEvent);
    }

    public boolean dispatchNestedFling(float f, float f2, boolean z) {
        return this.f788y.m1454a(f, f2, z);
    }

    public boolean dispatchNestedPreFling(float f, float f2) {
        return this.f788y.m1453a(f, f2);
    }

    public boolean dispatchNestedPreScroll(int i, int i2, int[] iArr, int[] iArr2) {
        return this.f788y.m1457a(i, i2, iArr, iArr2);
    }

    public boolean dispatchNestedScroll(int i, int i2, int i3, int i4, int[] iArr) {
        return this.f788y.m1456a(i, i2, i3, i4, iArr);
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (this.f769d != null) {
            int save;
            int width;
            int scrollY = getScrollY();
            if (!this.f769d.m2185a()) {
                save = canvas.save();
                width = (getWidth() - getPaddingLeft()) - getPaddingRight();
                canvas.translate((float) getPaddingLeft(), (float) Math.min(0, scrollY));
                this.f769d.m2184a(width, getHeight());
                if (this.f769d.m2189a(canvas)) {
                    bw.m1517d(this);
                }
                canvas.restoreToCount(save);
            }
            if (!this.f770e.m2185a()) {
                save = canvas.save();
                width = (getWidth() - getPaddingLeft()) - getPaddingRight();
                int height = getHeight();
                canvas.translate((float) ((-width) + getPaddingLeft()), (float) (Math.max(getScrollRange(), scrollY) + height));
                canvas.rotate(180.0f, (float) width, 0.0f);
                this.f770e.m2184a(width, height);
                if (this.f770e.m2189a(canvas)) {
                    bw.m1517d(this);
                }
                canvas.restoreToCount(save);
            }
        }
    }

    protected float getBottomFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int bottom = (getChildAt(0).getBottom() - getScrollY()) - (getHeight() - getPaddingBottom());
        return bottom < verticalFadingEdgeLength ? ((float) bottom) / ((float) verticalFadingEdgeLength) : 1.0f;
    }

    public int getMaxScrollAmount() {
        return (int) (0.5f * ((float) getHeight()));
    }

    public int getNestedScrollAxes() {
        return this.f787x.m1460a();
    }

    protected float getTopFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int scrollY = getScrollY();
        return scrollY < verticalFadingEdgeLength ? ((float) scrollY) / ((float) verticalFadingEdgeLength) : 1.0f;
    }

    public boolean hasNestedScrollingParent() {
        return this.f788y.m1458b();
    }

    public boolean isNestedScrollingEnabled() {
        return this.f788y.m1452a();
    }

    protected void measureChild(View view, int i, int i2) {
        view.measure(getChildMeasureSpec(i, getPaddingLeft() + getPaddingRight(), view.getLayoutParams().width), MeasureSpec.makeMeasureSpec(0, 0));
    }

    protected void measureChildWithMargins(View view, int i, int i2, int i3, int i4) {
        MarginLayoutParams marginLayoutParams = (MarginLayoutParams) view.getLayoutParams();
        view.measure(getChildMeasureSpec(i, (((getPaddingLeft() + getPaddingRight()) + marginLayoutParams.leftMargin) + marginLayoutParams.rightMargin) + i2, marginLayoutParams.width), MeasureSpec.makeMeasureSpec(marginLayoutParams.bottomMargin + marginLayoutParams.topMargin, 0));
    }

    public void onAttachedToWindow() {
        this.f773h = false;
    }

    public boolean onGenericMotionEvent(MotionEvent motionEvent) {
        if ((ba.m1421d(motionEvent) & 2) == 0) {
            return false;
        }
        switch (motionEvent.getAction()) {
            case C0729b.Toolbar_contentInsetRight /*8*/:
                if (this.f775j) {
                    return false;
                }
                float e = ba.m1422e(motionEvent, 9);
                if (e == 0.0f) {
                    return false;
                }
                int verticalScrollFactorCompat = (int) (e * getVerticalScrollFactorCompat());
                int scrollRange = getScrollRange();
                int scrollY = getScrollY();
                verticalScrollFactorCompat = scrollY - verticalScrollFactorCompat;
                if (verticalScrollFactorCompat < 0) {
                    scrollRange = 0;
                } else if (verticalScrollFactorCompat <= scrollRange) {
                    scrollRange = verticalScrollFactorCompat;
                }
                if (scrollRange == scrollY) {
                    return false;
                }
                super.scrollTo(getScrollX(), scrollRange);
                return true;
            default:
                return false;
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        boolean z = true;
        int action = motionEvent.getAction();
        if (action == 2 && this.f775j) {
            return true;
        }
        if (getScrollY() == 0 && !bw.m1513b((View) this, 1)) {
            return false;
        }
        switch (action & 255) {
            case C0729b.View_android_theme /*0*/:
                action = (int) motionEvent.getY();
                if (!m2044c((int) motionEvent.getX(), action)) {
                    this.f775j = false;
                    m2045d();
                    break;
                }
                this.f771f = action;
                this.f782q = ba.m1417b(motionEvent, 0);
                m2041b();
                this.f776k.addMovement(motionEvent);
                if (this.f768c.m2330a()) {
                    z = false;
                }
                this.f775j = z;
                startNestedScroll(2);
                break;
            case C0729b.View_android_focusable /*1*/:
            case C0729b.View_paddingEnd /*3*/:
                this.f775j = false;
                this.f782q = -1;
                m2045d();
                stopNestedScroll();
                break;
            case C0729b.View_paddingStart /*2*/:
                action = this.f782q;
                if (action != -1) {
                    int a = ba.m1415a(motionEvent, action);
                    if (a != -1) {
                        action = (int) ba.m1420d(motionEvent, a);
                        if (Math.abs(action - this.f771f) > this.f779n && (getNestedScrollAxes() & 2) == 0) {
                            this.f775j = true;
                            this.f771f = action;
                            m2043c();
                            this.f776k.addMovement(motionEvent);
                            this.f785t = 0;
                            ViewParent parent = getParent();
                            if (parent != null) {
                                parent.requestDisallowInterceptTouchEvent(true);
                                break;
                            }
                        }
                    }
                    Log.e("NestedScrollView", "Invalid pointerId=" + action + " in onInterceptTouchEvent");
                    break;
                }
                break;
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                m2033a(motionEvent);
                break;
        }
        return this.f775j;
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        this.f772g = false;
        if (this.f774i != null && m2039a(this.f774i, (View) this)) {
            m2042b(this.f774i);
        }
        this.f774i = null;
        if (!this.f773h) {
            if (this.f786u != null) {
                scrollTo(getScrollX(), this.f786u.f763a);
                this.f786u = null;
            }
            int max = Math.max(0, (getChildCount() > 0 ? getChildAt(0).getMeasuredHeight() : 0) - (((i4 - i2) - getPaddingBottom()) - getPaddingTop()));
            if (getScrollY() > max) {
                scrollTo(getScrollX(), max);
            } else if (getScrollY() < 0) {
                scrollTo(getScrollX(), 0);
            }
        }
        scrollTo(getScrollX(), getScrollY());
        this.f773h = true;
    }

    protected void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (this.f777l && MeasureSpec.getMode(i2) != 0 && getChildCount() > 0) {
            View childAt = getChildAt(0);
            int measuredHeight = getMeasuredHeight();
            if (childAt.getMeasuredHeight() < measuredHeight) {
                childAt.measure(getChildMeasureSpec(i, getPaddingLeft() + getPaddingRight(), ((FrameLayout.LayoutParams) childAt.getLayoutParams()).width), MeasureSpec.makeMeasureSpec((measuredHeight - getPaddingTop()) - getPaddingBottom(), 1073741824));
            }
        }
    }

    public boolean onNestedFling(View view, float f, float f2, boolean z) {
        if (z) {
            return false;
        }
        m2049f((int) f2);
        return true;
    }

    public boolean onNestedPreFling(View view, float f, float f2) {
        return false;
    }

    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
    }

    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        int scrollY = getScrollY();
        scrollBy(0, i4);
        int scrollY2 = getScrollY() - scrollY;
        dispatchNestedScroll(0, scrollY2, 0, i4 - scrollY2, null);
    }

    public void onNestedScrollAccepted(View view, View view2, int i) {
        this.f787x.m1462a(view, view2, i);
        startNestedScroll(2);
    }

    protected void onOverScrolled(int i, int i2, boolean z, boolean z2) {
        super.scrollTo(i, i2);
    }

    protected boolean onRequestFocusInDescendants(int i, Rect rect) {
        if (i == 2) {
            i = 130;
        } else if (i == 1) {
            i = 33;
        }
        View findNextFocus = rect == null ? FocusFinder.getInstance().findNextFocus(this, null, i) : FocusFinder.getInstance().findNextFocusFromRect(this, rect, i);
        return (findNextFocus == null || m2037a(findNextFocus)) ? false : findNextFocus.requestFocus(i, rect);
    }

    protected void onRestoreInstanceState(Parcelable parcelable) {
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.f786u = savedState;
        requestLayout();
    }

    protected Parcelable onSaveInstanceState() {
        Parcelable savedState = new SavedState(super.onSaveInstanceState());
        savedState.f763a = getScrollY();
        return savedState;
    }

    protected void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        View findFocus = findFocus();
        if (findFocus != null && this != findFocus && m2038a(findFocus, 0, i4)) {
            findFocus.getDrawingRect(this.f767b);
            offsetDescendantRectToMyCoords(findFocus, this.f767b);
            m2047e(m2050a(this.f767b));
        }
    }

    public boolean onStartNestedScroll(View view, View view2, int i) {
        return (i & 2) != 0;
    }

    public void onStopNestedScroll(View view) {
        stopNestedScroll();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        m2043c();
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        int a = ba.m1414a(motionEvent);
        if (a == 0) {
            this.f785t = 0;
        }
        obtain.offsetLocation(0.0f, (float) this.f785t);
        switch (a) {
            case C0729b.View_android_theme /*0*/:
                if (getChildCount() != 0) {
                    boolean z = !this.f768c.m2330a();
                    this.f775j = z;
                    if (z) {
                        ViewParent parent = getParent();
                        if (parent != null) {
                            parent.requestDisallowInterceptTouchEvent(true);
                        }
                    }
                    if (!this.f768c.m2330a()) {
                        this.f768c.m2337h();
                    }
                    this.f771f = (int) motionEvent.getY();
                    this.f782q = ba.m1417b(motionEvent, 0);
                    startNestedScroll(2);
                    break;
                }
                return false;
            case C0729b.View_android_focusable /*1*/:
                if (this.f775j) {
                    VelocityTracker velocityTracker = this.f776k;
                    velocityTracker.computeCurrentVelocity(1000, (float) this.f781p);
                    a = (int) br.m1483b(velocityTracker, this.f782q);
                    if (Math.abs(a) > this.f780o) {
                        m2049f(-a);
                    }
                    this.f782q = -1;
                    m2046e();
                    break;
                }
                break;
            case C0729b.View_paddingStart /*2*/:
                int a2 = ba.m1415a(motionEvent, this.f782q);
                if (a2 != -1) {
                    int i;
                    int d = (int) ba.m1420d(motionEvent, a2);
                    a = this.f771f - d;
                    if (dispatchNestedPreScroll(0, a, this.f784s, this.f783r)) {
                        a -= this.f784s[1];
                        obtain.offsetLocation(0.0f, (float) this.f783r[1]);
                        this.f785t += this.f783r[1];
                    }
                    if (this.f775j || Math.abs(a) <= this.f779n) {
                        i = a;
                    } else {
                        ViewParent parent2 = getParent();
                        if (parent2 != null) {
                            parent2.requestDisallowInterceptTouchEvent(true);
                        }
                        this.f775j = true;
                        i = a > 0 ? a - this.f779n : a + this.f779n;
                    }
                    if (this.f775j) {
                        this.f771f = d - this.f783r[1];
                        int scrollY = getScrollY();
                        int scrollRange = getScrollRange();
                        a = bw.m1495a(this);
                        Object obj = (a == 0 || (a == 1 && scrollRange > 0)) ? 1 : null;
                        if (m2053a(0, i, 0, getScrollY(), 0, scrollRange, 0, 0, true) && !hasNestedScrollingParent()) {
                            this.f776k.clear();
                        }
                        int scrollY2 = getScrollY() - scrollY;
                        if (!dispatchNestedScroll(0, scrollY2, 0, i - scrollY2, this.f783r)) {
                            if (obj != null) {
                                m2048f();
                                a = scrollY + i;
                                if (a < 0) {
                                    this.f769d.m2187a(((float) i) / ((float) getHeight()), ba.m1418c(motionEvent, a2) / ((float) getWidth()));
                                    if (!this.f770e.m2185a()) {
                                        this.f770e.m2191c();
                                    }
                                } else if (a > scrollRange) {
                                    this.f770e.m2187a(((float) i) / ((float) getHeight()), 1.0f - (ba.m1418c(motionEvent, a2) / ((float) getWidth())));
                                    if (!this.f769d.m2185a()) {
                                        this.f769d.m2191c();
                                    }
                                }
                                if (!(this.f769d == null || (this.f769d.m2185a() && this.f770e.m2185a()))) {
                                    bw.m1517d(this);
                                    break;
                                }
                            }
                        }
                        this.f771f -= this.f783r[1];
                        obtain.offsetLocation(0.0f, (float) this.f783r[1]);
                        this.f785t += this.f783r[1];
                        break;
                    }
                }
                Log.e("NestedScrollView", "Invalid pointerId=" + this.f782q + " in onTouchEvent");
                break;
                break;
            case C0729b.View_paddingEnd /*3*/:
                if (this.f775j && getChildCount() > 0) {
                    this.f782q = -1;
                    m2046e();
                    break;
                }
            case C0729b.Toolbar_contentInsetStart /*5*/:
                a = ba.m1416b(motionEvent);
                this.f771f = (int) ba.m1420d(motionEvent, a);
                this.f782q = ba.m1417b(motionEvent, a);
                break;
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                m2033a(motionEvent);
                this.f771f = (int) ba.m1420d(motionEvent, ba.m1415a(motionEvent, this.f782q));
                break;
        }
        if (this.f776k != null) {
            this.f776k.addMovement(obtain);
        }
        obtain.recycle();
        return true;
    }

    public void requestChildFocus(View view, View view2) {
        if (this.f772g) {
            this.f774i = view2;
        } else {
            m2042b(view2);
        }
        super.requestChildFocus(view, view2);
    }

    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z) {
        rect.offset(view.getLeft() - view.getScrollX(), view.getTop() - view.getScrollY());
        return m2036a(rect, z);
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        if (z) {
            m2045d();
        }
        super.requestDisallowInterceptTouchEvent(z);
    }

    public void requestLayout() {
        this.f772g = true;
        super.requestLayout();
    }

    public void scrollTo(int i, int i2) {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            int b = m2040b(i, (getWidth() - getPaddingRight()) - getPaddingLeft(), childAt.getWidth());
            int b2 = m2040b(i2, (getHeight() - getPaddingBottom()) - getPaddingTop(), childAt.getHeight());
            if (b != getScrollX() || b2 != getScrollY()) {
                super.scrollTo(b, b2);
            }
        }
    }

    public void setFillViewport(boolean z) {
        if (z != this.f777l) {
            this.f777l = z;
            requestLayout();
        }
    }

    public void setNestedScrollingEnabled(boolean z) {
        this.f788y.m1451a(z);
    }

    public void setSmoothScrollingEnabled(boolean z) {
        this.f778m = z;
    }

    public boolean shouldDelayChildPressedState() {
        return true;
    }

    public boolean startNestedScroll(int i) {
        return this.f788y.m1455a(i);
    }

    public void stopNestedScroll() {
        this.f788y.m1459c();
    }
}
