package android.support.v4.widget;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff.Mode;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.view.bw;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.BaseSavedState;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import com.neatorobotics.android.C0729b;
import java.util.ArrayList;

public class SlidingPaneLayout extends ViewGroup {
    static final bu f791a;
    private int f792b;
    private int f793c;
    private Drawable f794d;
    private Drawable f795e;
    private final int f796f;
    private boolean f797g;
    private View f798h;
    private float f799i;
    private float f800j;
    private int f801k;
    private boolean f802l;
    private int f803m;
    private float f804n;
    private float f805o;
    private bs f806p;
    private final cj f807q;
    private boolean f808r;
    private boolean f809s;
    private final Rect f810t;
    private final ArrayList f811u;

    class SavedState extends BaseSavedState {
        public static final Creator CREATOR;
        boolean f790a;

        static {
            CREATOR = new bt();
        }

        private SavedState(Parcel parcel) {
            super(parcel);
            this.f790a = parcel.readInt() != 0;
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f790a ? 1 : 0);
        }
    }

    static {
        int i = VERSION.SDK_INT;
        if (i >= 17) {
            f791a = new bx();
        } else if (i >= 16) {
            f791a = new bw();
        } else {
            f791a = new bv();
        }
    }

    private void m2060a(float f) {
        Object obj;
        int childCount;
        int i;
        View childAt;
        int i2;
        boolean f2 = m2067f();
        br brVar = (br) this.f798h.getLayoutParams();
        if (brVar.f950c) {
            if ((f2 ? brVar.rightMargin : brVar.leftMargin) <= 0) {
                obj = 1;
                childCount = getChildCount();
                for (i = 0; i < childCount; i++) {
                    childAt = getChildAt(i);
                    if (childAt == this.f798h) {
                        i2 = (int) ((1.0f - this.f800j) * ((float) this.f803m));
                        this.f800j = f;
                        i2 -= (int) ((1.0f - f) * ((float) this.f803m));
                        if (f2) {
                            i2 = -i2;
                        }
                        childAt.offsetLeftAndRight(i2);
                        if (obj == null) {
                            m2062a(childAt, f2 ? this.f800j - 1.0f : 1.0f - this.f800j, this.f793c);
                        }
                    }
                }
            }
        }
        obj = null;
        childCount = getChildCount();
        for (i = 0; i < childCount; i++) {
            childAt = getChildAt(i);
            if (childAt == this.f798h) {
                i2 = (int) ((1.0f - this.f800j) * ((float) this.f803m));
                this.f800j = f;
                i2 -= (int) ((1.0f - f) * ((float) this.f803m));
                if (f2) {
                    i2 = -i2;
                }
                childAt.offsetLeftAndRight(i2);
                if (obj == null) {
                    if (f2) {
                    }
                    m2062a(childAt, f2 ? this.f800j - 1.0f : 1.0f - this.f800j, this.f793c);
                }
            }
        }
    }

    private void m2062a(View view, float f, int i) {
        br brVar = (br) view.getLayoutParams();
        if (f > 0.0f && i != 0) {
            int i2 = (((int) (((float) ((-16777216 & i) >>> 24)) * f)) << 24) | (16777215 & i);
            if (brVar.f951d == null) {
                brVar.f951d = new Paint();
            }
            brVar.f951d.setColorFilter(new PorterDuffColorFilter(i2, Mode.SRC_OVER));
            if (bw.m1523g(view) != 2) {
                bw.m1499a(view, 2, brVar.f951d);
            }
            m2066d(view);
        } else if (bw.m1523g(view) != 0) {
            if (brVar.f951d != null) {
                brVar.f951d.setColorFilter(null);
            }
            Runnable bqVar = new bq(this, view);
            this.f811u.add(bqVar);
            bw.m1505a((View) this, bqVar);
        }
    }

    private boolean m2063a(View view, int i) {
        if (!this.f809s && !m2070a(0.0f, i)) {
            return false;
        }
        this.f808r = false;
        return true;
    }

    private boolean m2064b(View view, int i) {
        if (!this.f809s && !m2070a(1.0f, i)) {
            return false;
        }
        this.f808r = true;
        return true;
    }

    private static boolean m2065c(View view) {
        if (bw.m1526j(view)) {
            return true;
        }
        if (VERSION.SDK_INT >= 18) {
            return false;
        }
        Drawable background = view.getBackground();
        return background != null ? background.getOpacity() == -1 : false;
    }

    private void m2066d(View view) {
        f791a.m2393a(this, view);
    }

    private boolean m2067f() {
        return bw.m1524h(this) == 1;
    }

    void m2068a() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() == 4) {
                childAt.setVisibility(0);
            }
        }
    }

    void m2069a(View view) {
        int i;
        int i2;
        int i3;
        int i4;
        boolean f = m2067f();
        int width = f ? getWidth() - getPaddingRight() : getPaddingLeft();
        int paddingLeft = f ? getPaddingLeft() : getWidth() - getPaddingRight();
        int paddingTop = getPaddingTop();
        int height = getHeight() - getPaddingBottom();
        if (view == null || !m2065c(view)) {
            i = 0;
            i2 = 0;
            i3 = 0;
            i4 = 0;
        } else {
            i4 = view.getLeft();
            i3 = view.getRight();
            i2 = view.getTop();
            i = view.getBottom();
        }
        int childCount = getChildCount();
        int i5 = 0;
        while (i5 < childCount) {
            View childAt = getChildAt(i5);
            if (childAt != view) {
                int i6 = (Math.max(f ? paddingLeft : width, childAt.getLeft()) < i4 || Math.max(paddingTop, childAt.getTop()) < i2 || Math.min(f ? width : paddingLeft, childAt.getRight()) > i3 || Math.min(height, childAt.getBottom()) > i) ? 0 : 4;
                childAt.setVisibility(i6);
                i5++;
            } else {
                return;
            }
        }
    }

    boolean m2070a(float f, int i) {
        if (!this.f797g) {
            return false;
        }
        int width;
        br brVar = (br) this.f798h.getLayoutParams();
        if (m2067f()) {
            width = (int) (((float) getWidth()) - ((((float) (brVar.rightMargin + getPaddingRight())) + (((float) this.f801k) * f)) + ((float) this.f798h.getWidth())));
        } else {
            width = (int) (((float) (brVar.leftMargin + getPaddingLeft())) + (((float) this.f801k) * f));
        }
        if (!this.f807q.m2437a(this.f798h, width, this.f798h.getTop())) {
            return false;
        }
        m2068a();
        bw.m1517d(this);
        return true;
    }

    public boolean m2071b() {
        return m2064b(this.f798h, 0);
    }

    boolean m2072b(View view) {
        if (view == null) {
            return false;
        }
        boolean z = this.f797g && ((br) view.getLayoutParams()).f950c && this.f799i > 0.0f;
        return z;
    }

    public boolean m2073c() {
        return m2063a(this.f798h, 0);
    }

    protected boolean checkLayoutParams(LayoutParams layoutParams) {
        return (layoutParams instanceof br) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        if (!this.f807q.m2438a(true)) {
            return;
        }
        if (this.f797g) {
            bw.m1517d(this);
        } else {
            this.f807q.m2452f();
        }
    }

    public boolean m2074d() {
        return !this.f797g || this.f799i == 1.0f;
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        Drawable drawable = m2067f() ? this.f795e : this.f794d;
        View childAt = getChildCount() > 1 ? getChildAt(1) : null;
        if (childAt != null && drawable != null) {
            int right;
            int i;
            int top = childAt.getTop();
            int bottom = childAt.getBottom();
            int intrinsicWidth = drawable.getIntrinsicWidth();
            if (m2067f()) {
                right = childAt.getRight();
                i = right + intrinsicWidth;
            } else {
                i = childAt.getLeft();
                right = i - intrinsicWidth;
            }
            drawable.setBounds(right, top, i, bottom);
            drawable.draw(canvas);
        }
    }

    protected boolean drawChild(Canvas canvas, View view, long j) {
        boolean drawChild;
        br brVar = (br) view.getLayoutParams();
        int save = canvas.save(2);
        if (!(!this.f797g || brVar.f949b || this.f798h == null)) {
            canvas.getClipBounds(this.f810t);
            if (m2067f()) {
                this.f810t.left = Math.max(this.f810t.left, this.f798h.getRight());
            } else {
                this.f810t.right = Math.min(this.f810t.right, this.f798h.getLeft());
            }
            canvas.clipRect(this.f810t);
        }
        if (VERSION.SDK_INT >= 11) {
            drawChild = super.drawChild(canvas, view, j);
        } else if (!brVar.f950c || this.f799i <= 0.0f) {
            if (view.isDrawingCacheEnabled()) {
                view.setDrawingCacheEnabled(false);
            }
            drawChild = super.drawChild(canvas, view, j);
        } else {
            if (!view.isDrawingCacheEnabled()) {
                view.setDrawingCacheEnabled(true);
            }
            Bitmap drawingCache = view.getDrawingCache();
            if (drawingCache != null) {
                canvas.drawBitmap(drawingCache, (float) view.getLeft(), (float) view.getTop(), brVar.f951d);
                drawChild = false;
            } else {
                Log.e("SlidingPaneLayout", "drawChild: child view " + view + " returned null drawing cache");
                drawChild = super.drawChild(canvas, view, j);
            }
        }
        canvas.restoreToCount(save);
        return drawChild;
    }

    public boolean m2075e() {
        return this.f797g;
    }

    protected LayoutParams generateDefaultLayoutParams() {
        return new br();
    }

    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new br(getContext(), attributeSet);
    }

    protected LayoutParams generateLayoutParams(LayoutParams layoutParams) {
        return layoutParams instanceof MarginLayoutParams ? new br((MarginLayoutParams) layoutParams) : new br(layoutParams);
    }

    public int getCoveredFadeColor() {
        return this.f793c;
    }

    public int getParallaxDistance() {
        return this.f803m;
    }

    public int getSliderFadeColor() {
        return this.f792b;
    }

    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f809s = true;
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.f809s = true;
        int size = this.f811u.size();
        for (int i = 0; i < size; i++) {
            ((bq) this.f811u.get(i)).run();
        }
        this.f811u.clear();
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean onInterceptTouchEvent(android.view.MotionEvent r8) {
        /*
        r7 = this;
        r2 = 0;
        r1 = 1;
        r3 = android.support.v4.view.ba.m1414a(r8);
        r0 = r7.f797g;
        if (r0 != 0) goto L_0x002d;
    L_0x000a:
        if (r3 != 0) goto L_0x002d;
    L_0x000c:
        r0 = r7.getChildCount();
        if (r0 <= r1) goto L_0x002d;
    L_0x0012:
        r0 = r7.getChildAt(r1);
        if (r0 == 0) goto L_0x002d;
    L_0x0018:
        r4 = r7.f807q;
        r5 = r8.getX();
        r5 = (int) r5;
        r6 = r8.getY();
        r6 = (int) r6;
        r0 = r4.m2444b(r0, r5, r6);
        if (r0 != 0) goto L_0x0041;
    L_0x002a:
        r0 = r1;
    L_0x002b:
        r7.f808r = r0;
    L_0x002d:
        r0 = r7.f797g;
        if (r0 == 0) goto L_0x0037;
    L_0x0031:
        r0 = r7.f802l;
        if (r0 == 0) goto L_0x0043;
    L_0x0035:
        if (r3 == 0) goto L_0x0043;
    L_0x0037:
        r0 = r7.f807q;
        r0.m2451e();
        r2 = super.onInterceptTouchEvent(r8);
    L_0x0040:
        return r2;
    L_0x0041:
        r0 = r2;
        goto L_0x002b;
    L_0x0043:
        r0 = 3;
        if (r3 == r0) goto L_0x0048;
    L_0x0046:
        if (r3 != r1) goto L_0x004e;
    L_0x0048:
        r0 = r7.f807q;
        r0.m2451e();
        goto L_0x0040;
    L_0x004e:
        switch(r3) {
            case 0: goto L_0x005e;
            case 1: goto L_0x0051;
            case 2: goto L_0x0082;
            default: goto L_0x0051;
        };
    L_0x0051:
        r0 = r2;
    L_0x0052:
        r3 = r7.f807q;
        r3 = r3.m2436a(r8);
        if (r3 != 0) goto L_0x005c;
    L_0x005a:
        if (r0 == 0) goto L_0x0040;
    L_0x005c:
        r2 = r1;
        goto L_0x0040;
    L_0x005e:
        r7.f802l = r2;
        r0 = r8.getX();
        r3 = r8.getY();
        r7.f804n = r0;
        r7.f805o = r3;
        r4 = r7.f807q;
        r5 = r7.f798h;
        r0 = (int) r0;
        r3 = (int) r3;
        r0 = r4.m2444b(r5, r0, r3);
        if (r0 == 0) goto L_0x0051;
    L_0x0078:
        r0 = r7.f798h;
        r0 = r7.m2072b(r0);
        if (r0 == 0) goto L_0x0051;
    L_0x0080:
        r0 = r1;
        goto L_0x0052;
    L_0x0082:
        r0 = r8.getX();
        r3 = r8.getY();
        r4 = r7.f804n;
        r0 = r0 - r4;
        r0 = java.lang.Math.abs(r0);
        r4 = r7.f805o;
        r3 = r3 - r4;
        r3 = java.lang.Math.abs(r3);
        r4 = r7.f807q;
        r4 = r4.m2448d();
        r4 = (float) r4;
        r4 = (r0 > r4 ? 1 : (r0 == r4 ? 0 : -1));
        if (r4 <= 0) goto L_0x0051;
    L_0x00a3:
        r0 = (r3 > r0 ? 1 : (r3 == r0 ? 0 : -1));
        if (r0 <= 0) goto L_0x0051;
    L_0x00a7:
        r0 = r7.f807q;
        r0.m2451e();
        r7.f802l = r1;
        goto L_0x0040;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.widget.SlidingPaneLayout.onInterceptTouchEvent(android.view.MotionEvent):boolean");
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        boolean f = m2067f();
        if (f) {
            this.f807q.m2433a(2);
        } else {
            this.f807q.m2433a(1);
        }
        int i5 = i3 - i;
        int paddingRight = f ? getPaddingRight() : getPaddingLeft();
        int paddingLeft = f ? getPaddingLeft() : getPaddingRight();
        int paddingTop = getPaddingTop();
        int childCount = getChildCount();
        if (this.f809s) {
            float f2 = (this.f797g && this.f808r) ? 1.0f : 0.0f;
            this.f799i = f2;
        }
        int i6 = 0;
        int i7 = paddingRight;
        while (i6 < childCount) {
            int i8;
            int i9;
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() == 8) {
                i8 = paddingRight;
                i9 = i7;
            } else {
                int i10;
                br brVar = (br) childAt.getLayoutParams();
                int measuredWidth = childAt.getMeasuredWidth();
                if (brVar.f949b) {
                    int min = (Math.min(paddingRight, (i5 - paddingLeft) - this.f796f) - i7) - (brVar.leftMargin + brVar.rightMargin);
                    this.f801k = min;
                    i9 = f ? brVar.rightMargin : brVar.leftMargin;
                    brVar.f950c = ((i7 + i9) + min) + (measuredWidth / 2) > i5 - paddingLeft;
                    i8 = (int) (((float) min) * this.f799i);
                    i10 = i7 + (i9 + i8);
                    this.f799i = ((float) i8) / ((float) this.f801k);
                    i8 = 0;
                } else if (!this.f797g || this.f803m == 0) {
                    i8 = 0;
                    i10 = paddingRight;
                } else {
                    i8 = (int) ((1.0f - this.f799i) * ((float) this.f803m));
                    i10 = paddingRight;
                }
                if (f) {
                    i9 = (i5 - i10) + i8;
                    i8 = i9 - measuredWidth;
                } else {
                    i8 = i10 - i8;
                    i9 = i8 + measuredWidth;
                }
                childAt.layout(i8, paddingTop, i9, childAt.getMeasuredHeight() + paddingTop);
                i8 = childAt.getWidth() + paddingRight;
                i9 = i10;
            }
            i6++;
            paddingRight = i8;
            i7 = i9;
        }
        if (this.f809s) {
            if (this.f797g) {
                if (this.f803m != 0) {
                    m2060a(this.f799i);
                }
                if (((br) this.f798h.getLayoutParams()).f950c) {
                    m2062a(this.f798h, this.f799i, this.f792b);
                }
            } else {
                for (i8 = 0; i8 < childCount; i8++) {
                    m2062a(getChildAt(i8), 0.0f, this.f792b);
                }
            }
            m2069a(this.f798h);
        }
        this.f809s = false;
    }

    protected void onMeasure(int i, int i2) {
        int i3;
        int i4;
        int mode = MeasureSpec.getMode(i);
        int size = MeasureSpec.getSize(i);
        int mode2 = MeasureSpec.getMode(i2);
        int size2 = MeasureSpec.getSize(i2);
        if (mode == 1073741824) {
            if (mode2 == 0) {
                if (!isInEditMode()) {
                    throw new IllegalStateException("Height must not be UNSPECIFIED");
                } else if (mode2 == 0) {
                    i3 = Integer.MIN_VALUE;
                    i4 = size;
                    size = 300;
                }
            }
            i3 = mode2;
            i4 = size;
            size = size2;
        } else if (!isInEditMode()) {
            throw new IllegalStateException("Width must have an exact value or MATCH_PARENT");
        } else if (mode == Integer.MIN_VALUE) {
            i3 = mode2;
            i4 = size;
            size = size2;
        } else {
            if (mode == 0) {
                i3 = mode2;
                i4 = 300;
                size = size2;
            }
            i3 = mode2;
            i4 = size;
            size = size2;
        }
        switch (i3) {
            case Integer.MIN_VALUE:
                size2 = 0;
                mode2 = (size - getPaddingTop()) - getPaddingBottom();
                break;
            case 1073741824:
                size2 = (size - getPaddingTop()) - getPaddingBottom();
                mode2 = size2;
                break;
            default:
                size2 = 0;
                mode2 = -1;
                break;
        }
        boolean z = false;
        int paddingLeft = (i4 - getPaddingLeft()) - getPaddingRight();
        int childCount = getChildCount();
        if (childCount > 2) {
            Log.e("SlidingPaneLayout", "onMeasure: More than two child views are not supported.");
        }
        this.f798h = null;
        int i5 = 0;
        int i6 = paddingLeft;
        int i7 = size2;
        float f = 0.0f;
        while (i5 < childCount) {
            float f2;
            int i8;
            boolean z2;
            View childAt = getChildAt(i5);
            br brVar = (br) childAt.getLayoutParams();
            if (childAt.getVisibility() == 8) {
                brVar.f950c = false;
                size2 = i6;
                f2 = f;
                i8 = i7;
                z2 = z;
            } else {
                if (brVar.f948a > 0.0f) {
                    f += brVar.f948a;
                    if (brVar.width == 0) {
                        size2 = i6;
                        f2 = f;
                        i8 = i7;
                        z2 = z;
                    }
                }
                mode = brVar.leftMargin + brVar.rightMargin;
                mode = brVar.width == -2 ? MeasureSpec.makeMeasureSpec(paddingLeft - mode, Integer.MIN_VALUE) : brVar.width == -1 ? MeasureSpec.makeMeasureSpec(paddingLeft - mode, 1073741824) : MeasureSpec.makeMeasureSpec(brVar.width, 1073741824);
                i8 = brVar.height == -2 ? MeasureSpec.makeMeasureSpec(mode2, Integer.MIN_VALUE) : brVar.height == -1 ? MeasureSpec.makeMeasureSpec(mode2, 1073741824) : MeasureSpec.makeMeasureSpec(brVar.height, 1073741824);
                childAt.measure(mode, i8);
                mode = childAt.getMeasuredWidth();
                i8 = childAt.getMeasuredHeight();
                if (i3 == Integer.MIN_VALUE && i8 > i7) {
                    i7 = Math.min(i8, mode2);
                }
                i8 = i6 - mode;
                boolean z3 = i8 < 0;
                brVar.f949b = z3;
                z3 |= z;
                if (brVar.f949b) {
                    this.f798h = childAt;
                }
                size2 = i8;
                i8 = i7;
                float f3 = f;
                z2 = z3;
                f2 = f3;
            }
            i5++;
            z = z2;
            i7 = i8;
            f = f2;
            i6 = size2;
        }
        if (z || f > 0.0f) {
            int i9 = paddingLeft - this.f796f;
            for (i3 = 0; i3 < childCount; i3++) {
                View childAt2 = getChildAt(i3);
                if (childAt2.getVisibility() != 8) {
                    brVar = (br) childAt2.getLayoutParams();
                    if (childAt2.getVisibility() != 8) {
                        Object obj = (brVar.width != 0 || brVar.f948a <= 0.0f) ? null : 1;
                        i8 = obj != null ? 0 : childAt2.getMeasuredWidth();
                        if (!z || childAt2 == this.f798h) {
                            if (brVar.f948a > 0.0f) {
                                mode = brVar.width == 0 ? brVar.height == -2 ? MeasureSpec.makeMeasureSpec(mode2, Integer.MIN_VALUE) : brVar.height == -1 ? MeasureSpec.makeMeasureSpec(mode2, 1073741824) : MeasureSpec.makeMeasureSpec(brVar.height, 1073741824) : MeasureSpec.makeMeasureSpec(childAt2.getMeasuredHeight(), 1073741824);
                                if (z) {
                                    size2 = paddingLeft - (brVar.rightMargin + brVar.leftMargin);
                                    i5 = MeasureSpec.makeMeasureSpec(size2, 1073741824);
                                    if (i8 != size2) {
                                        childAt2.measure(i5, mode);
                                    }
                                } else {
                                    childAt2.measure(MeasureSpec.makeMeasureSpec(((int) ((brVar.f948a * ((float) Math.max(0, i6))) / f)) + i8, 1073741824), mode);
                                }
                            }
                        } else if (brVar.width < 0 && (i8 > i9 || brVar.f948a > 0.0f)) {
                            size2 = obj != null ? brVar.height == -2 ? MeasureSpec.makeMeasureSpec(mode2, Integer.MIN_VALUE) : brVar.height == -1 ? MeasureSpec.makeMeasureSpec(mode2, 1073741824) : MeasureSpec.makeMeasureSpec(brVar.height, 1073741824) : MeasureSpec.makeMeasureSpec(childAt2.getMeasuredHeight(), 1073741824);
                            childAt2.measure(MeasureSpec.makeMeasureSpec(i9, 1073741824), size2);
                        }
                    }
                }
            }
        }
        setMeasuredDimension(i4, (getPaddingTop() + i7) + getPaddingBottom());
        this.f797g = z;
        if (this.f807q.m2431a() != 0 && !z) {
            this.f807q.m2452f();
        }
    }

    protected void onRestoreInstanceState(Parcelable parcelable) {
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        if (savedState.f790a) {
            m2071b();
        } else {
            m2073c();
        }
        this.f808r = savedState.f790a;
    }

    protected Parcelable onSaveInstanceState() {
        Parcelable savedState = new SavedState(super.onSaveInstanceState());
        savedState.f790a = m2075e() ? m2074d() : this.f808r;
        return savedState;
    }

    protected void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        if (i != i3) {
            this.f809s = true;
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.f797g) {
            return super.onTouchEvent(motionEvent);
        }
        this.f807q.m2440b(motionEvent);
        float x;
        float y;
        switch (motionEvent.getAction() & 255) {
            case C0729b.View_android_theme /*0*/:
                x = motionEvent.getX();
                y = motionEvent.getY();
                this.f804n = x;
                this.f805o = y;
                return true;
            case C0729b.View_android_focusable /*1*/:
                if (!m2072b(this.f798h)) {
                    return true;
                }
                x = motionEvent.getX();
                y = motionEvent.getY();
                float f = x - this.f804n;
                float f2 = y - this.f805o;
                int d = this.f807q.m2448d();
                if ((f * f) + (f2 * f2) >= ((float) (d * d)) || !this.f807q.m2444b(this.f798h, (int) x, (int) y)) {
                    return true;
                }
                m2063a(this.f798h, 0);
                return true;
            default:
                return true;
        }
    }

    public void requestChildFocus(View view, View view2) {
        super.requestChildFocus(view, view2);
        if (!isInTouchMode() && !this.f797g) {
            this.f808r = view == this.f798h;
        }
    }

    public void setCoveredFadeColor(int i) {
        this.f793c = i;
    }

    public void setPanelSlideListener(bs bsVar) {
        this.f806p = bsVar;
    }

    public void setParallaxDistance(int i) {
        this.f803m = i;
        requestLayout();
    }

    @Deprecated
    public void setShadowDrawable(Drawable drawable) {
        setShadowDrawableLeft(drawable);
    }

    public void setShadowDrawableLeft(Drawable drawable) {
        this.f794d = drawable;
    }

    public void setShadowDrawableRight(Drawable drawable) {
        this.f795e = drawable;
    }

    @Deprecated
    public void setShadowResource(int i) {
        setShadowDrawable(getResources().getDrawable(i));
    }

    public void setShadowResourceLeft(int i) {
        setShadowDrawableLeft(getResources().getDrawable(i));
    }

    public void setShadowResourceRight(int i) {
        setShadowDrawableRight(getResources().getDrawable(i));
    }

    public void setSliderFadeColor(int i) {
        this.f792b = i;
    }
}
