package android.support.v4.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.os.Build.VERSION;
import android.support.v4.view.ba;
import android.support.v4.view.bj;
import android.support.v4.view.bk;
import android.support.v4.view.bl;
import android.support.v4.view.bm;
import android.support.v4.view.bw;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.Animation.AnimationListener;
import android.view.animation.DecelerateInterpolator;
import android.widget.AbsListView;
import com.neatorobotics.android.C0729b;

public class SwipeRefreshLayout extends ViewGroup implements bj, bl {
    private static final String f812c;
    private static final int[] f813w;
    private ap f814A;
    private Animation f815B;
    private Animation f816C;
    private Animation f817D;
    private Animation f818E;
    private Animation f819F;
    private float f820G;
    private boolean f821H;
    private int f822I;
    private int f823J;
    private boolean f824K;
    private AnimationListener f825L;
    private final Animation f826M;
    private final Animation f827N;
    private final Animation f828O;
    protected int f829a;
    protected int f830b;
    private View f831d;
    private ch f832e;
    private boolean f833f;
    private int f834g;
    private float f835h;
    private float f836i;
    private final bm f837j;
    private final bk f838k;
    private final int[] f839l;
    private int f840m;
    private int f841n;
    private boolean f842o;
    private float f843p;
    private float f844q;
    private boolean f845r;
    private int f846s;
    private boolean f847t;
    private boolean f848u;
    private final DecelerateInterpolator f849v;
    private C0233e f850x;
    private int f851y;
    private float f852z;

    static {
        f812c = SwipeRefreshLayout.class.getSimpleName();
        f813w = new int[]{16842766};
    }

    public SwipeRefreshLayout(Context context) {
        this(context, null);
    }

    public SwipeRefreshLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f833f = false;
        this.f835h = -1.0f;
        this.f839l = new int[2];
        this.f842o = false;
        this.f846s = -1;
        this.f851y = -1;
        this.f825L = new by(this);
        this.f826M = new cd(this);
        this.f827N = new ce(this);
        this.f828O = new cf(this);
        this.f834g = ViewConfiguration.get(context).getScaledTouchSlop();
        this.f840m = getResources().getInteger(17694721);
        setWillNotDraw(false);
        this.f849v = new DecelerateInterpolator(2.0f);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f813w);
        setEnabled(obtainStyledAttributes.getBoolean(0, true));
        obtainStyledAttributes.recycle();
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        this.f822I = (int) (displayMetrics.density * 40.0f);
        this.f823J = (int) (displayMetrics.density * 40.0f);
        m2097c();
        bw.m1508a((ViewGroup) this, true);
        this.f820G = displayMetrics.density * 64.0f;
        this.f835h = this.f820G;
        this.f837j = new bm(this);
        this.f838k = new bk(this);
        setNestedScrollingEnabled(true);
    }

    private float m2077a(MotionEvent motionEvent, int i) {
        int a = ba.m1415a(motionEvent, i);
        return a < 0 ? -1.0f : ba.m1420d(motionEvent, a);
    }

    private Animation m2078a(int i, int i2) {
        if (this.f847t && m2102d()) {
            return null;
        }
        Animation cbVar = new cb(this, i, i2);
        cbVar.setDuration(300);
        this.f850x.m2456a(null);
        this.f850x.clearAnimation();
        this.f850x.startAnimation(cbVar);
        return cbVar;
    }

    private void m2079a(float f) {
        this.f814A.m2247a(true);
        float min = Math.min(1.0f, Math.abs(f / this.f835h));
        float max = (((float) Math.max(((double) min) - 0.4d, 0.0d)) * 5.0f) / 3.0f;
        float abs = Math.abs(f) - this.f835h;
        float f2 = this.f824K ? this.f820G - ((float) this.f830b) : this.f820G;
        abs = Math.max(0.0f, Math.min(abs, f2 * 2.0f) / f2);
        abs = ((float) (((double) (abs / 4.0f)) - Math.pow((double) (abs / 4.0f), 2.0d))) * 2.0f;
        int i = ((int) ((f2 * min) + ((f2 * abs) * 2.0f))) + this.f830b;
        if (this.f850x.getVisibility() != 0) {
            this.f850x.setVisibility(0);
        }
        if (!this.f847t) {
            bw.m1518d(this.f850x, 1.0f);
            bw.m1520e(this.f850x, 1.0f);
        }
        if (f < this.f835h) {
            if (this.f847t) {
                setAnimationProgress(f / this.f835h);
            }
            if (this.f814A.getAlpha() > 76 && !m2090a(this.f817D)) {
                m2104e();
            }
            this.f814A.m2245a(0.0f, Math.min(0.8f, max * 0.8f));
            this.f814A.m2244a(Math.min(1.0f, max));
        } else if (this.f814A.getAlpha() < 255 && !m2090a(this.f818E)) {
            m2105f();
        }
        this.f814A.m2249b(((-0.25f + (max * 0.4f)) + (abs * 2.0f)) * 0.5f);
        m2081a(i - this.f841n, true);
    }

    private void m2080a(int i, AnimationListener animationListener) {
        this.f829a = i;
        this.f826M.reset();
        this.f826M.setDuration(200);
        this.f826M.setInterpolator(this.f849v);
        if (animationListener != null) {
            this.f850x.m2456a(animationListener);
        }
        this.f850x.clearAnimation();
        this.f850x.startAnimation(this.f826M);
    }

    private void m2081a(int i, boolean z) {
        this.f850x.bringToFront();
        this.f850x.offsetTopAndBottom(i);
        this.f841n = this.f850x.getTop();
        if (z && VERSION.SDK_INT < 11) {
            invalidate();
        }
    }

    private void m2086a(MotionEvent motionEvent) {
        int b = ba.m1416b(motionEvent);
        if (ba.m1417b(motionEvent, b) == this.f846s) {
            this.f846s = ba.m1417b(motionEvent, b == 0 ? 1 : 0);
        }
    }

    private void m2087a(AnimationListener animationListener) {
        this.f850x.setVisibility(0);
        if (VERSION.SDK_INT >= 11) {
            this.f814A.setAlpha(255);
        }
        this.f815B = new bz(this);
        this.f815B.setDuration((long) this.f840m);
        if (animationListener != null) {
            this.f850x.m2456a(animationListener);
        }
        this.f850x.clearAnimation();
        this.f850x.startAnimation(this.f815B);
    }

    private void m2088a(boolean z, boolean z2) {
        if (this.f833f != z) {
            this.f821H = z2;
            m2108g();
            this.f833f = z;
            if (this.f833f) {
                m2080a(this.f841n, this.f825L);
            } else {
                m2096b(this.f825L);
            }
        }
    }

    private boolean m2090a(Animation animation) {
        return (animation == null || !animation.hasStarted() || animation.hasEnded()) ? false : true;
    }

    private void m2093b(float f) {
        if (f > this.f835h) {
            m2088a(true, true);
            return;
        }
        this.f833f = false;
        this.f814A.m2245a(0.0f, 0.0f);
        AnimationListener animationListener = null;
        if (!this.f847t) {
            animationListener = new cc(this);
        }
        m2094b(this.f841n, animationListener);
        this.f814A.m2247a(false);
    }

    private void m2094b(int i, AnimationListener animationListener) {
        if (this.f847t) {
            m2099c(i, animationListener);
            return;
        }
        this.f829a = i;
        this.f828O.reset();
        this.f828O.setDuration(200);
        this.f828O.setInterpolator(this.f849v);
        if (animationListener != null) {
            this.f850x.m2456a(animationListener);
        }
        this.f850x.clearAnimation();
        this.f850x.startAnimation(this.f828O);
    }

    private void m2096b(AnimationListener animationListener) {
        this.f816C = new ca(this);
        this.f816C.setDuration(150);
        this.f850x.m2456a(animationListener);
        this.f850x.clearAnimation();
        this.f850x.startAnimation(this.f816C);
    }

    private void m2097c() {
        this.f850x = new C0233e(getContext(), -328966, 20.0f);
        this.f814A = new ap(getContext(), this);
        this.f814A.m2250b(-328966);
        this.f850x.setImageDrawable(this.f814A);
        this.f850x.setVisibility(8);
        addView(this.f850x);
    }

    private void m2098c(float f) {
        m2081a((this.f829a + ((int) (((float) (this.f830b - this.f829a)) * f))) - this.f850x.getTop(), false);
    }

    private void m2099c(int i, AnimationListener animationListener) {
        this.f829a = i;
        if (m2102d()) {
            this.f852z = (float) this.f814A.getAlpha();
        } else {
            this.f852z = bw.m1534r(this.f850x);
        }
        this.f819F = new cg(this);
        this.f819F.setDuration(150);
        if (animationListener != null) {
            this.f850x.m2456a(animationListener);
        }
        this.f850x.clearAnimation();
        this.f850x.startAnimation(this.f819F);
    }

    private boolean m2102d() {
        return VERSION.SDK_INT < 11;
    }

    private void m2104e() {
        this.f817D = m2078a(this.f814A.getAlpha(), 76);
    }

    private void m2105f() {
        this.f818E = m2078a(this.f814A.getAlpha(), 255);
    }

    private void m2108g() {
        if (this.f831d == null) {
            int i = 0;
            while (i < getChildCount()) {
                View childAt = getChildAt(i);
                if (childAt.equals(this.f850x)) {
                    i++;
                } else {
                    this.f831d = childAt;
                    return;
                }
            }
        }
    }

    private void setAnimationProgress(float f) {
        if (m2102d()) {
            setColorViewAlpha((int) (255.0f * f));
            return;
        }
        bw.m1518d(this.f850x, f);
        bw.m1520e(this.f850x, f);
    }

    private void setColorViewAlpha(int i) {
        this.f850x.getBackground().setAlpha(i);
        this.f814A.setAlpha(i);
    }

    public boolean m2112a() {
        return this.f833f;
    }

    public boolean m2113b() {
        boolean z = false;
        if (VERSION.SDK_INT >= 14) {
            return bw.m1513b(this.f831d, -1);
        }
        if (this.f831d instanceof AbsListView) {
            AbsListView absListView = (AbsListView) this.f831d;
            return absListView.getChildCount() > 0 && (absListView.getFirstVisiblePosition() > 0 || absListView.getChildAt(0).getTop() < absListView.getPaddingTop());
        } else {
            if (bw.m1513b(this.f831d, -1) || this.f831d.getScrollY() > 0) {
                z = true;
            }
            return z;
        }
    }

    public boolean dispatchNestedFling(float f, float f2, boolean z) {
        return this.f838k.m1454a(f, f2, z);
    }

    public boolean dispatchNestedPreFling(float f, float f2) {
        return this.f838k.m1453a(f, f2);
    }

    public boolean dispatchNestedPreScroll(int i, int i2, int[] iArr, int[] iArr2) {
        return this.f838k.m1457a(i, i2, iArr, iArr2);
    }

    public boolean dispatchNestedScroll(int i, int i2, int i3, int i4, int[] iArr) {
        return this.f838k.m1456a(i, i2, i3, i4, iArr);
    }

    protected int getChildDrawingOrder(int i, int i2) {
        return this.f851y < 0 ? i2 : i2 == i + -1 ? this.f851y : i2 >= this.f851y ? i2 + 1 : i2;
    }

    public int getNestedScrollAxes() {
        return this.f837j.m1460a();
    }

    public int getProgressCircleDiameter() {
        return this.f850x != null ? this.f850x.getMeasuredHeight() : 0;
    }

    public boolean hasNestedScrollingParent() {
        return this.f838k.m1458b();
    }

    public boolean isNestedScrollingEnabled() {
        return this.f838k.m1452a();
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        m2108g();
        int a = ba.m1414a(motionEvent);
        if (this.f848u && a == 0) {
            this.f848u = false;
        }
        if (!isEnabled() || this.f848u || m2113b() || this.f833f) {
            return false;
        }
        float a2;
        switch (a) {
            case C0729b.View_android_theme /*0*/:
                m2081a(this.f830b - this.f850x.getTop(), true);
                this.f846s = ba.m1417b(motionEvent, 0);
                this.f845r = false;
                a2 = m2077a(motionEvent, this.f846s);
                if (a2 != -1.0f) {
                    this.f844q = a2;
                    break;
                }
                return false;
            case C0729b.View_android_focusable /*1*/:
            case C0729b.View_paddingEnd /*3*/:
                this.f845r = false;
                this.f846s = -1;
                break;
            case C0729b.View_paddingStart /*2*/:
                if (this.f846s == -1) {
                    Log.e(f812c, "Got ACTION_MOVE event but don't have an active pointer id.");
                    return false;
                }
                a2 = m2077a(motionEvent, this.f846s);
                if (a2 != -1.0f) {
                    if (a2 - this.f844q > ((float) this.f834g) && !this.f845r) {
                        this.f843p = this.f844q + ((float) this.f834g);
                        this.f845r = true;
                        this.f814A.setAlpha(76);
                        break;
                    }
                }
                return false;
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                m2086a(motionEvent);
                break;
        }
        return this.f845r;
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int measuredWidth = getMeasuredWidth();
        int measuredHeight = getMeasuredHeight();
        if (getChildCount() != 0) {
            if (this.f831d == null) {
                m2108g();
            }
            if (this.f831d != null) {
                View view = this.f831d;
                int paddingLeft = getPaddingLeft();
                int paddingTop = getPaddingTop();
                view.layout(paddingLeft, paddingTop, ((measuredWidth - getPaddingLeft()) - getPaddingRight()) + paddingLeft, ((measuredHeight - getPaddingTop()) - getPaddingBottom()) + paddingTop);
                measuredHeight = this.f850x.getMeasuredWidth();
                this.f850x.layout((measuredWidth / 2) - (measuredHeight / 2), this.f841n, (measuredWidth / 2) + (measuredHeight / 2), this.f841n + this.f850x.getMeasuredHeight());
            }
        }
    }

    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (this.f831d == null) {
            m2108g();
        }
        if (this.f831d != null) {
            int i3;
            this.f831d.measure(MeasureSpec.makeMeasureSpec((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight(), 1073741824), MeasureSpec.makeMeasureSpec((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom(), 1073741824));
            this.f850x.measure(MeasureSpec.makeMeasureSpec(this.f822I, 1073741824), MeasureSpec.makeMeasureSpec(this.f823J, 1073741824));
            if (!(this.f824K || this.f842o)) {
                this.f842o = true;
                i3 = -this.f850x.getMeasuredHeight();
                this.f830b = i3;
                this.f841n = i3;
            }
            this.f851y = -1;
            for (i3 = 0; i3 < getChildCount(); i3++) {
                if (getChildAt(i3) == this.f850x) {
                    this.f851y = i3;
                    return;
                }
            }
        }
    }

    public boolean onNestedFling(View view, float f, float f2, boolean z) {
        return false;
    }

    public boolean onNestedPreFling(View view, float f, float f2) {
        return false;
    }

    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
        if (i2 > 0 && this.f836i > 0.0f) {
            if (((float) i2) > this.f836i) {
                iArr[1] = i2 - ((int) this.f836i);
                this.f836i = 0.0f;
            } else {
                this.f836i -= (float) i2;
                iArr[1] = i2;
            }
            m2079a(this.f836i);
        }
        int[] iArr2 = this.f839l;
        if (dispatchNestedPreScroll(i - iArr[0], i2 - iArr[1], iArr2, null)) {
            iArr[0] = iArr[0] + iArr2[0];
            iArr[1] = iArr2[1] + iArr[1];
        }
    }

    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        if (i4 < 0) {
            this.f836i = ((float) Math.abs(i4)) + this.f836i;
            m2079a(this.f836i);
        }
        dispatchNestedScroll(i, i2, i3, i, null);
    }

    public void onNestedScrollAccepted(View view, View view2, int i) {
        this.f837j.m1462a(view, view2, i);
        this.f836i = 0.0f;
    }

    public boolean onStartNestedScroll(View view, View view2, int i) {
        if (!isEnabled() || (i & 2) == 0) {
            return false;
        }
        startNestedScroll(i & 2);
        return true;
    }

    public void onStopNestedScroll(View view) {
        this.f837j.m1461a(view);
        if (this.f836i > 0.0f) {
            m2093b(this.f836i);
            this.f836i = 0.0f;
        }
        stopNestedScroll();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int a = ba.m1414a(motionEvent);
        if (this.f848u && a == 0) {
            this.f848u = false;
        }
        if (!isEnabled() || this.f848u || m2113b()) {
            return false;
        }
        switch (a) {
            case C0729b.View_android_theme /*0*/:
                this.f846s = ba.m1417b(motionEvent, 0);
                this.f845r = false;
                break;
            case C0729b.View_android_focusable /*1*/:
            case C0729b.View_paddingEnd /*3*/:
                if (this.f846s != -1) {
                    float d = (ba.m1420d(motionEvent, ba.m1415a(motionEvent, this.f846s)) - this.f843p) * 0.5f;
                    this.f845r = false;
                    m2093b(d);
                    this.f846s = -1;
                    return false;
                } else if (a != 1) {
                    return false;
                } else {
                    Log.e(f812c, "Got ACTION_UP event but don't have an active pointer id.");
                    return false;
                }
            case C0729b.View_paddingStart /*2*/:
                a = ba.m1415a(motionEvent, this.f846s);
                if (a < 0) {
                    Log.e(f812c, "Got ACTION_MOVE event but have an invalid active pointer id.");
                    return false;
                }
                float d2 = (ba.m1420d(motionEvent, a) - this.f843p) * 0.5f;
                if (this.f845r) {
                    if (d2 > 0.0f) {
                        m2079a(d2);
                        break;
                    }
                    return false;
                }
                break;
            case C0729b.Toolbar_contentInsetStart /*5*/:
                this.f846s = ba.m1417b(motionEvent, ba.m1416b(motionEvent));
                break;
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                m2086a(motionEvent);
                break;
        }
        return true;
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        if (VERSION.SDK_INT < 21 && (this.f831d instanceof AbsListView)) {
            return;
        }
        if (this.f831d == null || bw.m1541y(this.f831d)) {
            super.requestDisallowInterceptTouchEvent(z);
        }
    }

    @Deprecated
    public void setColorScheme(int... iArr) {
        setColorSchemeResources(iArr);
    }

    public void setColorSchemeColors(int... iArr) {
        m2108g();
        this.f814A.m2248a(iArr);
    }

    public void setColorSchemeResources(int... iArr) {
        Resources resources = getResources();
        int[] iArr2 = new int[iArr.length];
        for (int i = 0; i < iArr.length; i++) {
            iArr2[i] = resources.getColor(iArr[i]);
        }
        setColorSchemeColors(iArr2);
    }

    public void setDistanceToTriggerSync(int i) {
        this.f835h = (float) i;
    }

    public void setNestedScrollingEnabled(boolean z) {
        this.f838k.m1451a(z);
    }

    public void setOnRefreshListener(ch chVar) {
        this.f832e = chVar;
    }

    @Deprecated
    public void setProgressBackgroundColor(int i) {
        setProgressBackgroundColorSchemeResource(i);
    }

    public void setProgressBackgroundColorSchemeColor(int i) {
        this.f850x.setBackgroundColor(i);
        this.f814A.m2250b(i);
    }

    public void setProgressBackgroundColorSchemeResource(int i) {
        setProgressBackgroundColorSchemeColor(getResources().getColor(i));
    }

    public void setRefreshing(boolean z) {
        if (!z || this.f833f == z) {
            m2088a(z, false);
            return;
        }
        this.f833f = z;
        m2081a((!this.f824K ? (int) (this.f820G + ((float) this.f830b)) : (int) this.f820G) - this.f841n, true);
        this.f821H = false;
        m2087a(this.f825L);
    }

    public void setSize(int i) {
        if (i == 0 || i == 1) {
            DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
            int i2;
            if (i == 0) {
                i2 = (int) (displayMetrics.density * 56.0f);
                this.f822I = i2;
                this.f823J = i2;
            } else {
                i2 = (int) (displayMetrics.density * 40.0f);
                this.f822I = i2;
                this.f823J = i2;
            }
            this.f850x.setImageDrawable(null);
            this.f814A.m2246a(i);
            this.f850x.setImageDrawable(this.f814A);
        }
    }

    public boolean startNestedScroll(int i) {
        return this.f838k.m1455a(i);
    }

    public void stopNestedScroll() {
        this.f838k.m1459c();
    }
}
