package android.support.v7.internal.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.support.v4.view.bw;
import android.support.v7.p019a.C0255c;
import android.support.v7.p019a.C0264l;
import android.support.v7.widget.C0327k;
import android.support.v7.widget.ak;
import android.support.v7.widget.bm;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.View.OnClickListener;
import android.view.View.OnLongClickListener;
import android.widget.Toast;

public class ActionMenuItemView extends ak implements aa, C0327k, OnClickListener, OnLongClickListener {
    private C0341m f1351a;
    private CharSequence f1352b;
    private Drawable f1353c;
    private C0328k f1354d;
    private bm f1355e;
    private C0335c f1356f;
    private boolean f1357g;
    private boolean f1358h;
    private int f1359i;
    private int f1360j;
    private int f1361k;

    public ActionMenuItemView(Context context) {
        this(context, null);
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        Resources resources = context.getResources();
        this.f1357g = resources.getBoolean(C0255c.abc_config_allowActionMenuItemTextWithIcon);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0264l.ActionMenuItemView, i, 0);
        this.f1359i = obtainStyledAttributes.getDimensionPixelSize(C0264l.ActionMenuItemView_android_minWidth, 0);
        obtainStyledAttributes.recycle();
        this.f1361k = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        setOnLongClickListener(this);
        this.f1360j = -1;
    }

    private void m2976e() {
        int i = 0;
        int i2 = !TextUtils.isEmpty(this.f1352b) ? 1 : 0;
        if (this.f1353c == null || (this.f1351a.m3151m() && (this.f1357g || this.f1358h))) {
            i = 1;
        }
        setText((i2 & i) != 0 ? this.f1352b : null);
    }

    public void m2977a(C0341m c0341m, int i) {
        this.f1351a = c0341m;
        setIcon(c0341m.getIcon());
        setTitle(c0341m.m3131a((aa) this));
        setId(c0341m.getItemId());
        setVisibility(c0341m.isVisible() ? 0 : 8);
        setEnabled(c0341m.isEnabled());
        if (c0341m.hasSubMenu() && this.f1355e == null) {
            this.f1355e = new C0334b(this);
        }
    }

    public boolean m2978a() {
        return true;
    }

    public boolean m2979b() {
        return !TextUtils.isEmpty(getText());
    }

    public boolean m2980c() {
        return m2979b() && this.f1351a.getIcon() == null;
    }

    public boolean m2981d() {
        return m2979b();
    }

    public C0341m getItemData() {
        return this.f1351a;
    }

    public void onClick(View view) {
        if (this.f1354d != null) {
            this.f1354d.m2982a(this.f1351a);
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        if (VERSION.SDK_INT >= 8) {
            super.onConfigurationChanged(configuration);
        }
        this.f1357g = getContext().getResources().getBoolean(C0255c.abc_config_allowActionMenuItemTextWithIcon);
        m2976e();
    }

    public boolean onLongClick(View view) {
        if (m2979b()) {
            return false;
        }
        int[] iArr = new int[2];
        Rect rect = new Rect();
        getLocationOnScreen(iArr);
        getWindowVisibleDisplayFrame(rect);
        Context context = getContext();
        int width = getWidth();
        int height = getHeight();
        int i = iArr[1] + (height / 2);
        width = (width / 2) + iArr[0];
        if (bw.m1524h(view) == 0) {
            width = context.getResources().getDisplayMetrics().widthPixels - width;
        }
        Toast makeText = Toast.makeText(context, this.f1351a.getTitle(), 0);
        if (i < rect.height()) {
            makeText.setGravity(8388661, width, (iArr[1] + height) - rect.top);
        } else {
            makeText.setGravity(81, 0, height);
        }
        makeText.show();
        return true;
    }

    protected void onMeasure(int i, int i2) {
        boolean b = m2979b();
        if (b && this.f1360j >= 0) {
            super.setPadding(this.f1360j, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i, i2);
        int mode = MeasureSpec.getMode(i);
        int size = MeasureSpec.getSize(i);
        int measuredWidth = getMeasuredWidth();
        size = mode == Integer.MIN_VALUE ? Math.min(size, this.f1359i) : this.f1359i;
        if (mode != 1073741824 && this.f1359i > 0 && measuredWidth < size) {
            super.onMeasure(MeasureSpec.makeMeasureSpec(size, 1073741824), i2);
        }
        if (!b && this.f1353c != null) {
            super.setPadding((getMeasuredWidth() - this.f1353c.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        return (this.f1351a.hasSubMenu() && this.f1355e != null && this.f1355e.onTouch(this, motionEvent)) ? true : super.onTouchEvent(motionEvent);
    }

    public void setCheckable(boolean z) {
    }

    public void setChecked(boolean z) {
    }

    public void setExpandedFormat(boolean z) {
        if (this.f1358h != z) {
            this.f1358h = z;
            if (this.f1351a != null) {
                this.f1351a.m3146h();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        this.f1353c = drawable;
        if (drawable != null) {
            float f;
            int intrinsicWidth = drawable.getIntrinsicWidth();
            int intrinsicHeight = drawable.getIntrinsicHeight();
            if (intrinsicWidth > this.f1361k) {
                f = ((float) this.f1361k) / ((float) intrinsicWidth);
                intrinsicWidth = this.f1361k;
                intrinsicHeight = (int) (((float) intrinsicHeight) * f);
            }
            if (intrinsicHeight > this.f1361k) {
                f = ((float) this.f1361k) / ((float) intrinsicHeight);
                intrinsicHeight = this.f1361k;
                intrinsicWidth = (int) (((float) intrinsicWidth) * f);
            }
            drawable.setBounds(0, 0, intrinsicWidth, intrinsicHeight);
        }
        setCompoundDrawables(drawable, null, null, null);
        m2976e();
    }

    public void setItemInvoker(C0328k c0328k) {
        this.f1354d = c0328k;
    }

    public void setPadding(int i, int i2, int i3, int i4) {
        this.f1360j = i;
        super.setPadding(i, i2, i3, i4);
    }

    public void setPopupCallback(C0335c c0335c) {
        this.f1356f = c0335c;
    }

    public void setTitle(CharSequence charSequence) {
        this.f1352b = charSequence;
        setContentDescription(this.f1352b);
        m2976e();
    }
}
