package android.support.v7.internal.view.menu;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.support.v7.p019a.C0259g;
import android.support.v7.p019a.C0261i;
import android.support.v7.p019a.C0264l;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.ViewGroup.LayoutParams;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;

public class ListMenuItemView extends LinearLayout implements aa {
    private C0341m f1365a;
    private ImageView f1366b;
    private RadioButton f1367c;
    private TextView f1368d;
    private CheckBox f1369e;
    private TextView f1370f;
    private Drawable f1371g;
    private int f1372h;
    private Context f1373i;
    private boolean f1374j;
    private int f1375k;
    private Context f1376l;
    private LayoutInflater f1377m;
    private boolean f1378n;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        this.f1376l = context;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0264l.MenuView, i, 0);
        this.f1371g = obtainStyledAttributes.getDrawable(C0264l.MenuView_android_itemBackground);
        this.f1372h = obtainStyledAttributes.getResourceId(C0264l.MenuView_android_itemTextAppearance, -1);
        this.f1374j = obtainStyledAttributes.getBoolean(C0264l.MenuView_preserveIconSpacing, false);
        this.f1373i = context;
        obtainStyledAttributes.recycle();
    }

    private void m2986b() {
        this.f1366b = (ImageView) getInflater().inflate(C0261i.abc_list_menu_item_icon, this, false);
        addView(this.f1366b, 0);
    }

    private void m2987c() {
        this.f1367c = (RadioButton) getInflater().inflate(C0261i.abc_list_menu_item_radio, this, false);
        addView(this.f1367c);
    }

    private void m2988d() {
        this.f1369e = (CheckBox) getInflater().inflate(C0261i.abc_list_menu_item_checkbox, this, false);
        addView(this.f1369e);
    }

    private LayoutInflater getInflater() {
        if (this.f1377m == null) {
            this.f1377m = LayoutInflater.from(this.f1376l);
        }
        return this.f1377m;
    }

    public void m2989a(C0341m c0341m, int i) {
        this.f1365a = c0341m;
        this.f1375k = i;
        setVisibility(c0341m.isVisible() ? 0 : 8);
        setTitle(c0341m.m3131a((aa) this));
        setCheckable(c0341m.isCheckable());
        m2990a(c0341m.m3144f(), c0341m.m3140d());
        setIcon(c0341m.getIcon());
        setEnabled(c0341m.isEnabled());
    }

    public void m2990a(boolean z, char c) {
        int i = (z && this.f1365a.m3144f()) ? 0 : 8;
        if (i == 0) {
            this.f1370f.setText(this.f1365a.m3142e());
        }
        if (this.f1370f.getVisibility() != i) {
            this.f1370f.setVisibility(i);
        }
    }

    public boolean m2991a() {
        return false;
    }

    public C0341m getItemData() {
        return this.f1365a;
    }

    protected void onFinishInflate() {
        super.onFinishInflate();
        setBackgroundDrawable(this.f1371g);
        this.f1368d = (TextView) findViewById(C0259g.title);
        if (this.f1372h != -1) {
            this.f1368d.setTextAppearance(this.f1373i, this.f1372h);
        }
        this.f1370f = (TextView) findViewById(C0259g.shortcut);
    }

    protected void onMeasure(int i, int i2) {
        if (this.f1366b != null && this.f1374j) {
            LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.f1366b.getLayoutParams();
            if (layoutParams.height > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = layoutParams.height;
            }
        }
        super.onMeasure(i, i2);
    }

    public void setCheckable(boolean z) {
        if (z || this.f1367c != null || this.f1369e != null) {
            CompoundButton compoundButton;
            CompoundButton compoundButton2;
            if (this.f1365a.m3145g()) {
                if (this.f1367c == null) {
                    m2987c();
                }
                compoundButton = this.f1367c;
                compoundButton2 = this.f1369e;
            } else {
                if (this.f1369e == null) {
                    m2988d();
                }
                compoundButton = this.f1369e;
                compoundButton2 = this.f1367c;
            }
            if (z) {
                compoundButton.setChecked(this.f1365a.isChecked());
                int i = z ? 0 : 8;
                if (compoundButton.getVisibility() != i) {
                    compoundButton.setVisibility(i);
                }
                if (compoundButton2 != null && compoundButton2.getVisibility() != 8) {
                    compoundButton2.setVisibility(8);
                    return;
                }
                return;
            }
            if (this.f1369e != null) {
                this.f1369e.setVisibility(8);
            }
            if (this.f1367c != null) {
                this.f1367c.setVisibility(8);
            }
        }
    }

    public void setChecked(boolean z) {
        CompoundButton compoundButton;
        if (this.f1365a.m3145g()) {
            if (this.f1367c == null) {
                m2987c();
            }
            compoundButton = this.f1367c;
        } else {
            if (this.f1369e == null) {
                m2988d();
            }
            compoundButton = this.f1369e;
        }
        compoundButton.setChecked(z);
    }

    public void setForceShowIcon(boolean z) {
        this.f1378n = z;
        this.f1374j = z;
    }

    public void setIcon(Drawable drawable) {
        int i = (this.f1365a.m3147i() || this.f1378n) ? 1 : 0;
        if (i == 0 && !this.f1374j) {
            return;
        }
        if (this.f1366b != null || drawable != null || this.f1374j) {
            if (this.f1366b == null) {
                m2986b();
            }
            if (drawable != null || this.f1374j) {
                ImageView imageView = this.f1366b;
                if (i == 0) {
                    drawable = null;
                }
                imageView.setImageDrawable(drawable);
                if (this.f1366b.getVisibility() != 0) {
                    this.f1366b.setVisibility(0);
                    return;
                }
                return;
            }
            this.f1366b.setVisibility(8);
        }
    }

    public void setTitle(CharSequence charSequence) {
        if (charSequence != null) {
            this.f1368d.setText(charSequence);
            if (this.f1368d.getVisibility() != 0) {
                this.f1368d.setVisibility(0);
            }
        } else if (this.f1368d.getVisibility() != 8) {
            this.f1368d.setVisibility(8);
        }
    }
}
