package android.support.v7.internal.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.support.v7.internal.C0314a;
import android.support.v7.p019a.C0259g;
import android.support.v7.p019a.C0264l;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.ActionMode.Callback;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.FrameLayout.LayoutParams;

public class ActionBarContainer extends FrameLayout {
    Drawable f1516a;
    Drawable f1517b;
    Drawable f1518c;
    boolean f1519d;
    boolean f1520e;
    private boolean f1521f;
    private View f1522g;
    private View f1523h;
    private View f1524i;
    private int f1525j;

    public ActionBarContainer(Context context) {
        this(context, null);
    }

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        setBackgroundDrawable(C0314a.m2901a() ? new C0358d(this) : new C0357c(this));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0264l.ActionBar);
        this.f1516a = obtainStyledAttributes.getDrawable(C0264l.ActionBar_background);
        this.f1517b = obtainStyledAttributes.getDrawable(C0264l.ActionBar_backgroundStacked);
        this.f1525j = obtainStyledAttributes.getDimensionPixelSize(C0264l.ActionBar_height, -1);
        if (getId() == C0259g.split_action_bar) {
            this.f1519d = true;
            this.f1518c = obtainStyledAttributes.getDrawable(C0264l.ActionBar_backgroundSplit);
        }
        obtainStyledAttributes.recycle();
        boolean z = this.f1519d ? this.f1518c == null : this.f1516a == null && this.f1517b == null;
        setWillNotDraw(z);
    }

    private boolean m3193a(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    private int m3194b(View view) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        return layoutParams.bottomMargin + (view.getMeasuredHeight() + layoutParams.topMargin);
    }

    protected void drawableStateChanged() {
        super.drawableStateChanged();
        if (this.f1516a != null && this.f1516a.isStateful()) {
            this.f1516a.setState(getDrawableState());
        }
        if (this.f1517b != null && this.f1517b.isStateful()) {
            this.f1517b.setState(getDrawableState());
        }
        if (this.f1518c != null && this.f1518c.isStateful()) {
            this.f1518c.setState(getDrawableState());
        }
    }

    public View getTabContainer() {
        return this.f1522g;
    }

    public void jumpDrawablesToCurrentState() {
        if (VERSION.SDK_INT >= 11) {
            super.jumpDrawablesToCurrentState();
            if (this.f1516a != null) {
                this.f1516a.jumpToCurrentState();
            }
            if (this.f1517b != null) {
                this.f1517b.jumpToCurrentState();
            }
            if (this.f1518c != null) {
                this.f1518c.jumpToCurrentState();
            }
        }
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        this.f1523h = findViewById(C0259g.action_bar);
        this.f1524i = findViewById(C0259g.action_context_bar);
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.f1521f || super.onInterceptTouchEvent(motionEvent);
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5 = 1;
        super.onLayout(z, i, i2, i3, i4);
        View view = this.f1522g;
        boolean z2 = (view == null || view.getVisibility() == 8) ? false : true;
        if (!(view == null || view.getVisibility() == 8)) {
            int measuredHeight = getMeasuredHeight();
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            view.layout(i, (measuredHeight - view.getMeasuredHeight()) - layoutParams.bottomMargin, i3, measuredHeight - layoutParams.bottomMargin);
        }
        if (!this.f1519d) {
            int i6;
            if (this.f1516a != null) {
                if (this.f1523h.getVisibility() == 0) {
                    this.f1516a.setBounds(this.f1523h.getLeft(), this.f1523h.getTop(), this.f1523h.getRight(), this.f1523h.getBottom());
                } else if (this.f1524i == null || this.f1524i.getVisibility() != 0) {
                    this.f1516a.setBounds(0, 0, 0, 0);
                } else {
                    this.f1516a.setBounds(this.f1524i.getLeft(), this.f1524i.getTop(), this.f1524i.getRight(), this.f1524i.getBottom());
                }
                i6 = 1;
            } else {
                i6 = 0;
            }
            this.f1520e = z2;
            if (!z2 || this.f1517b == null) {
                i5 = i6;
            } else {
                this.f1517b.setBounds(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
        } else if (this.f1518c != null) {
            this.f1518c.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
        } else {
            i5 = 0;
        }
        if (i5 != 0) {
            invalidate();
        }
    }

    public void onMeasure(int i, int i2) {
        if (this.f1523h == null && MeasureSpec.getMode(i2) == Integer.MIN_VALUE && this.f1525j >= 0) {
            i2 = MeasureSpec.makeMeasureSpec(Math.min(this.f1525j, MeasureSpec.getSize(i2)), Integer.MIN_VALUE);
        }
        super.onMeasure(i, i2);
        if (this.f1523h != null) {
            int mode = MeasureSpec.getMode(i2);
            if (this.f1522g != null && this.f1522g.getVisibility() != 8 && mode != 1073741824) {
                int b = !m3193a(this.f1523h) ? m3194b(this.f1523h) : !m3193a(this.f1524i) ? m3194b(this.f1524i) : 0;
                setMeasuredDimension(getMeasuredWidth(), Math.min(b + m3194b(this.f1522g), mode == Integer.MIN_VALUE ? MeasureSpec.getSize(i2) : Integer.MAX_VALUE));
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    public void setPrimaryBackground(Drawable drawable) {
        boolean z = true;
        if (this.f1516a != null) {
            this.f1516a.setCallback(null);
            unscheduleDrawable(this.f1516a);
        }
        this.f1516a = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f1523h != null) {
                this.f1516a.setBounds(this.f1523h.getLeft(), this.f1523h.getTop(), this.f1523h.getRight(), this.f1523h.getBottom());
            }
        }
        if (this.f1519d) {
            if (this.f1518c != null) {
                z = false;
            }
        } else if (!(this.f1516a == null && this.f1517b == null)) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
    }

    public void setSplitBackground(Drawable drawable) {
        boolean z = true;
        if (this.f1518c != null) {
            this.f1518c.setCallback(null);
            unscheduleDrawable(this.f1518c);
        }
        this.f1518c = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f1519d && this.f1518c != null) {
                this.f1518c.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            }
        }
        if (this.f1519d) {
            if (this.f1518c != null) {
                z = false;
            }
        } else if (!(this.f1516a == null && this.f1517b == null)) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
    }

    public void setStackedBackground(Drawable drawable) {
        boolean z = true;
        if (this.f1517b != null) {
            this.f1517b.setCallback(null);
            unscheduleDrawable(this.f1517b);
        }
        this.f1517b = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f1520e && this.f1517b != null) {
                this.f1517b.setBounds(this.f1522g.getLeft(), this.f1522g.getTop(), this.f1522g.getRight(), this.f1522g.getBottom());
            }
        }
        if (this.f1519d) {
            if (this.f1518c != null) {
                z = false;
            }
        } else if (!(this.f1516a == null && this.f1517b == null)) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
    }

    public void setTabContainer(ae aeVar) {
        if (this.f1522g != null) {
            removeView(this.f1522g);
        }
        this.f1522g = aeVar;
        if (aeVar != null) {
            addView(aeVar);
            ViewGroup.LayoutParams layoutParams = aeVar.getLayoutParams();
            layoutParams.width = -1;
            layoutParams.height = -2;
            aeVar.setAllowCollapse(false);
        }
    }

    public void setTransitioning(boolean z) {
        this.f1521f = z;
        setDescendantFocusability(z ? 393216 : 262144);
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        boolean z = i == 0;
        if (this.f1516a != null) {
            this.f1516a.setVisible(z, false);
        }
        if (this.f1517b != null) {
            this.f1517b.setVisible(z, false);
        }
        if (this.f1518c != null) {
            this.f1518c.setVisible(z, false);
        }
    }

    public ActionMode startActionModeForChild(View view, Callback callback) {
        return null;
    }

    protected boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.f1516a && !this.f1519d) || ((drawable == this.f1517b && this.f1520e) || ((drawable == this.f1518c && this.f1519d) || super.verifyDrawable(drawable)));
    }
}
