package android.support.v7.internal.widget;

import android.content.Context;
import android.os.Build.VERSION;
import android.support.v4.view.ea;
import android.support.v7.internal.view.menu.C0333i;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0259g;
import android.support.v7.p019a.C0261i;
import android.support.v7.p019a.C0264l;
import android.support.v7.p020d.C0301a;
import android.support.v7.widget.ActionMenuPresenter;
import android.support.v7.widget.ActionMenuView;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import android.view.accessibility.AccessibilityEvent;
import android.widget.LinearLayout;
import android.widget.TextView;

public class ActionBarContextView extends C0352a {
    private CharSequence f1534g;
    private CharSequence f1535h;
    private View f1536i;
    private View f1537j;
    private LinearLayout f1538k;
    private TextView f1539l;
    private TextView f1540m;
    private int f1541n;
    private int f1542o;
    private boolean f1543p;
    private int f1544q;

    public ActionBarContextView(Context context) {
        this(context, null);
    }

    public ActionBarContextView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0254b.actionModeStyle);
    }

    public ActionBarContextView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        ap a = ap.m3341a(context, attributeSet, C0264l.ActionMode, i, 0);
        setBackgroundDrawable(a.m3345a(C0264l.ActionMode_background));
        this.f1541n = a.m3358g(C0264l.ActionMode_titleTextStyle, 0);
        this.f1542o = a.m3358g(C0264l.ActionMode_subtitleTextStyle, 0);
        this.e = a.m3357f(C0264l.ActionMode_height, 0);
        this.f1544q = a.m3358g(C0264l.ActionMode_closeItemLayout, C0261i.abc_action_mode_close_item_material);
        a.m3349b();
    }

    private void m3202e() {
        int i = 8;
        Object obj = 1;
        if (this.f1538k == null) {
            LayoutInflater.from(getContext()).inflate(C0261i.abc_action_bar_title_item, this);
            this.f1538k = (LinearLayout) getChildAt(getChildCount() - 1);
            this.f1539l = (TextView) this.f1538k.findViewById(C0259g.action_bar_title);
            this.f1540m = (TextView) this.f1538k.findViewById(C0259g.action_bar_subtitle);
            if (this.f1541n != 0) {
                this.f1539l.setTextAppearance(getContext(), this.f1541n);
            }
            if (this.f1542o != 0) {
                this.f1540m.setTextAppearance(getContext(), this.f1542o);
            }
        }
        this.f1539l.setText(this.f1534g);
        this.f1540m.setText(this.f1535h);
        Object obj2 = !TextUtils.isEmpty(this.f1534g) ? 1 : null;
        if (TextUtils.isEmpty(this.f1535h)) {
            obj = null;
        }
        this.f1540m.setVisibility(obj != null ? 0 : 8);
        LinearLayout linearLayout = this.f1538k;
        if (!(obj2 == null && obj == null)) {
            i = 0;
        }
        linearLayout.setVisibility(i);
        if (this.f1538k.getParent() == null) {
            addView(this.f1538k);
        }
    }

    public /* bridge */ /* synthetic */ ea m3203a(int i, long j) {
        return super.m3200a(i, j);
    }

    public void m3204a(C0301a c0301a) {
        if (this.f1536i == null) {
            this.f1536i = LayoutInflater.from(getContext()).inflate(this.f1544q, this, false);
            addView(this.f1536i);
        } else if (this.f1536i.getParent() == null) {
            addView(this.f1536i);
        }
        this.f1536i.findViewById(C0259g.action_mode_close_button).setOnClickListener(new C0359e(this, c0301a));
        C0333i c0333i = (C0333i) c0301a.m2793b();
        if (this.d != null) {
            this.d.m3516f();
        }
        this.d = new ActionMenuPresenter(getContext());
        this.d.m3512c(true);
        LayoutParams layoutParams = new LayoutParams(-2, -1);
        c0333i.m3026a(this.d, this.b);
        this.c = (ActionMenuView) this.d.m3497a((ViewGroup) this);
        this.c.setBackgroundDrawable(null);
        addView(this.c, layoutParams);
    }

    public boolean m3205a() {
        return this.d != null ? this.d.m3514d() : false;
    }

    public void m3206b() {
        if (this.f1536i == null) {
            m3207c();
        }
    }

    public void m3207c() {
        removeAllViews();
        this.f1537j = null;
        this.c = null;
    }

    public boolean m3208d() {
        return this.f1543p;
    }

    protected LayoutParams generateDefaultLayoutParams() {
        return new MarginLayoutParams(-1, -2);
    }

    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new MarginLayoutParams(getContext(), attributeSet);
    }

    public /* bridge */ /* synthetic */ int getAnimatedVisibility() {
        return super.getAnimatedVisibility();
    }

    public /* bridge */ /* synthetic */ int getContentHeight() {
        return super.getContentHeight();
    }

    public CharSequence getSubtitle() {
        return this.f1535h;
    }

    public CharSequence getTitle() {
        return this.f1534g;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.d != null) {
            this.d.m3515e();
            this.d.m3517g();
        }
    }

    public /* bridge */ /* synthetic */ boolean onHoverEvent(MotionEvent motionEvent) {
        return super.onHoverEvent(motionEvent);
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        if (VERSION.SDK_INT < 14) {
            return;
        }
        if (accessibilityEvent.getEventType() == 32) {
            accessibilityEvent.setSource(this);
            accessibilityEvent.setClassName(getClass().getName());
            accessibilityEvent.setPackageName(getContext().getPackageName());
            accessibilityEvent.setContentDescription(this.f1534g);
            return;
        }
        super.onInitializeAccessibilityEvent(accessibilityEvent);
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5;
        boolean a = av.m3442a(this);
        int paddingRight = a ? (i3 - i) - getPaddingRight() : getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingTop2 = ((i4 - i2) - getPaddingTop()) - getPaddingBottom();
        if (this.f1536i == null || this.f1536i.getVisibility() == 8) {
            i5 = paddingRight;
        } else {
            MarginLayoutParams marginLayoutParams = (MarginLayoutParams) this.f1536i.getLayoutParams();
            i5 = a ? marginLayoutParams.rightMargin : marginLayoutParams.leftMargin;
            int i6 = a ? marginLayoutParams.leftMargin : marginLayoutParams.rightMargin;
            i5 = C0352a.m3195a(paddingRight, i5, a);
            i5 = C0352a.m3195a(m3199a(this.f1536i, i5, paddingTop, paddingTop2, a) + i5, i6, a);
        }
        if (!(this.f1538k == null || this.f1537j != null || this.f1538k.getVisibility() == 8)) {
            i5 += m3199a(this.f1538k, i5, paddingTop, paddingTop2, a);
        }
        if (this.f1537j != null) {
            int a2 = m3199a(this.f1537j, i5, paddingTop, paddingTop2, a) + i5;
        }
        i5 = a ? getPaddingLeft() : (i3 - i) - getPaddingRight();
        if (this.c != null) {
            a2 = m3199a(this.c, i5, paddingTop, paddingTop2, !a) + i5;
        }
    }

    protected void onMeasure(int i, int i2) {
        int i3 = 1073741824;
        int i4 = 0;
        if (MeasureSpec.getMode(i) != 1073741824) {
            throw new IllegalStateException(getClass().getSimpleName() + " can only be used " + "with android:layout_width=\"match_parent\" (or fill_parent)");
        } else if (MeasureSpec.getMode(i2) == 0) {
            throw new IllegalStateException(getClass().getSimpleName() + " can only be used " + "with android:layout_height=\"wrap_content\"");
        } else {
            int a;
            int size = MeasureSpec.getSize(i);
            int size2 = this.e > 0 ? this.e : MeasureSpec.getSize(i2);
            int paddingTop = getPaddingTop() + getPaddingBottom();
            int paddingLeft = (size - getPaddingLeft()) - getPaddingRight();
            int i5 = size2 - paddingTop;
            int makeMeasureSpec = MeasureSpec.makeMeasureSpec(i5, Integer.MIN_VALUE);
            if (this.f1536i != null) {
                a = m3198a(this.f1536i, paddingLeft, makeMeasureSpec, 0);
                MarginLayoutParams marginLayoutParams = (MarginLayoutParams) this.f1536i.getLayoutParams();
                paddingLeft = a - (marginLayoutParams.rightMargin + marginLayoutParams.leftMargin);
            }
            if (this.c != null && this.c.getParent() == this) {
                paddingLeft = m3198a(this.c, paddingLeft, makeMeasureSpec, 0);
            }
            if (this.f1538k != null && this.f1537j == null) {
                if (this.f1543p) {
                    this.f1538k.measure(MeasureSpec.makeMeasureSpec(0, 0), makeMeasureSpec);
                    a = this.f1538k.getMeasuredWidth();
                    makeMeasureSpec = a <= paddingLeft ? 1 : 0;
                    if (makeMeasureSpec != 0) {
                        paddingLeft -= a;
                    }
                    this.f1538k.setVisibility(makeMeasureSpec != 0 ? 0 : 8);
                } else {
                    paddingLeft = m3198a(this.f1538k, paddingLeft, makeMeasureSpec, 0);
                }
            }
            if (this.f1537j != null) {
                LayoutParams layoutParams = this.f1537j.getLayoutParams();
                makeMeasureSpec = layoutParams.width != -2 ? 1073741824 : Integer.MIN_VALUE;
                if (layoutParams.width >= 0) {
                    paddingLeft = Math.min(layoutParams.width, paddingLeft);
                }
                if (layoutParams.height == -2) {
                    i3 = Integer.MIN_VALUE;
                }
                this.f1537j.measure(MeasureSpec.makeMeasureSpec(paddingLeft, makeMeasureSpec), MeasureSpec.makeMeasureSpec(layoutParams.height >= 0 ? Math.min(layoutParams.height, i5) : i5, i3));
            }
            if (this.e <= 0) {
                makeMeasureSpec = getChildCount();
                size2 = 0;
                while (i4 < makeMeasureSpec) {
                    paddingLeft = getChildAt(i4).getMeasuredHeight() + paddingTop;
                    if (paddingLeft <= size2) {
                        paddingLeft = size2;
                    }
                    i4++;
                    size2 = paddingLeft;
                }
                setMeasuredDimension(size, size2);
                return;
            }
            setMeasuredDimension(size, size2);
        }
    }

    public /* bridge */ /* synthetic */ boolean onTouchEvent(MotionEvent motionEvent) {
        return super.onTouchEvent(motionEvent);
    }

    public void setContentHeight(int i) {
        this.e = i;
    }

    public void setCustomView(View view) {
        if (this.f1537j != null) {
            removeView(this.f1537j);
        }
        this.f1537j = view;
        if (!(view == null || this.f1538k == null)) {
            removeView(this.f1538k);
            this.f1538k = null;
        }
        if (view != null) {
            addView(view);
        }
        requestLayout();
    }

    public void setSubtitle(CharSequence charSequence) {
        this.f1535h = charSequence;
        m3202e();
    }

    public void setTitle(CharSequence charSequence) {
        this.f1534g = charSequence;
        m3202e();
    }

    public void setTitleOptional(boolean z) {
        if (z != this.f1543p) {
            requestLayout();
        }
        this.f1543p = z;
    }

    public /* bridge */ /* synthetic */ void setVisibility(int i) {
        super.setVisibility(i);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }
}
