package android.support.v7.internal.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.support.v4.view.bl;
import android.support.v4.view.bm;
import android.support.v4.view.bw;
import android.support.v4.view.ea;
import android.support.v4.view.er;
import android.support.v4.widget.bi;
import android.support.v7.internal.view.menu.C0271y;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0259g;
import android.support.v7.widget.Toolbar;
import android.util.AttributeSet;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.Window.Callback;
import com.neatorobotics.android.C0729b;

public class ActionBarOverlayLayout extends ViewGroup implements bl, C0353v {
    static final int[] f1545a;
    private final Runnable f1546A;
    private final bm f1547B;
    private int f1548b;
    private int f1549c;
    private ContentFrameLayout f1550d;
    private ActionBarContainer f1551e;
    private C0355w f1552f;
    private Drawable f1553g;
    private boolean f1554h;
    private boolean f1555i;
    private boolean f1556j;
    private boolean f1557k;
    private boolean f1558l;
    private int f1559m;
    private int f1560n;
    private final Rect f1561o;
    private final Rect f1562p;
    private final Rect f1563q;
    private final Rect f1564r;
    private final Rect f1565s;
    private final Rect f1566t;
    private C0308i f1567u;
    private final int f1568v;
    private bi f1569w;
    private ea f1570x;
    private final er f1571y;
    private final Runnable f1572z;

    static {
        f1545a = new int[]{C0254b.actionBarSize, 16842841};
    }

    public ActionBarOverlayLayout(Context context) {
        this(context, null);
    }

    public ActionBarOverlayLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1549c = 0;
        this.f1561o = new Rect();
        this.f1562p = new Rect();
        this.f1563q = new Rect();
        this.f1564r = new Rect();
        this.f1565s = new Rect();
        this.f1566t = new Rect();
        this.f1568v = 600;
        this.f1571y = new C0360f(this);
        this.f1572z = new C0361g(this);
        this.f1546A = new C0362h(this);
        m3220a(context);
        this.f1547B = new bm(this);
    }

    private C0355w m3219a(View view) {
        if (view instanceof C0355w) {
            return (C0355w) view;
        }
        if (view instanceof Toolbar) {
            return ((Toolbar) view).getWrapper();
        }
        throw new IllegalStateException("Can't make a decor toolbar out of " + view.getClass().getSimpleName());
    }

    private void m3220a(Context context) {
        boolean z = true;
        TypedArray obtainStyledAttributes = getContext().getTheme().obtainStyledAttributes(f1545a);
        this.f1548b = obtainStyledAttributes.getDimensionPixelSize(0, 0);
        this.f1553g = obtainStyledAttributes.getDrawable(1);
        setWillNotDraw(this.f1553g == null);
        obtainStyledAttributes.recycle();
        if (context.getApplicationInfo().targetSdkVersion >= 19) {
            z = false;
        }
        this.f1554h = z;
        this.f1569w = bi.m2324a(context);
    }

    private boolean m3222a(float f, float f2) {
        this.f1569w.m2328a(0, 0, 0, (int) f2, 0, 0, Integer.MIN_VALUE, Integer.MAX_VALUE);
        return this.f1569w.m2334e() > this.f1551e.getHeight();
    }

    private boolean m3224a(View view, Rect rect, boolean z, boolean z2, boolean z3, boolean z4) {
        boolean z5 = false;
        C0363j c0363j = (C0363j) view.getLayoutParams();
        if (z && c0363j.leftMargin != rect.left) {
            c0363j.leftMargin = rect.left;
            z5 = true;
        }
        if (z2 && c0363j.topMargin != rect.top) {
            c0363j.topMargin = rect.top;
            z5 = true;
        }
        if (z4 && c0363j.rightMargin != rect.right) {
            c0363j.rightMargin = rect.right;
            z5 = true;
        }
        if (!z3 || c0363j.bottomMargin == rect.bottom) {
            return z5;
        }
        c0363j.bottomMargin = rect.bottom;
        return true;
    }

    private void m3227k() {
        removeCallbacks(this.f1572z);
        removeCallbacks(this.f1546A);
        if (this.f1570x != null) {
            this.f1570x.m1851b();
        }
    }

    private void m3228l() {
        m3227k();
        postDelayed(this.f1572z, 600);
    }

    private void m3229m() {
        m3227k();
        postDelayed(this.f1546A, 600);
    }

    private void m3230n() {
        m3227k();
        this.f1572z.run();
    }

    private void m3231o() {
        m3227k();
        this.f1546A.run();
    }

    public C0363j m3232a(AttributeSet attributeSet) {
        return new C0363j(getContext(), attributeSet);
    }

    public void m3233a(int i) {
        m3237c();
        switch (i) {
            case C0729b.View_paddingStart /*2*/:
                this.f1552f.m3377f();
            case C0729b.Toolbar_contentInsetStart /*5*/:
                this.f1552f.m3378g();
            case 109:
                setOverlayMode(true);
            default:
        }
    }

    public void m3234a(Menu menu, C0271y c0271y) {
        m3237c();
        this.f1552f.m3365a(menu, c0271y);
    }

    public boolean m3235a() {
        return this.f1555i;
    }

    protected C0363j m3236b() {
        return new C0363j(-1, -1);
    }

    void m3237c() {
        if (this.f1550d == null) {
            this.f1550d = (ContentFrameLayout) findViewById(C0259g.action_bar_activity_content);
            this.f1551e = (ActionBarContainer) findViewById(C0259g.action_bar_container);
            this.f1552f = m3219a(findViewById(C0259g.action_bar));
        }
    }

    protected boolean checkLayoutParams(LayoutParams layoutParams) {
        return layoutParams instanceof C0363j;
    }

    public boolean m3238d() {
        m3237c();
        return this.f1552f.m3379h();
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (this.f1553g != null && !this.f1554h) {
            int bottom = this.f1551e.getVisibility() == 0 ? (int) ((((float) this.f1551e.getBottom()) + bw.m1530n(this.f1551e)) + 0.5f) : 0;
            this.f1553g.setBounds(0, bottom, getWidth(), this.f1553g.getIntrinsicHeight() + bottom);
            this.f1553g.draw(canvas);
        }
    }

    public boolean m3239e() {
        m3237c();
        return this.f1552f.m3380i();
    }

    public boolean m3240f() {
        m3237c();
        return this.f1552f.m3381j();
    }

    protected boolean fitSystemWindows(Rect rect) {
        boolean a;
        m3237c();
        if ((bw.m1536t(this) & 256) != 0) {
            a = m3224a(this.f1551e, rect, true, true, false, true);
            this.f1564r.set(rect);
            av.m3441a(this, this.f1564r, this.f1561o);
        } else {
            a = m3224a(this.f1551e, rect, true, true, false, true);
            this.f1564r.set(rect);
            av.m3441a(this, this.f1564r, this.f1561o);
        }
        if (!this.f1562p.equals(this.f1561o)) {
            this.f1562p.set(this.f1561o);
            a = true;
        }
        if (a) {
            requestLayout();
        }
        return true;
    }

    public boolean m3241g() {
        m3237c();
        return this.f1552f.m3382k();
    }

    protected /* synthetic */ LayoutParams generateDefaultLayoutParams() {
        return m3236b();
    }

    public /* synthetic */ LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return m3232a(attributeSet);
    }

    protected LayoutParams generateLayoutParams(LayoutParams layoutParams) {
        return new C0363j(layoutParams);
    }

    public int getActionBarHideOffset() {
        return this.f1551e != null ? -((int) bw.m1530n(this.f1551e)) : 0;
    }

    public int getNestedScrollAxes() {
        return this.f1547B.m1460a();
    }

    public CharSequence getTitle() {
        m3237c();
        return this.f1552f.m3376e();
    }

    public boolean m3242h() {
        m3237c();
        return this.f1552f.m3383l();
    }

    public void m3243i() {
        m3237c();
        this.f1552f.m3384m();
    }

    public void m3244j() {
        m3237c();
        this.f1552f.m3385n();
    }

    protected void onConfigurationChanged(Configuration configuration) {
        if (VERSION.SDK_INT >= 8) {
            super.onConfigurationChanged(configuration);
        }
        m3220a(getContext());
        bw.m1537u(this);
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        m3227k();
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int childCount = getChildCount();
        int paddingLeft = getPaddingLeft();
        int paddingRight = (i3 - i) - getPaddingRight();
        int paddingTop = getPaddingTop();
        paddingRight = (i4 - i2) - getPaddingBottom();
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            if (childAt.getVisibility() != 8) {
                C0363j c0363j = (C0363j) childAt.getLayoutParams();
                int i6 = c0363j.leftMargin + paddingLeft;
                paddingRight = c0363j.topMargin + paddingTop;
                childAt.layout(i6, paddingRight, childAt.getMeasuredWidth() + i6, childAt.getMeasuredHeight() + paddingRight);
            }
        }
    }

    protected void onMeasure(int i, int i2) {
        int i3;
        m3237c();
        measureChildWithMargins(this.f1551e, i, 0, i2, 0);
        C0363j c0363j = (C0363j) this.f1551e.getLayoutParams();
        int max = Math.max(0, (this.f1551e.getMeasuredWidth() + c0363j.leftMargin) + c0363j.rightMargin);
        int max2 = Math.max(0, c0363j.bottomMargin + (this.f1551e.getMeasuredHeight() + c0363j.topMargin));
        int a = av.m3440a(0, bw.m1528l(this.f1551e));
        Object obj = (bw.m1536t(this) & 256) != 0 ? 1 : null;
        if (obj != null) {
            i3 = this.f1548b;
            if (this.f1556j && this.f1551e.getTabContainer() != null) {
                i3 += this.f1548b;
            }
        } else {
            i3 = this.f1551e.getVisibility() != 8 ? this.f1551e.getMeasuredHeight() : 0;
        }
        this.f1563q.set(this.f1561o);
        this.f1565s.set(this.f1564r);
        Rect rect;
        Rect rect2;
        if (this.f1555i || obj != null) {
            rect = this.f1565s;
            rect.top = i3 + rect.top;
            rect2 = this.f1565s;
            rect2.bottom += 0;
        } else {
            rect = this.f1563q;
            rect.top = i3 + rect.top;
            rect2 = this.f1563q;
            rect2.bottom += 0;
        }
        m3224a(this.f1550d, this.f1563q, true, true, true, true);
        if (!this.f1566t.equals(this.f1565s)) {
            this.f1566t.set(this.f1565s);
            this.f1550d.m3280a(this.f1565s);
        }
        measureChildWithMargins(this.f1550d, i, 0, i2, 0);
        c0363j = (C0363j) this.f1550d.getLayoutParams();
        int max3 = Math.max(max, (this.f1550d.getMeasuredWidth() + c0363j.leftMargin) + c0363j.rightMargin);
        i3 = Math.max(max2, c0363j.bottomMargin + (this.f1550d.getMeasuredHeight() + c0363j.topMargin));
        int a2 = av.m3440a(a, bw.m1528l(this.f1550d));
        setMeasuredDimension(bw.m1494a(Math.max(max3 + (getPaddingLeft() + getPaddingRight()), getSuggestedMinimumWidth()), i, a2), bw.m1494a(Math.max(i3 + (getPaddingTop() + getPaddingBottom()), getSuggestedMinimumHeight()), i2, a2 << 16));
    }

    public boolean onNestedFling(View view, float f, float f2, boolean z) {
        if (!this.f1557k || !z) {
            return false;
        }
        if (m3222a(f, f2)) {
            m3231o();
        } else {
            m3230n();
        }
        this.f1558l = true;
        return true;
    }

    public boolean onNestedPreFling(View view, float f, float f2) {
        return false;
    }

    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
    }

    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        this.f1559m += i2;
        setActionBarHideOffset(this.f1559m);
    }

    public void onNestedScrollAccepted(View view, View view2, int i) {
        this.f1547B.m1462a(view, view2, i);
        this.f1559m = getActionBarHideOffset();
        m3227k();
        if (this.f1567u != null) {
            this.f1567u.m2835i();
        }
    }

    public boolean onStartNestedScroll(View view, View view2, int i) {
        return ((i & 2) == 0 || this.f1551e.getVisibility() != 0) ? false : this.f1557k;
    }

    public void onStopNestedScroll(View view) {
        if (this.f1557k && !this.f1558l) {
            if (this.f1559m <= this.f1551e.getHeight()) {
                m3228l();
            } else {
                m3229m();
            }
        }
        if (this.f1567u != null) {
            this.f1567u.m2836j();
        }
    }

    public void onWindowSystemUiVisibilityChanged(int i) {
        boolean z = true;
        if (VERSION.SDK_INT >= 16) {
            super.onWindowSystemUiVisibilityChanged(i);
        }
        m3237c();
        int i2 = this.f1560n ^ i;
        this.f1560n = i;
        boolean z2 = (i & 4) == 0;
        boolean z3 = (i & 256) != 0;
        if (this.f1567u != null) {
            C0308i c0308i = this.f1567u;
            if (z3) {
                z = false;
            }
            c0308i.m2833g(z);
            if (z2 || !z3) {
                this.f1567u.m2832g();
            } else {
                this.f1567u.m2834h();
            }
        }
        if ((i2 & 256) != 0 && this.f1567u != null) {
            bw.m1537u(this);
        }
    }

    protected void onWindowVisibilityChanged(int i) {
        super.onWindowVisibilityChanged(i);
        this.f1549c = i;
        if (this.f1567u != null) {
            this.f1567u.m2831b(i);
        }
    }

    public void setActionBarHideOffset(int i) {
        m3227k();
        bw.m1510b(this.f1551e, (float) (-Math.max(0, Math.min(i, this.f1551e.getHeight()))));
    }

    public void setActionBarVisibilityCallback(C0308i c0308i) {
        this.f1567u = c0308i;
        if (getWindowToken() != null) {
            this.f1567u.m2831b(this.f1549c);
            if (this.f1560n != 0) {
                onWindowSystemUiVisibilityChanged(this.f1560n);
                bw.m1537u(this);
            }
        }
    }

    public void setHasNonEmbeddedTabs(boolean z) {
        this.f1556j = z;
    }

    public void setHideOnContentScrollEnabled(boolean z) {
        if (z != this.f1557k) {
            this.f1557k = z;
            if (!z) {
                m3227k();
                setActionBarHideOffset(0);
            }
        }
    }

    public void setIcon(int i) {
        m3237c();
        this.f1552f.m3361a(i);
    }

    public void setIcon(Drawable drawable) {
        m3237c();
        this.f1552f.m3362a(drawable);
    }

    public void setLogo(int i) {
        m3237c();
        this.f1552f.m3370b(i);
    }

    public void setOverlayMode(boolean z) {
        this.f1555i = z;
        boolean z2 = z && getContext().getApplicationInfo().targetSdkVersion < 19;
        this.f1554h = z2;
    }

    public void setShowingForActionMode(boolean z) {
    }

    public void setUiOptions(int i) {
    }

    public void setWindowCallback(Callback callback) {
        m3237c();
        this.f1552f.m3366a(callback);
    }

    public void setWindowTitle(CharSequence charSequence) {
        m3237c();
        this.f1552f.m3367a(charSequence);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }
}
