package android.support.v7.internal.widget;

import android.content.Context;
import android.database.DataSetObserver;
import android.graphics.drawable.Drawable;
import android.support.v4.view.C0214n;
import android.support.v7.p019a.C0262j;
import android.support.v7.widget.bb;
import android.support.v7.widget.bh;
import android.util.AttributeSet;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.ViewTreeObserver.OnGlobalLayoutListener;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.PopupWindow.OnDismissListener;

public class ActivityChooserView extends ViewGroup {
    C0214n f1589a;
    private final C0371r f1590b;
    private final C0372s f1591c;
    private final bb f1592d;
    private final FrameLayout f1593e;
    private final ImageView f1594f;
    private final FrameLayout f1595g;
    private final int f1596h;
    private final DataSetObserver f1597i;
    private final OnGlobalLayoutListener f1598j;
    private bh f1599k;
    private OnDismissListener f1600l;
    private boolean f1601m;
    private int f1602n;
    private boolean f1603o;
    private int f1604p;

    public class InnerLayout extends bb {
        private static final int[] f1588a;

        static {
            f1588a = new int[]{16842964};
        }

        public InnerLayout(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            ap a = ap.m3340a(context, attributeSet, f1588a);
            setBackgroundDrawable(a.m3345a(0));
            a.m3349b();
        }
    }

    private void m3267a(int i) {
        if (this.f1590b.m3479d() == null) {
            throw new IllegalStateException("No data model. Did you call #setDataModel?");
        }
        getViewTreeObserver().addOnGlobalLayoutListener(this.f1598j);
        boolean z = this.f1595g.getVisibility() == 0;
        int c = this.f1590b.m3478c();
        int i2 = z ? 1 : 0;
        if (i == Integer.MAX_VALUE || c <= i2 + i) {
            this.f1590b.m3475a(false);
            this.f1590b.m3473a(i);
        } else {
            this.f1590b.m3475a(true);
            this.f1590b.m3473a(i - 1);
        }
        bh listPopupWindow = getListPopupWindow();
        if (!listPopupWindow.m4060k()) {
            if (this.f1601m || !z) {
                this.f1590b.m3476a(true, z);
            } else {
                this.f1590b.m3476a(false, false);
            }
            listPopupWindow.m4053f(Math.min(this.f1590b.m3472a(), this.f1596h));
            listPopupWindow.m4046c();
            if (this.f1589a != null) {
                this.f1589a.m1960a(true);
            }
            listPopupWindow.m4062m().setContentDescription(getContext().getString(C0262j.abc_activitychooserview_choose_application));
        }
    }

    private bh getListPopupWindow() {
        if (this.f1599k == null) {
            this.f1599k = new bh(getContext());
            this.f1599k.m4042a(this.f1590b);
            this.f1599k.m4040a((View) this);
            this.f1599k.m4044a(true);
            this.f1599k.m4041a(this.f1591c);
            this.f1599k.m4043a(this.f1591c);
        }
        return this.f1599k;
    }

    public boolean m3276a() {
        if (m3278c() || !this.f1603o) {
            return false;
        }
        this.f1601m = false;
        m3267a(this.f1602n);
        return true;
    }

    public boolean m3277b() {
        if (m3278c()) {
            getListPopupWindow().m4058i();
            ViewTreeObserver viewTreeObserver = getViewTreeObserver();
            if (viewTreeObserver.isAlive()) {
                viewTreeObserver.removeGlobalOnLayoutListener(this.f1598j);
            }
        }
        return true;
    }

    public boolean m3278c() {
        return getListPopupWindow().m4060k();
    }

    public C0364k getDataModel() {
        return this.f1590b.m3479d();
    }

    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        C0364k d = this.f1590b.m3479d();
        if (d != null) {
            d.registerObserver(this.f1597i);
        }
        this.f1603o = true;
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        C0364k d = this.f1590b.m3479d();
        if (d != null) {
            d.unregisterObserver(this.f1597i);
        }
        ViewTreeObserver viewTreeObserver = getViewTreeObserver();
        if (viewTreeObserver.isAlive()) {
            viewTreeObserver.removeGlobalOnLayoutListener(this.f1598j);
        }
        if (m3278c()) {
            m3277b();
        }
        this.f1603o = false;
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        this.f1592d.layout(0, 0, i3 - i, i4 - i2);
        if (!m3278c()) {
            m3277b();
        }
    }

    protected void onMeasure(int i, int i2) {
        View view = this.f1592d;
        if (this.f1595g.getVisibility() != 0) {
            i2 = MeasureSpec.makeMeasureSpec(MeasureSpec.getSize(i2), 1073741824);
        }
        measureChild(view, i, i2);
        setMeasuredDimension(view.getMeasuredWidth(), view.getMeasuredHeight());
    }

    public void setActivityChooserModel(C0364k c0364k) {
        this.f1590b.m3474a(c0364k);
        if (m3278c()) {
            m3277b();
            m3276a();
        }
    }

    public void setDefaultActionButtonContentDescription(int i) {
        this.f1604p = i;
    }

    public void setExpandActivityOverflowButtonContentDescription(int i) {
        this.f1594f.setContentDescription(getContext().getString(i));
    }

    public void setExpandActivityOverflowButtonDrawable(Drawable drawable) {
        this.f1594f.setImageDrawable(drawable);
    }

    public void setInitialActivityCount(int i) {
        this.f1602n = i;
    }

    public void setOnDismissListener(OnDismissListener onDismissListener) {
        this.f1600l = onDismissListener;
    }

    public void setProvider(C0214n c0214n) {
        this.f1589a = c0214n;
    }
}
