package android.support.v7.internal.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.support.v7.p019a.C0264l;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewParent;
import java.lang.ref.WeakReference;

public final class ViewStubCompat extends View {
    private int f1616a;
    private int f1617b;
    private WeakReference f1618c;
    private LayoutInflater f1619d;
    private au f1620e;

    public ViewStubCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ViewStubCompat(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1616a = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0264l.ViewStubCompat, i, 0);
        this.f1617b = obtainStyledAttributes.getResourceId(C0264l.ViewStubCompat_android_inflatedId, -1);
        this.f1616a = obtainStyledAttributes.getResourceId(C0264l.ViewStubCompat_android_layout, 0);
        setId(obtainStyledAttributes.getResourceId(C0264l.ViewStubCompat_android_id, -1));
        obtainStyledAttributes.recycle();
        setVisibility(8);
        setWillNotDraw(true);
    }

    public View m3281a() {
        ViewParent parent = getParent();
        if (parent == null || !(parent instanceof ViewGroup)) {
            throw new IllegalStateException("ViewStub must have a non-null ViewGroup viewParent");
        } else if (this.f1616a != 0) {
            ViewGroup viewGroup = (ViewGroup) parent;
            View inflate = (this.f1619d != null ? this.f1619d : LayoutInflater.from(getContext())).inflate(this.f1616a, viewGroup, false);
            if (this.f1617b != -1) {
                inflate.setId(this.f1617b);
            }
            int indexOfChild = viewGroup.indexOfChild(this);
            viewGroup.removeViewInLayout(this);
            LayoutParams layoutParams = getLayoutParams();
            if (layoutParams != null) {
                viewGroup.addView(inflate, indexOfChild, layoutParams);
            } else {
                viewGroup.addView(inflate, indexOfChild);
            }
            this.f1618c = new WeakReference(inflate);
            if (this.f1620e != null) {
                this.f1620e.m3439a(this, inflate);
            }
            return inflate;
        } else {
            throw new IllegalArgumentException("ViewStub must have a valid layoutResource");
        }
    }

    protected void dispatchDraw(Canvas canvas) {
    }

    public void draw(Canvas canvas) {
    }

    public int getInflatedId() {
        return this.f1617b;
    }

    public LayoutInflater getLayoutInflater() {
        return this.f1619d;
    }

    public int getLayoutResource() {
        return this.f1616a;
    }

    protected void onMeasure(int i, int i2) {
        setMeasuredDimension(0, 0);
    }

    public void setInflatedId(int i) {
        this.f1617b = i;
    }

    public void setLayoutInflater(LayoutInflater layoutInflater) {
        this.f1619d = layoutInflater;
    }

    public void setLayoutResource(int i) {
        this.f1616a = i;
    }

    public void setOnInflateListener(au auVar) {
        this.f1620e = auVar;
    }

    public void setVisibility(int i) {
        if (this.f1618c != null) {
            View view = (View) this.f1618c.get();
            if (view != null) {
                view.setVisibility(i);
                return;
            }
            throw new IllegalStateException("setVisibility called on un-referenced view");
        }
        super.setVisibility(i);
        if (i == 0 || i == 4) {
            m3281a();
        }
    }
}
