package android.support.v7.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.view.C0214n;
import android.support.v4.view.C0215o;
import android.support.v7.internal.p026c.C0316a;
import android.support.v7.internal.view.C0317a;
import android.support.v7.internal.view.menu.ActionMenuItemView;
import android.support.v7.internal.view.menu.C0329z;
import android.support.v7.internal.view.menu.C0333i;
import android.support.v7.internal.view.menu.C0337d;
import android.support.v7.internal.view.menu.C0341m;
import android.support.v7.internal.view.menu.C0350v;
import android.support.v7.internal.view.menu.aa;
import android.support.v7.internal.view.menu.ad;
import android.support.v7.p019a.C0260h;
import android.support.v7.p019a.C0261i;
import android.util.SparseBooleanArray;
import android.view.MenuItem;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import java.util.ArrayList;

public class ActionMenuPresenter extends C0337d implements C0215o {
    private C0379c f1762A;
    final C0387h f1763g;
    int f1764h;
    private C0384e f1765i;
    private Drawable f1766j;
    private boolean f1767k;
    private boolean f1768l;
    private boolean f1769m;
    private int f1770n;
    private int f1771o;
    private int f1772p;
    private boolean f1773q;
    private boolean f1774r;
    private boolean f1775s;
    private boolean f1776t;
    private int f1777u;
    private final SparseBooleanArray f1778v;
    private View f1779w;
    private C0386g f1780x;
    private C0378b f1781y;
    private C0381d f1782z;

    class SavedState implements Parcelable {
        public static final Creator CREATOR;
        public int f1761a;

        static {
            CREATOR = new C0388i();
        }

        SavedState() {
        }

        SavedState(Parcel parcel) {
            this.f1761a = parcel.readInt();
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeInt(this.f1761a);
        }
    }

    public ActionMenuPresenter(Context context) {
        super(context, C0261i.abc_action_menu_layout, C0261i.abc_action_menu_item_layout);
        this.f1778v = new SparseBooleanArray();
        this.f1763g = new C0387h();
    }

    private View m3489a(MenuItem menuItem) {
        ViewGroup viewGroup = (ViewGroup) this.f;
        if (viewGroup == null) {
            return null;
        }
        int childCount = viewGroup.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = viewGroup.getChildAt(i);
            if ((childAt instanceof aa) && ((aa) childAt).getItemData() == menuItem) {
                return childAt;
            }
        }
        return null;
    }

    public C0329z m3497a(ViewGroup viewGroup) {
        C0329z a = super.m3092a(viewGroup);
        ((ActionMenuView) a).setPresenter(this);
        return a;
    }

    public View m3498a(C0341m c0341m, View view, ViewGroup viewGroup) {
        View actionView = c0341m.getActionView();
        if (actionView == null || c0341m.m3152n()) {
            actionView = super.m3093a(c0341m, view, viewGroup);
        }
        actionView.setVisibility(c0341m.isActionViewExpanded() ? 8 : 0);
        ActionMenuView actionMenuView = (ActionMenuView) viewGroup;
        LayoutParams layoutParams = actionView.getLayoutParams();
        if (!actionMenuView.checkLayoutParams(layoutParams)) {
            actionView.setLayoutParams(actionMenuView.m3525a(layoutParams));
        }
        return actionView;
    }

    public void m3499a(Context context, C0333i c0333i) {
        super.m3095a(context, c0333i);
        Resources resources = context.getResources();
        C0317a a = C0317a.m2903a(context);
        if (!this.f1769m) {
            this.f1768l = a.m2905b();
        }
        if (!this.f1775s) {
            this.f1770n = a.m2906c();
        }
        if (!this.f1773q) {
            this.f1772p = a.m2904a();
        }
        int i = this.f1770n;
        if (this.f1768l) {
            if (this.f1765i == null) {
                this.f1765i = new C0384e(this, this.a);
                if (this.f1767k) {
                    this.f1765i.setImageDrawable(this.f1766j);
                    this.f1766j = null;
                    this.f1767k = false;
                }
                int makeMeasureSpec = MeasureSpec.makeMeasureSpec(0, 0);
                this.f1765i.measure(makeMeasureSpec, makeMeasureSpec);
            }
            i -= this.f1765i.getMeasuredWidth();
        } else {
            this.f1765i = null;
        }
        this.f1771o = i;
        this.f1777u = (int) (56.0f * resources.getDisplayMetrics().density);
        this.f1779w = null;
    }

    public void m3500a(Configuration configuration) {
        if (!this.f1773q) {
            this.f1772p = this.b.getResources().getInteger(C0260h.abc_max_action_buttons);
        }
        if (this.c != null) {
            this.c.m3037b(true);
        }
    }

    public void m3501a(Drawable drawable) {
        if (this.f1765i != null) {
            this.f1765i.setImageDrawable(drawable);
            return;
        }
        this.f1767k = true;
        this.f1766j = drawable;
    }

    public void m3502a(C0333i c0333i, boolean z) {
        m3516f();
        super.m3096a(c0333i, z);
    }

    public void m3503a(C0341m c0341m, aa aaVar) {
        aaVar.m2969a(c0341m, 0);
        ActionMenuItemView actionMenuItemView = (ActionMenuItemView) aaVar;
        actionMenuItemView.setItemInvoker((ActionMenuView) this.f);
        if (this.f1762A == null) {
            this.f1762A = new C0379c();
        }
        actionMenuItemView.setPopupCallback(this.f1762A);
    }

    public void m3504a(ActionMenuView actionMenuView) {
        this.f = actionMenuView;
        actionMenuView.m3526a(this.c);
    }

    public void m3505a(boolean z) {
        if (z) {
            super.m3101a(null);
        } else {
            this.c.m3029a(false);
        }
    }

    public boolean m3506a(int i, C0341m c0341m) {
        return c0341m.m3148j();
    }

    public boolean m3507a(ad adVar) {
        if (!adVar.hasVisibleItems()) {
            return false;
        }
        ad adVar2 = adVar;
        while (adVar2.m3067s() != this.c) {
            adVar2 = (ad) adVar2.m3067s();
        }
        View a = m3489a(adVar2.getItem());
        if (a == null) {
            if (this.f1765i == null) {
                return false;
            }
            a = this.f1765i;
        }
        this.f1764h = adVar.getItem().getItemId();
        this.f1781y = new C0378b(this, this.b, adVar);
        this.f1781y.m3179a(a);
        this.f1781y.m3174a();
        super.m3101a(adVar);
        return true;
    }

    public boolean m3508a(ViewGroup viewGroup, int i) {
        return viewGroup.getChildAt(i) == this.f1765i ? false : super.m3103a(viewGroup, i);
    }

    public void m3509b(boolean z) {
        int i;
        int i2 = 1;
        int i3 = 0;
        ViewGroup viewGroup = (ViewGroup) ((View) this.f).getParent();
        if (viewGroup != null) {
            C0316a.m2902a(viewGroup);
        }
        super.m3105b(z);
        ((View) this.f).requestLayout();
        if (this.c != null) {
            ArrayList k = this.c.m3051k();
            int size = k.size();
            for (i = 0; i < size; i++) {
                C0214n a = ((C0341m) k.get(i)).m3130a();
                if (a != null) {
                    a.m1957a((C0215o) this);
                }
            }
        }
        ArrayList l = this.c != null ? this.c.m3052l() : null;
        if (this.f1768l && l != null) {
            i = l.size();
            if (i == 1) {
                i3 = !((C0341m) l.get(0)).isActionViewExpanded() ? 1 : 0;
            } else {
                if (i <= 0) {
                    i2 = 0;
                }
                i3 = i2;
            }
        }
        if (i3 != 0) {
            if (this.f1765i == null) {
                this.f1765i = new C0384e(this, this.a);
            }
            viewGroup = (ViewGroup) this.f1765i.getParent();
            if (viewGroup != this.f) {
                if (viewGroup != null) {
                    viewGroup.removeView(this.f1765i);
                }
                ActionMenuView actionMenuView = (ActionMenuView) this.f;
                actionMenuView.addView(this.f1765i, actionMenuView.m3534c());
            }
        } else if (this.f1765i != null && this.f1765i.getParent() == this.f) {
            ((ViewGroup) this.f).removeView(this.f1765i);
        }
        ((ActionMenuView) this.f).setOverflowReserved(this.f1768l);
    }

    public boolean m3510b() {
        int i;
        ArrayList i2 = this.c.m3049i();
        int size = i2.size();
        int i3 = this.f1772p;
        int i4 = this.f1771o;
        int makeMeasureSpec = MeasureSpec.makeMeasureSpec(0, 0);
        ViewGroup viewGroup = (ViewGroup) this.f;
        int i5 = 0;
        int i6 = 0;
        Object obj = null;
        int i7 = 0;
        while (i7 < size) {
            C0341m c0341m = (C0341m) i2.get(i7);
            if (c0341m.m3150l()) {
                i5++;
            } else if (c0341m.m3149k()) {
                i6++;
            } else {
                obj = 1;
            }
            i = (this.f1776t && c0341m.isActionViewExpanded()) ? 0 : i3;
            i7++;
            i3 = i;
        }
        if (this.f1768l && (r4 != null || i5 + i6 > i3)) {
            i3--;
        }
        i7 = i3 - i5;
        SparseBooleanArray sparseBooleanArray = this.f1778v;
        sparseBooleanArray.clear();
        i = 0;
        if (this.f1774r) {
            i = i4 / this.f1777u;
            i6 = ((i4 % this.f1777u) / i) + this.f1777u;
        } else {
            i6 = 0;
        }
        int i8 = 0;
        i3 = 0;
        int i9 = i;
        while (i8 < size) {
            c0341m = (C0341m) i2.get(i8);
            int i10;
            if (c0341m.m3150l()) {
                View a = m3498a(c0341m, this.f1779w, viewGroup);
                if (this.f1779w == null) {
                    this.f1779w = a;
                }
                if (this.f1774r) {
                    i9 -= ActionMenuView.m3520a(a, i6, i9, makeMeasureSpec, 0);
                } else {
                    a.measure(makeMeasureSpec, makeMeasureSpec);
                }
                i5 = a.getMeasuredWidth();
                i10 = i4 - i5;
                if (i3 != 0) {
                    i5 = i3;
                }
                i3 = c0341m.getGroupId();
                if (i3 != 0) {
                    sparseBooleanArray.put(i3, true);
                }
                c0341m.m3141d(true);
                i = i10;
                i3 = i7;
            } else if (c0341m.m3149k()) {
                boolean z;
                int groupId = c0341m.getGroupId();
                boolean z2 = sparseBooleanArray.get(groupId);
                boolean z3 = (i7 > 0 || z2) && i4 > 0 && (!this.f1774r || i9 > 0);
                if (z3) {
                    View a2 = m3498a(c0341m, this.f1779w, viewGroup);
                    if (this.f1779w == null) {
                        this.f1779w = a2;
                    }
                    boolean z4;
                    if (this.f1774r) {
                        int a3 = ActionMenuView.m3520a(a2, i6, i9, makeMeasureSpec, 0);
                        i10 = i9 - a3;
                        if (a3 == 0) {
                            i9 = 0;
                        } else {
                            z4 = z3;
                        }
                        i5 = i10;
                    } else {
                        a2.measure(makeMeasureSpec, makeMeasureSpec);
                        boolean z5 = z3;
                        i5 = i9;
                        z4 = z5;
                    }
                    i10 = a2.getMeasuredWidth();
                    i4 -= i10;
                    if (i3 == 0) {
                        i3 = i10;
                    }
                    if (this.f1774r) {
                        z = i9 & (i4 >= 0 ? 1 : 0);
                        i10 = i3;
                        i3 = i5;
                    } else {
                        z = i9 & (i4 + i3 > 0 ? 1 : 0);
                        i10 = i3;
                        i3 = i5;
                    }
                } else {
                    z = z3;
                    i10 = i3;
                    i3 = i9;
                }
                if (z && groupId != 0) {
                    sparseBooleanArray.put(groupId, true);
                    i9 = i7;
                } else if (z2) {
                    sparseBooleanArray.put(groupId, false);
                    i5 = i7;
                    for (i7 = 0; i7 < i8; i7++) {
                        C0341m c0341m2 = (C0341m) i2.get(i7);
                        if (c0341m2.getGroupId() == groupId) {
                            if (c0341m2.m3148j()) {
                                i5++;
                            }
                            c0341m2.m3141d(false);
                        }
                    }
                    i9 = i5;
                } else {
                    i9 = i7;
                }
                if (z) {
                    i9--;
                }
                c0341m.m3141d(z);
                i5 = i10;
                i = i4;
                int i11 = i3;
                i3 = i9;
                i9 = i11;
            } else {
                c0341m.m3141d(false);
                i5 = i3;
                i = i4;
                i3 = i7;
            }
            i8++;
            i4 = i;
            i7 = i3;
            i3 = i5;
        }
        return true;
    }

    public Drawable m3511c() {
        return this.f1765i != null ? this.f1765i.getDrawable() : this.f1767k ? this.f1766j : null;
    }

    public void m3512c(boolean z) {
        this.f1768l = z;
        this.f1769m = true;
    }

    public void m3513d(boolean z) {
        this.f1776t = z;
    }

    public boolean m3514d() {
        if (!this.f1768l || m3518h() || this.c == null || this.f == null || this.f1782z != null || this.c.m3052l().isEmpty()) {
            return false;
        }
        this.f1782z = new C0381d(this, new C0386g(this, this.b, this.c, this.f1765i, true));
        ((View) this.f).post(this.f1782z);
        super.m3101a(null);
        return true;
    }

    public boolean m3515e() {
        if (this.f1782z == null || this.f == null) {
            C0350v c0350v = this.f1780x;
            if (c0350v == null) {
                return false;
            }
            c0350v.m3188e();
            return true;
        }
        ((View) this.f).removeCallbacks(this.f1782z);
        this.f1782z = null;
        return true;
    }

    public boolean m3516f() {
        return m3515e() | m3517g();
    }

    public boolean m3517g() {
        if (this.f1781y == null) {
            return false;
        }
        this.f1781y.m3188e();
        return true;
    }

    public boolean m3518h() {
        return this.f1780x != null && this.f1780x.m3189f();
    }

    public boolean m3519i() {
        return this.f1782z != null || m3518h();
    }
}
