package android.support.v7.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.support.v7.internal.view.menu.ActionMenuItemView;
import android.support.v7.internal.view.menu.C0265j;
import android.support.v7.internal.view.menu.C0271y;
import android.support.v7.internal.view.menu.C0328k;
import android.support.v7.internal.view.menu.C0329z;
import android.support.v7.internal.view.menu.C0333i;
import android.support.v7.internal.view.menu.C0341m;
import android.support.v7.internal.widget.av;
import android.util.AttributeSet;
import android.view.ContextThemeWrapper;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup.LayoutParams;
import android.view.accessibility.AccessibilityEvent;

public class ActionMenuView extends bb implements C0328k, C0329z {
    private C0333i f1783a;
    private Context f1784b;
    private int f1785c;
    private boolean f1786d;
    private ActionMenuPresenter f1787e;
    private C0271y f1788f;
    private C0265j f1789g;
    private boolean f1790h;
    private int f1791i;
    private int f1792j;
    private int f1793k;
    private C0383o f1794l;

    public ActionMenuView(Context context) {
        this(context, null);
    }

    public ActionMenuView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        setBaselineAligned(false);
        float f = context.getResources().getDisplayMetrics().density;
        this.f1792j = (int) (56.0f * f);
        this.f1793k = (int) (f * 4.0f);
        this.f1784b = context;
        this.f1785c = 0;
    }

    static int m3520a(View view, int i, int i2, int i3, int i4) {
        int i5;
        boolean z = false;
        C0391m c0391m = (C0391m) view.getLayoutParams();
        int makeMeasureSpec = MeasureSpec.makeMeasureSpec(MeasureSpec.getSize(i3) - i4, MeasureSpec.getMode(i3));
        ActionMenuItemView actionMenuItemView = view instanceof ActionMenuItemView ? (ActionMenuItemView) view : null;
        boolean z2 = actionMenuItemView != null && actionMenuItemView.m2979b();
        if (i2 <= 0 || (z2 && i2 < 2)) {
            i5 = 0;
        } else {
            view.measure(MeasureSpec.makeMeasureSpec(i * i2, Integer.MIN_VALUE), makeMeasureSpec);
            int measuredWidth = view.getMeasuredWidth();
            i5 = measuredWidth / i;
            if (measuredWidth % i != 0) {
                i5++;
            }
            if (z2 && r1 < 2) {
                i5 = 2;
            }
        }
        if (!c0391m.f2332a && z2) {
            z = true;
        }
        c0391m.f2335d = z;
        c0391m.f2333b = i5;
        view.measure(MeasureSpec.makeMeasureSpec(i5 * i, 1073741824), makeMeasureSpec);
        return i5;
    }

    private void m3523c(int i, int i2) {
        int mode = MeasureSpec.getMode(i2);
        int size = MeasureSpec.getSize(i);
        int size2 = MeasureSpec.getSize(i2);
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int childMeasureSpec = getChildMeasureSpec(i2, paddingTop, -2);
        int i3 = size - paddingLeft;
        int i4 = i3 / this.f1792j;
        size = i3 % this.f1792j;
        if (i4 == 0) {
            setMeasuredDimension(i3, 0);
            return;
        }
        Object obj;
        int i5 = this.f1792j + (size / i4);
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        paddingLeft = 0;
        Object obj2 = null;
        long j = 0;
        int childCount = getChildCount();
        int i9 = 0;
        while (i9 < childCount) {
            int i10;
            long j2;
            int i11;
            int i12;
            int i13;
            View childAt = getChildAt(i9);
            if (childAt.getVisibility() == 8) {
                i10 = paddingLeft;
                j2 = j;
                i11 = i6;
                i12 = i4;
                i4 = i7;
            } else {
                boolean z = childAt instanceof ActionMenuItemView;
                i13 = paddingLeft + 1;
                if (z) {
                    childAt.setPadding(this.f1793k, 0, this.f1793k, 0);
                }
                C0391m c0391m = (C0391m) childAt.getLayoutParams();
                c0391m.f2337f = false;
                c0391m.f2334c = 0;
                c0391m.f2333b = 0;
                c0391m.f2335d = false;
                c0391m.leftMargin = 0;
                c0391m.rightMargin = 0;
                boolean z2 = z && ((ActionMenuItemView) childAt).m2979b();
                c0391m.f2336e = z2;
                int a = m3520a(childAt, i5, c0391m.f2332a ? 1 : i4, childMeasureSpec, paddingTop);
                i7 = Math.max(i7, a);
                paddingLeft = c0391m.f2335d ? i8 + 1 : i8;
                obj = c0391m.f2332a ? 1 : obj2;
                int i14 = i4 - a;
                i8 = Math.max(i6, childAt.getMeasuredHeight());
                if (a == 1) {
                    long j3 = ((long) (1 << i9)) | j;
                    i11 = i8;
                    i12 = i14;
                    i8 = paddingLeft;
                    obj2 = obj;
                    j2 = j3;
                    i4 = i7;
                    i10 = i13;
                } else {
                    i10 = i13;
                    i4 = i7;
                    long j4 = j;
                    i11 = i8;
                    i12 = i14;
                    obj2 = obj;
                    i8 = paddingLeft;
                    j2 = j4;
                }
            }
            i9++;
            i7 = i4;
            i6 = i11;
            i4 = i12;
            j = j2;
            paddingLeft = i10;
        }
        Object obj3 = (obj2 == null || paddingLeft != 2) ? null : 1;
        Object obj4 = null;
        long j5 = j;
        paddingTop = i4;
        while (i8 > 0 && paddingTop > 0) {
            i13 = Integer.MAX_VALUE;
            j = 0;
            i4 = 0;
            int i15 = 0;
            while (i15 < childCount) {
                c0391m = (C0391m) getChildAt(i15).getLayoutParams();
                if (c0391m.f2335d) {
                    int i16 = c0391m.f2333b;
                    if (r0 < i13) {
                        i4 = c0391m.f2333b;
                        j = (long) (1 << i15);
                        size = 1;
                    } else if (c0391m.f2333b == i13) {
                        j |= (long) (1 << i15);
                        size = i4 + 1;
                        i4 = i13;
                    } else {
                        size = i4;
                        i4 = i13;
                    }
                } else {
                    size = i4;
                    i4 = i13;
                }
                i15++;
                i13 = i4;
                i4 = size;
            }
            j5 |= j;
            if (i4 > paddingTop) {
                j = j5;
                break;
            }
            i15 = i13 + 1;
            i13 = 0;
            i4 = paddingTop;
            long j6 = j5;
            while (i13 < childCount) {
                View childAt2 = getChildAt(i13);
                c0391m = (C0391m) childAt2.getLayoutParams();
                if ((((long) (1 << i13)) & j) != 0) {
                    if (obj3 != null && c0391m.f2336e && i4 == 1) {
                        childAt2.setPadding(this.f1793k + i5, 0, this.f1793k, 0);
                    }
                    c0391m.f2333b++;
                    c0391m.f2337f = true;
                    size = i4 - 1;
                } else if (c0391m.f2333b == i15) {
                    j6 |= (long) (1 << i13);
                    size = i4;
                } else {
                    size = i4;
                }
                i13++;
                i4 = size;
            }
            j5 = j6;
            i9 = 1;
            paddingTop = i4;
        }
        j = j5;
        obj = (obj2 == null && paddingLeft == 1) ? 1 : null;
        if (paddingTop <= 0 || j == 0 || (paddingTop >= paddingLeft - 1 && obj == null && i7 <= 1)) {
            obj3 = obj4;
        } else {
            float f;
            View childAt3;
            float bitCount = (float) Long.bitCount(j);
            if (obj == null) {
                if (!((1 & j) == 0 || ((C0391m) getChildAt(0).getLayoutParams()).f2336e)) {
                    bitCount -= 0.5f;
                }
                if (!((((long) (1 << (childCount - 1))) & j) == 0 || ((C0391m) getChildAt(childCount - 1).getLayoutParams()).f2336e)) {
                    f = bitCount - 0.5f;
                    paddingLeft = f <= 0.0f ? (int) (((float) (paddingTop * i5)) / f) : 0;
                    i4 = 0;
                    obj3 = obj4;
                    while (i4 < childCount) {
                        if ((((long) (1 << i4)) & j) != 0) {
                            obj = obj3;
                        } else {
                            childAt3 = getChildAt(i4);
                            c0391m = (C0391m) childAt3.getLayoutParams();
                            if (childAt3 instanceof ActionMenuItemView) {
                                c0391m.f2334c = paddingLeft;
                                c0391m.f2337f = true;
                                if (i4 == 0 && !c0391m.f2336e) {
                                    c0391m.leftMargin = (-paddingLeft) / 2;
                                }
                                obj = 1;
                            } else if (c0391m.f2332a) {
                                if (i4 != 0) {
                                    c0391m.leftMargin = paddingLeft / 2;
                                }
                                if (i4 != childCount - 1) {
                                    c0391m.rightMargin = paddingLeft / 2;
                                }
                                obj = obj3;
                            } else {
                                c0391m.f2334c = paddingLeft;
                                c0391m.f2337f = true;
                                c0391m.rightMargin = (-paddingLeft) / 2;
                                obj = 1;
                            }
                        }
                        i4++;
                        obj3 = obj;
                    }
                }
            }
            f = bitCount;
            if (f <= 0.0f) {
            }
            i4 = 0;
            obj3 = obj4;
            while (i4 < childCount) {
                if ((((long) (1 << i4)) & j) != 0) {
                    childAt3 = getChildAt(i4);
                    c0391m = (C0391m) childAt3.getLayoutParams();
                    if (childAt3 instanceof ActionMenuItemView) {
                        c0391m.f2334c = paddingLeft;
                        c0391m.f2337f = true;
                        c0391m.leftMargin = (-paddingLeft) / 2;
                        obj = 1;
                    } else if (c0391m.f2332a) {
                        if (i4 != 0) {
                            c0391m.leftMargin = paddingLeft / 2;
                        }
                        if (i4 != childCount - 1) {
                            c0391m.rightMargin = paddingLeft / 2;
                        }
                        obj = obj3;
                    } else {
                        c0391m.f2334c = paddingLeft;
                        c0391m.f2337f = true;
                        c0391m.rightMargin = (-paddingLeft) / 2;
                        obj = 1;
                    }
                } else {
                    obj = obj3;
                }
                i4++;
                obj3 = obj;
            }
        }
        if (obj3 != null) {
            for (paddingLeft = 0; paddingLeft < childCount; paddingLeft++) {
                childAt = getChildAt(paddingLeft);
                c0391m = (C0391m) childAt.getLayoutParams();
                if (c0391m.f2337f) {
                    childAt.measure(MeasureSpec.makeMeasureSpec(c0391m.f2334c + (c0391m.f2333b * i5), 1073741824), childMeasureSpec);
                }
            }
        }
        if (mode == 1073741824) {
            i6 = size2;
        }
        setMeasuredDimension(i3, i6);
    }

    public C0391m m3524a(AttributeSet attributeSet) {
        return new C0391m(getContext(), attributeSet);
    }

    protected C0391m m3525a(LayoutParams layoutParams) {
        if (layoutParams == null) {
            return m3533b();
        }
        C0391m c0391m = layoutParams instanceof C0391m ? new C0391m((C0391m) layoutParams) : new C0391m(layoutParams);
        if (c0391m.h > 0) {
            return c0391m;
        }
        c0391m.h = 16;
        return c0391m;
    }

    public void m3526a(C0333i c0333i) {
        this.f1783a = c0333i;
    }

    public void m3527a(C0271y c0271y, C0265j c0265j) {
        this.f1788f = c0271y;
        this.f1789g = c0265j;
    }

    public boolean m3528a() {
        return this.f1786d;
    }

    protected boolean m3529a(int i) {
        boolean z = false;
        if (i == 0) {
            return false;
        }
        View childAt = getChildAt(i - 1);
        View childAt2 = getChildAt(i);
        if (i < getChildCount() && (childAt instanceof C0327k)) {
            z = 0 | ((C0327k) childAt).m2972d();
        }
        return (i <= 0 || !(childAt2 instanceof C0327k)) ? z : ((C0327k) childAt2).m2971c() | z;
    }

    public boolean m3530a(C0341m c0341m) {
        return this.f1783a.m3031a((MenuItem) c0341m, 0);
    }

    public /* synthetic */ bc m3531b(AttributeSet attributeSet) {
        return m3524a(attributeSet);
    }

    protected /* synthetic */ bc m3532b(LayoutParams layoutParams) {
        return m3525a(layoutParams);
    }

    protected C0391m m3533b() {
        C0391m c0391m = new C0391m(-2, -2);
        c0391m.h = 16;
        return c0391m;
    }

    public C0391m m3534c() {
        C0391m b = m3533b();
        b.f2332a = true;
        return b;
    }

    protected boolean checkLayoutParams(LayoutParams layoutParams) {
        return layoutParams != null && (layoutParams instanceof C0391m);
    }

    public C0333i m3535d() {
        return this.f1783a;
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        return false;
    }

    public boolean m3536e() {
        return this.f1787e != null && this.f1787e.m3514d();
    }

    public boolean m3537f() {
        return this.f1787e != null && this.f1787e.m3515e();
    }

    public boolean m3538g() {
        return this.f1787e != null && this.f1787e.m3518h();
    }

    protected /* synthetic */ LayoutParams generateDefaultLayoutParams() {
        return m3533b();
    }

    public /* synthetic */ LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return m3524a(attributeSet);
    }

    protected /* synthetic */ LayoutParams generateLayoutParams(LayoutParams layoutParams) {
        return m3525a(layoutParams);
    }

    public Menu getMenu() {
        if (this.f1783a == null) {
            Context context = getContext();
            this.f1783a = new C0333i(context);
            this.f1783a.m3023a(new C0392n());
            this.f1787e = new ActionMenuPresenter(context);
            this.f1787e.m3512c(true);
            this.f1787e.m3098a(this.f1788f != null ? this.f1788f : new C0390l());
            this.f1783a.m3026a(this.f1787e, this.f1784b);
            this.f1787e.m3504a(this);
        }
        return this.f1783a;
    }

    public Drawable getOverflowIcon() {
        getMenu();
        return this.f1787e.m3511c();
    }

    public int getPopupTheme() {
        return this.f1785c;
    }

    public int getWindowAnimations() {
        return 0;
    }

    public boolean m3539h() {
        return this.f1787e != null && this.f1787e.m3519i();
    }

    public void m3540i() {
        if (this.f1787e != null) {
            this.f1787e.m3516f();
        }
    }

    protected /* synthetic */ bc m3541j() {
        return m3533b();
    }

    public void onConfigurationChanged(Configuration configuration) {
        if (VERSION.SDK_INT >= 8) {
            super.onConfigurationChanged(configuration);
        }
        if (this.f1787e != null) {
            this.f1787e.m3509b(false);
            if (this.f1787e.m3518h()) {
                this.f1787e.m3515e();
                this.f1787e.m3514d();
            }
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        m3540i();
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        if (this.f1790h) {
            int i5;
            int i6;
            C0391m c0391m;
            int paddingLeft;
            int childCount = getChildCount();
            int i7 = (i4 - i2) / 2;
            int dividerWidth = getDividerWidth();
            int i8 = 0;
            int i9 = 0;
            int paddingRight = ((i3 - i) - getPaddingRight()) - getPaddingLeft();
            Object obj = null;
            boolean a = av.m3442a(this);
            int i10 = 0;
            while (i10 < childCount) {
                Object obj2;
                View childAt = getChildAt(i10);
                if (childAt.getVisibility() == 8) {
                    obj2 = obj;
                    i5 = i9;
                    i6 = paddingRight;
                    paddingRight = i8;
                } else {
                    c0391m = (C0391m) childAt.getLayoutParams();
                    if (c0391m.f2332a) {
                        i6 = childAt.getMeasuredWidth();
                        if (m3529a(i10)) {
                            i6 += dividerWidth;
                        }
                        int measuredHeight = childAt.getMeasuredHeight();
                        if (a) {
                            paddingLeft = c0391m.leftMargin + getPaddingLeft();
                            i5 = paddingLeft + i6;
                        } else {
                            i5 = (getWidth() - getPaddingRight()) - c0391m.rightMargin;
                            paddingLeft = i5 - i6;
                        }
                        int i11 = i7 - (measuredHeight / 2);
                        childAt.layout(paddingLeft, i11, i5, measuredHeight + i11);
                        i6 = paddingRight - i6;
                        obj2 = 1;
                        i5 = i9;
                        paddingRight = i8;
                    } else {
                        i5 = (childAt.getMeasuredWidth() + c0391m.leftMargin) + c0391m.rightMargin;
                        paddingLeft = i8 + i5;
                        i5 = paddingRight - i5;
                        if (m3529a(i10)) {
                            paddingLeft += dividerWidth;
                        }
                        Object obj3 = obj;
                        i6 = i5;
                        i5 = i9 + 1;
                        paddingRight = paddingLeft;
                        obj2 = obj3;
                    }
                }
                i10++;
                i8 = paddingRight;
                paddingRight = i6;
                i9 = i5;
                obj = obj2;
            }
            if (childCount == 1 && obj == null) {
                View childAt2 = getChildAt(0);
                i6 = childAt2.getMeasuredWidth();
                i5 = childAt2.getMeasuredHeight();
                paddingRight = ((i3 - i) / 2) - (i6 / 2);
                i9 = i7 - (i5 / 2);
                childAt2.layout(paddingRight, i9, i6 + paddingRight, i5 + i9);
                return;
            }
            paddingLeft = i9 - (obj != null ? 0 : 1);
            paddingRight = Math.max(0, paddingLeft > 0 ? paddingRight / paddingLeft : 0);
            View childAt3;
            if (a) {
                i6 = getWidth() - getPaddingRight();
                i5 = 0;
                while (i5 < childCount) {
                    childAt3 = getChildAt(i5);
                    c0391m = (C0391m) childAt3.getLayoutParams();
                    if (childAt3.getVisibility() == 8) {
                        paddingLeft = i6;
                    } else if (c0391m.f2332a) {
                        paddingLeft = i6;
                    } else {
                        i6 -= c0391m.rightMargin;
                        i8 = childAt3.getMeasuredWidth();
                        i10 = childAt3.getMeasuredHeight();
                        dividerWidth = i7 - (i10 / 2);
                        childAt3.layout(i6 - i8, dividerWidth, i6, i10 + dividerWidth);
                        paddingLeft = i6 - ((c0391m.leftMargin + i8) + paddingRight);
                    }
                    i5++;
                    i6 = paddingLeft;
                }
                return;
            }
            i6 = getPaddingLeft();
            i5 = 0;
            while (i5 < childCount) {
                childAt3 = getChildAt(i5);
                c0391m = (C0391m) childAt3.getLayoutParams();
                if (childAt3.getVisibility() == 8) {
                    paddingLeft = i6;
                } else if (c0391m.f2332a) {
                    paddingLeft = i6;
                } else {
                    i6 += c0391m.leftMargin;
                    i8 = childAt3.getMeasuredWidth();
                    i10 = childAt3.getMeasuredHeight();
                    dividerWidth = i7 - (i10 / 2);
                    childAt3.layout(i6, dividerWidth, i6 + i8, i10 + dividerWidth);
                    paddingLeft = ((c0391m.rightMargin + i8) + paddingRight) + i6;
                }
                i5++;
                i6 = paddingLeft;
            }
            return;
        }
        super.onLayout(z, i, i2, i3, i4);
    }

    protected void onMeasure(int i, int i2) {
        boolean z = this.f1790h;
        this.f1790h = MeasureSpec.getMode(i) == 1073741824;
        if (z != this.f1790h) {
            this.f1791i = 0;
        }
        int size = MeasureSpec.getSize(i);
        if (!(!this.f1790h || this.f1783a == null || size == this.f1791i)) {
            this.f1791i = size;
            this.f1783a.m3037b(true);
        }
        int childCount = getChildCount();
        if (!this.f1790h || childCount <= 0) {
            for (int i3 = 0; i3 < childCount; i3++) {
                C0391m c0391m = (C0391m) getChildAt(i3).getLayoutParams();
                c0391m.rightMargin = 0;
                c0391m.leftMargin = 0;
            }
            super.onMeasure(i, i2);
            return;
        }
        m3523c(i, i2);
    }

    public void setExpandedActionViewsExclusive(boolean z) {
        this.f1787e.m3513d(z);
    }

    public void setOnMenuItemClickListener(C0383o c0383o) {
        this.f1794l = c0383o;
    }

    public void setOverflowIcon(Drawable drawable) {
        getMenu();
        this.f1787e.m3501a(drawable);
    }

    public void setOverflowReserved(boolean z) {
        this.f1786d = z;
    }

    public void setPopupTheme(int i) {
        if (this.f1785c != i) {
            this.f1785c = i;
            if (i == 0) {
                this.f1784b = getContext();
            } else {
                this.f1784b = new ContextThemeWrapper(getContext(), i);
            }
        }
    }

    public void setPresenter(ActionMenuPresenter actionMenuPresenter) {
        this.f1787e = actionMenuPresenter;
        this.f1787e.m3504a(this);
    }
}
