package android.support.v7.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Build.VERSION;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.os.SystemClock;
import android.support.v4.p014e.C0126h;
import android.support.v4.p016g.C0141a;
import android.support.v4.view.ba;
import android.support.v4.view.bj;
import android.support.v4.view.bk;
import android.support.v4.view.bp;
import android.support.v4.view.br;
import android.support.v4.view.bw;
import android.support.v4.view.cs;
import android.support.v4.view.p017a.C0172a;
import android.support.v4.widget.ah;
import android.support.v7.p023c.C0300b;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.TypedValue;
import android.view.FocusFinder;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.View.BaseSavedState;
import android.view.View.MeasureSpec;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.animation.Interpolator;
import com.neatorobotics.android.C0729b;
import java.lang.reflect.Constructor;
import java.util.ArrayList;
import java.util.List;

public class RecyclerView extends ViewGroup implements bj, bp {
    private static final Interpolator an;
    private static final boolean f1817h;
    private static final Class[] f1818i;
    private boolean f1819A;
    private int f1820B;
    private boolean f1821C;
    private final boolean f1822D;
    private final AccessibilityManager f1823E;
    private List f1824F;
    private boolean f1825G;
    private int f1826H;
    private ah f1827I;
    private ah f1828J;
    private ah f1829K;
    private ah f1830L;
    private int f1831M;
    private int f1832N;
    private VelocityTracker f1833O;
    private int f1834P;
    private int f1835Q;
    private int f1836R;
    private int f1837S;
    private int f1838T;
    private final int f1839U;
    private final int f1840V;
    private float f1841W;
    final cu f1842a;
    private final dc aa;
    private cs ab;
    private List ac;
    private ck ad;
    private boolean ae;
    private de af;
    private ch ag;
    private final int[] ah;
    private final bk ai;
    private final int[] aj;
    private final int[] ak;
    private final int[] al;
    private Runnable am;
    C0393p f1843b;
    al f1844c;
    ci f1845d;
    final da f1846e;
    boolean f1847f;
    boolean f1848g;
    private final cw f1849j;
    private SavedState f1850k;
    private boolean f1851l;
    private final Runnable f1852m;
    private final Rect f1853n;
    private ce f1854o;
    private co f1855p;
    private cv f1856q;
    private final ArrayList f1857r;
    private final ArrayList f1858s;
    private cr f1859t;
    private boolean f1860u;
    private boolean f1861v;
    private boolean f1862w;
    private boolean f1863x;
    private boolean f1864y;
    private boolean f1865z;

    class SavedState extends BaseSavedState {
        public static final Creator CREATOR;
        Parcelable f1816a;

        static {
            CREATOR = new cx();
        }

        SavedState(Parcel parcel) {
            super(parcel);
            this.f1816a = parcel.readParcelable(co.class.getClassLoader());
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        private void m3721a(SavedState savedState) {
            this.f1816a = savedState.f1816a;
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeParcelable(this.f1816a, 0);
        }
    }

    static {
        boolean z = VERSION.SDK_INT == 18 || VERSION.SDK_INT == 19 || VERSION.SDK_INT == 20;
        f1817h = z;
        f1818i = new Class[]{Context.class, AttributeSet.class, Integer.TYPE, Integer.TYPE};
        an = new cb();
    }

    public RecyclerView(Context context) {
        this(context, null);
    }

    public RecyclerView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public RecyclerView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1849j = new cw();
        this.f1842a = new cu(this);
        this.f1852m = new bz(this);
        this.f1853n = new Rect();
        this.f1857r = new ArrayList();
        this.f1858s = new ArrayList();
        this.f1825G = false;
        this.f1826H = 0;
        this.f1845d = new ao();
        this.f1831M = 0;
        this.f1832N = -1;
        this.f1841W = Float.MIN_VALUE;
        this.aa = new dc(this);
        this.f1846e = new da();
        this.f1847f = false;
        this.f1848g = false;
        this.ad = new cl();
        this.ae = false;
        this.ah = new int[2];
        this.aj = new int[2];
        this.ak = new int[2];
        this.al = new int[2];
        this.am = new ca(this);
        setScrollContainer(true);
        setFocusableInTouchMode(true);
        this.f1822D = VERSION.SDK_INT >= 16;
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.f1838T = viewConfiguration.getScaledTouchSlop();
        this.f1839U = viewConfiguration.getScaledMinimumFlingVelocity();
        this.f1840V = viewConfiguration.getScaledMaximumFlingVelocity();
        setWillNotDraw(bw.m1495a(this) == 2);
        this.f1845d.m4114a(this.ad);
        m3796a();
        m3787u();
        if (bw.m1519e(this) == 0) {
            bw.m1515c((View) this, 1);
        }
        this.f1823E = (AccessibilityManager) getContext().getSystemService("accessibility");
        setAccessibilityDelegateCompat(new de(this));
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0300b.RecyclerView, i, 0);
            String string = obtainStyledAttributes.getString(C0300b.RecyclerView_layoutManager);
            obtainStyledAttributes.recycle();
            m3734a(context, string, attributeSet, i, 0);
        }
        this.ai = new bk(this);
        setNestedScrollingEnabled(true);
    }

    private void m3723A() {
        this.f1826H++;
    }

    private void m3724B() {
        this.f1826H--;
        if (this.f1826H < 1) {
            this.f1826H = 0;
            m3725C();
        }
    }

    private void m3725C() {
        int i = this.f1820B;
        this.f1820B = 0;
        if (i != 0 && m3827j()) {
            AccessibilityEvent obtain = AccessibilityEvent.obtain();
            obtain.setEventType(2048);
            C0172a.m1001a(obtain, i);
            sendAccessibilityEventUnchecked(obtain);
        }
    }

    private boolean m3726D() {
        return this.f1845d != null && this.f1845d.m4136h();
    }

    private void m3727E() {
        if (!this.ae && this.f1860u) {
            bw.m1505a((View) this, this.am);
            this.ae = true;
        }
    }

    private boolean m3728F() {
        return this.f1845d != null && this.f1855p.m3637j();
    }

    private void m3729G() {
        boolean z = true;
        if (this.f1825G) {
            this.f1843b.m4586a();
            m3834q();
            this.f1855p.m3624e(this);
        }
        if (this.f1845d == null || !this.f1855p.m3637j()) {
            this.f1843b.m4596e();
        } else {
            this.f1843b.m4592b();
        }
        boolean z2 = (this.f1847f && !this.f1848g) || this.f1847f || (this.f1848g && m3726D());
        da daVar = this.f1846e;
        boolean z3 = this.f1862w && this.f1845d != null && ((this.f1825G || z2 || this.f1855p.f1798a) && (!this.f1825G || this.f1854o.m4300b()));
        daVar.f2249l = z3;
        da daVar2 = this.f1846e;
        if (!(this.f1846e.f2249l && z2 && !this.f1825G && m3728F())) {
            z = false;
        }
        daVar2.f2250m = z;
    }

    private void m3730H() {
        if (!this.f1825G) {
            this.f1825G = true;
            int c = this.f1844c.m4088c();
            for (int i = 0; i < c; i++) {
                dd b = m3748b(this.f1844c.m4089c(i));
                if (!(b == null || b.m4461c())) {
                    b.m4460b(512);
                }
            }
            this.f1842a.m4380g();
        }
    }

    private String m3732a(Context context, String str) {
        return str.charAt(0) == '.' ? context.getPackageName() + str : !str.contains(".") ? RecyclerView.class.getPackage().getName() + '.' + str : str;
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    private void m3733a(float r8, float r9, float r10, float r11) {
        /*
        r7 = this;
        r6 = 1065353216; // 0x3f800000 float:1.0 double:5.263544247E-315;
        r0 = 1;
        r5 = 0;
        r1 = 0;
        r2 = (r9 > r5 ? 1 : (r9 == r5 ? 0 : -1));
        if (r2 >= 0) goto L_0x0050;
    L_0x0009:
        r7.m3817e();
        r2 = r7.f1827I;
        r3 = -r9;
        r4 = r7.getWidth();
        r4 = (float) r4;
        r3 = r3 / r4;
        r4 = r7.getHeight();
        r4 = (float) r4;
        r4 = r10 / r4;
        r4 = r6 - r4;
        r2 = r2.m2187a(r3, r4);
        if (r2 == 0) goto L_0x0025;
    L_0x0024:
        r1 = r0;
    L_0x0025:
        r2 = (r11 > r5 ? 1 : (r11 == r5 ? 0 : -1));
        if (r2 >= 0) goto L_0x006f;
    L_0x0029:
        r7.m3823g();
        r2 = r7.f1828J;
        r3 = -r11;
        r4 = r7.getHeight();
        r4 = (float) r4;
        r3 = r3 / r4;
        r4 = r7.getWidth();
        r4 = (float) r4;
        r4 = r8 / r4;
        r2 = r2.m2187a(r3, r4);
        if (r2 == 0) goto L_0x008e;
    L_0x0042:
        if (r0 != 0) goto L_0x004c;
    L_0x0044:
        r0 = (r9 > r5 ? 1 : (r9 == r5 ? 0 : -1));
        if (r0 != 0) goto L_0x004c;
    L_0x0048:
        r0 = (r11 > r5 ? 1 : (r11 == r5 ? 0 : -1));
        if (r0 == 0) goto L_0x004f;
    L_0x004c:
        android.support.v4.view.bw.m1517d(r7);
    L_0x004f:
        return;
    L_0x0050:
        r2 = (r9 > r5 ? 1 : (r9 == r5 ? 0 : -1));
        if (r2 <= 0) goto L_0x0025;
    L_0x0054:
        r7.m3821f();
        r2 = r7.f1829K;
        r3 = r7.getWidth();
        r3 = (float) r3;
        r3 = r9 / r3;
        r4 = r7.getHeight();
        r4 = (float) r4;
        r4 = r10 / r4;
        r2 = r2.m2187a(r3, r4);
        if (r2 == 0) goto L_0x0025;
    L_0x006d:
        r1 = r0;
        goto L_0x0025;
    L_0x006f:
        r2 = (r11 > r5 ? 1 : (r11 == r5 ? 0 : -1));
        if (r2 <= 0) goto L_0x008e;
    L_0x0073:
        r7.m3825h();
        r2 = r7.f1830L;
        r3 = r7.getHeight();
        r3 = (float) r3;
        r3 = r11 / r3;
        r4 = r7.getWidth();
        r4 = (float) r4;
        r4 = r8 / r4;
        r4 = r6 - r4;
        r2 = r2.m2187a(r3, r4);
        if (r2 != 0) goto L_0x0042;
    L_0x008e:
        r0 = r1;
        goto L_0x0042;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v7.widget.RecyclerView.a(float, float, float, float):void");
    }

    private void m3734a(Context context, String str, AttributeSet attributeSet, int i, int i2) {
        if (str != null) {
            String trim = str.trim();
            if (trim.length() != 0) {
                String a = m3732a(context, trim);
                try {
                    Object[] objArr;
                    Constructor constructor;
                    Class asSubclass = (isInEditMode() ? getClass().getClassLoader() : context.getClassLoader()).loadClass(a).asSubclass(co.class);
                    try {
                        objArr = new Object[]{context, attributeSet, Integer.valueOf(i), Integer.valueOf(i2)};
                        constructor = asSubclass.getConstructor(f1818i);
                    } catch (Throwable e) {
                        constructor = asSubclass.getConstructor(new Class[0]);
                        objArr = null;
                    }
                    constructor.setAccessible(true);
                    setLayoutManager((co) constructor.newInstance(objArr));
                } catch (Throwable e2) {
                    e2.initCause(e);
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Error creating LayoutManager " + a, e2);
                } catch (Throwable e3) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Unable to find LayoutManager " + a, e3);
                } catch (Throwable e32) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Could not instantiate the LayoutManager: " + a, e32);
                } catch (Throwable e322) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Could not instantiate the LayoutManager: " + a, e322);
                } catch (Throwable e3222) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Cannot access non-public constructor " + a, e3222);
                } catch (Throwable e32222) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Class is not a LayoutManager " + a, e32222);
                }
            }
        }
    }

    private void m3735a(C0141a c0141a) {
        List list = this.f1846e.f2241d;
        for (int size = list.size() - 1; size >= 0; size--) {
            View view = (View) list.get(size);
            dd b = m3748b(view);
            cn cnVar = (cn) this.f1846e.f2238a.remove(b);
            if (!this.f1846e.m4422a()) {
                this.f1846e.f2239b.remove(b);
            }
            if (c0141a.remove(view) != null) {
                this.f1855p.m3580a(view, this.f1842a);
            } else if (cnVar != null) {
                m3741a(cnVar);
            } else {
                m3741a(new cn(b, view.getLeft(), view.getTop(), view.getRight(), view.getBottom()));
            }
        }
        list.clear();
    }

    private void m3740a(ce ceVar, boolean z, boolean z2) {
        if (this.f1854o != null) {
            this.f1854o.m4298b(this.f1849j);
            this.f1854o.m4297b(this);
        }
        if (!z || z2) {
            if (this.f1845d != null) {
                this.f1845d.m4123c();
            }
            if (this.f1855p != null) {
                this.f1855p.m3610c(this.f1842a);
                this.f1855p.m3601b(this.f1842a);
            }
            this.f1842a.m4354a();
        }
        this.f1843b.m4586a();
        ce ceVar2 = this.f1854o;
        this.f1854o = ceVar;
        if (ceVar != null) {
            ceVar.m4290a(this.f1849j);
            ceVar.m4289a(this);
        }
        if (this.f1855p != null) {
            this.f1855p.m3566a(ceVar2, this.f1854o);
        }
        this.f1842a.m4357a(ceVar2, this.f1854o, z);
        this.f1846e.f2247j = true;
        m3834q();
    }

    private void m3741a(cn cnVar) {
        View view = cnVar.f2201a.f2259a;
        m3752b(cnVar.f2201a);
        int i = cnVar.f2202b;
        int i2 = cnVar.f2203c;
        int left = view.getLeft();
        int top = view.getTop();
        if (cnVar.f2201a.m4475q() || (i == left && i2 == top)) {
            cnVar.f2201a.m4457a(false);
            if (this.f1845d.m4117a(cnVar.f2201a)) {
                m3727E();
                return;
            }
            return;
        }
        cnVar.f2201a.m4457a(false);
        view.layout(left, top, view.getWidth() + left, view.getHeight() + top);
        if (this.f1845d.m4118a(cnVar.f2201a, i, i2, left, top)) {
            m3727E();
        }
    }

    private void m3742a(dd ddVar, Rect rect, int i, int i2) {
        View view = ddVar.f2259a;
        if (rect == null || (rect.left == i && rect.top == i2)) {
            ddVar.m4457a(false);
            if (this.f1845d.m4122b(ddVar)) {
                m3727E();
                return;
            }
            return;
        }
        ddVar.m4457a(false);
        if (this.f1845d.m4118a(ddVar, rect.left, rect.top, i, i2)) {
            m3727E();
        }
    }

    private void m3743a(dd ddVar, dd ddVar2) {
        int i;
        int i2;
        ddVar.m4457a(false);
        m3752b(ddVar);
        ddVar.f2265g = ddVar2;
        this.f1842a.m4375d(ddVar);
        int left = ddVar.f2259a.getLeft();
        int top = ddVar.f2259a.getTop();
        if (ddVar2 == null || ddVar2.m4461c()) {
            i = top;
            i2 = left;
        } else {
            i2 = ddVar2.f2259a.getLeft();
            i = ddVar2.f2259a.getTop();
            ddVar2.m4457a(false);
            ddVar2.f2266h = ddVar;
        }
        if (this.f1845d.m4119a(ddVar, ddVar2, left, top, i2, i)) {
            m3727E();
        }
    }

    private void m3744a(int[] iArr) {
        int b = this.f1844c.m4085b();
        if (b == 0) {
            iArr[0] = 0;
            iArr[1] = 0;
            return;
        }
        int i = Integer.MAX_VALUE;
        int i2 = Integer.MIN_VALUE;
        int i3 = 0;
        while (i3 < b) {
            int i4;
            dd b2 = m3748b(this.f1844c.m4087b(i3));
            if (b2.m4461c()) {
                i4 = i;
            } else {
                i4 = b2.m4462d();
                if (i4 < i) {
                    i = i4;
                }
                if (i4 > i2) {
                    i2 = i4;
                    i4 = i;
                } else {
                    i4 = i;
                }
            }
            i3++;
            i = i4;
        }
        iArr[0] = i;
        iArr[1] = i2;
    }

    private boolean m3747a(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        if (action == 3 || action == 0) {
            this.f1859t = null;
        }
        int size = this.f1858s.size();
        int i = 0;
        while (i < size) {
            cr crVar = (cr) this.f1858s.get(i);
            if (!crVar.m4336a(this, motionEvent) || action == 3) {
                i++;
            } else {
                this.f1859t = crVar;
                return true;
            }
        }
        return false;
    }

    static dd m3748b(View view) {
        return view == null ? null : ((cp) view.getLayoutParams()).f2206a;
    }

    private void m3752b(dd ddVar) {
        View view = ddVar.f2259a;
        boolean z = view.getParent() == this;
        this.f1842a.m4375d(m3795a(view));
        if (ddVar.m4476r()) {
            this.f1844c.m4082a(view, -1, view.getLayoutParams(), true);
        } else if (z) {
            this.f1844c.m4092d(view);
        } else {
            this.f1844c.m4084a(view, true);
        }
    }

    private boolean m3755b(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        if (this.f1859t != null) {
            if (action == 0) {
                this.f1859t = null;
            } else {
                this.f1859t.m4337b(this, motionEvent);
                if (action == 3 || action == 1) {
                    this.f1859t = null;
                }
                return true;
            }
        }
        if (action != 0) {
            int size = this.f1858s.size();
            for (int i = 0; i < size; i++) {
                cr crVar = (cr) this.f1858s.get(i);
                if (crVar.m4336a(this, motionEvent)) {
                    this.f1859t = crVar;
                    return true;
                }
            }
        }
        return false;
    }

    private int m3756c(dd ddVar) {
        return (ddVar.m4458a(524) || !ddVar.m4474p()) ? -1 : this.f1843b.m4591b(ddVar.f2260b);
    }

    private void m3758c(MotionEvent motionEvent) {
        int b = ba.m1416b(motionEvent);
        if (ba.m1417b(motionEvent, b) == this.f1832N) {
            b = b == 0 ? 1 : 0;
            this.f1832N = ba.m1417b(motionEvent, b);
            int c = (int) (ba.m1418c(motionEvent, b) + 0.5f);
            this.f1836R = c;
            this.f1834P = c;
            b = (int) (ba.m1420d(motionEvent, b) + 0.5f);
            this.f1837S = b;
            this.f1835Q = b;
        }
    }

    private void m3762e(int i) {
        if (this.f1855p != null) {
            this.f1855p.m3607c(i);
            awakenScrollBars();
        }
    }

    private boolean m3766g(View view) {
        m3810c();
        boolean e = this.f1844c.m4093e(view);
        if (e) {
            dd b = m3748b(view);
            this.f1842a.m4375d(b);
            this.f1842a.m4366b(b);
        }
        m3803a(false);
        return e;
    }

    private float getScrollFactor() {
        if (this.f1841W == Float.MIN_VALUE) {
            TypedValue typedValue = new TypedValue();
            if (!getContext().getTheme().resolveAttribute(16842829, typedValue, true)) {
                return 0.0f;
            }
            this.f1841W = typedValue.getDimension(getContext().getResources().getDisplayMetrics());
        }
        return this.f1841W;
    }

    private void m3767h(int i, int i2) {
        int i3 = 0;
        if (!(this.f1827I == null || this.f1827I.m2185a() || i <= 0)) {
            i3 = this.f1827I.m2191c();
        }
        if (!(this.f1829K == null || this.f1829K.m2185a() || i >= 0)) {
            i3 |= this.f1829K.m2191c();
        }
        if (!(this.f1828J == null || this.f1828J.m2185a() || i2 <= 0)) {
            i3 |= this.f1828J.m2191c();
        }
        if (!(this.f1830L == null || this.f1830L.m2185a() || i2 >= 0)) {
            i3 |= this.f1830L.m2191c();
        }
        if (i3 != 0) {
            bw.m1517d(this);
        }
    }

    private void m3768h(View view) {
        dd b = m3748b(view);
        m3819e(view);
        if (!(this.f1854o == null || b == null)) {
            this.f1854o.m4305d(b);
        }
        if (this.f1824F != null) {
            for (int size = this.f1824F.size() - 1; size >= 0; size--) {
                ((cq) this.f1824F.get(size)).m4334b(view);
            }
        }
    }

    private void m3770i(int i, int i2) {
        int mode = MeasureSpec.getMode(i);
        int mode2 = MeasureSpec.getMode(i2);
        int size = MeasureSpec.getSize(i);
        int size2 = MeasureSpec.getSize(i2);
        switch (mode) {
            case Integer.MIN_VALUE:
            case 1073741824:
                break;
            default:
                size = bw.m1531o(this);
                break;
        }
        switch (mode2) {
            case Integer.MIN_VALUE:
            case 1073741824:
                break;
            default:
                size2 = bw.m1532p(this);
                break;
        }
        setMeasuredDimension(size, size2);
    }

    private void m3772i(View view) {
        dd b = m3748b(view);
        m3816d(view);
        if (!(this.f1854o == null || b == null)) {
            this.f1854o.m4304c(b);
        }
        if (this.f1824F != null) {
            for (int size = this.f1824F.size() - 1; size >= 0; size--) {
                ((cq) this.f1824F.get(size)).m4333a(view);
            }
        }
    }

    private boolean m3774j(int i, int i2) {
        int b = this.f1844c.m4085b();
        if (b == 0) {
            return (i == 0 && i2 == 0) ? false : true;
        } else {
            for (int i3 = 0; i3 < b; i3++) {
                dd b2 = m3748b(this.f1844c.m4087b(i3));
                if (!b2.m4461c()) {
                    int d = b2.m4462d();
                    if (d < i || d > i2) {
                        return true;
                    }
                }
            }
            return false;
        }
    }

    private void setScrollState(int i) {
        if (i != this.f1831M) {
            this.f1831M = i;
            if (i != 2) {
                m3789w();
            }
            m3814d(i);
        }
    }

    private void m3787u() {
        this.f1844c = new al(new cc(this));
    }

    private void m3788v() {
        this.f1852m.run();
    }

    private void m3789w() {
        this.aa.m4438b();
        if (this.f1855p != null) {
            this.f1855p.m3656y();
        }
    }

    private void m3790x() {
        int i = 0;
        if (this.f1827I != null) {
            i = this.f1827I.m2191c();
        }
        if (this.f1828J != null) {
            i |= this.f1828J.m2191c();
        }
        if (this.f1829K != null) {
            i |= this.f1829K.m2191c();
        }
        if (this.f1830L != null) {
            i |= this.f1830L.m2191c();
        }
        if (i != 0) {
            bw.m1517d(this);
        }
    }

    private void m3791y() {
        if (this.f1833O != null) {
            this.f1833O.clear();
        }
        stopNestedScroll();
        m3790x();
    }

    private void m3792z() {
        m3791y();
        setScrollState(0);
    }

    long m3793a(dd ddVar) {
        return this.f1854o.m4300b() ? ddVar.m4464f() : (long) ddVar.f2260b;
    }

    dd m3794a(int i, boolean z) {
        int c = this.f1844c.m4088c();
        for (int i2 = 0; i2 < c; i2++) {
            dd b = m3748b(this.f1844c.m4089c(i2));
            if (!(b == null || b.m4475q())) {
                if (z) {
                    if (b.f2260b == i) {
                        return b;
                    }
                } else if (b.m4462d() == i) {
                    return b;
                }
            }
        }
        return null;
    }

    public dd m3795a(View view) {
        Object parent = view.getParent();
        if (parent == null || parent == this) {
            return m3748b(view);
        }
        throw new IllegalArgumentException("View " + view + " is not a direct child of " + this);
    }

    void m3796a() {
        this.f1843b = new C0393p(new cd(this));
    }

    public void m3797a(int i) {
        int b = this.f1844c.m4085b();
        for (int i2 = 0; i2 < b; i2++) {
            this.f1844c.m4087b(i2).offsetTopAndBottom(i);
        }
    }

    public void m3798a(int i, int i2) {
        int i3 = 0;
        if (this.f1855p == null) {
            Log.e("RecyclerView", "Cannot smooth scroll without a LayoutManager set. Call setLayoutManager with a non-null argument.");
        } else if (!this.f1865z) {
            if (!this.f1855p.m3613c()) {
                i = 0;
            }
            if (this.f1855p.m3620d()) {
                i3 = i2;
            }
            if (i != 0 || i3 != 0) {
                this.aa.m4439b(i, i3);
            }
        }
    }

    void m3799a(int i, int i2, Object obj) {
        int c = this.f1844c.m4088c();
        int i3 = i + i2;
        for (int i4 = 0; i4 < c; i4++) {
            View c2 = this.f1844c.m4089c(i4);
            dd b = m3748b(c2);
            if (b != null && !b.m4461c() && b.f2260b >= i && b.f2260b < i3) {
                b.m4460b(2);
                b.m4456a(obj);
                if (m3726D()) {
                    b.m4460b(64);
                }
                ((cp) c2.getLayoutParams()).f2208c = true;
            }
        }
        this.f1842a.m4370c(i, i2);
    }

    void m3800a(int i, int i2, boolean z) {
        int i3 = i + i2;
        int c = this.f1844c.m4088c();
        for (int i4 = 0; i4 < c; i4++) {
            dd b = m3748b(this.f1844c.m4089c(i4));
            if (!(b == null || b.m4461c())) {
                if (b.f2260b >= i3) {
                    b.m4454a(-i2, z);
                    this.f1846e.f2247j = true;
                } else if (b.f2260b >= i) {
                    b.m4453a(i - 1, -i2, z);
                    this.f1846e.f2247j = true;
                }
            }
        }
        this.f1842a.m4365b(i, i2, z);
        requestLayout();
    }

    public void m3801a(cs csVar) {
        if (this.ac == null) {
            this.ac = new ArrayList();
        }
        this.ac.add(csVar);
    }

    void m3802a(String str) {
        if (!m3828k()) {
            return;
        }
        if (str == null) {
            throw new IllegalStateException("Cannot call this method while RecyclerView is computing a layout or scrolling");
        }
        throw new IllegalStateException(str);
    }

    void m3803a(boolean z) {
        if (this.f1863x) {
            if (!(!z || !this.f1864y || this.f1865z || this.f1855p == null || this.f1854o == null)) {
                m3829l();
            }
            this.f1863x = false;
            if (!this.f1865z) {
                this.f1864y = false;
            }
        }
    }

    boolean m3804a(int i, int i2, MotionEvent motionEvent) {
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        m3788v();
        if (this.f1854o != null) {
            m3810c();
            m3723A();
            C0126h.m828a("RV Scroll");
            if (i != 0) {
                i5 = this.f1855p.m3552a(i, this.f1842a, this.f1846e);
                i3 = i - i5;
            }
            if (i2 != 0) {
                i6 = this.f1855p.m3593b(i2, this.f1842a, this.f1846e);
                i4 = i2 - i6;
            }
            C0126h.m827a();
            if (m3726D()) {
                int b = this.f1844c.m4085b();
                for (int i7 = 0; i7 < b; i7++) {
                    View b2 = this.f1844c.m4087b(i7);
                    dd a = m3795a(b2);
                    if (!(a == null || a.f2266h == null)) {
                        a = a.f2266h;
                        View view = a != null ? a.f2259a : null;
                        if (view != null) {
                            int left = b2.getLeft();
                            int top = b2.getTop();
                            if (left != view.getLeft() || top != view.getTop()) {
                                view.layout(left, top, view.getWidth() + left, view.getHeight() + top);
                            }
                        }
                    }
                }
            }
            m3724B();
            m3803a(false);
        }
        int i8 = i4;
        i4 = i5;
        i5 = i6;
        if (!this.f1857r.isEmpty()) {
            invalidate();
        }
        if (dispatchNestedScroll(i4, i5, i3, i8, this.aj)) {
            this.f1836R -= this.aj[0];
            this.f1837S -= this.aj[1];
            if (motionEvent != null) {
                motionEvent.offsetLocation((float) this.aj[0], (float) this.aj[1]);
            }
            int[] iArr = this.al;
            iArr[0] = iArr[0] + this.aj[0];
            iArr = this.al;
            iArr[1] = iArr[1] + this.aj[1];
        } else if (bw.m1495a(this) != 2) {
            if (motionEvent != null) {
                m3733a(motionEvent.getX(), (float) i3, motionEvent.getY(), (float) i8);
            }
            m3767h(i, i2);
        }
        if (!(i4 == 0 && i5 == 0)) {
            m3824g(i4, i5);
        }
        if (!awakenScrollBars()) {
            invalidate();
        }
        return (i4 == 0 && i5 == 0) ? false : true;
    }

    boolean m3805a(AccessibilityEvent accessibilityEvent) {
        int i = 0;
        if (!m3828k()) {
            return false;
        }
        int b = accessibilityEvent != null ? C0172a.m1002b(accessibilityEvent) : 0;
        if (b != 0) {
            i = b;
        }
        this.f1820B = i | this.f1820B;
        return true;
    }

    public void addFocusables(ArrayList arrayList, int i, int i2) {
        if (this.f1855p == null || !this.f1855p.m3588a(this, arrayList, i, i2)) {
            super.addFocusables(arrayList, i, i2);
        }
    }

    public void m3806b() {
        if (this.ac != null) {
            this.ac.clear();
        }
    }

    public void m3807b(int i) {
        int b = this.f1844c.m4085b();
        for (int i2 = 0; i2 < b; i2++) {
            this.f1844c.m4087b(i2).offsetLeftAndRight(i);
        }
    }

    public boolean m3808b(int i, int i2) {
        if (this.f1855p == null) {
            Log.e("RecyclerView", "Cannot fling without a LayoutManager set. Call setLayoutManager with a non-null argument.");
            return false;
        } else if (this.f1865z) {
            return false;
        } else {
            boolean c = this.f1855p.m3613c();
            boolean d = this.f1855p.m3620d();
            if (!c || Math.abs(i) < this.f1839U) {
                i = 0;
            }
            if (!d || Math.abs(i2) < this.f1839U) {
                i2 = 0;
            }
            if ((i == 0 && i2 == 0) || dispatchNestedPreFling((float) i, (float) i2)) {
                return false;
            }
            c = c || d;
            dispatchNestedFling((float) i, (float) i2, c);
            if (!c) {
                return false;
            }
            this.aa.m4434a(Math.max(-this.f1840V, Math.min(i, this.f1840V)), Math.max(-this.f1840V, Math.min(i2, this.f1840V)));
            return true;
        }
    }

    public int m3809c(View view) {
        dd b = m3748b(view);
        return b != null ? b.m4462d() : -1;
    }

    void m3810c() {
        if (!this.f1863x) {
            this.f1863x = true;
            if (!this.f1865z) {
                this.f1864y = false;
            }
        }
    }

    public void m3811c(int i) {
    }

    void m3812c(int i, int i2) {
        if (i < 0) {
            m3817e();
            this.f1827I.m2188a(-i);
        } else if (i > 0) {
            m3821f();
            this.f1829K.m2188a(i);
        }
        if (i2 < 0) {
            m3823g();
            this.f1828J.m2188a(-i2);
        } else if (i2 > 0) {
            m3825h();
            this.f1830L.m2188a(i2);
        }
        if (i != 0 || i2 != 0) {
            bw.m1517d(this);
        }
    }

    protected boolean checkLayoutParams(LayoutParams layoutParams) {
        return (layoutParams instanceof cp) && this.f1855p.m3589a((cp) layoutParams);
    }

    public int computeHorizontalScrollExtent() {
        return this.f1855p.m3613c() ? this.f1855p.m3615d(this.f1846e) : 0;
    }

    public int computeHorizontalScrollOffset() {
        return this.f1855p.m3613c() ? this.f1855p.m3595b(this.f1846e) : 0;
    }

    public int computeHorizontalScrollRange() {
        return this.f1855p.m3613c() ? this.f1855p.m3626f(this.f1846e) : 0;
    }

    public int computeVerticalScrollExtent() {
        return this.f1855p.m3620d() ? this.f1855p.m3621e(this.f1846e) : 0;
    }

    public int computeVerticalScrollOffset() {
        return this.f1855p.m3620d() ? this.f1855p.m3606c(this.f1846e) : 0;
    }

    public int computeVerticalScrollRange() {
        return this.f1855p.m3620d() ? this.f1855p.m3629g(this.f1846e) : 0;
    }

    public void m3813d() {
        setScrollState(0);
        m3789w();
    }

    void m3814d(int i) {
        if (this.f1855p != null) {
            this.f1855p.m3635i(i);
        }
        m3811c(i);
        if (this.ab != null) {
            this.ab.m4338a(this, i);
        }
        if (this.ac != null) {
            for (int size = this.ac.size() - 1; size >= 0; size--) {
                ((cs) this.ac.get(size)).m4338a(this, i);
            }
        }
    }

    void m3815d(int i, int i2) {
        int i3;
        int c = this.f1844c.m4088c();
        int i4;
        int i5;
        if (i < i2) {
            i3 = -1;
            i4 = i2;
            i5 = i;
        } else {
            i3 = 1;
            i4 = i;
            i5 = i2;
        }
        for (int i6 = 0; i6 < c; i6++) {
            dd b = m3748b(this.f1844c.m4089c(i6));
            if (b != null && b.f2260b >= r3 && b.f2260b <= r2) {
                if (b.f2260b == i) {
                    b.m4454a(i2 - i, false);
                } else {
                    b.m4454a(i3, false);
                }
                this.f1846e.f2247j = true;
            }
        }
        this.f1842a.m4356a(i, i2);
        requestLayout();
    }

    public void m3816d(View view) {
    }

    public boolean dispatchNestedFling(float f, float f2, boolean z) {
        return this.ai.m1454a(f, f2, z);
    }

    public boolean dispatchNestedPreFling(float f, float f2) {
        return this.ai.m1453a(f, f2);
    }

    public boolean dispatchNestedPreScroll(int i, int i2, int[] iArr, int[] iArr2) {
        return this.ai.m1457a(i, i2, iArr, iArr2);
    }

    public boolean dispatchNestedScroll(int i, int i2, int i3, int i4, int[] iArr) {
        return this.ai.m1456a(i, i2, i3, i4, iArr);
    }

    protected void dispatchRestoreInstanceState(SparseArray sparseArray) {
        dispatchThawSelfOnly(sparseArray);
    }

    protected void dispatchSaveInstanceState(SparseArray sparseArray) {
        dispatchFreezeSelfOnly(sparseArray);
    }

    public void draw(Canvas canvas) {
        int i;
        int i2;
        int i3 = 1;
        int i4 = 0;
        super.draw(canvas);
        int size = this.f1857r.size();
        for (i = 0; i < size; i++) {
            ((cm) this.f1857r.get(i)).m4329b(canvas, this, this.f1846e);
        }
        if (this.f1827I == null || this.f1827I.m2185a()) {
            i2 = 0;
        } else {
            i = canvas.save();
            i2 = this.f1851l ? getPaddingBottom() : 0;
            canvas.rotate(270.0f);
            canvas.translate((float) (i2 + (-getHeight())), 0.0f);
            i2 = (this.f1827I == null || !this.f1827I.m2189a(canvas)) ? 0 : 1;
            canvas.restoreToCount(i);
        }
        if (!(this.f1828J == null || this.f1828J.m2185a())) {
            size = canvas.save();
            if (this.f1851l) {
                canvas.translate((float) getPaddingLeft(), (float) getPaddingTop());
            }
            i = (this.f1828J == null || !this.f1828J.m2189a(canvas)) ? 0 : 1;
            i2 |= i;
            canvas.restoreToCount(size);
        }
        if (!(this.f1829K == null || this.f1829K.m2185a())) {
            size = canvas.save();
            int width = getWidth();
            i = this.f1851l ? getPaddingTop() : 0;
            canvas.rotate(90.0f);
            canvas.translate((float) (-i), (float) (-width));
            i = (this.f1829K == null || !this.f1829K.m2189a(canvas)) ? 0 : 1;
            i2 |= i;
            canvas.restoreToCount(size);
        }
        if (!(this.f1830L == null || this.f1830L.m2185a())) {
            i = canvas.save();
            canvas.rotate(180.0f);
            if (this.f1851l) {
                canvas.translate((float) ((-getWidth()) + getPaddingRight()), (float) ((-getHeight()) + getPaddingBottom()));
            } else {
                canvas.translate((float) (-getWidth()), (float) (-getHeight()));
            }
            if (this.f1830L != null && this.f1830L.m2189a(canvas)) {
                i4 = 1;
            }
            i2 |= i4;
            canvas.restoreToCount(i);
        }
        if (i2 != 0 || this.f1845d == null || this.f1857r.size() <= 0 || !this.f1845d.m4121b()) {
            i3 = i2;
        }
        if (i3 != 0) {
            bw.m1517d(this);
        }
    }

    public boolean drawChild(Canvas canvas, View view, long j) {
        return super.drawChild(canvas, view, j);
    }

    void m3817e() {
        if (this.f1827I == null) {
            this.f1827I = new ah(getContext());
            if (this.f1851l) {
                this.f1827I.m2184a((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom(), (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight());
            } else {
                this.f1827I.m2184a(getMeasuredHeight(), getMeasuredWidth());
            }
        }
    }

    void m3818e(int i, int i2) {
        int c = this.f1844c.m4088c();
        for (int i3 = 0; i3 < c; i3++) {
            dd b = m3748b(this.f1844c.m4089c(i3));
            if (!(b == null || b.m4461c() || b.f2260b < i)) {
                b.m4454a(i2, false);
                this.f1846e.f2247j = true;
            }
        }
        this.f1842a.m4364b(i, i2);
        requestLayout();
    }

    public void m3819e(View view) {
    }

    Rect m3820f(View view) {
        cp cpVar = (cp) view.getLayoutParams();
        if (!cpVar.f2208c) {
            return cpVar.f2207b;
        }
        Rect rect = cpVar.f2207b;
        rect.set(0, 0, 0, 0);
        int size = this.f1857r.size();
        for (int i = 0; i < size; i++) {
            this.f1853n.set(0, 0, 0, 0);
            ((cm) this.f1857r.get(i)).m4327a(this.f1853n, view, this, this.f1846e);
            rect.left += this.f1853n.left;
            rect.top += this.f1853n.top;
            rect.right += this.f1853n.right;
            rect.bottom += this.f1853n.bottom;
        }
        cpVar.f2208c = false;
        return rect;
    }

    void m3821f() {
        if (this.f1829K == null) {
            this.f1829K = new ah(getContext());
            if (this.f1851l) {
                this.f1829K.m2184a((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom(), (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight());
            } else {
                this.f1829K.m2184a(getMeasuredHeight(), getMeasuredWidth());
            }
        }
    }

    public void m3822f(int i, int i2) {
    }

    public View focusSearch(View view, int i) {
        View d = this.f1855p.m3617d(view, i);
        if (d != null) {
            return d;
        }
        d = FocusFinder.getInstance().findNextFocus(this, view, i);
        if (!(d != null || this.f1854o == null || this.f1855p == null || m3828k() || this.f1865z)) {
            m3810c();
            d = this.f1855p.m3556a(view, i, this.f1842a, this.f1846e);
            m3803a(false);
        }
        return d == null ? super.focusSearch(view, i) : d;
    }

    void m3823g() {
        if (this.f1828J == null) {
            this.f1828J = new ah(getContext());
            if (this.f1851l) {
                this.f1828J.m2184a((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight(), (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom());
            } else {
                this.f1828J.m2184a(getMeasuredWidth(), getMeasuredHeight());
            }
        }
    }

    void m3824g(int i, int i2) {
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        onScrollChanged(scrollX, scrollY, scrollX, scrollY);
        m3822f(i, i2);
        if (this.ab != null) {
            this.ab.m4339a(this, i, i2);
        }
        if (this.ac != null) {
            for (scrollY = this.ac.size() - 1; scrollY >= 0; scrollY--) {
                ((cs) this.ac.get(scrollY)).m4339a(this, i, i2);
            }
        }
    }

    protected LayoutParams generateDefaultLayoutParams() {
        if (this.f1855p != null) {
            return this.f1855p.m3553a();
        }
        throw new IllegalStateException("RecyclerView has no LayoutManager");
    }

    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        if (this.f1855p != null) {
            return this.f1855p.m3554a(getContext(), attributeSet);
        }
        throw new IllegalStateException("RecyclerView has no LayoutManager");
    }

    protected LayoutParams generateLayoutParams(LayoutParams layoutParams) {
        if (this.f1855p != null) {
            return this.f1855p.m3555a(layoutParams);
        }
        throw new IllegalStateException("RecyclerView has no LayoutManager");
    }

    public ce getAdapter() {
        return this.f1854o;
    }

    public int getBaseline() {
        return this.f1855p != null ? this.f1855p.m3647p() : super.getBaseline();
    }

    protected int getChildDrawingOrder(int i, int i2) {
        return this.ag == null ? super.getChildDrawingOrder(i, i2) : this.ag.m4314a(i, i2);
    }

    public de getCompatAccessibilityDelegate() {
        return this.af;
    }

    public ci getItemAnimator() {
        return this.f1845d;
    }

    public co getLayoutManager() {
        return this.f1855p;
    }

    public int getMaxFlingVelocity() {
        return this.f1840V;
    }

    public int getMinFlingVelocity() {
        return this.f1839U;
    }

    public ct getRecycledViewPool() {
        return this.f1842a.m4379f();
    }

    public int getScrollState() {
        return this.f1831M;
    }

    void m3825h() {
        if (this.f1830L == null) {
            this.f1830L = new ah(getContext());
            if (this.f1851l) {
                this.f1830L.m2184a((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight(), (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom());
            } else {
                this.f1830L.m2184a(getMeasuredWidth(), getMeasuredHeight());
            }
        }
    }

    public boolean hasNestedScrollingParent() {
        return this.ai.m1458b();
    }

    void m3826i() {
        this.f1830L = null;
        this.f1828J = null;
        this.f1829K = null;
        this.f1827I = null;
    }

    public boolean isAttachedToWindow() {
        return this.f1860u;
    }

    public boolean isNestedScrollingEnabled() {
        return this.ai.m1452a();
    }

    boolean m3827j() {
        return this.f1823E != null && this.f1823E.isEnabled();
    }

    public boolean m3828k() {
        return this.f1826H > 0;
    }

    void m3829l() {
        if (this.f1854o == null) {
            Log.e("RecyclerView", "No adapter attached; skipping layout");
        } else if (this.f1855p == null) {
            Log.e("RecyclerView", "No layout manager attached; skipping layout");
        } else {
            int i;
            dd b;
            View view;
            int b2;
            int i2;
            boolean c;
            int i3;
            C0141a c0141a;
            this.f1846e.f2241d.clear();
            m3810c();
            m3723A();
            m3729G();
            da daVar = this.f1846e;
            C0141a c0141a2 = (this.f1846e.f2249l && this.f1848g && m3726D()) ? new C0141a() : null;
            daVar.f2240c = c0141a2;
            this.f1848g = false;
            this.f1847f = false;
            this.f1846e.f2248k = this.f1846e.f2250m;
            this.f1846e.f2242e = this.f1854o.m4285a();
            m3744a(this.ah);
            if (this.f1846e.f2249l) {
                this.f1846e.f2238a.clear();
                this.f1846e.f2239b.clear();
                int b3 = this.f1844c.m4085b();
                for (i = 0; i < b3; i++) {
                    b = m3748b(this.f1844c.m4087b(i));
                    if (!b.m4461c() && (!b.m4471m() || this.f1854o.m4300b())) {
                        view = b.f2259a;
                        this.f1846e.f2238a.put(b, new cn(b, view.getLeft(), view.getTop(), view.getRight(), view.getBottom()));
                    }
                }
            }
            dd b4;
            if (this.f1846e.f2250m) {
                m3831n();
                if (this.f1846e.f2240c != null) {
                    b2 = this.f1844c.m4085b();
                    for (i2 = 0; i2 < b2; i2++) {
                        b4 = m3748b(this.f1844c.m4087b(i2));
                        if (!(!b4.m4473o() || b4.m4475q() || b4.m4461c())) {
                            this.f1846e.f2240c.put(Long.valueOf(m3793a(b4)), b4);
                            this.f1846e.f2238a.remove(b4);
                        }
                    }
                }
                c = this.f1846e.f2247j;
                this.f1846e.f2247j = false;
                this.f1855p.m3568a(this.f1842a, this.f1846e);
                this.f1846e.f2247j = c;
                C0141a c0141a3 = new C0141a();
                for (b2 = 0; b2 < this.f1844c.m4085b(); b2++) {
                    View b5 = this.f1844c.m4087b(b2);
                    if (!m3748b(b5).m4461c()) {
                        for (i3 = 0; i3 < this.f1846e.f2238a.size(); i3++) {
                            if (((dd) this.f1846e.f2238a.m855b(i3)).f2259a == b5) {
                                i2 = 1;
                                break;
                            }
                        }
                        c = false;
                        if (i2 == 0) {
                            c0141a3.put(b5, new Rect(b5.getLeft(), b5.getTop(), b5.getRight(), b5.getBottom()));
                        }
                    }
                }
                m3832o();
                this.f1843b.m4594c();
                c0141a = c0141a3;
            } else {
                m3832o();
                this.f1843b.m4596e();
                if (this.f1846e.f2240c != null) {
                    b2 = this.f1844c.m4085b();
                    for (i2 = 0; i2 < b2; i2++) {
                        b4 = m3748b(this.f1844c.m4087b(i2));
                        if (!(!b4.m4473o() || b4.m4475q() || b4.m4461c())) {
                            this.f1846e.f2240c.put(Long.valueOf(m3793a(b4)), b4);
                            this.f1846e.f2238a.remove(b4);
                        }
                    }
                }
                c0141a = null;
            }
            this.f1846e.f2242e = this.f1854o.m4285a();
            this.f1846e.f2246i = 0;
            this.f1846e.f2248k = false;
            this.f1855p.m3568a(this.f1842a, this.f1846e);
            this.f1846e.f2247j = false;
            this.f1850k = null;
            daVar = this.f1846e;
            c = this.f1846e.f2249l && this.f1845d != null;
            daVar.f2249l = c;
            if (this.f1846e.f2249l) {
                int i4;
                dd ddVar;
                C0141a c0141a4 = this.f1846e.f2240c != null ? new C0141a() : null;
                int b6 = this.f1844c.m4085b();
                for (i4 = 0; i4 < b6; i4++) {
                    b = m3748b(this.f1844c.m4087b(i4));
                    if (!b.m4461c()) {
                        view = b.f2259a;
                        long a = m3793a(b);
                        if (c0141a4 == null || this.f1846e.f2240c.get(Long.valueOf(a)) == null) {
                            this.f1846e.f2239b.put(b, new cn(b, view.getLeft(), view.getTop(), view.getRight(), view.getBottom()));
                        } else {
                            c0141a4.put(Long.valueOf(a), b);
                        }
                    }
                }
                m3735a(c0141a);
                for (b2 = this.f1846e.f2238a.size() - 1; b2 >= 0; b2--) {
                    if (!this.f1846e.f2239b.containsKey((dd) this.f1846e.f2238a.m855b(b2))) {
                        cn cnVar = (cn) this.f1846e.f2238a.m856c(b2);
                        this.f1846e.f2238a.m857d(b2);
                        View view2 = cnVar.f2201a.f2259a;
                        this.f1842a.m4375d(cnVar.f2201a);
                        m3741a(cnVar);
                    }
                }
                i2 = this.f1846e.f2239b.size();
                if (i2 > 0) {
                    for (int i5 = i2 - 1; i5 >= 0; i5--) {
                        ddVar = (dd) this.f1846e.f2239b.m855b(i5);
                        cn cnVar2 = (cn) this.f1846e.f2239b.m856c(i5);
                        if (this.f1846e.f2238a.isEmpty() || !this.f1846e.f2238a.containsKey(ddVar)) {
                            this.f1846e.f2239b.m857d(i5);
                            m3742a(ddVar, c0141a != null ? (Rect) c0141a.get(ddVar.f2259a) : null, cnVar2.f2202b, cnVar2.f2203c);
                        }
                    }
                }
                i4 = this.f1846e.f2239b.size();
                for (i = 0; i < i4; i++) {
                    b = (dd) this.f1846e.f2239b.m855b(i);
                    cn cnVar3 = (cn) this.f1846e.f2239b.m856c(i);
                    cn cnVar4 = (cn) this.f1846e.f2238a.get(b);
                    if (!(cnVar4 == null || cnVar3 == null || (cnVar4.f2202b == cnVar3.f2202b && cnVar4.f2203c == cnVar3.f2203c))) {
                        b.m4457a(false);
                        if (this.f1845d.m4118a(b, cnVar4.f2202b, cnVar4.f2203c, cnVar3.f2202b, cnVar3.f2203c)) {
                            m3727E();
                        }
                    }
                }
                for (i3 = (this.f1846e.f2240c != null ? this.f1846e.f2240c.size() : 0) - 1; i3 >= 0; i3--) {
                    long longValue = ((Long) this.f1846e.f2240c.m855b(i3)).longValue();
                    ddVar = (dd) this.f1846e.f2240c.get(Long.valueOf(longValue));
                    View view3 = ddVar.f2259a;
                    if (!(ddVar.m4461c() || this.f1842a.f2216d == null || !this.f1842a.f2216d.contains(ddVar))) {
                        m3743a(ddVar, (dd) c0141a4.get(Long.valueOf(longValue)));
                    }
                }
            }
            m3803a(false);
            this.f1855p.m3601b(this.f1842a);
            this.f1846e.f2245h = this.f1846e.f2242e;
            this.f1825G = false;
            this.f1846e.f2249l = false;
            this.f1846e.f2250m = false;
            m3724B();
            this.f1855p.f1798a = false;
            if (this.f1842a.f2216d != null) {
                this.f1842a.f2216d.clear();
            }
            this.f1846e.f2240c = null;
            if (m3774j(this.ah[0], this.ah[1])) {
                m3824g(0, 0);
            }
        }
    }

    void m3830m() {
        int c = this.f1844c.m4088c();
        for (int i = 0; i < c; i++) {
            ((cp) this.f1844c.m4089c(i).getLayoutParams()).f2208c = true;
        }
        this.f1842a.m4383j();
    }

    void m3831n() {
        int c = this.f1844c.m4088c();
        for (int i = 0; i < c; i++) {
            dd b = m3748b(this.f1844c.m4089c(i));
            if (!b.m4461c()) {
                b.m4459b();
            }
        }
    }

    void m3832o() {
        int c = this.f1844c.m4088c();
        for (int i = 0; i < c; i++) {
            dd b = m3748b(this.f1844c.m4089c(i));
            if (!b.m4461c()) {
                b.m4451a();
            }
        }
        this.f1842a.m4382i();
    }

    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f1826H = 0;
        this.f1860u = true;
        this.f1862w = false;
        if (this.f1855p != null) {
            this.f1855p.m3598b(this);
        }
        this.ae = false;
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.f1845d != null) {
            this.f1845d.m4123c();
        }
        this.f1862w = false;
        m3813d();
        this.f1860u = false;
        if (this.f1855p != null) {
            this.f1855p.m3600b(this, this.f1842a);
        }
        removeCallbacks(this.am);
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int size = this.f1857r.size();
        for (int i = 0; i < size; i++) {
            ((cm) this.f1857r.get(i)).m4325a(canvas, this, this.f1846e);
        }
    }

    public boolean onGenericMotionEvent(MotionEvent motionEvent) {
        if (!(this.f1855p == null || this.f1865z || (ba.m1421d(motionEvent) & 2) == 0 || motionEvent.getAction() != 8)) {
            float f = this.f1855p.m3620d() ? -ba.m1422e(motionEvent, 9) : 0.0f;
            float e = this.f1855p.m3613c() ? ba.m1422e(motionEvent, 10) : 0.0f;
            if (!(f == 0.0f && e == 0.0f)) {
                float scrollFactor = getScrollFactor();
                m3804a((int) (e * scrollFactor), (int) (f * scrollFactor), motionEvent);
            }
        }
        return false;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int i = -1;
        boolean z = true;
        if (this.f1865z) {
            return false;
        }
        if (m3747a(motionEvent)) {
            m3792z();
            return true;
        } else if (this.f1855p == null) {
            return false;
        } else {
            boolean c = this.f1855p.m3613c();
            boolean d = this.f1855p.m3620d();
            if (this.f1833O == null) {
                this.f1833O = VelocityTracker.obtain();
            }
            this.f1833O.addMovement(motionEvent);
            int a = ba.m1414a(motionEvent);
            int b = ba.m1416b(motionEvent);
            int i2;
            switch (a) {
                case C0729b.View_android_theme /*0*/:
                    if (this.f1819A) {
                        this.f1819A = false;
                    }
                    this.f1832N = ba.m1417b(motionEvent, 0);
                    i = (int) (motionEvent.getX() + 0.5f);
                    this.f1836R = i;
                    this.f1834P = i;
                    i = (int) (motionEvent.getY() + 0.5f);
                    this.f1837S = i;
                    this.f1835Q = i;
                    if (this.f1831M == 2) {
                        getParent().requestDisallowInterceptTouchEvent(true);
                        setScrollState(1);
                    }
                    i2 = c ? 1 : 0;
                    if (d) {
                        i2 |= 2;
                    }
                    startNestedScroll(i2);
                    break;
                case C0729b.View_android_focusable /*1*/:
                    this.f1833O.clear();
                    stopNestedScroll();
                    break;
                case C0729b.View_paddingStart /*2*/:
                    a = ba.m1415a(motionEvent, this.f1832N);
                    if (a >= 0) {
                        b = (int) (ba.m1418c(motionEvent, a) + 0.5f);
                        a = (int) (ba.m1420d(motionEvent, a) + 0.5f);
                        if (this.f1831M != 1) {
                            b -= this.f1834P;
                            a -= this.f1835Q;
                            if (!c || Math.abs(b) <= this.f1838T) {
                                c = false;
                            } else {
                                this.f1836R = ((b < 0 ? -1 : 1) * this.f1838T) + this.f1834P;
                                c = true;
                            }
                            if (d && Math.abs(a) > this.f1838T) {
                                i2 = this.f1835Q;
                                int i3 = this.f1838T;
                                if (a >= 0) {
                                    i = 1;
                                }
                                this.f1837S = i2 + (i * i3);
                                c = true;
                            }
                            if (c) {
                                ViewParent parent = getParent();
                                if (parent != null) {
                                    parent.requestDisallowInterceptTouchEvent(true);
                                }
                                setScrollState(1);
                                break;
                            }
                        }
                    }
                    Log.e("RecyclerView", "Error processing scroll; pointer index for id " + this.f1832N + " not found. Did any MotionEvents get skipped?");
                    return false;
                    break;
                case C0729b.View_paddingEnd /*3*/:
                    m3792z();
                    break;
                case C0729b.Toolbar_contentInsetStart /*5*/:
                    this.f1832N = ba.m1417b(motionEvent, b);
                    i2 = (int) (ba.m1418c(motionEvent, b) + 0.5f);
                    this.f1836R = i2;
                    this.f1834P = i2;
                    i2 = (int) (ba.m1420d(motionEvent, b) + 0.5f);
                    this.f1837S = i2;
                    this.f1835Q = i2;
                    break;
                case C0729b.Toolbar_contentInsetEnd /*6*/:
                    m3758c(motionEvent);
                    break;
            }
            if (this.f1831M != 1) {
                z = false;
            }
            return z;
        }
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        m3810c();
        C0126h.m828a("RV OnLayout");
        m3829l();
        C0126h.m827a();
        m3803a(false);
        this.f1862w = true;
    }

    protected void onMeasure(int i, int i2) {
        if (this.f1821C) {
            m3810c();
            m3729G();
            if (this.f1846e.f2250m) {
                this.f1846e.f2248k = true;
            } else {
                this.f1843b.m4596e();
                this.f1846e.f2248k = false;
            }
            this.f1821C = false;
            m3803a(false);
        }
        if (this.f1854o != null) {
            this.f1846e.f2242e = this.f1854o.m4285a();
        } else {
            this.f1846e.f2242e = 0;
        }
        if (this.f1855p == null) {
            m3770i(i, i2);
        } else {
            this.f1855p.m3569a(this.f1842a, this.f1846e, i, i2);
        }
        this.f1846e.f2248k = false;
    }

    protected void onRestoreInstanceState(Parcelable parcelable) {
        this.f1850k = (SavedState) parcelable;
        super.onRestoreInstanceState(this.f1850k.getSuperState());
        if (this.f1855p != null && this.f1850k.f1816a != null) {
            this.f1855p.m3559a(this.f1850k.f1816a);
        }
    }

    protected Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        if (this.f1850k != null) {
            savedState.m3721a(this.f1850k);
        } else if (this.f1855p != null) {
            savedState.f1816a = this.f1855p.m3596b();
        } else {
            savedState.f1816a = null;
        }
        return savedState;
    }

    protected void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        if (i != i3 || i2 != i4) {
            m3826i();
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z = false;
        if (this.f1865z || this.f1819A) {
            return false;
        }
        if (m3755b(motionEvent)) {
            m3792z();
            return true;
        } else if (this.f1855p == null) {
            return false;
        } else {
            boolean c = this.f1855p.m3613c();
            boolean d = this.f1855p.m3620d();
            if (this.f1833O == null) {
                this.f1833O = VelocityTracker.obtain();
            }
            MotionEvent obtain = MotionEvent.obtain(motionEvent);
            int a = ba.m1414a(motionEvent);
            int b = ba.m1416b(motionEvent);
            if (a == 0) {
                int[] iArr = this.al;
                this.al[1] = 0;
                iArr[0] = 0;
            }
            obtain.offsetLocation((float) this.al[0], (float) this.al[1]);
            switch (a) {
                case C0729b.View_android_theme /*0*/:
                    this.f1832N = ba.m1417b(motionEvent, 0);
                    a = (int) (motionEvent.getX() + 0.5f);
                    this.f1836R = a;
                    this.f1834P = a;
                    a = (int) (motionEvent.getY() + 0.5f);
                    this.f1837S = a;
                    this.f1835Q = a;
                    a = c ? 1 : 0;
                    if (d) {
                        a |= 2;
                    }
                    startNestedScroll(a);
                    break;
                case C0729b.View_android_focusable /*1*/:
                    this.f1833O.addMovement(obtain);
                    this.f1833O.computeCurrentVelocity(1000, (float) this.f1840V);
                    float f = c ? -br.m1482a(this.f1833O, this.f1832N) : 0.0f;
                    float f2 = d ? -br.m1483b(this.f1833O, this.f1832N) : 0.0f;
                    if ((f == 0.0f && f2 == 0.0f) || !m3808b((int) f, (int) f2)) {
                        setScrollState(0);
                    }
                    m3791y();
                    z = true;
                    break;
                case C0729b.View_paddingStart /*2*/:
                    a = ba.m1415a(motionEvent, this.f1832N);
                    if (a >= 0) {
                        int c2 = (int) (ba.m1418c(motionEvent, a) + 0.5f);
                        int d2 = (int) (ba.m1420d(motionEvent, a) + 0.5f);
                        int i = this.f1836R - c2;
                        a = this.f1837S - d2;
                        if (dispatchNestedPreScroll(i, a, this.ak, this.aj)) {
                            i -= this.ak[0];
                            a -= this.ak[1];
                            obtain.offsetLocation((float) this.aj[0], (float) this.aj[1]);
                            int[] iArr2 = this.al;
                            iArr2[0] = iArr2[0] + this.aj[0];
                            iArr2 = this.al;
                            iArr2[1] = iArr2[1] + this.aj[1];
                        }
                        if (this.f1831M != 1) {
                            boolean z2;
                            if (!c || Math.abs(i) <= this.f1838T) {
                                z2 = false;
                            } else {
                                i = i > 0 ? i - this.f1838T : i + this.f1838T;
                                z2 = true;
                            }
                            if (d && Math.abs(a) > this.f1838T) {
                                a = a > 0 ? a - this.f1838T : a + this.f1838T;
                                z2 = true;
                            }
                            if (z2) {
                                ViewParent parent = getParent();
                                if (parent != null) {
                                    parent.requestDisallowInterceptTouchEvent(true);
                                }
                                setScrollState(1);
                            }
                        }
                        if (this.f1831M == 1) {
                            this.f1836R = c2 - this.aj[0];
                            this.f1837S = d2 - this.aj[1];
                            if (!c) {
                                i = 0;
                            }
                            if (!d) {
                                a = 0;
                            }
                            if (m3804a(i, a, obtain)) {
                                getParent().requestDisallowInterceptTouchEvent(true);
                                break;
                            }
                        }
                    }
                    Log.e("RecyclerView", "Error processing scroll; pointer index for id " + this.f1832N + " not found. Did any MotionEvents get skipped?");
                    return false;
                    break;
                case C0729b.View_paddingEnd /*3*/:
                    m3792z();
                    break;
                case C0729b.Toolbar_contentInsetStart /*5*/:
                    this.f1832N = ba.m1417b(motionEvent, b);
                    a = (int) (ba.m1418c(motionEvent, b) + 0.5f);
                    this.f1836R = a;
                    this.f1834P = a;
                    a = (int) (ba.m1420d(motionEvent, b) + 0.5f);
                    this.f1837S = a;
                    this.f1835Q = a;
                    break;
                case C0729b.Toolbar_contentInsetEnd /*6*/:
                    m3758c(motionEvent);
                    break;
            }
            if (!z) {
                this.f1833O.addMovement(obtain);
            }
            obtain.recycle();
            return true;
        }
    }

    void m3833p() {
        int b = this.f1844c.m4085b();
        for (int i = 0; i < b; i++) {
            dd b2 = m3748b(this.f1844c.m4087b(i));
            if (!(b2 == null || b2.m4461c())) {
                if (b2.m4475q() || b2.m4471m()) {
                    requestLayout();
                } else if (b2.m4472n()) {
                    if (b2.m4465g() != this.f1854o.m4286a(b2.f2260b)) {
                        requestLayout();
                        return;
                    } else if (b2.m4473o() && m3726D()) {
                        requestLayout();
                    } else {
                        this.f1854o.m4299b(b2, b2.f2260b);
                    }
                } else {
                    continue;
                }
            }
        }
    }

    void m3834q() {
        int c = this.f1844c.m4088c();
        for (int i = 0; i < c; i++) {
            dd b = m3748b(this.f1844c.m4089c(i));
            if (!(b == null || b.m4461c())) {
                b.m4460b(6);
            }
        }
        m3830m();
        this.f1842a.m4381h();
    }

    public boolean m3835r() {
        return !this.f1862w || this.f1825G || this.f1843b.m4595d();
    }

    protected void removeDetachedView(View view, boolean z) {
        dd b = m3748b(view);
        if (b != null) {
            if (b.m4476r()) {
                b.m4470l();
            } else if (!b.m4461c()) {
                throw new IllegalArgumentException("Called removeDetachedView with a view which is not flagged as tmp detached." + b);
            }
        }
        m3768h(view);
        super.removeDetachedView(view, z);
    }

    public void requestChildFocus(View view, View view2) {
        if (!(this.f1855p.m3585a(this, this.f1846e, view, view2) || view2 == null)) {
            this.f1853n.set(0, 0, view2.getWidth(), view2.getHeight());
            LayoutParams layoutParams = view2.getLayoutParams();
            if (layoutParams instanceof cp) {
                cp cpVar = (cp) layoutParams;
                if (!cpVar.f2208c) {
                    Rect rect = cpVar.f2207b;
                    Rect rect2 = this.f1853n;
                    rect2.left -= rect.left;
                    rect2 = this.f1853n;
                    rect2.right += rect.right;
                    rect2 = this.f1853n;
                    rect2.top -= rect.top;
                    rect2 = this.f1853n;
                    rect2.bottom = rect.bottom + rect2.bottom;
                }
            }
            offsetDescendantRectToMyCoords(view2, this.f1853n);
            offsetRectIntoDescendantCoords(view, this.f1853n);
            requestChildRectangleOnScreen(view, this.f1853n, !this.f1862w);
        }
        super.requestChildFocus(view, view2);
    }

    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z) {
        return this.f1855p.m3586a(this, view, rect, z);
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        int size = this.f1858s.size();
        for (int i = 0; i < size; i++) {
            ((cr) this.f1858s.get(i)).m4335a(z);
        }
        super.requestDisallowInterceptTouchEvent(z);
    }

    public void requestLayout() {
        if (this.f1863x || this.f1865z) {
            this.f1864y = true;
        } else {
            super.requestLayout();
        }
    }

    public void scrollBy(int i, int i2) {
        if (this.f1855p == null) {
            Log.e("RecyclerView", "Cannot scroll without a LayoutManager set. Call setLayoutManager with a non-null argument.");
        } else if (!this.f1865z) {
            boolean c = this.f1855p.m3613c();
            boolean d = this.f1855p.m3620d();
            if (c || d) {
                if (!c) {
                    i = 0;
                }
                if (!d) {
                    i2 = 0;
                }
                m3804a(i, i2, null);
            }
        }
    }

    public void scrollTo(int i, int i2) {
        throw new UnsupportedOperationException("RecyclerView does not support scrolling to an absolute position.");
    }

    public void sendAccessibilityEventUnchecked(AccessibilityEvent accessibilityEvent) {
        if (!m3805a(accessibilityEvent)) {
            super.sendAccessibilityEventUnchecked(accessibilityEvent);
        }
    }

    public void setAccessibilityDelegateCompat(de deVar) {
        this.af = deVar;
        bw.m1503a((View) this, this.af);
    }

    public void setAdapter(ce ceVar) {
        setLayoutFrozen(false);
        m3740a(ceVar, false, true);
        requestLayout();
    }

    public void setChildDrawingOrderCallback(ch chVar) {
        if (chVar != this.ag) {
            this.ag = chVar;
            setChildrenDrawingOrderEnabled(this.ag != null);
        }
    }

    public void setClipToPadding(boolean z) {
        if (z != this.f1851l) {
            m3826i();
        }
        this.f1851l = z;
        super.setClipToPadding(z);
        if (this.f1862w) {
            requestLayout();
        }
    }

    public void setHasFixedSize(boolean z) {
        this.f1861v = z;
    }

    public void setItemAnimator(ci ciVar) {
        if (this.f1845d != null) {
            this.f1845d.m4123c();
            this.f1845d.m4114a(null);
        }
        this.f1845d = ciVar;
        if (this.f1845d != null) {
            this.f1845d.m4114a(this.ad);
        }
    }

    public void setItemViewCacheSize(int i) {
        this.f1842a.m4355a(i);
    }

    public void setLayoutFrozen(boolean z) {
        if (z != this.f1865z) {
            m3802a("Do not setLayoutFrozen in layout or scroll");
            if (z) {
                long uptimeMillis = SystemClock.uptimeMillis();
                onTouchEvent(MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0));
                this.f1865z = z;
                this.f1819A = true;
                m3813d();
                return;
            }
            this.f1865z = z;
            if (!(!this.f1864y || this.f1855p == null || this.f1854o == null)) {
                requestLayout();
            }
            this.f1864y = false;
        }
    }

    public void setLayoutManager(co coVar) {
        if (coVar != this.f1855p) {
            if (this.f1855p != null) {
                if (this.f1860u) {
                    this.f1855p.m3600b(this, this.f1842a);
                }
                this.f1855p.m3561a(null);
            }
            this.f1842a.m4354a();
            this.f1844c.m4079a();
            this.f1855p = coVar;
            if (coVar != null) {
                if (coVar.f1801i != null) {
                    throw new IllegalArgumentException("LayoutManager " + coVar + " is already attached to a RecyclerView: " + coVar.f1801i);
                }
                this.f1855p.m3561a(this);
                if (this.f1860u) {
                    this.f1855p.m3598b(this);
                }
            }
            requestLayout();
        }
    }

    public void setNestedScrollingEnabled(boolean z) {
        this.ai.m1451a(z);
    }

    @Deprecated
    public void setOnScrollListener(cs csVar) {
        this.ab = csVar;
    }

    public void setRecycledViewPool(ct ctVar) {
        this.f1842a.m4358a(ctVar);
    }

    public void setRecyclerListener(cv cvVar) {
        this.f1856q = cvVar;
    }

    public void setScrollingTouchSlop(int i) {
        ViewConfiguration viewConfiguration = ViewConfiguration.get(getContext());
        switch (i) {
            case C0729b.View_android_theme /*0*/:
                break;
            case C0729b.View_android_focusable /*1*/:
                this.f1838T = cs.m1774a(viewConfiguration);
                return;
            default:
                Log.w("RecyclerView", "setScrollingTouchSlop(): bad argument constant " + i + "; using default value");
                break;
        }
        this.f1838T = viewConfiguration.getScaledTouchSlop();
    }

    public void setViewCacheExtension(db dbVar) {
        this.f1842a.m4359a(dbVar);
    }

    public boolean startNestedScroll(int i) {
        return this.ai.m1455a(i);
    }

    public void stopNestedScroll() {
        this.ai.m1459c();
    }
}
