package android.support.v7.widget;

import android.annotation.TargetApi;
import android.app.SearchableInfo;
import android.content.Context;
import android.content.Intent;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.support.v4.widget.C0230o;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0257e;
import android.support.v7.p020d.C0302c;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.KeyEvent.DispatcherState;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.View.OnClickListener;
import android.view.View.OnFocusChangeListener;
import android.view.inputmethod.InputMethodManager;
import android.widget.ImageView;
import com.neatorobotics.android.C0729b;
import java.util.WeakHashMap;

public class SearchView extends bb implements C0302c {
    static final dh f1872a;
    private static final boolean f1873b;
    private boolean f1874A;
    private boolean f1875B;
    private int f1876C;
    private boolean f1877D;
    private CharSequence f1878E;
    private boolean f1879F;
    private int f1880G;
    private SearchableInfo f1881H;
    private Bundle f1882I;
    private Runnable f1883J;
    private final Runnable f1884K;
    private Runnable f1885L;
    private final WeakHashMap f1886M;
    private final SearchAutoComplete f1887c;
    private final View f1888d;
    private final View f1889e;
    private final ImageView f1890f;
    private final ImageView f1891g;
    private final ImageView f1892h;
    private final ImageView f1893i;
    private final ImageView f1894j;
    private final Drawable f1895k;
    private final int f1896l;
    private final int f1897m;
    private final Intent f1898n;
    private final Intent f1899o;
    private final CharSequence f1900p;
    private dj f1901q;
    private di f1902r;
    private OnFocusChangeListener f1903s;
    private dk f1904t;
    private OnClickListener f1905u;
    private boolean f1906v;
    private boolean f1907w;
    private C0230o f1908x;
    private boolean f1909y;
    private CharSequence f1910z;

    public class SearchAutoComplete extends C0376s {
        private int f1870a;
        private SearchView f1871b;

        public SearchAutoComplete(Context context) {
            this(context, null);
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            this(context, attributeSet, C0254b.autoCompleteTextViewStyle);
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet, int i) {
            super(context, attributeSet, i);
            this.f1870a = getThreshold();
        }

        public boolean enoughToFilter() {
            return this.f1870a <= 0 || super.enoughToFilter();
        }

        protected void onFocusChanged(boolean z, int i, Rect rect) {
            super.onFocusChanged(z, i, rect);
            this.f1871b.m3861d();
        }

        public boolean onKeyPreIme(int i, KeyEvent keyEvent) {
            if (i == 4) {
                DispatcherState keyDispatcherState;
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState == null) {
                        return true;
                    }
                    keyDispatcherState.startTracking(keyEvent, this);
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.f1871b.clearFocus();
                        this.f1871b.setImeVisibility(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i, keyEvent);
        }

        public void onWindowFocusChanged(boolean z) {
            super.onWindowFocusChanged(z);
            if (z && this.f1871b.hasFocus() && getVisibility() == 0) {
                ((InputMethodManager) getContext().getSystemService("input_method")).showSoftInput(this, 0);
                if (SearchView.m3840a(getContext())) {
                    SearchView.f1872a.m4494a(this, true);
                }
            }
        }

        public void performCompletion() {
        }

        protected void replaceText(CharSequence charSequence) {
        }

        void setSearchView(SearchView searchView) {
            this.f1871b = searchView;
        }

        public void setThreshold(int i) {
            super.setThreshold(i);
            this.f1870a = i;
        }
    }

    static {
        f1873b = VERSION.SDK_INT >= 8;
        f1872a = new dh();
    }

    private Intent m3836a(String str, Uri uri, String str2, String str3, int i, String str4) {
        Intent intent = new Intent(str);
        intent.addFlags(268435456);
        if (uri != null) {
            intent.setData(uri);
        }
        intent.putExtra("user_query", this.f1878E);
        if (str3 != null) {
            intent.putExtra("query", str3);
        }
        if (str2 != null) {
            intent.putExtra("intent_extra_data_key", str2);
        }
        if (this.f1882I != null) {
            intent.putExtra("app_data", this.f1882I);
        }
        if (i != 0) {
            intent.putExtra("action_key", i);
            intent.putExtra("action_msg", str4);
        }
        if (f1873b) {
            intent.setComponent(this.f1881H.getSearchActivity());
        }
        return intent;
    }

    private void m3837a(int i, String str, String str2) {
        getContext().startActivity(m3836a("android.intent.action.SEARCH", null, null, str2, i, str));
    }

    private void m3839a(boolean z) {
        boolean z2 = true;
        int i = 8;
        this.f1907w = z;
        int i2 = z ? 0 : 8;
        boolean z3 = !TextUtils.isEmpty(this.f1887c.getText());
        this.f1890f.setVisibility(i2);
        m3842b(z3);
        this.f1888d.setVisibility(z ? 8 : 0);
        ImageView imageView = this.f1894j;
        if (!this.f1906v) {
            i = 0;
        }
        imageView.setVisibility(i);
        m3847h();
        if (z3) {
            z2 = false;
        }
        m3843c(z2);
        m3846g();
    }

    static boolean m3840a(Context context) {
        return context.getResources().getConfiguration().orientation == 2;
    }

    private CharSequence m3841b(CharSequence charSequence) {
        if (!this.f1906v || this.f1895k == null) {
            return charSequence;
        }
        int textSize = (int) (((double) this.f1887c.getTextSize()) * 1.25d);
        this.f1895k.setBounds(0, 0, textSize, textSize);
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder("   ");
        spannableStringBuilder.setSpan(new ImageSpan(this.f1895k), 1, 2, 33);
        spannableStringBuilder.append(charSequence);
        return spannableStringBuilder;
    }

    private void m3842b(boolean z) {
        int i = 8;
        if (this.f1909y && m3845f() && hasFocus() && (z || !this.f1877D)) {
            i = 0;
        }
        this.f1891g.setVisibility(i);
    }

    private void m3843c(boolean z) {
        int i;
        if (this.f1877D && !m3860c() && z) {
            i = 0;
            this.f1891g.setVisibility(8);
        } else {
            i = 8;
        }
        this.f1893i.setVisibility(i);
    }

    @TargetApi(8)
    private boolean m3844e() {
        if (this.f1881H == null || !this.f1881H.getVoiceSearchEnabled()) {
            return false;
        }
        Intent intent = null;
        if (this.f1881H.getVoiceSearchLaunchWebSearch()) {
            intent = this.f1898n;
        } else if (this.f1881H.getVoiceSearchLaunchRecognizer()) {
            intent = this.f1899o;
        }
        return (intent == null || getContext().getPackageManager().resolveActivity(intent, 65536) == null) ? false : true;
    }

    private boolean m3845f() {
        return (this.f1909y || this.f1877D) && !m3860c();
    }

    private void m3846g() {
        int i = 8;
        if (m3845f() && (this.f1891g.getVisibility() == 0 || this.f1893i.getVisibility() == 0)) {
            i = 0;
        }
        this.f1889e.setVisibility(i);
    }

    private int getPreferredWidth() {
        return getContext().getResources().getDimensionPixelSize(C0257e.abc_search_view_preferred_width);
    }

    private void m3847h() {
        int i = 1;
        int i2 = 0;
        int i3 = !TextUtils.isEmpty(this.f1887c.getText()) ? 1 : 0;
        if (i3 == 0 && (!this.f1906v || this.f1879F)) {
            i = 0;
        }
        ImageView imageView = this.f1892h;
        if (i == 0) {
            i2 = 8;
        }
        imageView.setVisibility(i2);
        Drawable drawable = this.f1892h.getDrawable();
        if (drawable != null) {
            drawable.setState(i3 != 0 ? ENABLED_STATE_SET : EMPTY_STATE_SET);
        }
    }

    private void m3848i() {
        post(this.f1884K);
    }

    private void m3849k() {
        CharSequence queryHint = getQueryHint();
        SearchAutoComplete searchAutoComplete = this.f1887c;
        if (queryHint == null) {
            queryHint = "";
        }
        searchAutoComplete.setHint(m3841b(queryHint));
    }

    @TargetApi(8)
    private void m3850l() {
        int i = 1;
        this.f1887c.setThreshold(this.f1881H.getSuggestThreshold());
        this.f1887c.setImeOptions(this.f1881H.getImeOptions());
        int inputType = this.f1881H.getInputType();
        if ((inputType & 15) == 1) {
            inputType &= -65537;
            if (this.f1881H.getSuggestAuthority() != null) {
                inputType = (inputType | 65536) | 524288;
            }
        }
        this.f1887c.setInputType(inputType);
        if (this.f1908x != null) {
            this.f1908x.m2316a(null);
        }
        if (this.f1881H.getSuggestAuthority() != null) {
            this.f1908x = new dq(getContext(), this, this.f1881H, this.f1886M);
            this.f1887c.setAdapter(this.f1908x);
            dq dqVar = (dq) this.f1908x;
            if (this.f1874A) {
                i = 2;
            }
            dqVar.m4543a(i);
        }
    }

    private void m3851m() {
        CharSequence text = this.f1887c.getText();
        if (text != null && TextUtils.getTrimmedLength(text) > 0) {
            if (this.f1901q == null || !this.f1901q.m4497a(text.toString())) {
                if (this.f1881H != null) {
                    m3837a(0, null, text.toString());
                }
                setImeVisibility(false);
                m3852n();
            }
        }
    }

    private void m3852n() {
        this.f1887c.dismissDropDown();
    }

    private void m3853o() {
        if (!TextUtils.isEmpty(this.f1887c.getText())) {
            this.f1887c.setText("");
            this.f1887c.requestFocus();
            setImeVisibility(true);
        } else if (!this.f1906v) {
        } else {
            if (this.f1902r == null || !this.f1902r.m4496a()) {
                clearFocus();
                m3839a(true);
            }
        }
    }

    private void m3854p() {
        m3839a(false);
        this.f1887c.requestFocus();
        setImeVisibility(true);
        if (this.f1905u != null) {
            this.f1905u.onClick(this);
        }
    }

    private void m3855q() {
        f1872a.m4493a(this.f1887c);
        f1872a.m4495b(this.f1887c);
    }

    private void setImeVisibility(boolean z) {
        if (z) {
            post(this.f1883J);
            return;
        }
        removeCallbacks(this.f1883J);
        InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
        if (inputMethodManager != null) {
            inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
        }
    }

    private void setQuery(CharSequence charSequence) {
        this.f1887c.setText(charSequence);
        this.f1887c.setSelection(TextUtils.isEmpty(charSequence) ? 0 : charSequence.length());
    }

    public void m3856a() {
        if (!this.f1879F) {
            this.f1879F = true;
            this.f1880G = this.f1887c.getImeOptions();
            this.f1887c.setImeOptions(this.f1880G | 33554432);
            this.f1887c.setText("");
            setIconified(false);
        }
    }

    void m3857a(CharSequence charSequence) {
        setQuery(charSequence);
    }

    public void m3858a(CharSequence charSequence, boolean z) {
        this.f1887c.setText(charSequence);
        if (charSequence != null) {
            this.f1887c.setSelection(this.f1887c.length());
            this.f1878E = charSequence;
        }
        if (z && !TextUtils.isEmpty(charSequence)) {
            m3851m();
        }
    }

    public void m3859b() {
        m3858a((CharSequence) "", false);
        clearFocus();
        m3839a(true);
        this.f1887c.setImeOptions(this.f1880G);
        this.f1879F = false;
    }

    public boolean m3860c() {
        return this.f1907w;
    }

    public void clearFocus() {
        this.f1875B = true;
        setImeVisibility(false);
        super.clearFocus();
        this.f1887c.clearFocus();
        this.f1875B = false;
    }

    void m3861d() {
        m3839a(m3860c());
        m3848i();
        if (this.f1887c.hasFocus()) {
            m3855q();
        }
    }

    public int getImeOptions() {
        return this.f1887c.getImeOptions();
    }

    public int getInputType() {
        return this.f1887c.getInputType();
    }

    public int getMaxWidth() {
        return this.f1876C;
    }

    public CharSequence getQuery() {
        return this.f1887c.getText();
    }

    public CharSequence getQueryHint() {
        return this.f1910z != null ? this.f1910z : (!f1873b || this.f1881H == null || this.f1881H.getHintId() == 0) ? this.f1900p : getContext().getText(this.f1881H.getHintId());
    }

    int getSuggestionCommitIconResId() {
        return this.f1897m;
    }

    int getSuggestionRowLayout() {
        return this.f1896l;
    }

    public C0230o getSuggestionsAdapter() {
        return this.f1908x;
    }

    protected void onDetachedFromWindow() {
        removeCallbacks(this.f1884K);
        post(this.f1885L);
        super.onDetachedFromWindow();
    }

    protected void onMeasure(int i, int i2) {
        if (m3860c()) {
            super.onMeasure(i, i2);
            return;
        }
        int mode = MeasureSpec.getMode(i);
        int size = MeasureSpec.getSize(i);
        switch (mode) {
            case Integer.MIN_VALUE:
                if (this.f1876C <= 0) {
                    size = Math.min(getPreferredWidth(), size);
                    break;
                } else {
                    size = Math.min(this.f1876C, size);
                    break;
                }
            case C0729b.View_android_theme /*0*/:
                if (this.f1876C <= 0) {
                    size = getPreferredWidth();
                    break;
                } else {
                    size = this.f1876C;
                    break;
                }
            case 1073741824:
                if (this.f1876C > 0) {
                    size = Math.min(this.f1876C, size);
                    break;
                }
                break;
        }
        super.onMeasure(MeasureSpec.makeMeasureSpec(size, 1073741824), i2);
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        m3848i();
    }

    public boolean requestFocus(int i, Rect rect) {
        if (this.f1875B || !isFocusable()) {
            return false;
        }
        if (m3860c()) {
            return super.requestFocus(i, rect);
        }
        boolean requestFocus = this.f1887c.requestFocus(i, rect);
        if (requestFocus) {
            m3839a(false);
        }
        return requestFocus;
    }

    public void setAppSearchData(Bundle bundle) {
        this.f1882I = bundle;
    }

    public void setIconified(boolean z) {
        if (z) {
            m3853o();
        } else {
            m3854p();
        }
    }

    public void setIconifiedByDefault(boolean z) {
        if (this.f1906v != z) {
            this.f1906v = z;
            m3839a(z);
            m3849k();
        }
    }

    public void setImeOptions(int i) {
        this.f1887c.setImeOptions(i);
    }

    public void setInputType(int i) {
        this.f1887c.setInputType(i);
    }

    public void setMaxWidth(int i) {
        this.f1876C = i;
        requestLayout();
    }

    public void setOnCloseListener(di diVar) {
        this.f1902r = diVar;
    }

    public void setOnQueryTextFocusChangeListener(OnFocusChangeListener onFocusChangeListener) {
        this.f1903s = onFocusChangeListener;
    }

    public void setOnQueryTextListener(dj djVar) {
        this.f1901q = djVar;
    }

    public void setOnSearchClickListener(OnClickListener onClickListener) {
        this.f1905u = onClickListener;
    }

    public void setOnSuggestionListener(dk dkVar) {
        this.f1904t = dkVar;
    }

    public void setQueryHint(CharSequence charSequence) {
        this.f1910z = charSequence;
        m3849k();
    }

    public void setQueryRefinementEnabled(boolean z) {
        this.f1874A = z;
        if (this.f1908x instanceof dq) {
            ((dq) this.f1908x).m4543a(z ? 2 : 1);
        }
    }

    public void setSearchableInfo(SearchableInfo searchableInfo) {
        this.f1881H = searchableInfo;
        if (this.f1881H != null) {
            if (f1873b) {
                m3850l();
            }
            m3849k();
        }
        boolean z = f1873b && m3844e();
        this.f1877D = z;
        if (this.f1877D) {
            this.f1887c.setPrivateImeOptions("nm");
        }
        m3839a(m3860c());
    }

    public void setSubmitButtonEnabled(boolean z) {
        this.f1909y = z;
        m3839a(m3860c());
    }

    public void setSuggestionsAdapter(C0230o c0230o) {
        this.f1908x = c0230o;
        this.f1887c.setAdapter(this.f1908x);
    }
}
