package android.support.v7.widget;

import android.content.Context;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.view.p017a.C0172a;
import android.support.v4.view.p017a.C0179g;
import android.support.v4.view.p017a.C0191s;
import android.support.v4.view.p017a.al;
import android.util.AttributeSet;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import android.view.accessibility.AccessibilityEvent;
import com.neatorobotics.android.C0729b;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.BitSet;
import java.util.List;

public class StaggeredGridLayoutManager extends co {
    private boolean f1927A;
    private final Runnable f1928B;
    bw f1929a;
    bw f1930b;
    boolean f1931c;
    int f1932d;
    int f1933e;
    LazySpanLookup f1934f;
    private int f1935g;
    private dp[] f1936k;
    private int f1937l;
    private int f1938m;
    private ba f1939n;
    private boolean f1940o;
    private BitSet f1941p;
    private int f1942q;
    private boolean f1943r;
    private boolean f1944s;
    private SavedState f1945t;
    private int f1946u;
    private int f1947v;
    private int f1948w;
    private final Rect f1949x;
    private final dl f1950y;
    private boolean f1951z;

    class LazySpanLookup {
        int[] f1915a;
        List f1916b;

        class FullSpanItem implements Parcelable {
            public static final Creator CREATOR;
            int f1911a;
            int f1912b;
            int[] f1913c;
            boolean f1914d;

            static {
                CREATOR = new dn();
            }

            public FullSpanItem(Parcel parcel) {
                boolean z = true;
                this.f1911a = parcel.readInt();
                this.f1912b = parcel.readInt();
                if (parcel.readInt() != 1) {
                    z = false;
                }
                this.f1914d = z;
                int readInt = parcel.readInt();
                if (readInt > 0) {
                    this.f1913c = new int[readInt];
                    parcel.readIntArray(this.f1913c);
                }
            }

            int m3862a(int i) {
                return this.f1913c == null ? 0 : this.f1913c[i];
            }

            public int describeContents() {
                return 0;
            }

            public String toString() {
                return "FullSpanItem{mPosition=" + this.f1911a + ", mGapDir=" + this.f1912b + ", mHasUnwantedGapAfter=" + this.f1914d + ", mGapPerSpan=" + Arrays.toString(this.f1913c) + '}';
            }

            public void writeToParcel(Parcel parcel, int i) {
                parcel.writeInt(this.f1911a);
                parcel.writeInt(this.f1912b);
                parcel.writeInt(this.f1914d ? 1 : 0);
                if (this.f1913c == null || this.f1913c.length <= 0) {
                    parcel.writeInt(0);
                    return;
                }
                parcel.writeInt(this.f1913c.length);
                parcel.writeIntArray(this.f1913c);
            }
        }

        private void m3863c(int i, int i2) {
            if (this.f1916b != null) {
                int i3 = i + i2;
                for (int size = this.f1916b.size() - 1; size >= 0; size--) {
                    FullSpanItem fullSpanItem = (FullSpanItem) this.f1916b.get(size);
                    if (fullSpanItem.f1911a >= i) {
                        if (fullSpanItem.f1911a < i3) {
                            this.f1916b.remove(size);
                        } else {
                            fullSpanItem.f1911a -= i2;
                        }
                    }
                }
            }
        }

        private void m3864d(int i, int i2) {
            if (this.f1916b != null) {
                for (int size = this.f1916b.size() - 1; size >= 0; size--) {
                    FullSpanItem fullSpanItem = (FullSpanItem) this.f1916b.get(size);
                    if (fullSpanItem.f1911a >= i) {
                        fullSpanItem.f1911a += i2;
                    }
                }
            }
        }

        private int m3865g(int i) {
            if (this.f1916b == null) {
                return -1;
            }
            FullSpanItem f = m3877f(i);
            if (f != null) {
                this.f1916b.remove(f);
            }
            int size = this.f1916b.size();
            int i2 = 0;
            while (i2 < size) {
                if (((FullSpanItem) this.f1916b.get(i2)).f1911a >= i) {
                    break;
                }
                i2++;
            }
            i2 = -1;
            if (i2 == -1) {
                return -1;
            }
            f = (FullSpanItem) this.f1916b.get(i2);
            this.f1916b.remove(i2);
            return f.f1911a;
        }

        int m3866a(int i) {
            if (this.f1916b != null) {
                for (int size = this.f1916b.size() - 1; size >= 0; size--) {
                    if (((FullSpanItem) this.f1916b.get(size)).f1911a >= i) {
                        this.f1916b.remove(size);
                    }
                }
            }
            return m3872b(i);
        }

        public FullSpanItem m3867a(int i, int i2, int i3, boolean z) {
            if (this.f1916b == null) {
                return null;
            }
            int size = this.f1916b.size();
            for (int i4 = 0; i4 < size; i4++) {
                FullSpanItem fullSpanItem = (FullSpanItem) this.f1916b.get(i4);
                if (fullSpanItem.f1911a >= i2) {
                    return null;
                }
                if (fullSpanItem.f1911a >= i) {
                    if (i3 == 0 || fullSpanItem.f1912b == i3) {
                        return fullSpanItem;
                    }
                    if (z && fullSpanItem.f1914d) {
                        return fullSpanItem;
                    }
                }
            }
            return null;
        }

        void m3868a() {
            if (this.f1915a != null) {
                Arrays.fill(this.f1915a, -1);
            }
            this.f1916b = null;
        }

        void m3869a(int i, int i2) {
            if (this.f1915a != null && i < this.f1915a.length) {
                m3876e(i + i2);
                System.arraycopy(this.f1915a, i + i2, this.f1915a, i, (this.f1915a.length - i) - i2);
                Arrays.fill(this.f1915a, this.f1915a.length - i2, this.f1915a.length, -1);
                m3863c(i, i2);
            }
        }

        void m3870a(int i, dp dpVar) {
            m3876e(i);
            this.f1915a[i] = dpVar.f2291d;
        }

        public void m3871a(FullSpanItem fullSpanItem) {
            if (this.f1916b == null) {
                this.f1916b = new ArrayList();
            }
            int size = this.f1916b.size();
            for (int i = 0; i < size; i++) {
                FullSpanItem fullSpanItem2 = (FullSpanItem) this.f1916b.get(i);
                if (fullSpanItem2.f1911a == fullSpanItem.f1911a) {
                    this.f1916b.remove(i);
                }
                if (fullSpanItem2.f1911a >= fullSpanItem.f1911a) {
                    this.f1916b.add(i, fullSpanItem);
                    return;
                }
            }
            this.f1916b.add(fullSpanItem);
        }

        int m3872b(int i) {
            if (this.f1915a == null || i >= this.f1915a.length) {
                return -1;
            }
            int g = m3865g(i);
            if (g == -1) {
                Arrays.fill(this.f1915a, i, this.f1915a.length, -1);
                return this.f1915a.length;
            }
            Arrays.fill(this.f1915a, i, g + 1, -1);
            return g + 1;
        }

        void m3873b(int i, int i2) {
            if (this.f1915a != null && i < this.f1915a.length) {
                m3876e(i + i2);
                System.arraycopy(this.f1915a, i, this.f1915a, i + i2, (this.f1915a.length - i) - i2);
                Arrays.fill(this.f1915a, i, i + i2, -1);
                m3864d(i, i2);
            }
        }

        int m3874c(int i) {
            return (this.f1915a == null || i >= this.f1915a.length) ? -1 : this.f1915a[i];
        }

        int m3875d(int i) {
            int length = this.f1915a.length;
            while (length <= i) {
                length *= 2;
            }
            return length;
        }

        void m3876e(int i) {
            if (this.f1915a == null) {
                this.f1915a = new int[(Math.max(i, 10) + 1)];
                Arrays.fill(this.f1915a, -1);
            } else if (i >= this.f1915a.length) {
                Object obj = this.f1915a;
                this.f1915a = new int[m3875d(i)];
                System.arraycopy(obj, 0, this.f1915a, 0, obj.length);
                Arrays.fill(this.f1915a, obj.length, this.f1915a.length, -1);
            }
        }

        public FullSpanItem m3877f(int i) {
            if (this.f1916b == null) {
                return null;
            }
            for (int size = this.f1916b.size() - 1; size >= 0; size--) {
                FullSpanItem fullSpanItem = (FullSpanItem) this.f1916b.get(size);
                if (fullSpanItem.f1911a == i) {
                    return fullSpanItem;
                }
            }
            return null;
        }
    }

    class SavedState implements Parcelable {
        public static final Creator CREATOR;
        int f1917a;
        int f1918b;
        int f1919c;
        int[] f1920d;
        int f1921e;
        int[] f1922f;
        List f1923g;
        boolean f1924h;
        boolean f1925i;
        boolean f1926j;

        static {
            CREATOR = new C0382do();
        }

        SavedState(Parcel parcel) {
            boolean z = true;
            this.f1917a = parcel.readInt();
            this.f1918b = parcel.readInt();
            this.f1919c = parcel.readInt();
            if (this.f1919c > 0) {
                this.f1920d = new int[this.f1919c];
                parcel.readIntArray(this.f1920d);
            }
            this.f1921e = parcel.readInt();
            if (this.f1921e > 0) {
                this.f1922f = new int[this.f1921e];
                parcel.readIntArray(this.f1922f);
            }
            this.f1924h = parcel.readInt() == 1;
            this.f1925i = parcel.readInt() == 1;
            if (parcel.readInt() != 1) {
                z = false;
            }
            this.f1926j = z;
            this.f1923g = parcel.readArrayList(FullSpanItem.class.getClassLoader());
        }

        public SavedState(SavedState savedState) {
            this.f1919c = savedState.f1919c;
            this.f1917a = savedState.f1917a;
            this.f1918b = savedState.f1918b;
            this.f1920d = savedState.f1920d;
            this.f1921e = savedState.f1921e;
            this.f1922f = savedState.f1922f;
            this.f1924h = savedState.f1924h;
            this.f1925i = savedState.f1925i;
            this.f1926j = savedState.f1926j;
            this.f1923g = savedState.f1923g;
        }

        void m3878a() {
            this.f1920d = null;
            this.f1919c = 0;
            this.f1921e = 0;
            this.f1922f = null;
            this.f1923g = null;
        }

        void m3879b() {
            this.f1920d = null;
            this.f1919c = 0;
            this.f1917a = -1;
            this.f1918b = -1;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            int i2 = 1;
            parcel.writeInt(this.f1917a);
            parcel.writeInt(this.f1918b);
            parcel.writeInt(this.f1919c);
            if (this.f1919c > 0) {
                parcel.writeIntArray(this.f1920d);
            }
            parcel.writeInt(this.f1921e);
            if (this.f1921e > 0) {
                parcel.writeIntArray(this.f1922f);
            }
            parcel.writeInt(this.f1924h ? 1 : 0);
            parcel.writeInt(this.f1925i ? 1 : 0);
            if (!this.f1926j) {
                i2 = 0;
            }
            parcel.writeInt(i2);
            parcel.writeList(this.f1923g);
        }
    }

    private boolean m3880B() {
        if (m3648q() == 0 || this.f1942q == 0 || !m3641l()) {
            return false;
        }
        int E;
        int F;
        if (this.f1931c) {
            E = m3883E();
            F = m3884F();
        } else {
            E = m3884F();
            F = m3883E();
        }
        if (E == 0 && m3954e() != null) {
            this.f1934f.m3868a();
            m3657z();
            m3639k();
            return true;
        } else if (!this.f1951z) {
            return false;
        } else {
            int i = this.f1931c ? -1 : 1;
            FullSpanItem a = this.f1934f.m3867a(E, F + 1, i, true);
            if (a == null) {
                this.f1951z = false;
                this.f1934f.m3866a(F + 1);
                return false;
            }
            FullSpanItem a2 = this.f1934f.m3867a(E, a.f1911a, i * -1, true);
            if (a2 == null) {
                this.f1934f.m3866a(a.f1911a);
            } else {
                this.f1934f.m3866a(a2.f1911a + 1);
            }
            m3657z();
            m3639k();
            return true;
        }
    }

    private void m3881C() {
        if (this.f1929a == null) {
            this.f1929a = bw.m4222a(this, this.f1937l);
            this.f1930b = bw.m4222a(this, 1 - this.f1937l);
            this.f1939n = new ba();
        }
    }

    private void m3882D() {
        boolean z = true;
        if (this.f1937l == 1 || !m3957f()) {
            this.f1931c = this.f1940o;
            return;
        }
        if (this.f1940o) {
            z = false;
        }
        this.f1931c = z;
    }

    private int m3883E() {
        int q = m3648q();
        return q == 0 ? 0 : m3616d(m3628f(q - 1));
    }

    private int m3884F() {
        return m3648q() == 0 ? 0 : m3616d(m3628f(0));
    }

    private int m3885a(int i, int i2, int i3) {
        if (i2 == 0 && i3 == 0) {
            return i;
        }
        int mode = MeasureSpec.getMode(i);
        return (mode == Integer.MIN_VALUE || mode == 1073741824) ? MeasureSpec.makeMeasureSpec((MeasureSpec.getSize(i) - i2) - i3, mode) : i;
    }

    private int m3886a(cu cuVar, ba baVar, da daVar) {
        int n;
        this.f1941p.set(0, this.f1935g, true);
        int i = baVar.f2151d == 1 ? baVar.f2153f + baVar.f2148a : baVar.f2152e - baVar.f2148a;
        m3905c(baVar.f2151d, i);
        int d = this.f1931c ? this.f1929a.m4231d() : this.f1929a.m4229c();
        Object obj = null;
        while (baVar.m4190a(daVar) && !this.f1941p.isEmpty()) {
            dp dpVar;
            int c;
            View a = baVar.m4189a(cuVar);
            dm dmVar = (dm) a.getLayoutParams();
            int c2 = dmVar.m4332c();
            int c3 = this.f1934f.m3874c(c2);
            Object obj2 = c3 == -1 ? 1 : null;
            if (obj2 != null) {
                dp a2 = dmVar.f2287f ? this.f1936k[0] : m3888a(baVar);
                this.f1934f.m3870a(c2, a2);
                dpVar = a2;
            } else {
                dpVar = this.f1936k[c3];
            }
            dmVar.f2286e = dpVar;
            if (baVar.f2151d == 1) {
                m3602b(a);
            } else {
                m3603b(a, 0);
            }
            m3896a(a, dmVar);
            if (baVar.f2151d == 1) {
                n = dmVar.f2287f ? m3913n(d) : dpVar.m4512b(d);
                c = n + this.f1929a.m4230c(a);
                if (obj2 == null || !dmVar.f2287f) {
                    c3 = n;
                } else {
                    FullSpanItem j = m3909j(n);
                    j.f1912b = -1;
                    j.f1911a = c2;
                    this.f1934f.m3871a(j);
                    c3 = n;
                }
            } else {
                n = dmVar.f2287f ? m3912m(d) : dpVar.m4507a(d);
                c3 = n - this.f1929a.m4230c(a);
                if (obj2 != null && dmVar.f2287f) {
                    FullSpanItem k = m3910k(n);
                    k.f1912b = 1;
                    k.f1911a = c2;
                    this.f1934f.m3871a(k);
                }
                c = n;
            }
            if (dmVar.f2287f && baVar.f2150c == -1) {
                if (obj2 != null) {
                    this.f1951z = true;
                } else {
                    obj = baVar.f2151d == 1 ? !m3964i() ? 1 : null : !m3921A() ? 1 : null;
                    if (obj != null) {
                        FullSpanItem f = this.f1934f.m3877f(c2);
                        if (f != null) {
                            f.f1914d = true;
                        }
                        this.f1951z = true;
                    }
                }
            }
            m3897a(a, dmVar, baVar);
            int c4 = dmVar.f2287f ? this.f1930b.m4229c() : this.f1930b.m4229c() + (dpVar.f2291d * this.f1938m);
            c2 = c4 + this.f1930b.m4230c(a);
            if (this.f1937l == 1) {
                m3904b(a, c4, c3, c2, c);
            } else {
                m3904b(a, c3, c4, c, c2);
            }
            if (dmVar.f2287f) {
                m3905c(this.f1939n.f2151d, i);
            } else {
                m3895a(dpVar, this.f1939n.f2151d, i);
            }
            m3892a(cuVar, this.f1939n);
            obj = 1;
        }
        if (obj == null) {
            m3892a(cuVar, this.f1939n);
        }
        n = this.f1939n.f2151d == -1 ? this.f1929a.m4229c() - m3912m(this.f1929a.m4229c()) : m3913n(this.f1929a.m4231d()) - this.f1929a.m4231d();
        return n > 0 ? Math.min(baVar.f2148a, n) : 0;
    }

    private int m3887a(da daVar) {
        boolean z = false;
        if (m3648q() == 0) {
            return 0;
        }
        m3881C();
        bw bwVar = this.f1929a;
        View a = m3926a(!this.f1927A, true);
        if (!this.f1927A) {
            z = true;
        }
        return dg.m4491a(daVar, bwVar, a, m3942b(z, true), this, this.f1927A, this.f1931c);
    }

    private dp m3888a(ba baVar) {
        int i;
        int i2;
        dp dpVar = null;
        int i3 = -1;
        if (m3917p(baVar.f2151d)) {
            i = this.f1935g - 1;
            i2 = -1;
        } else {
            i = 0;
            i2 = this.f1935g;
            i3 = 1;
        }
        int c;
        int i4;
        dp dpVar2;
        int b;
        dp dpVar3;
        if (baVar.f2151d == 1) {
            c = this.f1929a.m4229c();
            i4 = i;
            i = Integer.MAX_VALUE;
            while (i4 != i2) {
                dpVar2 = this.f1936k[i4];
                b = dpVar2.m4512b(c);
                if (b < i) {
                    dpVar3 = dpVar2;
                } else {
                    b = i;
                    dpVar3 = dpVar;
                }
                i4 += i3;
                dpVar = dpVar3;
                i = b;
            }
        } else {
            c = this.f1929a.m4231d();
            i4 = i;
            i = Integer.MIN_VALUE;
            while (i4 != i2) {
                dpVar2 = this.f1936k[i4];
                b = dpVar2.m4507a(c);
                if (b > i) {
                    dpVar3 = dpVar2;
                } else {
                    b = i;
                    dpVar3 = dpVar;
                }
                i4 += i3;
                dpVar = dpVar3;
                i = b;
            }
        }
        return dpVar;
    }

    private void m3889a(int i) {
        int i2 = 1;
        this.f1939n.f2151d = i;
        ba baVar = this.f1939n;
        if (this.f1931c != (i == -1)) {
            i2 = -1;
        }
        baVar.f2150c = i2;
    }

    private void m3890a(int i, da daVar) {
        int c;
        int i2 = 0;
        this.f1939n.f2148a = 0;
        this.f1939n.f2149b = i;
        if (m3645n()) {
            c = daVar.m4425c();
            if (c != -1) {
                if (this.f1931c == (c < i)) {
                    c = this.f1929a.m4234f();
                } else {
                    i2 = this.f1929a.m4234f();
                    c = 0;
                }
                if (m3643m()) {
                    this.f1939n.f2153f = c + this.f1929a.m4233e();
                    this.f1939n.f2152e = -i2;
                    return;
                }
                this.f1939n.f2152e = this.f1929a.m4229c() - i2;
                this.f1939n.f2153f = c + this.f1929a.m4231d();
            }
        }
        c = 0;
        if (m3643m()) {
            this.f1939n.f2153f = c + this.f1929a.m4233e();
            this.f1939n.f2152e = -i2;
            return;
        }
        this.f1939n.f2152e = this.f1929a.m4229c() - i2;
        this.f1939n.f2153f = c + this.f1929a.m4231d();
    }

    private void m3891a(cu cuVar, int i) {
        while (m3648q() > 0) {
            View f = m3628f(0);
            if (this.f1929a.m4228b(f) <= i) {
                dm dmVar = (dm) f.getLayoutParams();
                if (dmVar.f2287f) {
                    int i2 = 0;
                    while (i2 < this.f1935g) {
                        if (this.f1936k[i2].f2293f.size() != 1) {
                            i2++;
                        } else {
                            return;
                        }
                    }
                    for (i2 = 0; i2 < this.f1935g; i2++) {
                        this.f1936k[i2].m4522h();
                    }
                } else if (dmVar.f2286e.f2293f.size() != 1) {
                    dmVar.f2286e.m4522h();
                } else {
                    return;
                }
                m3580a(f, cuVar);
            } else {
                return;
            }
        }
    }

    private void m3892a(cu cuVar, ba baVar) {
        if (baVar.f2148a == 0) {
            if (baVar.f2151d == -1) {
                m3901b(cuVar, baVar.f2153f);
            } else {
                m3891a(cuVar, baVar.f2152e);
            }
        } else if (baVar.f2151d == -1) {
            r0 = baVar.f2152e - m3911l(baVar.f2152e);
            m3901b(cuVar, r0 < 0 ? baVar.f2153f : baVar.f2153f - Math.min(r0, baVar.f2148a));
        } else {
            r0 = m3914o(baVar.f2153f) - baVar.f2153f;
            m3891a(cuVar, r0 < 0 ? baVar.f2152e : Math.min(r0, baVar.f2148a) + baVar.f2152e);
        }
    }

    private void m3893a(cu cuVar, da daVar, boolean z) {
        int d = this.f1929a.m4231d() - m3913n(this.f1929a.m4231d());
        if (d > 0) {
            d -= -m3945c(-d, cuVar, daVar);
            if (z && d > 0) {
                this.f1929a.m4226a(d);
            }
        }
    }

    private void m3894a(dl dlVar) {
        if (this.f1945t.f1919c > 0) {
            if (this.f1945t.f1919c == this.f1935g) {
                for (int i = 0; i < this.f1935g; i++) {
                    this.f1936k[i].m4519e();
                    int i2 = this.f1945t.f1920d[i];
                    if (i2 != Integer.MIN_VALUE) {
                        i2 = this.f1945t.f1925i ? i2 + this.f1929a.m4231d() : i2 + this.f1929a.m4229c();
                    }
                    this.f1936k[i].m4516c(i2);
                }
            } else {
                this.f1945t.m3878a();
                this.f1945t.f1917a = this.f1945t.f1918b;
            }
        }
        this.f1944s = this.f1945t.f1926j;
        m3937a(this.f1945t.f1924h);
        m3882D();
        if (this.f1945t.f1917a != -1) {
            this.f1932d = this.f1945t.f1917a;
            dlVar.f2283c = this.f1945t.f1925i;
        } else {
            dlVar.f2283c = this.f1931c;
        }
        if (this.f1945t.f1921e > 1) {
            this.f1934f.f1915a = this.f1945t.f1922f;
            this.f1934f.f1916b = this.f1945t.f1923g;
        }
    }

    private void m3895a(dp dpVar, int i, int i2) {
        int i3 = dpVar.m4523i();
        if (i == -1) {
            if (i3 + dpVar.m4511b() <= i2) {
                this.f1941p.set(dpVar.f2291d, false);
            }
        } else if (dpVar.m4517d() - i3 >= i2) {
            this.f1941p.set(dpVar.f2291d, false);
        }
    }

    private void m3896a(View view, dm dmVar) {
        if (dmVar.f2287f) {
            if (this.f1937l == 1) {
                m3903b(view, this.f1946u, m3899b(dmVar.height, this.f1948w));
            } else {
                m3903b(view, m3899b(dmVar.width, this.f1947v), this.f1946u);
            }
        } else if (this.f1937l == 1) {
            m3903b(view, this.f1947v, m3899b(dmVar.height, this.f1948w));
        } else {
            m3903b(view, m3899b(dmVar.width, this.f1947v), this.f1948w);
        }
    }

    private void m3897a(View view, dm dmVar, ba baVar) {
        if (baVar.f2151d == 1) {
            if (dmVar.f2287f) {
                m3915o(view);
            } else {
                dmVar.f2286e.m4513b(view);
            }
        } else if (dmVar.f2287f) {
            m3916p(view);
        } else {
            dmVar.f2286e.m4509a(view);
        }
    }

    private boolean m3898a(dp dpVar) {
        if (this.f1931c) {
            if (dpVar.m4517d() < this.f1929a.m4231d()) {
                return true;
            }
        } else if (dpVar.m4511b() > this.f1929a.m4229c()) {
            return true;
        }
        return false;
    }

    private int m3899b(int i, int i2) {
        return i < 0 ? i2 : MeasureSpec.makeMeasureSpec(i, 1073741824);
    }

    private void m3900b(int i, int i2, int i3) {
        int i4;
        int i5;
        int E = this.f1931c ? m3883E() : m3884F();
        if (i3 != 3) {
            i4 = i + i2;
            i5 = i;
        } else if (i < i2) {
            i4 = i2 + 1;
            i5 = i;
        } else {
            i4 = i + 1;
            i5 = i2;
        }
        this.f1934f.m3872b(i5);
        switch (i3) {
            case C0729b.View_android_theme /*0*/:
                this.f1934f.m3873b(i, i2);
                break;
            case C0729b.View_android_focusable /*1*/:
                this.f1934f.m3869a(i, i2);
                break;
            case C0729b.View_paddingEnd /*3*/:
                this.f1934f.m3869a(i, 1);
                this.f1934f.m3873b(i2, 1);
                break;
        }
        if (i4 > E) {
            if (i5 <= (this.f1931c ? m3884F() : m3883E())) {
                m3639k();
            }
        }
    }

    private void m3901b(cu cuVar, int i) {
        int q = m3648q() - 1;
        while (q >= 0) {
            View f = m3628f(q);
            if (this.f1929a.m4224a(f) >= i) {
                dm dmVar = (dm) f.getLayoutParams();
                if (dmVar.f2287f) {
                    int i2 = 0;
                    while (i2 < this.f1935g) {
                        if (this.f1936k[i2].f2293f.size() != 1) {
                            i2++;
                        } else {
                            return;
                        }
                    }
                    for (i2 = 0; i2 < this.f1935g; i2++) {
                        this.f1936k[i2].m4521g();
                    }
                } else if (dmVar.f2286e.f2293f.size() != 1) {
                    dmVar.f2286e.m4521g();
                } else {
                    return;
                }
                m3580a(f, cuVar);
                q--;
            } else {
                return;
            }
        }
    }

    private void m3902b(cu cuVar, da daVar, boolean z) {
        int m = m3912m(this.f1929a.m4229c()) - this.f1929a.m4229c();
        if (m > 0) {
            m -= m3945c(m, cuVar, daVar);
            if (z && m > 0) {
                this.f1929a.m4226a(-m);
            }
        }
    }

    private void m3903b(View view, int i, int i2) {
        m3578a(view, this.f1949x);
        dm dmVar = (dm) view.getLayoutParams();
        view.measure(m3885a(i, dmVar.leftMargin + this.f1949x.left, dmVar.rightMargin + this.f1949x.right), m3885a(i2, dmVar.topMargin + this.f1949x.top, dmVar.bottomMargin + this.f1949x.bottom));
    }

    private void m3904b(View view, int i, int i2, int i3, int i4) {
        dm dmVar = (dm) view.getLayoutParams();
        m3576a(view, i + dmVar.leftMargin, i2 + dmVar.topMargin, i3 - dmVar.rightMargin, i4 - dmVar.bottomMargin);
    }

    private void m3905c(int i, int i2) {
        for (int i3 = 0; i3 < this.f1935g; i3++) {
            if (!this.f1936k[i3].f2293f.isEmpty()) {
                m3895a(this.f1936k[i3], i, i2);
            }
        }
    }

    private boolean m3906c(da daVar, dl dlVar) {
        dlVar.f2281a = this.f1943r ? m3920s(daVar.m4427e()) : m3919r(daVar.m4427e());
        dlVar.f2282b = Integer.MIN_VALUE;
        return true;
    }

    private int m3907h(da daVar) {
        boolean z = false;
        if (m3648q() == 0) {
            return 0;
        }
        m3881C();
        bw bwVar = this.f1929a;
        View a = m3926a(!this.f1927A, true);
        if (!this.f1927A) {
            z = true;
        }
        return dg.m4490a(daVar, bwVar, a, m3942b(z, true), this, this.f1927A);
    }

    private int m3908i(da daVar) {
        boolean z = false;
        if (m3648q() == 0) {
            return 0;
        }
        m3881C();
        bw bwVar = this.f1929a;
        View a = m3926a(!this.f1927A, true);
        if (!this.f1927A) {
            z = true;
        }
        return dg.m4492b(daVar, bwVar, a, m3942b(z, true), this, this.f1927A);
    }

    private FullSpanItem m3909j(int i) {
        FullSpanItem fullSpanItem = new FullSpanItem();
        fullSpanItem.f1913c = new int[this.f1935g];
        for (int i2 = 0; i2 < this.f1935g; i2++) {
            fullSpanItem.f1913c[i2] = i - this.f1936k[i2].m4512b(i);
        }
        return fullSpanItem;
    }

    private FullSpanItem m3910k(int i) {
        FullSpanItem fullSpanItem = new FullSpanItem();
        fullSpanItem.f1913c = new int[this.f1935g];
        for (int i2 = 0; i2 < this.f1935g; i2++) {
            fullSpanItem.f1913c[i2] = this.f1936k[i2].m4507a(i) - i;
        }
        return fullSpanItem;
    }

    private int m3911l(int i) {
        int a = this.f1936k[0].m4507a(i);
        for (int i2 = 1; i2 < this.f1935g; i2++) {
            int a2 = this.f1936k[i2].m4507a(i);
            if (a2 > a) {
                a = a2;
            }
        }
        return a;
    }

    private int m3912m(int i) {
        int a = this.f1936k[0].m4507a(i);
        for (int i2 = 1; i2 < this.f1935g; i2++) {
            int a2 = this.f1936k[i2].m4507a(i);
            if (a2 < a) {
                a = a2;
            }
        }
        return a;
    }

    private int m3913n(int i) {
        int b = this.f1936k[0].m4512b(i);
        for (int i2 = 1; i2 < this.f1935g; i2++) {
            int b2 = this.f1936k[i2].m4512b(i);
            if (b2 > b) {
                b = b2;
            }
        }
        return b;
    }

    private int m3914o(int i) {
        int b = this.f1936k[0].m4512b(i);
        for (int i2 = 1; i2 < this.f1935g; i2++) {
            int b2 = this.f1936k[i2].m4512b(i);
            if (b2 < b) {
                b = b2;
            }
        }
        return b;
    }

    private void m3915o(View view) {
        for (int i = this.f1935g - 1; i >= 0; i--) {
            this.f1936k[i].m4513b(view);
        }
    }

    private void m3916p(View view) {
        for (int i = this.f1935g - 1; i >= 0; i--) {
            this.f1936k[i].m4509a(view);
        }
    }

    private boolean m3917p(int i) {
        if (this.f1937l == 0) {
            return (i == -1) != this.f1931c;
        } else {
            return ((i == -1) == this.f1931c) == m3957f();
        }
    }

    private int m3918q(int i) {
        int i2 = -1;
        if (m3648q() == 0) {
            return this.f1931c ? 1 : -1;
        } else {
            if ((i < m3884F()) == this.f1931c) {
                i2 = 1;
            }
            return i2;
        }
    }

    private int m3919r(int i) {
        int q = m3648q();
        for (int i2 = 0; i2 < q; i2++) {
            int d = m3616d(m3628f(i2));
            if (d >= 0 && d < i) {
                return d;
            }
        }
        return 0;
    }

    private int m3920s(int i) {
        for (int q = m3648q() - 1; q >= 0; q--) {
            int d = m3616d(m3628f(q));
            if (d >= 0 && d < i) {
                return d;
            }
        }
        return 0;
    }

    boolean m3921A() {
        int a = this.f1936k[0].m4507a(Integer.MIN_VALUE);
        for (int i = 1; i < this.f1935g; i++) {
            if (this.f1936k[i].m4507a(Integer.MIN_VALUE) != a) {
                return false;
            }
        }
        return true;
    }

    public int m3922a(int i, cu cuVar, da daVar) {
        return m3945c(i, cuVar, daVar);
    }

    public cp m3923a() {
        return new dm(-2, -2);
    }

    public cp m3924a(Context context, AttributeSet attributeSet) {
        return new dm(context, attributeSet);
    }

    public cp m3925a(LayoutParams layoutParams) {
        return layoutParams instanceof MarginLayoutParams ? new dm((MarginLayoutParams) layoutParams) : new dm(layoutParams);
    }

    View m3926a(boolean z, boolean z2) {
        m3881C();
        int c = this.f1929a.m4229c();
        int d = this.f1929a.m4231d();
        int q = m3648q();
        View view = null;
        for (int i = 0; i < q; i++) {
            View f = m3628f(i);
            int a = this.f1929a.m4224a(f);
            if (this.f1929a.m4228b(f) > c && a < d) {
                if (a >= c || !z) {
                    return f;
                }
                if (z2 && view == null) {
                    view = f;
                }
            }
        }
        return view;
    }

    public void m3927a(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            this.f1945t = (SavedState) parcelable;
            m3639k();
        }
    }

    public void m3928a(RecyclerView recyclerView, int i, int i2) {
        m3900b(i, i2, 0);
    }

    public void m3929a(RecyclerView recyclerView, int i, int i2, int i3) {
        m3900b(i, i2, 3);
    }

    public void m3930a(RecyclerView recyclerView, int i, int i2, Object obj) {
        m3900b(i, i2, 2);
    }

    public void m3931a(RecyclerView recyclerView, cu cuVar) {
        m3604b(this.f1928B);
        for (int i = 0; i < this.f1935g; i++) {
            this.f1936k[i].m4519e();
        }
    }

    public void m3932a(cu cuVar, da daVar) {
        boolean z = false;
        m3881C();
        dl dlVar = this.f1950y;
        dlVar.m4498a();
        if (!(this.f1945t == null && this.f1932d == -1) && daVar.m4427e() == 0) {
            m3610c(cuVar);
            return;
        }
        if (this.f1945t != null) {
            m3894a(dlVar);
        } else {
            m3882D();
            dlVar.f2283c = this.f1931c;
        }
        m3934a(daVar, dlVar);
        if (this.f1945t == null && !(dlVar.f2283c == this.f1943r && m3957f() == this.f1944s)) {
            this.f1934f.m3868a();
            dlVar.f2284d = true;
        }
        if (m3648q() > 0 && (this.f1945t == null || this.f1945t.f1919c < 1)) {
            int i;
            if (dlVar.f2284d) {
                for (i = 0; i < this.f1935g; i++) {
                    this.f1936k[i].m4519e();
                    if (dlVar.f2282b != Integer.MIN_VALUE) {
                        this.f1936k[i].m4516c(dlVar.f2282b);
                    }
                }
            } else {
                for (i = 0; i < this.f1935g; i++) {
                    this.f1936k[i].m4510a(this.f1931c, dlVar.f2282b);
                }
            }
        }
        m3567a(cuVar);
        this.f1951z = false;
        m3959g();
        m3890a(dlVar.f2281a, daVar);
        if (dlVar.f2283c) {
            m3889a(-1);
            m3886a(cuVar, this.f1939n, daVar);
            m3889a(1);
            this.f1939n.f2149b = dlVar.f2281a + this.f1939n.f2150c;
            m3886a(cuVar, this.f1939n, daVar);
        } else {
            m3889a(1);
            m3886a(cuVar, this.f1939n, daVar);
            m3889a(-1);
            this.f1939n.f2149b = dlVar.f2281a + this.f1939n.f2150c;
            m3886a(cuVar, this.f1939n, daVar);
        }
        if (m3648q() > 0) {
            if (this.f1931c) {
                m3893a(cuVar, daVar, true);
                m3902b(cuVar, daVar, false);
            } else {
                m3902b(cuVar, daVar, true);
                m3893a(cuVar, daVar, false);
            }
        }
        if (!daVar.m4422a()) {
            if (this.f1942q != 0 && m3648q() > 0 && (this.f1951z || m3954e() != null)) {
                z = true;
            }
            if (z) {
                m3604b(this.f1928B);
                m3582a(this.f1928B);
            }
            this.f1932d = -1;
            this.f1933e = Integer.MIN_VALUE;
        }
        this.f1943r = dlVar.f2283c;
        this.f1944s = m3957f();
        this.f1945t = null;
    }

    public void m3933a(cu cuVar, da daVar, View view, C0179g c0179g) {
        LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams instanceof dm) {
            dm dmVar = (dm) layoutParams;
            if (this.f1937l == 0) {
                c0179g.m1091c(C0191s.m1260a(dmVar.m4501d(), dmVar.f2287f ? this.f1935g : 1, -1, -1, dmVar.f2287f, false));
                return;
            } else {
                c0179g.m1091c(C0191s.m1260a(-1, -1, dmVar.m4501d(), dmVar.f2287f ? this.f1935g : 1, dmVar.f2287f, false));
                return;
            }
        }
        super.m3579a(view, c0179g);
    }

    void m3934a(da daVar, dl dlVar) {
        if (!m3944b(daVar, dlVar) && !m3906c(daVar, dlVar)) {
            dlVar.m4500b();
            dlVar.f2281a = 0;
        }
    }

    public void m3935a(AccessibilityEvent accessibilityEvent) {
        super.m3581a(accessibilityEvent);
        if (m3648q() > 0) {
            al a = C0172a.m1000a(accessibilityEvent);
            View a2 = m3926a(false, true);
            View b = m3942b(false, true);
            if (a2 != null && b != null) {
                int d = m3616d(a2);
                int d2 = m3616d(b);
                if (d < d2) {
                    a.m1025b(d);
                    a.m1026c(d2);
                    return;
                }
                a.m1025b(d2);
                a.m1026c(d);
            }
        }
    }

    public void m3936a(String str) {
        if (this.f1945t == null) {
            super.m3583a(str);
        }
    }

    public void m3937a(boolean z) {
        m3936a(null);
        if (!(this.f1945t == null || this.f1945t.f1924h == z)) {
            this.f1945t.f1924h = z;
        }
        this.f1940o = z;
        m3639k();
    }

    public boolean m3938a(cp cpVar) {
        return cpVar instanceof dm;
    }

    public int m3939b(int i, cu cuVar, da daVar) {
        return m3945c(i, cuVar, daVar);
    }

    public int m3940b(da daVar) {
        return m3887a(daVar);
    }

    public Parcelable m3941b() {
        if (this.f1945t != null) {
            return new SavedState(this.f1945t);
        }
        SavedState savedState = new SavedState();
        savedState.f1924h = this.f1940o;
        savedState.f1925i = this.f1943r;
        savedState.f1926j = this.f1944s;
        if (this.f1934f == null || this.f1934f.f1915a == null) {
            savedState.f1921e = 0;
        } else {
            savedState.f1922f = this.f1934f.f1915a;
            savedState.f1921e = savedState.f1922f.length;
            savedState.f1923g = this.f1934f.f1916b;
        }
        if (m3648q() > 0) {
            m3881C();
            savedState.f1917a = this.f1943r ? m3883E() : m3884F();
            savedState.f1918b = m3961h();
            savedState.f1919c = this.f1935g;
            savedState.f1920d = new int[this.f1935g];
            for (int i = 0; i < this.f1935g; i++) {
                int b;
                if (this.f1943r) {
                    b = this.f1936k[i].m4512b(Integer.MIN_VALUE);
                    if (b != Integer.MIN_VALUE) {
                        b -= this.f1929a.m4231d();
                    }
                } else {
                    b = this.f1936k[i].m4507a(Integer.MIN_VALUE);
                    if (b != Integer.MIN_VALUE) {
                        b -= this.f1929a.m4229c();
                    }
                }
                savedState.f1920d[i] = b;
            }
        } else {
            savedState.f1917a = -1;
            savedState.f1918b = -1;
            savedState.f1919c = 0;
        }
        return savedState;
    }

    View m3942b(boolean z, boolean z2) {
        m3881C();
        int c = this.f1929a.m4229c();
        int d = this.f1929a.m4231d();
        View view = null;
        for (int q = m3648q() - 1; q >= 0; q--) {
            View f = m3628f(q);
            int a = this.f1929a.m4224a(f);
            int b = this.f1929a.m4228b(f);
            if (b > c && a < d) {
                if (b <= d || !z) {
                    return f;
                }
                if (z2 && view == null) {
                    view = f;
                }
            }
        }
        return view;
    }

    public void m3943b(RecyclerView recyclerView, int i, int i2) {
        m3900b(i, i2, 1);
    }

    boolean m3944b(da daVar, dl dlVar) {
        boolean z = false;
        if (daVar.m4422a() || this.f1932d == -1) {
            return false;
        }
        if (this.f1932d < 0 || this.f1932d >= daVar.m4427e()) {
            this.f1932d = -1;
            this.f1933e = Integer.MIN_VALUE;
            return false;
        } else if (this.f1945t == null || this.f1945t.f1917a == -1 || this.f1945t.f1919c < 1) {
            View b = m3597b(this.f1932d);
            if (b != null) {
                dlVar.f2281a = this.f1931c ? m3883E() : m3884F();
                if (this.f1933e != Integer.MIN_VALUE) {
                    if (dlVar.f2283c) {
                        dlVar.f2282b = (this.f1929a.m4231d() - this.f1933e) - this.f1929a.m4228b(b);
                        return true;
                    }
                    dlVar.f2282b = (this.f1929a.m4229c() + this.f1933e) - this.f1929a.m4224a(b);
                    return true;
                } else if (this.f1929a.m4230c(b) > this.f1929a.m4234f()) {
                    dlVar.f2282b = dlVar.f2283c ? this.f1929a.m4231d() : this.f1929a.m4229c();
                    return true;
                } else {
                    int a = this.f1929a.m4224a(b) - this.f1929a.m4229c();
                    if (a < 0) {
                        dlVar.f2282b = -a;
                        return true;
                    }
                    a = this.f1929a.m4231d() - this.f1929a.m4228b(b);
                    if (a < 0) {
                        dlVar.f2282b = a;
                        return true;
                    }
                    dlVar.f2282b = Integer.MIN_VALUE;
                    return true;
                }
            }
            dlVar.f2281a = this.f1932d;
            if (this.f1933e == Integer.MIN_VALUE) {
                if (m3918q(dlVar.f2281a) == 1) {
                    z = true;
                }
                dlVar.f2283c = z;
                dlVar.m4500b();
            } else {
                dlVar.m4499a(this.f1933e);
            }
            dlVar.f2284d = true;
            return true;
        } else {
            dlVar.f2282b = Integer.MIN_VALUE;
            dlVar.f2281a = this.f1932d;
            return true;
        }
    }

    int m3945c(int i, cu cuVar, da daVar) {
        int i2;
        int E;
        m3881C();
        if (i > 0) {
            i2 = 1;
            E = m3883E();
        } else {
            i2 = -1;
            E = m3884F();
        }
        m3890a(E, daVar);
        m3889a(i2);
        this.f1939n.f2149b = E + this.f1939n.f2150c;
        E = Math.abs(i);
        this.f1939n.f2148a = E;
        i2 = m3886a(cuVar, this.f1939n, daVar);
        if (E >= i2) {
            i = i < 0 ? -i2 : i2;
        }
        this.f1929a.m4226a(-i);
        this.f1943r = this.f1931c;
        return i;
    }

    public int m3946c(cu cuVar, da daVar) {
        return this.f1937l == 0 ? this.f1935g : super.m3605c(cuVar, daVar);
    }

    public int m3947c(da daVar) {
        return m3887a(daVar);
    }

    public void m3948c(int i) {
        if (!(this.f1945t == null || this.f1945t.f1917a == i)) {
            this.f1945t.m3879b();
        }
        this.f1932d = i;
        this.f1933e = Integer.MIN_VALUE;
        m3639k();
    }

    public boolean m3949c() {
        return this.f1937l == 0;
    }

    public int m3950d(cu cuVar, da daVar) {
        return this.f1937l == 1 ? this.f1935g : super.m3614d(cuVar, daVar);
    }

    public int m3951d(da daVar) {
        return m3907h(daVar);
    }

    public boolean m3952d() {
        return this.f1937l == 1;
    }

    public int m3953e(da daVar) {
        return m3907h(daVar);
    }

    View m3954e() {
        int i;
        int q = m3648q() - 1;
        BitSet bitSet = new BitSet(this.f1935g);
        bitSet.set(0, this.f1935g, true);
        boolean z = (this.f1937l == 1 && m3957f()) ? true : true;
        if (this.f1931c) {
            i = -1;
        } else {
            i = q + 1;
            q = 0;
        }
        int i2 = q < i ? 1 : -1;
        int i3 = q;
        while (i3 != i) {
            View f = m3628f(i3);
            dm dmVar = (dm) f.getLayoutParams();
            if (bitSet.get(dmVar.f2286e.f2291d)) {
                if (m3898a(dmVar.f2286e)) {
                    return f;
                }
                bitSet.clear(dmVar.f2286e.f2291d);
            }
            if (!(dmVar.f2287f || i3 + i2 == i)) {
                boolean z2;
                View f2 = m3628f(i3 + i2);
                int b;
                if (this.f1931c) {
                    q = this.f1929a.m4228b(f);
                    b = this.f1929a.m4228b(f2);
                    if (q < b) {
                        return f;
                    }
                    if (q == b) {
                        z2 = true;
                    }
                    z2 = false;
                } else {
                    q = this.f1929a.m4224a(f);
                    b = this.f1929a.m4224a(f2);
                    if (q > b) {
                        return f;
                    }
                    if (q == b) {
                        z2 = true;
                    }
                    z2 = false;
                }
                if (z2) {
                    if ((dmVar.f2286e.f2291d - ((dm) f2.getLayoutParams()).f2286e.f2291d < 0) != (z >= false)) {
                        return f;
                    }
                } else {
                    continue;
                }
            }
            i3 += i2;
        }
        return null;
    }

    public void m3955e(RecyclerView recyclerView) {
        this.f1934f.m3868a();
        m3639k();
    }

    public int m3956f(da daVar) {
        return m3908i(daVar);
    }

    boolean m3957f() {
        return m3646o() == 1;
    }

    public int m3958g(da daVar) {
        return m3908i(daVar);
    }

    void m3959g() {
        this.f1938m = this.f1930b.m4234f() / this.f1935g;
        this.f1946u = MeasureSpec.makeMeasureSpec(this.f1930b.m4234f(), 1073741824);
        if (this.f1937l == 1) {
            this.f1947v = MeasureSpec.makeMeasureSpec(this.f1938m, 1073741824);
            this.f1948w = MeasureSpec.makeMeasureSpec(0, 0);
            return;
        }
        this.f1948w = MeasureSpec.makeMeasureSpec(this.f1938m, 1073741824);
        this.f1947v = MeasureSpec.makeMeasureSpec(0, 0);
    }

    public void m3960g(int i) {
        super.m3631g(i);
        for (int i2 = 0; i2 < this.f1935g; i2++) {
            this.f1936k[i2].m4518d(i);
        }
    }

    int m3961h() {
        View b = this.f1931c ? m3942b(true, true) : m3926a(true, true);
        return b == null ? -1 : m3616d(b);
    }

    public void m3962h(int i) {
        super.m3633h(i);
        for (int i2 = 0; i2 < this.f1935g; i2++) {
            this.f1936k[i2].m4518d(i);
        }
    }

    public void m3963i(int i) {
        if (i == 0) {
            m3880B();
        }
    }

    boolean m3964i() {
        int b = this.f1936k[0].m4512b(Integer.MIN_VALUE);
        for (int i = 1; i < this.f1935g; i++) {
            if (this.f1936k[i].m4512b(Integer.MIN_VALUE) != b) {
                return false;
            }
        }
        return true;
    }

    public boolean m3965j() {
        return this.f1945t == null;
    }
}
