package android.support.v7.widget;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.Region.Op;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.support.v4.p010c.p011a.C0094a;
import android.support.v4.view.ba;
import android.support.v4.view.bw;
import android.support.v7.internal.p025b.C0315a;
import android.support.v7.internal.widget.C0375x;
import android.support.v7.internal.widget.an;
import android.support.v7.internal.widget.ap;
import android.support.v7.internal.widget.av;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0264l;
import android.text.Layout;
import android.text.Layout.Alignment;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.ViewConfiguration;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import com.neatorobotics.android.C0729b;

public class SwitchCompat extends CompoundButton {
    private static final int[] f1952F;
    private Layout f1953A;
    private TransformationMethod f1954B;
    private dt f1955C;
    private final Rect f1956D;
    private final an f1957E;
    private Drawable f1958a;
    private Drawable f1959b;
    private int f1960c;
    private int f1961d;
    private int f1962e;
    private boolean f1963f;
    private CharSequence f1964g;
    private CharSequence f1965h;
    private boolean f1966i;
    private int f1967j;
    private int f1968k;
    private float f1969l;
    private float f1970m;
    private VelocityTracker f1971n;
    private int f1972o;
    private float f1973p;
    private int f1974q;
    private int f1975r;
    private int f1976s;
    private int f1977t;
    private int f1978u;
    private int f1979v;
    private int f1980w;
    private TextPaint f1981x;
    private ColorStateList f1982y;
    private Layout f1983z;

    static {
        f1952F = new int[]{16842912};
    }

    public SwitchCompat(Context context) {
        this(context, null);
    }

    public SwitchCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0254b.switchStyle);
    }

    public SwitchCompat(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1971n = VelocityTracker.obtain();
        this.f1956D = new Rect();
        this.f1981x = new TextPaint(1);
        Resources resources = getResources();
        this.f1981x.density = resources.getDisplayMetrics().density;
        ap a = ap.m3341a(context, attributeSet, C0264l.SwitchCompat, i, 0);
        this.f1958a = a.m3345a(C0264l.SwitchCompat_android_thumb);
        if (this.f1958a != null) {
            this.f1958a.setCallback(this);
        }
        this.f1959b = a.m3345a(C0264l.SwitchCompat_track);
        if (this.f1959b != null) {
            this.f1959b.setCallback(this);
        }
        this.f1964g = a.m3352c(C0264l.SwitchCompat_android_textOn);
        this.f1965h = a.m3352c(C0264l.SwitchCompat_android_textOff);
        this.f1966i = a.m3346a(C0264l.SwitchCompat_showText, true);
        this.f1960c = a.m3355e(C0264l.SwitchCompat_thumbTextPadding, 0);
        this.f1961d = a.m3355e(C0264l.SwitchCompat_switchMinWidth, 0);
        this.f1962e = a.m3355e(C0264l.SwitchCompat_switchPadding, 0);
        this.f1963f = a.m3346a(C0264l.SwitchCompat_splitTrack, false);
        int g = a.m3358g(C0264l.SwitchCompat_switchTextAppearance, 0);
        if (g != 0) {
            m3975a(context, g);
        }
        this.f1957E = a.m3351c();
        a.m3349b();
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.f1968k = viewConfiguration.getScaledTouchSlop();
        this.f1972o = viewConfiguration.getScaledMinimumFlingVelocity();
        refreshDrawableState();
        setChecked(isChecked());
    }

    private static float m3966a(float f, float f2, float f3) {
        return f < f2 ? f2 : f > f3 ? f3 : f;
    }

    private Layout m3967a(CharSequence charSequence) {
        CharSequence transformation = this.f1954B != null ? this.f1954B.getTransformation(charSequence, this) : charSequence;
        return new StaticLayout(transformation, this.f1981x, transformation != null ? (int) Math.ceil((double) Layout.getDesiredWidth(transformation, this.f1981x)) : 0, Alignment.ALIGN_NORMAL, 1.0f, 0.0f, true);
    }

    private void m3968a() {
        if (this.f1955C != null) {
            clearAnimation();
            this.f1955C = null;
        }
    }

    private void m3969a(int i, int i2) {
        Typeface typeface = null;
        switch (i) {
            case C0729b.View_android_focusable /*1*/:
                typeface = Typeface.SANS_SERIF;
                break;
            case C0729b.View_paddingStart /*2*/:
                typeface = Typeface.SERIF;
                break;
            case C0729b.View_paddingEnd /*3*/:
                typeface = Typeface.MONOSPACE;
                break;
        }
        m3976a(typeface, i2);
    }

    private void m3971a(MotionEvent motionEvent) {
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.setAction(3);
        super.onTouchEvent(obtain);
        obtain.recycle();
    }

    private void m3972a(boolean z) {
        this.f1955C = new dt(this.f1973p, z ? 1.0f : 0.0f, null);
        this.f1955C.setDuration(250);
        startAnimation(this.f1955C);
    }

    private boolean m3973a(float f, float f2) {
        if (this.f1958a == null) {
            return false;
        }
        int thumbOffset = getThumbOffset();
        this.f1958a.getPadding(this.f1956D);
        thumbOffset = (thumbOffset + this.f1977t) - this.f1968k;
        return f > ((float) thumbOffset) && f < ((float) ((((this.f1976s + thumbOffset) + this.f1956D.left) + this.f1956D.right) + this.f1968k)) && f2 > ((float) (this.f1978u - this.f1968k)) && f2 < ((float) (this.f1980w + this.f1968k));
    }

    private void m3974b(MotionEvent motionEvent) {
        boolean z = true;
        this.f1967j = 0;
        boolean z2 = motionEvent.getAction() == 1 && isEnabled();
        boolean isChecked = isChecked();
        if (z2) {
            this.f1971n.computeCurrentVelocity(1000);
            float xVelocity = this.f1971n.getXVelocity();
            if (Math.abs(xVelocity) <= ((float) this.f1972o)) {
                z = getTargetCheckedState();
            } else if (av.m3442a(this)) {
                if (xVelocity >= 0.0f) {
                    z = false;
                }
            } else if (xVelocity <= 0.0f) {
                z = false;
            }
        } else {
            z = isChecked;
        }
        if (z != isChecked) {
            playSoundEffect(0);
            setChecked(z);
        }
        m3971a(motionEvent);
    }

    private boolean getTargetCheckedState() {
        return this.f1973p > 0.5f;
    }

    private int getThumbOffset() {
        return (int) (((av.m3442a(this) ? 1.0f - this.f1973p : this.f1973p) * ((float) getThumbScrollRange())) + 0.5f);
    }

    private int getThumbScrollRange() {
        if (this.f1959b == null) {
            return 0;
        }
        Rect rect = this.f1956D;
        this.f1959b.getPadding(rect);
        Rect a = this.f1958a != null ? C0375x.m3484a(this.f1958a) : C0375x.f1759a;
        return ((((this.f1974q - this.f1976s) - rect.left) - rect.right) - a.left) - a.right;
    }

    private void setThumbPosition(float f) {
        this.f1973p = f;
        invalidate();
    }

    public void m3975a(Context context, int i) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(i, C0264l.TextAppearance);
        ColorStateList colorStateList = obtainStyledAttributes.getColorStateList(C0264l.TextAppearance_android_textColor);
        if (colorStateList != null) {
            this.f1982y = colorStateList;
        } else {
            this.f1982y = getTextColors();
        }
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(C0264l.TextAppearance_android_textSize, 0);
        if (!(dimensionPixelSize == 0 || ((float) dimensionPixelSize) == this.f1981x.getTextSize())) {
            this.f1981x.setTextSize((float) dimensionPixelSize);
            requestLayout();
        }
        m3969a(obtainStyledAttributes.getInt(C0264l.TextAppearance_android_typeface, -1), obtainStyledAttributes.getInt(C0264l.TextAppearance_android_textStyle, -1));
        if (obtainStyledAttributes.getBoolean(C0264l.TextAppearance_textAllCaps, false)) {
            this.f1954B = new C0315a(getContext());
        } else {
            this.f1954B = null;
        }
        obtainStyledAttributes.recycle();
    }

    public void m3976a(Typeface typeface, int i) {
        boolean z = false;
        if (i > 0) {
            Typeface defaultFromStyle = typeface == null ? Typeface.defaultFromStyle(i) : Typeface.create(typeface, i);
            setSwitchTypeface(defaultFromStyle);
            int style = ((defaultFromStyle != null ? defaultFromStyle.getStyle() : 0) ^ -1) & i;
            TextPaint textPaint = this.f1981x;
            if ((style & 1) != 0) {
                z = true;
            }
            textPaint.setFakeBoldText(z);
            this.f1981x.setTextSkewX((style & 2) != 0 ? -0.25f : 0.0f);
            return;
        }
        this.f1981x.setFakeBoldText(false);
        this.f1981x.setTextSkewX(0.0f);
        setSwitchTypeface(typeface);
    }

    public void draw(Canvas canvas) {
        int i;
        Rect rect = this.f1956D;
        int i2 = this.f1977t;
        int i3 = this.f1978u;
        int i4 = this.f1979v;
        int i5 = this.f1980w;
        int thumbOffset = i2 + getThumbOffset();
        Rect a = this.f1958a != null ? C0375x.m3484a(this.f1958a) : C0375x.f1759a;
        if (this.f1959b != null) {
            this.f1959b.getPadding(rect);
            int i6 = rect.left + thumbOffset;
            if (a == null || a.isEmpty()) {
                i = i5;
                thumbOffset = i3;
            } else {
                if (a.left > rect.left) {
                    i2 += a.left - rect.left;
                }
                thumbOffset = a.top > rect.top ? (a.top - rect.top) + i3 : i3;
                if (a.right > rect.right) {
                    i4 -= a.right - rect.right;
                }
                i = a.bottom > rect.bottom ? i5 - (a.bottom - rect.bottom) : i5;
            }
            this.f1959b.setBounds(i2, thumbOffset, i4, i);
            i = i6;
        } else {
            i = thumbOffset;
        }
        if (this.f1958a != null) {
            this.f1958a.getPadding(rect);
            i2 = i - rect.left;
            i = (i + this.f1976s) + rect.right;
            this.f1958a.setBounds(i2, i3, i, i5);
            Drawable background = getBackground();
            if (background != null) {
                C0094a.m742a(background, i2, i3, i, i5);
            }
        }
        super.draw(canvas);
    }

    public void drawableHotspotChanged(float f, float f2) {
        if (VERSION.SDK_INT >= 21) {
            super.drawableHotspotChanged(f, f2);
        }
        if (this.f1958a != null) {
            C0094a.m740a(this.f1958a, f, f2);
        }
        if (this.f1959b != null) {
            C0094a.m740a(this.f1959b, f, f2);
        }
    }

    protected void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        if (this.f1958a != null) {
            this.f1958a.setState(drawableState);
        }
        if (this.f1959b != null) {
            this.f1959b.setState(drawableState);
        }
        invalidate();
    }

    public int getCompoundPaddingLeft() {
        if (!av.m3442a(this)) {
            return super.getCompoundPaddingLeft();
        }
        int compoundPaddingLeft = super.getCompoundPaddingLeft() + this.f1974q;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingLeft + this.f1962e : compoundPaddingLeft;
    }

    public int getCompoundPaddingRight() {
        if (av.m3442a(this)) {
            return super.getCompoundPaddingRight();
        }
        int compoundPaddingRight = super.getCompoundPaddingRight() + this.f1974q;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingRight + this.f1962e : compoundPaddingRight;
    }

    public boolean getShowText() {
        return this.f1966i;
    }

    public boolean getSplitTrack() {
        return this.f1963f;
    }

    public int getSwitchMinWidth() {
        return this.f1961d;
    }

    public int getSwitchPadding() {
        return this.f1962e;
    }

    public CharSequence getTextOff() {
        return this.f1965h;
    }

    public CharSequence getTextOn() {
        return this.f1964g;
    }

    public Drawable getThumbDrawable() {
        return this.f1958a;
    }

    public int getThumbTextPadding() {
        return this.f1960c;
    }

    public Drawable getTrackDrawable() {
        return this.f1959b;
    }

    public void jumpDrawablesToCurrentState() {
        if (VERSION.SDK_INT >= 11) {
            super.jumpDrawablesToCurrentState();
            if (this.f1958a != null) {
                this.f1958a.jumpToCurrentState();
            }
            if (this.f1959b != null) {
                this.f1959b.jumpToCurrentState();
            }
            if (this.f1955C != null && !this.f1955C.hasEnded()) {
                clearAnimation();
                setThumbPosition(this.f1955C.f2315b);
                this.f1955C = null;
            }
        }
    }

    protected int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 1);
        if (isChecked()) {
            mergeDrawableStates(onCreateDrawableState, f1952F);
        }
        return onCreateDrawableState;
    }

    protected void onDraw(Canvas canvas) {
        int save;
        super.onDraw(canvas);
        Rect rect = this.f1956D;
        Drawable drawable = this.f1959b;
        if (drawable != null) {
            drawable.getPadding(rect);
        } else {
            rect.setEmpty();
        }
        int i = this.f1978u + rect.top;
        int i2 = this.f1980w - rect.bottom;
        Drawable drawable2 = this.f1958a;
        if (drawable != null) {
            if (!this.f1963f || drawable2 == null) {
                drawable.draw(canvas);
            } else {
                Rect a = C0375x.m3484a(drawable2);
                drawable2.copyBounds(rect);
                rect.left += a.left;
                rect.right -= a.right;
                save = canvas.save();
                canvas.clipRect(rect, Op.DIFFERENCE);
                drawable.draw(canvas);
                canvas.restoreToCount(save);
            }
        }
        save = canvas.save();
        if (drawable2 != null) {
            drawable2.draw(canvas);
        }
        Layout layout = getTargetCheckedState() ? this.f1983z : this.f1953A;
        if (layout != null) {
            int i3;
            int[] drawableState = getDrawableState();
            if (this.f1982y != null) {
                this.f1981x.setColor(this.f1982y.getColorForState(drawableState, 0));
            }
            this.f1981x.drawableState = drawableState;
            if (drawable2 != null) {
                rect = drawable2.getBounds();
                i3 = rect.right + rect.left;
            } else {
                i3 = getWidth();
            }
            canvas.translate((float) ((i3 / 2) - (layout.getWidth() / 2)), (float) (((i + i2) / 2) - (layout.getHeight() / 2)));
            layout.draw(canvas);
        }
        canvas.restoreToCount(save);
    }

    @TargetApi(14)
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName("android.widget.Switch");
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        if (VERSION.SDK_INT >= 14) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            accessibilityNodeInfo.setClassName("android.widget.Switch");
            CharSequence charSequence = isChecked() ? this.f1964g : this.f1965h;
            if (!TextUtils.isEmpty(charSequence)) {
                CharSequence text = accessibilityNodeInfo.getText();
                if (TextUtils.isEmpty(text)) {
                    accessibilityNodeInfo.setText(charSequence);
                    return;
                }
                CharSequence stringBuilder = new StringBuilder();
                stringBuilder.append(text).append(' ').append(charSequence);
                accessibilityNodeInfo.setText(stringBuilder);
            }
        }
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int max;
        int paddingLeft;
        int paddingTop;
        int i5 = 0;
        super.onLayout(z, i, i2, i3, i4);
        if (this.f1958a != null) {
            Rect rect = this.f1956D;
            if (this.f1959b != null) {
                this.f1959b.getPadding(rect);
            } else {
                rect.setEmpty();
            }
            Rect a = C0375x.m3484a(this.f1958a);
            max = Math.max(0, a.left - rect.left);
            i5 = Math.max(0, a.right - rect.right);
        } else {
            max = 0;
        }
        if (av.m3442a(this)) {
            paddingLeft = getPaddingLeft() + max;
            max = ((this.f1974q + paddingLeft) - max) - i5;
            i5 = paddingLeft;
        } else {
            paddingLeft = (getWidth() - getPaddingRight()) - i5;
            i5 += max + (paddingLeft - this.f1974q);
            max = paddingLeft;
        }
        switch (getGravity() & 112) {
            case C0729b.Toolbar_titleMarginBottom /*16*/:
                paddingTop = (((getPaddingTop() + getHeight()) - getPaddingBottom()) / 2) - (this.f1975r / 2);
                paddingLeft = this.f1975r + paddingTop;
                break;
            case C0729b.Theme_listChoiceBackgroundIndicator /*80*/:
                paddingLeft = getHeight() - getPaddingBottom();
                paddingTop = paddingLeft - this.f1975r;
                break;
            default:
                paddingTop = getPaddingTop();
                paddingLeft = this.f1975r + paddingTop;
                break;
        }
        this.f1977t = i5;
        this.f1978u = paddingTop;
        this.f1980w = paddingLeft;
        this.f1979v = max;
    }

    public void onMeasure(int i, int i2) {
        int intrinsicWidth;
        int intrinsicHeight;
        int i3 = 0;
        if (this.f1966i) {
            if (this.f1983z == null) {
                this.f1983z = m3967a(this.f1964g);
            }
            if (this.f1953A == null) {
                this.f1953A = m3967a(this.f1965h);
            }
        }
        Rect rect = this.f1956D;
        if (this.f1958a != null) {
            this.f1958a.getPadding(rect);
            intrinsicWidth = (this.f1958a.getIntrinsicWidth() - rect.left) - rect.right;
            intrinsicHeight = this.f1958a.getIntrinsicHeight();
        } else {
            intrinsicHeight = 0;
            intrinsicWidth = 0;
        }
        this.f1976s = Math.max(this.f1966i ? Math.max(this.f1983z.getWidth(), this.f1953A.getWidth()) + (this.f1960c * 2) : 0, intrinsicWidth);
        if (this.f1959b != null) {
            this.f1959b.getPadding(rect);
            i3 = this.f1959b.getIntrinsicHeight();
        } else {
            rect.setEmpty();
        }
        int i4 = rect.left;
        intrinsicWidth = rect.right;
        if (this.f1958a != null) {
            rect = C0375x.m3484a(this.f1958a);
            i4 = Math.max(i4, rect.left);
            intrinsicWidth = Math.max(intrinsicWidth, rect.right);
        }
        intrinsicWidth = Math.max(this.f1961d, intrinsicWidth + (i4 + (this.f1976s * 2)));
        intrinsicHeight = Math.max(i3, intrinsicHeight);
        this.f1974q = intrinsicWidth;
        this.f1975r = intrinsicHeight;
        super.onMeasure(i, i2);
        if (getMeasuredHeight() < intrinsicHeight) {
            setMeasuredDimension(bw.m1527k(this), intrinsicHeight);
        }
    }

    @TargetApi(14)
    public void onPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onPopulateAccessibilityEvent(accessibilityEvent);
        Object obj = isChecked() ? this.f1964g : this.f1965h;
        if (obj != null) {
            accessibilityEvent.getText().add(obj);
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        this.f1971n.addMovement(motionEvent);
        float x;
        float y;
        switch (ba.m1414a(motionEvent)) {
            case C0729b.View_android_theme /*0*/:
                x = motionEvent.getX();
                y = motionEvent.getY();
                if (isEnabled() && m3973a(x, y)) {
                    this.f1967j = 1;
                    this.f1969l = x;
                    this.f1970m = y;
                    break;
                }
            case C0729b.View_android_focusable /*1*/:
            case C0729b.View_paddingEnd /*3*/:
                if (this.f1967j != 2) {
                    this.f1967j = 0;
                    this.f1971n.clear();
                    break;
                }
                m3974b(motionEvent);
                super.onTouchEvent(motionEvent);
                return true;
            case C0729b.View_paddingStart /*2*/:
                switch (this.f1967j) {
                    case C0729b.View_android_theme /*0*/:
                        break;
                    case C0729b.View_android_focusable /*1*/:
                        x = motionEvent.getX();
                        y = motionEvent.getY();
                        if (Math.abs(x - this.f1969l) > ((float) this.f1968k) || Math.abs(y - this.f1970m) > ((float) this.f1968k)) {
                            this.f1967j = 2;
                            getParent().requestDisallowInterceptTouchEvent(true);
                            this.f1969l = x;
                            this.f1970m = y;
                            return true;
                        }
                    case C0729b.View_paddingStart /*2*/:
                        float x2 = motionEvent.getX();
                        int thumbScrollRange = getThumbScrollRange();
                        float f = x2 - this.f1969l;
                        x = thumbScrollRange != 0 ? f / ((float) thumbScrollRange) : f > 0.0f ? 1.0f : -1.0f;
                        if (av.m3442a(this)) {
                            x = -x;
                        }
                        x = m3966a(x + this.f1973p, 0.0f, 1.0f);
                        if (x != this.f1973p) {
                            this.f1969l = x2;
                            setThumbPosition(x);
                        }
                        return true;
                    default:
                        break;
                }
                break;
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setChecked(boolean z) {
        super.setChecked(z);
        boolean isChecked = isChecked();
        if (getWindowToken() == null || !bw.m1492A(this)) {
            m3968a();
            setThumbPosition(isChecked ? 1.0f : 0.0f);
            return;
        }
        m3972a(isChecked);
    }

    public void setShowText(boolean z) {
        if (this.f1966i != z) {
            this.f1966i = z;
            requestLayout();
        }
    }

    public void setSplitTrack(boolean z) {
        this.f1963f = z;
        invalidate();
    }

    public void setSwitchMinWidth(int i) {
        this.f1961d = i;
        requestLayout();
    }

    public void setSwitchPadding(int i) {
        this.f1962e = i;
        requestLayout();
    }

    public void setSwitchTypeface(Typeface typeface) {
        if (this.f1981x.getTypeface() != typeface) {
            this.f1981x.setTypeface(typeface);
            requestLayout();
            invalidate();
        }
    }

    public void setTextOff(CharSequence charSequence) {
        this.f1965h = charSequence;
        requestLayout();
    }

    public void setTextOn(CharSequence charSequence) {
        this.f1964g = charSequence;
        requestLayout();
    }

    public void setThumbDrawable(Drawable drawable) {
        this.f1958a = drawable;
        requestLayout();
    }

    public void setThumbResource(int i) {
        setThumbDrawable(this.f1957E.m3332a(i));
    }

    public void setThumbTextPadding(int i) {
        this.f1960c = i;
        requestLayout();
    }

    public void setTrackDrawable(Drawable drawable) {
        this.f1959b = drawable;
        requestLayout();
    }

    public void setTrackResource(int i) {
        setTrackDrawable(this.f1957E.m3332a(i));
    }

    public void toggle() {
        setChecked(!isChecked());
    }

    protected boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f1958a || drawable == this.f1959b;
    }
}
