package android.support.v7.widget;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.view.C0217q;
import android.support.v4.view.as;
import android.support.v4.view.ba;
import android.support.v4.view.bw;
import android.support.v7.app.C0273b;
import android.support.v7.internal.view.C0322f;
import android.support.v7.internal.view.menu.C0265j;
import android.support.v7.internal.view.menu.C0271y;
import android.support.v7.internal.view.menu.C0333i;
import android.support.v7.internal.view.menu.C0336x;
import android.support.v7.internal.view.menu.C0341m;
import android.support.v7.internal.widget.C0355w;
import android.support.v7.internal.widget.ad;
import android.support.v7.internal.widget.an;
import android.support.v7.internal.widget.ap;
import android.support.v7.internal.widget.aq;
import android.support.v7.internal.widget.av;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0264l;
import android.text.TextUtils;
import android.text.TextUtils.TruncateAt;
import android.util.AttributeSet;
import android.view.ContextThemeWrapper;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.BaseSavedState;
import android.view.View.MeasureSpec;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import com.neatorobotics.android.C0729b;
import java.util.ArrayList;
import java.util.List;

public class Toolbar extends ViewGroup {
    private boolean f1986A;
    private final ArrayList f1987B;
    private final ArrayList f1988C;
    private final int[] f1989D;
    private ea f1990E;
    private final C0383o f1991F;
    private aq f1992G;
    private ActionMenuPresenter f1993H;
    private dy f1994I;
    private C0271y f1995J;
    private C0265j f1996K;
    private boolean f1997L;
    private final Runnable f1998M;
    private final an f1999N;
    View f2000a;
    private ActionMenuView f2001b;
    private TextView f2002c;
    private TextView f2003d;
    private ImageButton f2004e;
    private ImageView f2005f;
    private Drawable f2006g;
    private CharSequence f2007h;
    private ImageButton f2008i;
    private Context f2009j;
    private int f2010k;
    private int f2011l;
    private int f2012m;
    private int f2013n;
    private int f2014o;
    private int f2015p;
    private int f2016q;
    private int f2017r;
    private int f2018s;
    private final ad f2019t;
    private int f2020u;
    private CharSequence f2021v;
    private CharSequence f2022w;
    private int f2023x;
    private int f2024y;
    private boolean f2025z;

    public class SavedState extends BaseSavedState {
        public static final Creator CREATOR;
        int f1984a;
        boolean f1985b;

        static {
            CREATOR = new eb();
        }

        public SavedState(Parcel parcel) {
            super(parcel);
            this.f1984a = parcel.readInt();
            this.f1985b = parcel.readInt() != 0;
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f1984a);
            parcel.writeInt(this.f1985b ? 1 : 0);
        }
    }

    public Toolbar(Context context) {
        this(context, null);
    }

    public Toolbar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0254b.toolbarStyle);
    }

    public Toolbar(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f2019t = new ad();
        this.f2020u = 8388627;
        this.f1987B = new ArrayList();
        this.f1988C = new ArrayList();
        this.f1989D = new int[2];
        this.f1991F = new dv(this);
        this.f1998M = new dw(this);
        ap a = ap.m3341a(getContext(), attributeSet, C0264l.Toolbar, i, 0);
        this.f2011l = a.m3358g(C0264l.Toolbar_titleTextAppearance, 0);
        this.f2012m = a.m3358g(C0264l.Toolbar_subtitleTextAppearance, 0);
        this.f2020u = a.m3350c(C0264l.Toolbar_android_gravity, this.f2020u);
        this.f2013n = 48;
        int d = a.m3353d(C0264l.Toolbar_titleMargins, 0);
        this.f2018s = d;
        this.f2017r = d;
        this.f2016q = d;
        this.f2015p = d;
        d = a.m3353d(C0264l.Toolbar_titleMarginStart, -1);
        if (d >= 0) {
            this.f2015p = d;
        }
        d = a.m3353d(C0264l.Toolbar_titleMarginEnd, -1);
        if (d >= 0) {
            this.f2016q = d;
        }
        d = a.m3353d(C0264l.Toolbar_titleMarginTop, -1);
        if (d >= 0) {
            this.f2017r = d;
        }
        d = a.m3353d(C0264l.Toolbar_titleMarginBottom, -1);
        if (d >= 0) {
            this.f2018s = d;
        }
        this.f2014o = a.m3355e(C0264l.Toolbar_maxButtonHeight, -1);
        d = a.m3353d(C0264l.Toolbar_contentInsetStart, Integer.MIN_VALUE);
        int d2 = a.m3353d(C0264l.Toolbar_contentInsetEnd, Integer.MIN_VALUE);
        this.f2019t.m3295b(a.m3355e(C0264l.Toolbar_contentInsetLeft, 0), a.m3355e(C0264l.Toolbar_contentInsetRight, 0));
        if (!(d == Integer.MIN_VALUE && d2 == Integer.MIN_VALUE)) {
            this.f2019t.m3292a(d, d2);
        }
        this.f2006g = a.m3345a(C0264l.Toolbar_collapseIcon);
        this.f2007h = a.m3352c(C0264l.Toolbar_collapseContentDescription);
        CharSequence c = a.m3352c(C0264l.Toolbar_title);
        if (!TextUtils.isEmpty(c)) {
            setTitle(c);
        }
        c = a.m3352c(C0264l.Toolbar_subtitle);
        if (!TextUtils.isEmpty(c)) {
            setSubtitle(c);
        }
        this.f2009j = getContext();
        setPopupTheme(a.m3358g(C0264l.Toolbar_popupTheme, 0));
        Drawable a2 = a.m3345a(C0264l.Toolbar_navigationIcon);
        if (a2 != null) {
            setNavigationIcon(a2);
        }
        c = a.m3352c(C0264l.Toolbar_navigationContentDescription);
        if (!TextUtils.isEmpty(c)) {
            setNavigationContentDescription(c);
        }
        a2 = a.m3345a(C0264l.Toolbar_logo);
        if (a2 != null) {
            setLogo(a2);
        }
        c = a.m3352c(C0264l.Toolbar_logoDescription);
        if (!TextUtils.isEmpty(c)) {
            setLogoDescription(c);
        }
        if (a.m3356e(C0264l.Toolbar_titleTextColor)) {
            setTitleTextColor(a.m3347b(C0264l.Toolbar_titleTextColor, -1));
        }
        if (a.m3356e(C0264l.Toolbar_subtitleTextColor)) {
            setSubtitleTextColor(a.m3347b(C0264l.Toolbar_subtitleTextColor, -1));
        }
        a.m3349b();
        this.f1999N = a.m3351c();
    }

    private int m3977a(View view, int i) {
        dz dzVar = (dz) view.getLayoutParams();
        int measuredHeight = view.getMeasuredHeight();
        int i2 = i > 0 ? (measuredHeight - i) / 2 : 0;
        switch (m3986b(dzVar.a)) {
            case C0729b.Theme_homeAsUpIndicator /*48*/:
                return getPaddingTop() - i2;
            case C0729b.Theme_listChoiceBackgroundIndicator /*80*/:
                return (((getHeight() - getPaddingBottom()) - measuredHeight) - dzVar.bottomMargin) - i2;
            default:
                int i3;
                int paddingTop = getPaddingTop();
                int paddingBottom = getPaddingBottom();
                int height = getHeight();
                i2 = (((height - paddingTop) - paddingBottom) - measuredHeight) / 2;
                if (i2 < dzVar.topMargin) {
                    i3 = dzVar.topMargin;
                } else {
                    measuredHeight = (((height - paddingBottom) - measuredHeight) - i2) - paddingTop;
                    i3 = measuredHeight < dzVar.bottomMargin ? Math.max(0, i2 - (dzVar.bottomMargin - measuredHeight)) : i2;
                }
                return i3 + paddingTop;
        }
    }

    private int m3978a(View view, int i, int i2, int i3, int i4, int[] iArr) {
        MarginLayoutParams marginLayoutParams = (MarginLayoutParams) view.getLayoutParams();
        int i5 = marginLayoutParams.leftMargin - iArr[0];
        int i6 = marginLayoutParams.rightMargin - iArr[1];
        int max = Math.max(0, i5) + Math.max(0, i6);
        iArr[0] = Math.max(0, -i5);
        iArr[1] = Math.max(0, -i6);
        view.measure(getChildMeasureSpec(i, ((getPaddingLeft() + getPaddingRight()) + max) + i2, marginLayoutParams.width), getChildMeasureSpec(i3, (((getPaddingTop() + getPaddingBottom()) + marginLayoutParams.topMargin) + marginLayoutParams.bottomMargin) + i4, marginLayoutParams.height));
        return view.getMeasuredWidth() + max;
    }

    private int m3979a(View view, int i, int[] iArr, int i2) {
        dz dzVar = (dz) view.getLayoutParams();
        int i3 = dzVar.leftMargin - iArr[0];
        int max = Math.max(0, i3) + i;
        iArr[0] = Math.max(0, -i3);
        i3 = m3977a(view, i2);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max, i3, max + measuredWidth, view.getMeasuredHeight() + i3);
        return (dzVar.rightMargin + measuredWidth) + max;
    }

    private int m3980a(List list, int[] iArr) {
        int i = iArr[0];
        int i2 = iArr[1];
        int size = list.size();
        int i3 = 0;
        int i4 = 0;
        int i5 = i2;
        int i6 = i;
        while (i3 < size) {
            View view = (View) list.get(i3);
            dz dzVar = (dz) view.getLayoutParams();
            i6 = dzVar.leftMargin - i6;
            i = dzVar.rightMargin - i5;
            int max = Math.max(0, i6);
            int max2 = Math.max(0, i);
            i6 = Math.max(0, -i6);
            i5 = Math.max(0, -i);
            i3++;
            i4 += (view.getMeasuredWidth() + max) + max2;
        }
        return i4;
    }

    private void m3982a(View view, int i, int i2, int i3, int i4, int i5) {
        MarginLayoutParams marginLayoutParams = (MarginLayoutParams) view.getLayoutParams();
        int childMeasureSpec = getChildMeasureSpec(i, (((getPaddingLeft() + getPaddingRight()) + marginLayoutParams.leftMargin) + marginLayoutParams.rightMargin) + i2, marginLayoutParams.width);
        int childMeasureSpec2 = getChildMeasureSpec(i3, (((getPaddingTop() + getPaddingBottom()) + marginLayoutParams.topMargin) + marginLayoutParams.bottomMargin) + i4, marginLayoutParams.height);
        int mode = MeasureSpec.getMode(childMeasureSpec2);
        if (mode != 1073741824 && i5 >= 0) {
            if (mode != 0) {
                i5 = Math.min(MeasureSpec.getSize(childMeasureSpec2), i5);
            }
            childMeasureSpec2 = MeasureSpec.makeMeasureSpec(i5, 1073741824);
        }
        view.measure(childMeasureSpec, childMeasureSpec2);
    }

    private void m3983a(View view, boolean z) {
        LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams == null) {
            layoutParams = m4018i();
        } else if (checkLayoutParams(layoutParams)) {
            dz dzVar = (dz) layoutParams;
        } else {
            layoutParams = m4003a(layoutParams);
        }
        layoutParams.f2324b = 1;
        if (!z || this.f2000a == null) {
            addView(view, layoutParams);
            return;
        }
        view.setLayoutParams(layoutParams);
        this.f1988C.add(view);
    }

    private void m3984a(List list, int i) {
        int i2 = 1;
        int i3 = 0;
        if (bw.m1524h(this) != 1) {
            i2 = 0;
        }
        int childCount = getChildCount();
        int a = C0217q.m1968a(i, bw.m1524h(this));
        list.clear();
        dz dzVar;
        if (i2 != 0) {
            for (i3 = childCount - 1; i3 >= 0; i3--) {
                View childAt = getChildAt(i3);
                dzVar = (dz) childAt.getLayoutParams();
                if (dzVar.f2324b == 0 && m3985a(childAt) && m3990c(dzVar.a) == a) {
                    list.add(childAt);
                }
            }
            return;
        }
        while (i3 < childCount) {
            View childAt2 = getChildAt(i3);
            dzVar = (dz) childAt2.getLayoutParams();
            if (dzVar.f2324b == 0 && m3985a(childAt2) && m3990c(dzVar.a) == a) {
                list.add(childAt2);
            }
            i3++;
        }
    }

    private boolean m3985a(View view) {
        return (view == null || view.getParent() != this || view.getVisibility() == 8) ? false : true;
    }

    private int m3986b(int i) {
        int i2 = i & 112;
        switch (i2) {
            case C0729b.Toolbar_titleMarginBottom /*16*/:
            case C0729b.Theme_homeAsUpIndicator /*48*/:
            case C0729b.Theme_listChoiceBackgroundIndicator /*80*/:
                return i2;
            default:
                return this.f2020u & 112;
        }
    }

    private int m3987b(View view) {
        MarginLayoutParams marginLayoutParams = (MarginLayoutParams) view.getLayoutParams();
        return android.support.v4.view.an.m1339b(marginLayoutParams) + android.support.v4.view.an.m1338a(marginLayoutParams);
    }

    private int m3988b(View view, int i, int[] iArr, int i2) {
        dz dzVar = (dz) view.getLayoutParams();
        int i3 = dzVar.rightMargin - iArr[1];
        int max = i - Math.max(0, i3);
        iArr[1] = Math.max(0, -i3);
        i3 = m3977a(view, i2);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max - measuredWidth, i3, max, view.getMeasuredHeight() + i3);
        return max - (dzVar.leftMargin + measuredWidth);
    }

    private int m3990c(int i) {
        int h = bw.m1524h(this);
        int a = C0217q.m1968a(i, h) & 7;
        switch (a) {
            case C0729b.View_android_focusable /*1*/:
            case C0729b.View_paddingEnd /*3*/:
            case C0729b.Toolbar_contentInsetStart /*5*/:
                return a;
            default:
                return h == 1 ? 5 : 3;
        }
    }

    private int m3991c(View view) {
        MarginLayoutParams marginLayoutParams = (MarginLayoutParams) view.getLayoutParams();
        return marginLayoutParams.bottomMargin + marginLayoutParams.topMargin;
    }

    private boolean m3994d(View view) {
        return view.getParent() == this || this.f1988C.contains(view);
    }

    private MenuInflater getMenuInflater() {
        return new C0322f(getContext());
    }

    private void m3995l() {
        if (this.f2005f == null) {
            this.f2005f = new ImageView(getContext());
        }
    }

    private void m3996m() {
        m3997n();
        if (this.f2001b.m3535d() == null) {
            C0333i c0333i = (C0333i) this.f2001b.getMenu();
            if (this.f1994I == null) {
                this.f1994I = new dy();
            }
            this.f2001b.setExpandedActionViewsExclusive(true);
            c0333i.m3026a(this.f1994I, this.f2009j);
        }
    }

    private void m3997n() {
        if (this.f2001b == null) {
            this.f2001b = new ActionMenuView(getContext());
            this.f2001b.setPopupTheme(this.f2010k);
            this.f2001b.setOnMenuItemClickListener(this.f1991F);
            this.f2001b.m3527a(this.f1995J, this.f1996K);
            LayoutParams i = m4018i();
            i.a = 8388613 | (this.f2013n & 112);
            this.f2001b.setLayoutParams(i);
            m3983a(this.f2001b, false);
        }
    }

    private void m3998o() {
        if (this.f2004e == null) {
            this.f2004e = new ImageButton(getContext(), null, C0254b.toolbarNavigationButtonStyle);
            LayoutParams i = m4018i();
            i.a = 8388611 | (this.f2013n & 112);
            this.f2004e.setLayoutParams(i);
        }
    }

    private void m3999p() {
        if (this.f2008i == null) {
            this.f2008i = new ImageButton(getContext(), null, C0254b.toolbarNavigationButtonStyle);
            this.f2008i.setImageDrawable(this.f2006g);
            this.f2008i.setContentDescription(this.f2007h);
            LayoutParams i = m4018i();
            i.a = 8388611 | (this.f2013n & 112);
            i.f2324b = 2;
            this.f2008i.setLayoutParams(i);
            this.f2008i.setOnClickListener(new dx(this));
        }
    }

    private void m4000q() {
        removeCallbacks(this.f1998M);
        post(this.f1998M);
    }

    private boolean m4001r() {
        if (!this.f1997L) {
            return false;
        }
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (m3985a(childAt) && childAt.getMeasuredWidth() > 0 && childAt.getMeasuredHeight() > 0) {
                return false;
            }
        }
        return true;
    }

    public dz m4002a(AttributeSet attributeSet) {
        return new dz(getContext(), attributeSet);
    }

    protected dz m4003a(LayoutParams layoutParams) {
        return layoutParams instanceof dz ? new dz((dz) layoutParams) : layoutParams instanceof C0273b ? new dz((C0273b) layoutParams) : layoutParams instanceof MarginLayoutParams ? new dz((MarginLayoutParams) layoutParams) : new dz(layoutParams);
    }

    public void m4004a(int i) {
        getMenuInflater().inflate(i, getMenu());
    }

    public void m4005a(int i, int i2) {
        this.f2019t.m3292a(i, i2);
    }

    public void m4006a(Context context, int i) {
        this.f2011l = i;
        if (this.f2002c != null) {
            this.f2002c.setTextAppearance(context, i);
        }
    }

    public void m4007a(C0333i c0333i, ActionMenuPresenter actionMenuPresenter) {
        if (c0333i != null || this.f2001b != null) {
            m3997n();
            C0333i d = this.f2001b.m3535d();
            if (d != c0333i) {
                if (d != null) {
                    d.m3036b(this.f1993H);
                    d.m3036b(this.f1994I);
                }
                if (this.f1994I == null) {
                    this.f1994I = new dy();
                }
                actionMenuPresenter.m3513d(true);
                if (c0333i != null) {
                    c0333i.m3026a((C0336x) actionMenuPresenter, this.f2009j);
                    c0333i.m3026a(this.f1994I, this.f2009j);
                } else {
                    actionMenuPresenter.m3499a(this.f2009j, null);
                    this.f1994I.m4551a(this.f2009j, null);
                    actionMenuPresenter.m3509b(true);
                    this.f1994I.m4555b(true);
                }
                this.f2001b.setPopupTheme(this.f2010k);
                this.f2001b.setPresenter(actionMenuPresenter);
                this.f1993H = actionMenuPresenter;
            }
        }
    }

    public void m4008a(C0271y c0271y, C0265j c0265j) {
        this.f1995J = c0271y;
        this.f1996K = c0265j;
    }

    public boolean m4009a() {
        return getVisibility() == 0 && this.f2001b != null && this.f2001b.m3528a();
    }

    public void m4010b(Context context, int i) {
        this.f2012m = i;
        if (this.f2003d != null) {
            this.f2003d.setTextAppearance(context, i);
        }
    }

    public boolean m4011b() {
        return this.f2001b != null && this.f2001b.m3538g();
    }

    public boolean m4012c() {
        return this.f2001b != null && this.f2001b.m3539h();
    }

    protected boolean checkLayoutParams(LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof dz);
    }

    public boolean m4013d() {
        return this.f2001b != null && this.f2001b.m3536e();
    }

    public boolean m4014e() {
        return this.f2001b != null && this.f2001b.m3537f();
    }

    public void m4015f() {
        if (this.f2001b != null) {
            this.f2001b.m3540i();
        }
    }

    public boolean m4016g() {
        return (this.f1994I == null || this.f1994I.f2322b == null) ? false : true;
    }

    protected /* synthetic */ LayoutParams generateDefaultLayoutParams() {
        return m4018i();
    }

    public /* synthetic */ LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return m4002a(attributeSet);
    }

    protected /* synthetic */ LayoutParams generateLayoutParams(LayoutParams layoutParams) {
        return m4003a(layoutParams);
    }

    public int getContentInsetEnd() {
        return this.f2019t.m3297d();
    }

    public int getContentInsetLeft() {
        return this.f2019t.m3291a();
    }

    public int getContentInsetRight() {
        return this.f2019t.m3294b();
    }

    public int getContentInsetStart() {
        return this.f2019t.m3296c();
    }

    public Drawable getLogo() {
        return this.f2005f != null ? this.f2005f.getDrawable() : null;
    }

    public CharSequence getLogoDescription() {
        return this.f2005f != null ? this.f2005f.getContentDescription() : null;
    }

    public Menu getMenu() {
        m3996m();
        return this.f2001b.getMenu();
    }

    public CharSequence getNavigationContentDescription() {
        return this.f2004e != null ? this.f2004e.getContentDescription() : null;
    }

    public Drawable getNavigationIcon() {
        return this.f2004e != null ? this.f2004e.getDrawable() : null;
    }

    public Drawable getOverflowIcon() {
        m3996m();
        return this.f2001b.getOverflowIcon();
    }

    public int getPopupTheme() {
        return this.f2010k;
    }

    public CharSequence getSubtitle() {
        return this.f2022w;
    }

    public CharSequence getTitle() {
        return this.f2021v;
    }

    public C0355w getWrapper() {
        if (this.f1992G == null) {
            this.f1992G = new aq(this, true);
        }
        return this.f1992G;
    }

    public void m4017h() {
        C0341m c0341m = this.f1994I == null ? null : this.f1994I.f2322b;
        if (c0341m != null) {
            c0341m.collapseActionView();
        }
    }

    protected dz m4018i() {
        return new dz(-2, -2);
    }

    void m4019j() {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            if (!(((dz) childAt.getLayoutParams()).f2324b == 2 || childAt == this.f2001b)) {
                removeViewAt(childCount);
                this.f1988C.add(childAt);
            }
        }
    }

    void m4020k() {
        for (int size = this.f1988C.size() - 1; size >= 0; size--) {
            addView((View) this.f1988C.get(size));
        }
        this.f1988C.clear();
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeCallbacks(this.f1998M);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int a = ba.m1414a(motionEvent);
        if (a == 9) {
            this.f1986A = false;
        }
        if (!this.f1986A) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (a == 9 && !onHoverEvent) {
                this.f1986A = true;
            }
        }
        if (a == 10 || a == 3) {
            this.f1986A = false;
        }
        return true;
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5;
        int i6;
        int i7;
        int measuredHeight;
        int measuredWidth;
        Object obj = bw.m1524h(this) == 1 ? 1 : null;
        int width = getWidth();
        int height = getHeight();
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int i8 = width - paddingRight;
        int[] iArr = this.f1989D;
        iArr[1] = 0;
        iArr[0] = 0;
        int p = bw.m1532p(this);
        if (!m3985a(this.f2004e)) {
            i5 = paddingLeft;
        } else if (obj != null) {
            i8 = m3988b(this.f2004e, i8, iArr, p);
            i5 = paddingLeft;
        } else {
            i5 = m3979a(this.f2004e, paddingLeft, iArr, p);
        }
        if (m3985a(this.f2008i)) {
            if (obj != null) {
                i8 = m3988b(this.f2008i, i8, iArr, p);
            } else {
                i5 = m3979a(this.f2008i, i5, iArr, p);
            }
        }
        if (m3985a(this.f2001b)) {
            if (obj != null) {
                i5 = m3979a(this.f2001b, i5, iArr, p);
            } else {
                i8 = m3988b(this.f2001b, i8, iArr, p);
            }
        }
        iArr[0] = Math.max(0, getContentInsetLeft() - i5);
        iArr[1] = Math.max(0, getContentInsetRight() - ((width - paddingRight) - i8));
        i5 = Math.max(i5, getContentInsetLeft());
        i8 = Math.min(i8, (width - paddingRight) - getContentInsetRight());
        if (m3985a(this.f2000a)) {
            if (obj != null) {
                i8 = m3988b(this.f2000a, i8, iArr, p);
            } else {
                i5 = m3979a(this.f2000a, i5, iArr, p);
            }
        }
        if (!m3985a(this.f2005f)) {
            i6 = i8;
            i7 = i5;
        } else if (obj != null) {
            i6 = m3988b(this.f2005f, i8, iArr, p);
            i7 = i5;
        } else {
            i6 = i8;
            i7 = m3979a(this.f2005f, i5, iArr, p);
        }
        boolean a = m3985a(this.f2002c);
        boolean a2 = m3985a(this.f2003d);
        i5 = 0;
        if (a) {
            dz dzVar = (dz) this.f2002c.getLayoutParams();
            i5 = 0 + (dzVar.bottomMargin + (dzVar.topMargin + this.f2002c.getMeasuredHeight()));
        }
        if (a2) {
            dzVar = (dz) this.f2003d.getLayoutParams();
            measuredHeight = (dzVar.bottomMargin + (dzVar.topMargin + this.f2003d.getMeasuredHeight())) + i5;
        } else {
            measuredHeight = i5;
        }
        if (a || a2) {
            int paddingTop2;
            dzVar = (dz) (a ? this.f2002c : this.f2003d).getLayoutParams();
            dz dzVar2 = (dz) (a2 ? this.f2003d : this.f2002c).getLayoutParams();
            Object obj2 = ((!a || this.f2002c.getMeasuredWidth() <= 0) && (!a2 || this.f2003d.getMeasuredWidth() <= 0)) ? null : 1;
            switch (this.f2020u & 112) {
                case C0729b.Theme_homeAsUpIndicator /*48*/:
                    paddingTop2 = (dzVar.topMargin + getPaddingTop()) + this.f2017r;
                    break;
                case C0729b.Theme_listChoiceBackgroundIndicator /*80*/:
                    paddingTop2 = (((height - paddingBottom) - dzVar2.bottomMargin) - this.f2018s) - measuredHeight;
                    break;
                default:
                    paddingTop2 = (((height - paddingTop) - paddingBottom) - measuredHeight) / 2;
                    if (paddingTop2 < dzVar.topMargin + this.f2017r) {
                        i8 = dzVar.topMargin + this.f2017r;
                    } else {
                        measuredHeight = (((height - paddingBottom) - measuredHeight) - paddingTop2) - paddingTop;
                        i8 = measuredHeight < dzVar.bottomMargin + this.f2018s ? Math.max(0, paddingTop2 - ((dzVar2.bottomMargin + this.f2018s) - measuredHeight)) : paddingTop2;
                    }
                    paddingTop2 = paddingTop + i8;
                    break;
            }
            if (obj != null) {
                i8 = (obj2 != null ? this.f2015p : 0) - iArr[1];
                i5 = i6 - Math.max(0, i8);
                iArr[1] = Math.max(0, -i8);
                if (a) {
                    dzVar = (dz) this.f2002c.getLayoutParams();
                    measuredWidth = i5 - this.f2002c.getMeasuredWidth();
                    i6 = this.f2002c.getMeasuredHeight() + paddingTop2;
                    this.f2002c.layout(measuredWidth, paddingTop2, i5, i6);
                    paddingTop2 = i6 + dzVar.bottomMargin;
                    i6 = measuredWidth - this.f2016q;
                } else {
                    i6 = i5;
                }
                if (a2) {
                    dzVar = (dz) this.f2003d.getLayoutParams();
                    measuredWidth = dzVar.topMargin + paddingTop2;
                    measuredHeight = this.f2003d.getMeasuredHeight() + measuredWidth;
                    this.f2003d.layout(i5 - this.f2003d.getMeasuredWidth(), measuredWidth, i5, measuredHeight);
                    i8 = dzVar.bottomMargin + measuredHeight;
                    i8 = i5 - this.f2016q;
                } else {
                    i8 = i5;
                }
                i6 = obj2 != null ? Math.min(i6, i8) : i5;
            } else {
                i8 = (obj2 != null ? this.f2015p : 0) - iArr[0];
                i7 += Math.max(0, i8);
                iArr[0] = Math.max(0, -i8);
                if (a) {
                    dzVar = (dz) this.f2002c.getLayoutParams();
                    i5 = this.f2002c.getMeasuredWidth() + i7;
                    measuredWidth = this.f2002c.getMeasuredHeight() + paddingTop2;
                    this.f2002c.layout(i7, paddingTop2, i5, measuredWidth);
                    i8 = dzVar.bottomMargin + measuredWidth;
                    measuredWidth = i5 + this.f2016q;
                    i5 = i8;
                } else {
                    measuredWidth = i7;
                    i5 = paddingTop2;
                }
                if (a2) {
                    dzVar = (dz) this.f2003d.getLayoutParams();
                    i5 += dzVar.topMargin;
                    paddingTop2 = this.f2003d.getMeasuredWidth() + i7;
                    measuredHeight = this.f2003d.getMeasuredHeight() + i5;
                    this.f2003d.layout(i7, i5, paddingTop2, measuredHeight);
                    i8 = dzVar.bottomMargin + measuredHeight;
                    i8 = this.f2016q + paddingTop2;
                } else {
                    i8 = i7;
                }
                if (obj2 != null) {
                    i7 = Math.max(measuredWidth, i8);
                }
            }
        }
        m3984a(this.f1987B, 3);
        int size = this.f1987B.size();
        i5 = i7;
        for (measuredWidth = 0; measuredWidth < size; measuredWidth++) {
            i5 = m3979a((View) this.f1987B.get(measuredWidth), i5, iArr, p);
        }
        m3984a(this.f1987B, 5);
        i7 = this.f1987B.size();
        for (measuredWidth = 0; measuredWidth < i7; measuredWidth++) {
            i6 = m3988b((View) this.f1987B.get(measuredWidth), i6, iArr, p);
        }
        m3984a(this.f1987B, 1);
        measuredWidth = m3980a(this.f1987B, iArr);
        i8 = ((((width - paddingLeft) - paddingRight) / 2) + paddingLeft) - (measuredWidth / 2);
        measuredWidth += i8;
        if (i8 < i5) {
            i8 = i5;
        } else if (measuredWidth > i6) {
            i8 -= measuredWidth - i6;
        }
        paddingLeft = this.f1987B.size();
        measuredWidth = i8;
        for (i5 = 0; i5 < paddingLeft; i5++) {
            measuredWidth = m3979a((View) this.f1987B.get(i5), measuredWidth, iArr, p);
        }
        this.f1987B.clear();
    }

    protected void onMeasure(int i, int i2) {
        int i3;
        int i4;
        int max;
        int i5 = 0;
        int i6 = 0;
        int[] iArr = this.f1989D;
        if (av.m3442a(this)) {
            i3 = 0;
            i4 = 1;
        } else {
            i3 = 1;
            i4 = 0;
        }
        int i7 = 0;
        if (m3985a(this.f2004e)) {
            m3982a(this.f2004e, i, 0, i2, 0, this.f2014o);
            i7 = this.f2004e.getMeasuredWidth() + m3987b(this.f2004e);
            max = Math.max(0, this.f2004e.getMeasuredHeight() + m3991c(this.f2004e));
            i6 = av.m3440a(0, bw.m1528l(this.f2004e));
            i5 = max;
        }
        if (m3985a(this.f2008i)) {
            m3982a(this.f2008i, i, 0, i2, 0, this.f2014o);
            i7 = this.f2008i.getMeasuredWidth() + m3987b(this.f2008i);
            i5 = Math.max(i5, this.f2008i.getMeasuredHeight() + m3991c(this.f2008i));
            i6 = av.m3440a(i6, bw.m1528l(this.f2008i));
        }
        int contentInsetStart = getContentInsetStart();
        int max2 = 0 + Math.max(contentInsetStart, i7);
        iArr[i4] = Math.max(0, contentInsetStart - i7);
        i7 = 0;
        if (m3985a(this.f2001b)) {
            m3982a(this.f2001b, i, max2, i2, 0, this.f2014o);
            i7 = this.f2001b.getMeasuredWidth() + m3987b(this.f2001b);
            i5 = Math.max(i5, this.f2001b.getMeasuredHeight() + m3991c(this.f2001b));
            i6 = av.m3440a(i6, bw.m1528l(this.f2001b));
        }
        contentInsetStart = getContentInsetEnd();
        max2 += Math.max(contentInsetStart, i7);
        iArr[i3] = Math.max(0, contentInsetStart - i7);
        if (m3985a(this.f2000a)) {
            max2 += m3978a(this.f2000a, i, max2, i2, 0, iArr);
            i5 = Math.max(i5, this.f2000a.getMeasuredHeight() + m3991c(this.f2000a));
            i6 = av.m3440a(i6, bw.m1528l(this.f2000a));
        }
        if (m3985a(this.f2005f)) {
            max2 += m3978a(this.f2005f, i, max2, i2, 0, iArr);
            i5 = Math.max(i5, this.f2005f.getMeasuredHeight() + m3991c(this.f2005f));
            i6 = av.m3440a(i6, bw.m1528l(this.f2005f));
        }
        i4 = getChildCount();
        i3 = 0;
        int i8 = i5;
        i5 = i6;
        while (i3 < i4) {
            View childAt = getChildAt(i3);
            if (((dz) childAt.getLayoutParams()).f2324b != 0) {
                i7 = i5;
                contentInsetStart = i8;
            } else if (m3985a(childAt)) {
                max2 += m3978a(childAt, i, max2, i2, 0, iArr);
                max = Math.max(i8, childAt.getMeasuredHeight() + m3991c(childAt));
                i7 = av.m3440a(i5, bw.m1528l(childAt));
                contentInsetStart = max;
            } else {
                i7 = i5;
                contentInsetStart = i8;
            }
            i3++;
            i5 = i7;
            i8 = contentInsetStart;
        }
        contentInsetStart = 0;
        i7 = 0;
        i6 = this.f2017r + this.f2018s;
        max = this.f2015p + this.f2016q;
        if (m3985a(this.f2002c)) {
            m3978a(this.f2002c, i, max2 + max, i2, i6, iArr);
            contentInsetStart = m3987b(this.f2002c) + this.f2002c.getMeasuredWidth();
            i7 = this.f2002c.getMeasuredHeight() + m3991c(this.f2002c);
            i5 = av.m3440a(i5, bw.m1528l(this.f2002c));
        }
        if (m3985a(this.f2003d)) {
            contentInsetStart = Math.max(contentInsetStart, m3978a(this.f2003d, i, max2 + max, i2, i6 + i7, iArr));
            i7 += this.f2003d.getMeasuredHeight() + m3991c(this.f2003d);
            i5 = av.m3440a(i5, bw.m1528l(this.f2003d));
        }
        contentInsetStart += max2;
        i7 = Math.max(i8, i7) + (getPaddingTop() + getPaddingBottom());
        contentInsetStart = bw.m1494a(Math.max(contentInsetStart + (getPaddingLeft() + getPaddingRight()), getSuggestedMinimumWidth()), i, -16777216 & i5);
        i7 = bw.m1494a(Math.max(i7, getSuggestedMinimumHeight()), i2, i5 << 16);
        if (m4001r()) {
            i7 = 0;
        }
        setMeasuredDimension(contentInsetStart, i7);
    }

    protected void onRestoreInstanceState(Parcelable parcelable) {
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        Menu d = this.f2001b != null ? this.f2001b.m3535d() : null;
        if (!(savedState.f1984a == 0 || this.f1994I == null || d == null)) {
            MenuItem findItem = d.findItem(savedState.f1984a);
            if (findItem != null) {
                as.m1353b(findItem);
            }
        }
        if (savedState.f1985b) {
            m4000q();
        }
    }

    public void onRtlPropertiesChanged(int i) {
        boolean z = true;
        if (VERSION.SDK_INT >= 17) {
            super.onRtlPropertiesChanged(i);
        }
        ad adVar = this.f2019t;
        if (i != 1) {
            z = false;
        }
        adVar.m3293a(z);
    }

    protected Parcelable onSaveInstanceState() {
        Parcelable savedState = new SavedState(super.onSaveInstanceState());
        if (!(this.f1994I == null || this.f1994I.f2322b == null)) {
            savedState.f1984a = this.f1994I.f2322b.getItemId();
        }
        savedState.f1985b = m4011b();
        return savedState;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int a = ba.m1414a(motionEvent);
        if (a == 0) {
            this.f2025z = false;
        }
        if (!this.f2025z) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (a == 0 && !onTouchEvent) {
                this.f2025z = true;
            }
        }
        if (a == 1 || a == 3) {
            this.f2025z = false;
        }
        return true;
    }

    public void setCollapsible(boolean z) {
        this.f1997L = z;
        requestLayout();
    }

    public void setLogo(int i) {
        setLogo(this.f1999N.m3332a(i));
    }

    public void setLogo(Drawable drawable) {
        if (drawable != null) {
            m3995l();
            if (!m3994d(this.f2005f)) {
                m3983a(this.f2005f, true);
            }
        } else if (this.f2005f != null && m3994d(this.f2005f)) {
            removeView(this.f2005f);
            this.f1988C.remove(this.f2005f);
        }
        if (this.f2005f != null) {
            this.f2005f.setImageDrawable(drawable);
        }
    }

    public void setLogoDescription(int i) {
        setLogoDescription(getContext().getText(i));
    }

    public void setLogoDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            m3995l();
        }
        if (this.f2005f != null) {
            this.f2005f.setContentDescription(charSequence);
        }
    }

    public void setNavigationContentDescription(int i) {
        setNavigationContentDescription(i != 0 ? getContext().getText(i) : null);
    }

    public void setNavigationContentDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            m3998o();
        }
        if (this.f2004e != null) {
            this.f2004e.setContentDescription(charSequence);
        }
    }

    public void setNavigationIcon(int i) {
        setNavigationIcon(this.f1999N.m3332a(i));
    }

    public void setNavigationIcon(Drawable drawable) {
        if (drawable != null) {
            m3998o();
            if (!m3994d(this.f2004e)) {
                m3983a(this.f2004e, true);
            }
        } else if (this.f2004e != null && m3994d(this.f2004e)) {
            removeView(this.f2004e);
            this.f1988C.remove(this.f2004e);
        }
        if (this.f2004e != null) {
            this.f2004e.setImageDrawable(drawable);
        }
    }

    public void setNavigationOnClickListener(OnClickListener onClickListener) {
        m3998o();
        this.f2004e.setOnClickListener(onClickListener);
    }

    public void setOnMenuItemClickListener(ea eaVar) {
        this.f1990E = eaVar;
    }

    public void setOverflowIcon(Drawable drawable) {
        m3996m();
        this.f2001b.setOverflowIcon(drawable);
    }

    public void setPopupTheme(int i) {
        if (this.f2010k != i) {
            this.f2010k = i;
            if (i == 0) {
                this.f2009j = getContext();
            } else {
                this.f2009j = new ContextThemeWrapper(getContext(), i);
            }
        }
    }

    public void setSubtitle(int i) {
        setSubtitle(getContext().getText(i));
    }

    public void setSubtitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.f2003d == null) {
                Context context = getContext();
                this.f2003d = new TextView(context);
                this.f2003d.setSingleLine();
                this.f2003d.setEllipsize(TruncateAt.END);
                if (this.f2012m != 0) {
                    this.f2003d.setTextAppearance(context, this.f2012m);
                }
                if (this.f2024y != 0) {
                    this.f2003d.setTextColor(this.f2024y);
                }
            }
            if (!m3994d(this.f2003d)) {
                m3983a(this.f2003d, true);
            }
        } else if (this.f2003d != null && m3994d(this.f2003d)) {
            removeView(this.f2003d);
            this.f1988C.remove(this.f2003d);
        }
        if (this.f2003d != null) {
            this.f2003d.setText(charSequence);
        }
        this.f2022w = charSequence;
    }

    public void setSubtitleTextColor(int i) {
        this.f2024y = i;
        if (this.f2003d != null) {
            this.f2003d.setTextColor(i);
        }
    }

    public void setTitle(int i) {
        setTitle(getContext().getText(i));
    }

    public void setTitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.f2002c == null) {
                Context context = getContext();
                this.f2002c = new TextView(context);
                this.f2002c.setSingleLine();
                this.f2002c.setEllipsize(TruncateAt.END);
                if (this.f2011l != 0) {
                    this.f2002c.setTextAppearance(context, this.f2011l);
                }
                if (this.f2023x != 0) {
                    this.f2002c.setTextColor(this.f2023x);
                }
            }
            if (!m3994d(this.f2002c)) {
                m3983a(this.f2002c, true);
            }
        } else if (this.f2002c != null && m3994d(this.f2002c)) {
            removeView(this.f2002c);
            this.f1988C.remove(this.f2002c);
        }
        if (this.f2002c != null) {
            this.f2002c.setText(charSequence);
        }
        this.f2021v = charSequence;
    }

    public void setTitleTextColor(int i) {
        this.f2023x = i;
        if (this.f2002c != null) {
            this.f2002c.setTextColor(i);
        }
    }
}
