package android.support.v7.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources.Theme;
import android.content.res.TypedArray;
import android.graphics.PorterDuff.Mode;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.support.v4.view.bq;
import android.support.v7.internal.view.C0318b;
import android.support.v7.internal.widget.an;
import android.support.v7.internal.widget.ap;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0264l;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup.LayoutParams;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;

public class ac extends Spinner implements bq {
    private static final boolean f2030a;
    private static final boolean f2031b;
    private static final int[] f2032c;
    private an f2033d;
    private C0395t f2034e;
    private Context f2035f;
    private bm f2036g;
    private SpinnerAdapter f2037h;
    private boolean f2038i;
    private af f2039j;
    private int f2040k;
    private final Rect f2041l;

    static {
        f2030a = VERSION.SDK_INT >= 23;
        f2031b = VERSION.SDK_INT >= 16;
        f2032c = new int[]{16843505};
    }

    public ac(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0254b.spinnerStyle);
    }

    public ac(Context context, AttributeSet attributeSet, int i) {
        this(context, attributeSet, i, -1);
    }

    public ac(Context context, AttributeSet attributeSet, int i, int i2) {
        this(context, attributeSet, i, i2, null);
    }

    public ac(Context context, AttributeSet attributeSet, int i, int i2, Theme theme) {
        Throwable e;
        super(context, attributeSet, i);
        this.f2041l = new Rect();
        ap a = ap.m3341a(context, attributeSet, C0264l.Spinner, i, 0);
        this.f2033d = a.m3351c();
        this.f2034e = new C0395t(this, this.f2033d);
        if (theme != null) {
            this.f2035f = new C0318b(context, theme);
        } else {
            int g = a.m3358g(C0264l.Spinner_popupTheme, 0);
            if (g != 0) {
                this.f2035f = new C0318b(context, g);
            } else {
                this.f2035f = !f2030a ? context : null;
            }
        }
        if (this.f2035f != null) {
            af afVar;
            ap a2;
            if (i2 == -1) {
                if (VERSION.SDK_INT >= 11) {
                    TypedArray obtainStyledAttributes;
                    try {
                        obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f2032c, i, 0);
                        try {
                            if (obtainStyledAttributes.hasValue(0)) {
                                i2 = obtainStyledAttributes.getInt(0, 0);
                            }
                            if (obtainStyledAttributes != null) {
                                obtainStyledAttributes.recycle();
                            }
                        } catch (Exception e2) {
                            e = e2;
                            try {
                                Log.i("AppCompatSpinner", "Could not read android:spinnerMode", e);
                                if (obtainStyledAttributes != null) {
                                    obtainStyledAttributes.recycle();
                                }
                                if (i2 == 1) {
                                    afVar = new af(this, this.f2035f, attributeSet, i);
                                    a2 = ap.m3341a(this.f2035f, attributeSet, C0264l.Spinner, i, 0);
                                    this.f2040k = a2.m3357f(C0264l.Spinner_android_dropDownWidth, -2);
                                    afVar.m4039a(a2.m3345a(C0264l.Spinner_android_popupBackground));
                                    afVar.m4069a(a.m3354d(C0264l.Spinner_android_prompt));
                                    a2.m3349b();
                                    this.f2039j = afVar;
                                    this.f2036g = new ad(this, this, afVar);
                                }
                                a.m3349b();
                                this.f2038i = true;
                                if (this.f2037h != null) {
                                    setAdapter(this.f2037h);
                                    this.f2037h = null;
                                }
                                this.f2034e.m4603a(attributeSet, i);
                            } catch (Throwable th) {
                                e = th;
                                if (obtainStyledAttributes != null) {
                                    obtainStyledAttributes.recycle();
                                }
                                throw e;
                            }
                        }
                    } catch (Exception e3) {
                        e = e3;
                        obtainStyledAttributes = null;
                        Log.i("AppCompatSpinner", "Could not read android:spinnerMode", e);
                        if (obtainStyledAttributes != null) {
                            obtainStyledAttributes.recycle();
                        }
                        if (i2 == 1) {
                            afVar = new af(this, this.f2035f, attributeSet, i);
                            a2 = ap.m3341a(this.f2035f, attributeSet, C0264l.Spinner, i, 0);
                            this.f2040k = a2.m3357f(C0264l.Spinner_android_dropDownWidth, -2);
                            afVar.m4039a(a2.m3345a(C0264l.Spinner_android_popupBackground));
                            afVar.m4069a(a.m3354d(C0264l.Spinner_android_prompt));
                            a2.m3349b();
                            this.f2039j = afVar;
                            this.f2036g = new ad(this, this, afVar);
                        }
                        a.m3349b();
                        this.f2038i = true;
                        if (this.f2037h != null) {
                            setAdapter(this.f2037h);
                            this.f2037h = null;
                        }
                        this.f2034e.m4603a(attributeSet, i);
                    } catch (Throwable th2) {
                        e = th2;
                        obtainStyledAttributes = null;
                        if (obtainStyledAttributes != null) {
                            obtainStyledAttributes.recycle();
                        }
                        throw e;
                    }
                }
                i2 = 1;
            }
            if (i2 == 1) {
                afVar = new af(this, this.f2035f, attributeSet, i);
                a2 = ap.m3341a(this.f2035f, attributeSet, C0264l.Spinner, i, 0);
                this.f2040k = a2.m3357f(C0264l.Spinner_android_dropDownWidth, -2);
                afVar.m4039a(a2.m3345a(C0264l.Spinner_android_popupBackground));
                afVar.m4069a(a.m3354d(C0264l.Spinner_android_prompt));
                a2.m3349b();
                this.f2039j = afVar;
                this.f2036g = new ad(this, this, afVar);
            }
        }
        a.m3349b();
        this.f2038i = true;
        if (this.f2037h != null) {
            setAdapter(this.f2037h);
            this.f2037h = null;
        }
        this.f2034e.m4603a(attributeSet, i);
    }

    private int m4024a(SpinnerAdapter spinnerAdapter, Drawable drawable) {
        if (spinnerAdapter == null) {
            return 0;
        }
        int makeMeasureSpec = MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 0);
        int makeMeasureSpec2 = MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 0);
        int max = Math.max(0, getSelectedItemPosition());
        int min = Math.min(spinnerAdapter.getCount(), max + 15);
        int max2 = Math.max(0, max - (15 - (min - max)));
        View view = null;
        int i = 0;
        max = 0;
        while (max2 < min) {
            View view2;
            int itemViewType = spinnerAdapter.getItemViewType(max2);
            if (itemViewType != max) {
                view2 = null;
            } else {
                itemViewType = max;
                view2 = view;
            }
            view = spinnerAdapter.getView(max2, view2, this);
            if (view.getLayoutParams() == null) {
                view.setLayoutParams(new LayoutParams(-2, -2));
            }
            view.measure(makeMeasureSpec, makeMeasureSpec2);
            i = Math.max(i, view.getMeasuredWidth());
            max2++;
            max = itemViewType;
        }
        if (drawable == null) {
            return i;
        }
        drawable.getPadding(this.f2041l);
        return (this.f2041l.left + this.f2041l.right) + i;
    }

    protected void drawableStateChanged() {
        super.drawableStateChanged();
        if (this.f2034e != null) {
            this.f2034e.m4606c();
        }
    }

    public int getDropDownHorizontalOffset() {
        return this.f2039j != null ? this.f2039j.m4052f() : f2031b ? super.getDropDownHorizontalOffset() : 0;
    }

    public int getDropDownVerticalOffset() {
        return this.f2039j != null ? this.f2039j.m4054g() : f2031b ? super.getDropDownVerticalOffset() : 0;
    }

    public int getDropDownWidth() {
        return this.f2039j != null ? this.f2040k : f2031b ? super.getDropDownWidth() : 0;
    }

    public Drawable getPopupBackground() {
        return this.f2039j != null ? this.f2039j.m4048d() : f2031b ? super.getPopupBackground() : null;
    }

    public Context getPopupContext() {
        return this.f2039j != null ? this.f2035f : f2030a ? super.getPopupContext() : null;
    }

    public CharSequence getPrompt() {
        return this.f2039j != null ? this.f2039j.m4067a() : super.getPrompt();
    }

    public ColorStateList getSupportBackgroundTintList() {
        return this.f2034e != null ? this.f2034e.m4598a() : null;
    }

    public Mode getSupportBackgroundTintMode() {
        return this.f2034e != null ? this.f2034e.m4604b() : null;
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.f2039j != null && this.f2039j.m4060k()) {
            this.f2039j.m4058i();
        }
    }

    protected void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (this.f2039j != null && MeasureSpec.getMode(i) == Integer.MIN_VALUE) {
            setMeasuredDimension(Math.min(Math.max(getMeasuredWidth(), m4024a(getAdapter(), getBackground())), MeasureSpec.getSize(i)), getMeasuredHeight());
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        return (this.f2036g == null || !this.f2036g.onTouch(this, motionEvent)) ? super.onTouchEvent(motionEvent) : true;
    }

    public boolean performClick() {
        if (this.f2039j == null || this.f2039j.m4060k()) {
            return super.performClick();
        }
        this.f2039j.m4071c();
        return true;
    }

    public void setAdapter(SpinnerAdapter spinnerAdapter) {
        if (this.f2038i) {
            super.setAdapter(spinnerAdapter);
            if (this.f2039j != null) {
                this.f2039j.m4068a(new ae(spinnerAdapter, (this.f2035f == null ? getContext() : this.f2035f).getTheme()));
                return;
            }
            return;
        }
        this.f2037h = spinnerAdapter;
    }

    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        if (this.f2034e != null) {
            this.f2034e.m4602a(drawable);
        }
    }

    public void setBackgroundResource(int i) {
        super.setBackgroundResource(i);
        if (this.f2034e != null) {
            this.f2034e.m4599a(i);
        }
    }

    public void setDropDownHorizontalOffset(int i) {
        if (this.f2039j != null) {
            this.f2039j.m4045b(i);
        } else if (f2031b) {
            super.setDropDownHorizontalOffset(i);
        }
    }

    public void setDropDownVerticalOffset(int i) {
        if (this.f2039j != null) {
            this.f2039j.m4047c(i);
        } else if (f2031b) {
            super.setDropDownVerticalOffset(i);
        }
    }

    public void setDropDownWidth(int i) {
        if (this.f2039j != null) {
            this.f2040k = i;
        } else if (f2031b) {
            super.setDropDownWidth(i);
        }
    }

    public void setPopupBackgroundDrawable(Drawable drawable) {
        if (this.f2039j != null) {
            this.f2039j.m4039a(drawable);
        } else if (f2031b) {
            super.setPopupBackgroundDrawable(drawable);
        }
    }

    public void setPopupBackgroundResource(int i) {
        setPopupBackgroundDrawable(getPopupContext().getDrawable(i));
    }

    public void setPrompt(CharSequence charSequence) {
        if (this.f2039j != null) {
            this.f2039j.m4069a(charSequence);
        } else {
            super.setPrompt(charSequence);
        }
    }

    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        if (this.f2034e != null) {
            this.f2034e.m4600a(colorStateList);
        }
    }

    public void setSupportBackgroundTintMode(Mode mode) {
        if (this.f2034e != null) {
            this.f2034e.m4601a(mode);
        }
    }
}
