package android.support.v7.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.os.Handler;
import android.support.v4.p015f.C0135h;
import android.support.v4.widget.aw;
import android.support.v7.internal.widget.C0373t;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0264l;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.PopupWindow.OnDismissListener;
import com.neatorobotics.android.C0729b;
import java.lang.reflect.Method;

public class bh {
    private static Method f2046a;
    private Handler f2047A;
    private Rect f2048B;
    private boolean f2049C;
    private int f2050D;
    int f2051b;
    private Context f2052c;
    private PopupWindow f2053d;
    private ListAdapter f2054e;
    private bl f2055f;
    private int f2056g;
    private int f2057h;
    private int f2058i;
    private int f2059j;
    private boolean f2060k;
    private int f2061l;
    private boolean f2062m;
    private boolean f2063n;
    private View f2064o;
    private int f2065p;
    private DataSetObserver f2066q;
    private View f2067r;
    private Drawable f2068s;
    private OnItemClickListener f2069t;
    private OnItemSelectedListener f2070u;
    private final bt f2071v;
    private final bs f2072w;
    private final br f2073x;
    private final bp f2074y;
    private Runnable f2075z;

    static {
        try {
            f2046a = PopupWindow.class.getDeclaredMethod("setClipToScreenEnabled", new Class[]{Boolean.TYPE});
        } catch (NoSuchMethodException e) {
            Log.i("ListPopupWindow", "Could not find method setClipToScreenEnabled() on PopupWindow. Oh well.");
        }
    }

    public bh(Context context) {
        this(context, null, C0254b.listPopupWindowStyle);
    }

    public bh(Context context, AttributeSet attributeSet, int i) {
        this(context, attributeSet, i, 0);
    }

    public bh(Context context, AttributeSet attributeSet, int i, int i2) {
        this.f2056g = -2;
        this.f2057h = -2;
        this.f2061l = 0;
        this.f2062m = false;
        this.f2063n = false;
        this.f2051b = Integer.MAX_VALUE;
        this.f2065p = 0;
        this.f2071v = new bt();
        this.f2072w = new bs();
        this.f2073x = new br();
        this.f2074y = new bp();
        this.f2047A = new Handler();
        this.f2048B = new Rect();
        this.f2052c = context;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0264l.ListPopupWindow, i, i2);
        this.f2058i = obtainStyledAttributes.getDimensionPixelOffset(C0264l.ListPopupWindow_android_dropDownHorizontalOffset, 0);
        this.f2059j = obtainStyledAttributes.getDimensionPixelOffset(C0264l.ListPopupWindow_android_dropDownVerticalOffset, 0);
        if (this.f2059j != 0) {
            this.f2060k = true;
        }
        obtainStyledAttributes.recycle();
        this.f2053d = new C0373t(context, attributeSet, i);
        this.f2053d.setInputMethodMode(1);
        this.f2050D = C0135h.m840a(this.f2052c.getResources().getConfiguration().locale);
    }

    private void m4032a() {
        if (this.f2064o != null) {
            ViewParent parent = this.f2064o.getParent();
            if (parent instanceof ViewGroup) {
                ((ViewGroup) parent).removeView(this.f2064o);
            }
        }
    }

    private int m4033b() {
        int measuredHeight;
        int i;
        int i2;
        int maxAvailableHeight;
        LayoutParams layoutParams;
        View view;
        if (this.f2055f == null) {
            Context context = this.f2052c;
            this.f2075z = new bj(this);
            this.f2055f = new bl(context, !this.f2049C);
            if (this.f2068s != null) {
                this.f2055f.setSelector(this.f2068s);
            }
            this.f2055f.setAdapter(this.f2054e);
            this.f2055f.setOnItemClickListener(this.f2069t);
            this.f2055f.setFocusable(true);
            this.f2055f.setFocusableInTouchMode(true);
            this.f2055f.setOnItemSelectedListener(new bk(this));
            this.f2055f.setOnScrollListener(this.f2073x);
            if (this.f2070u != null) {
                this.f2055f.setOnItemSelectedListener(this.f2070u);
            }
            View view2 = this.f2055f;
            View view3 = this.f2064o;
            if (view3 != null) {
                View linearLayout = new LinearLayout(context);
                linearLayout.setOrientation(1);
                ViewGroup.LayoutParams layoutParams2 = new LayoutParams(-1, 0, 1.0f);
                switch (this.f2065p) {
                    case C0729b.View_android_theme /*0*/:
                        linearLayout.addView(view3);
                        linearLayout.addView(view2, layoutParams2);
                        break;
                    case C0729b.View_android_focusable /*1*/:
                        linearLayout.addView(view2, layoutParams2);
                        linearLayout.addView(view3);
                        break;
                    default:
                        Log.e("ListPopupWindow", "Invalid hint position " + this.f2065p);
                        break;
                }
                view3.measure(MeasureSpec.makeMeasureSpec(this.f2057h, Integer.MIN_VALUE), 0);
                layoutParams = (LayoutParams) view3.getLayoutParams();
                measuredHeight = layoutParams.bottomMargin + (view3.getMeasuredHeight() + layoutParams.topMargin);
                view = linearLayout;
            } else {
                view = view2;
                measuredHeight = 0;
            }
            this.f2053d.setContentView(view);
            i = measuredHeight;
        } else {
            ViewGroup viewGroup = (ViewGroup) this.f2053d.getContentView();
            view = this.f2064o;
            if (view != null) {
                layoutParams = (LayoutParams) view.getLayoutParams();
                i = layoutParams.bottomMargin + (view.getMeasuredHeight() + layoutParams.topMargin);
            } else {
                i = 0;
            }
        }
        Drawable background = this.f2053d.getBackground();
        if (background != null) {
            background.getPadding(this.f2048B);
            measuredHeight = this.f2048B.top + this.f2048B.bottom;
            if (this.f2060k) {
                i2 = measuredHeight;
            } else {
                this.f2059j = -this.f2048B.top;
                i2 = measuredHeight;
            }
        } else {
            this.f2048B.setEmpty();
            i2 = 0;
        }
        if (this.f2053d.getInputMethodMode() == 2) {
            maxAvailableHeight = this.f2053d.getMaxAvailableHeight(m4050e(), this.f2059j);
        } else {
            maxAvailableHeight = this.f2053d.getMaxAvailableHeight(m4050e(), this.f2059j);
        }
        if (this.f2062m || this.f2056g == -1) {
            return maxAvailableHeight + i2;
        }
        int makeMeasureSpec;
        switch (this.f2057h) {
            case -2:
                makeMeasureSpec = MeasureSpec.makeMeasureSpec(this.f2052c.getResources().getDisplayMetrics().widthPixels - (this.f2048B.left + this.f2048B.right), Integer.MIN_VALUE);
                break;
            case -1:
                makeMeasureSpec = MeasureSpec.makeMeasureSpec(this.f2052c.getResources().getDisplayMetrics().widthPixels - (this.f2048B.left + this.f2048B.right), 1073741824);
                break;
            default:
                makeMeasureSpec = MeasureSpec.makeMeasureSpec(this.f2057h, 1073741824);
                break;
        }
        measuredHeight = this.f2055f.m3282a(makeMeasureSpec, 0, -1, maxAvailableHeight - i, -1);
        if (measuredHeight > 0) {
            i += i2;
        }
        return measuredHeight + i;
    }

    private void m4035b(boolean z) {
        if (f2046a != null) {
            try {
                f2046a.invoke(this.f2053d, new Object[]{Boolean.valueOf(z)});
            } catch (Exception e) {
                Log.i("ListPopupWindow", "Could not call setClipToScreenEnabled() on PopupWindow. Oh well.");
            }
        }
    }

    public void m4038a(int i) {
        this.f2065p = i;
    }

    public void m4039a(Drawable drawable) {
        this.f2053d.setBackgroundDrawable(drawable);
    }

    public void m4040a(View view) {
        this.f2067r = view;
    }

    public void m4041a(OnItemClickListener onItemClickListener) {
        this.f2069t = onItemClickListener;
    }

    public void m4042a(ListAdapter listAdapter) {
        if (this.f2066q == null) {
            this.f2066q = new bq();
        } else if (this.f2054e != null) {
            this.f2054e.unregisterDataSetObserver(this.f2066q);
        }
        this.f2054e = listAdapter;
        if (this.f2054e != null) {
            listAdapter.registerDataSetObserver(this.f2066q);
        }
        if (this.f2055f != null) {
            this.f2055f.setAdapter(this.f2054e);
        }
    }

    public void m4043a(OnDismissListener onDismissListener) {
        this.f2053d.setOnDismissListener(onDismissListener);
    }

    public void m4044a(boolean z) {
        this.f2049C = z;
        this.f2053d.setFocusable(z);
    }

    public void m4045b(int i) {
        this.f2058i = i;
    }

    public void m4046c() {
        boolean z = true;
        boolean z2 = false;
        int i = -1;
        int b = m4033b();
        boolean l = m4061l();
        if (this.f2053d.isShowing()) {
            int width = this.f2057h == -1 ? -1 : this.f2057h == -2 ? m4050e().getWidth() : this.f2057h;
            if (this.f2056g == -1) {
                if (!l) {
                    b = -1;
                }
                if (l) {
                    PopupWindow popupWindow = this.f2053d;
                    if (this.f2057h != -1) {
                        i = 0;
                    }
                    popupWindow.setWindowLayoutMode(i, 0);
                } else {
                    this.f2053d.setWindowLayoutMode(this.f2057h == -1 ? -1 : 0, -1);
                }
            } else if (this.f2056g != -2) {
                b = this.f2056g;
            }
            PopupWindow popupWindow2 = this.f2053d;
            if (!(this.f2063n || this.f2062m)) {
                z2 = true;
            }
            popupWindow2.setOutsideTouchable(z2);
            this.f2053d.update(m4050e(), this.f2058i, this.f2059j, width, b);
            return;
        }
        int i2;
        if (this.f2057h == -1) {
            i2 = -1;
        } else if (this.f2057h == -2) {
            this.f2053d.setWidth(m4050e().getWidth());
            i2 = 0;
        } else {
            this.f2053d.setWidth(this.f2057h);
            i2 = 0;
        }
        if (this.f2056g == -1) {
            width = -1;
        } else if (this.f2056g == -2) {
            this.f2053d.setHeight(b);
            width = 0;
        } else {
            this.f2053d.setHeight(this.f2056g);
            width = 0;
        }
        this.f2053d.setWindowLayoutMode(i2, width);
        m4035b(true);
        popupWindow = this.f2053d;
        if (this.f2063n || this.f2062m) {
            z = false;
        }
        popupWindow.setOutsideTouchable(z);
        this.f2053d.setTouchInterceptor(this.f2072w);
        aw.m2290a(this.f2053d, m4050e(), this.f2058i, this.f2059j, this.f2061l);
        this.f2055f.setSelection(-1);
        if (!this.f2049C || this.f2055f.isInTouchMode()) {
            m4059j();
        }
        if (!this.f2049C) {
            this.f2047A.post(this.f2074y);
        }
    }

    public void m4047c(int i) {
        this.f2059j = i;
        this.f2060k = true;
    }

    public Drawable m4048d() {
        return this.f2053d.getBackground();
    }

    public void m4049d(int i) {
        this.f2061l = i;
    }

    public View m4050e() {
        return this.f2067r;
    }

    public void m4051e(int i) {
        this.f2057h = i;
    }

    public int m4052f() {
        return this.f2058i;
    }

    public void m4053f(int i) {
        Drawable background = this.f2053d.getBackground();
        if (background != null) {
            background.getPadding(this.f2048B);
            this.f2057h = (this.f2048B.left + this.f2048B.right) + i;
            return;
        }
        m4051e(i);
    }

    public int m4054g() {
        return !this.f2060k ? 0 : this.f2059j;
    }

    public void m4055g(int i) {
        this.f2053d.setInputMethodMode(i);
    }

    public int m4056h() {
        return this.f2057h;
    }

    public void m4057h(int i) {
        bl blVar = this.f2055f;
        if (m4060k() && blVar != null) {
            blVar.f2178f = false;
            blVar.setSelection(i);
            if (VERSION.SDK_INT >= 11 && blVar.getChoiceMode() != 0) {
                blVar.setItemChecked(i, true);
            }
        }
    }

    public void m4058i() {
        this.f2053d.dismiss();
        m4032a();
        this.f2053d.setContentView(null);
        this.f2055f = null;
        this.f2047A.removeCallbacks(this.f2071v);
    }

    public void m4059j() {
        bl blVar = this.f2055f;
        if (blVar != null) {
            blVar.f2178f = true;
            blVar.requestLayout();
        }
    }

    public boolean m4060k() {
        return this.f2053d.isShowing();
    }

    public boolean m4061l() {
        return this.f2053d.getInputMethodMode() == 2;
    }

    public ListView m4062m() {
        return this.f2055f;
    }
}
