package android.support.v7.widget;

import android.app.SearchManager;
import android.app.SearchableInfo;
import android.content.ComponentName;
import android.content.Context;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.Resources.NotFoundException;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.Drawable.ConstantState;
import android.net.Uri;
import android.net.Uri.Builder;
import android.os.Bundle;
import android.support.v4.p009b.C0054a;
import android.support.v4.widget.bh;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0259g;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.TextAppearanceSpan;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.util.List;
import java.util.WeakHashMap;

class dq extends bh implements OnClickListener {
    private final SearchManager f2294j;
    private final SearchView f2295k;
    private final SearchableInfo f2296l;
    private final Context f2297m;
    private final WeakHashMap f2298n;
    private final int f2299o;
    private boolean f2300p;
    private int f2301q;
    private ColorStateList f2302r;
    private int f2303s;
    private int f2304t;
    private int f2305u;
    private int f2306v;
    private int f2307w;
    private int f2308x;

    public dq(Context context, SearchView searchView, SearchableInfo searchableInfo, WeakHashMap weakHashMap) {
        super(context, searchView.getSuggestionRowLayout(), null, true);
        this.f2300p = false;
        this.f2301q = 1;
        this.f2303s = -1;
        this.f2304t = -1;
        this.f2305u = -1;
        this.f2306v = -1;
        this.f2307w = -1;
        this.f2308x = -1;
        this.f2294j = (SearchManager) this.d.getSystemService("search");
        this.f2295k = searchView;
        this.f2296l = searchableInfo;
        this.f2299o = searchView.getSuggestionCommitIconResId();
        this.f2297m = context;
        this.f2298n = weakHashMap;
    }

    private Drawable m4524a(ComponentName componentName) {
        Object obj = null;
        String flattenToShortString = componentName.flattenToShortString();
        if (this.f2298n.containsKey(flattenToShortString)) {
            ConstantState constantState = (ConstantState) this.f2298n.get(flattenToShortString);
            return constantState == null ? null : constantState.newDrawable(this.f2297m.getResources());
        } else {
            Drawable b = m4531b(componentName);
            if (b != null) {
                obj = b.getConstantState();
            }
            this.f2298n.put(flattenToShortString, obj);
            return b;
        }
    }

    private Drawable m4525a(String str) {
        if (str == null || str.length() == 0 || "0".equals(str)) {
            return null;
        }
        Drawable b;
        try {
            int parseInt = Integer.parseInt(str);
            String str2 = "android.resource://" + this.f2297m.getPackageName() + "/" + parseInt;
            b = m4533b(str2);
            if (b != null) {
                return b;
            }
            b = C0054a.m307a(this.f2297m, parseInt);
            m4530a(str2, b);
            return b;
        } catch (NumberFormatException e) {
            b = m4533b(str);
            if (b != null) {
                return b;
            }
            b = m4532b(Uri.parse(str));
            m4530a(str, b);
            return b;
        } catch (NotFoundException e2) {
            Log.w("SuggestionsAdapter", "Icon resource not found: " + str);
            return null;
        }
    }

    private static String m4526a(Cursor cursor, int i) {
        String str = null;
        if (i != -1) {
            try {
                str = cursor.getString(i);
            } catch (Throwable e) {
                Log.e("SuggestionsAdapter", "unexpected error retrieving valid column from cursor, did the remote process die?", e);
            }
        }
        return str;
    }

    public static String m4527a(Cursor cursor, String str) {
        return m4526a(cursor, cursor.getColumnIndex(str));
    }

    private void m4528a(ImageView imageView, Drawable drawable, int i) {
        imageView.setImageDrawable(drawable);
        if (drawable == null) {
            imageView.setVisibility(i);
            return;
        }
        imageView.setVisibility(0);
        drawable.setVisible(false, false);
        drawable.setVisible(true, false);
    }

    private void m4529a(TextView textView, CharSequence charSequence) {
        textView.setText(charSequence);
        if (TextUtils.isEmpty(charSequence)) {
            textView.setVisibility(8);
        } else {
            textView.setVisibility(0);
        }
    }

    private void m4530a(String str, Drawable drawable) {
        if (drawable != null) {
            this.f2298n.put(str, drawable.getConstantState());
        }
    }

    private Drawable m4531b(ComponentName componentName) {
        PackageManager packageManager = this.d.getPackageManager();
        try {
            ActivityInfo activityInfo = packageManager.getActivityInfo(componentName, 128);
            int iconResource = activityInfo.getIconResource();
            if (iconResource == 0) {
                return null;
            }
            Drawable drawable = packageManager.getDrawable(componentName.getPackageName(), iconResource, activityInfo.applicationInfo);
            if (drawable != null) {
                return drawable;
            }
            Log.w("SuggestionsAdapter", "Invalid icon resource " + iconResource + " for " + componentName.flattenToShortString());
            return null;
        } catch (NameNotFoundException e) {
            Log.w("SuggestionsAdapter", e.toString());
            return null;
        }
    }

    private Drawable m4532b(Uri uri) {
        InputStream openInputStream;
        try {
            if ("android.resource".equals(uri.getScheme())) {
                return m4541a(uri);
            }
            openInputStream = this.f2297m.getContentResolver().openInputStream(uri);
            if (openInputStream == null) {
                throw new FileNotFoundException("Failed to open " + uri);
            }
            Drawable createFromStream = Drawable.createFromStream(openInputStream, null);
            try {
                openInputStream.close();
                return createFromStream;
            } catch (Throwable e) {
                Log.e("SuggestionsAdapter", "Error closing icon stream for " + uri, e);
                return createFromStream;
            }
        } catch (NotFoundException e2) {
            throw new FileNotFoundException("Resource does not exist: " + uri);
        } catch (FileNotFoundException e3) {
            Log.w("SuggestionsAdapter", "Icon not found: " + uri + ", " + e3.getMessage());
            return null;
        } catch (Throwable th) {
            try {
                openInputStream.close();
            } catch (Throwable e4) {
                Log.e("SuggestionsAdapter", "Error closing icon stream for " + uri, e4);
            }
        }
    }

    private Drawable m4533b(String str) {
        ConstantState constantState = (ConstantState) this.f2298n.get(str);
        return constantState == null ? null : constantState.newDrawable();
    }

    private CharSequence m4534b(CharSequence charSequence) {
        if (this.f2302r == null) {
            TypedValue typedValue = new TypedValue();
            this.d.getTheme().resolveAttribute(C0254b.textColorSearchUrl, typedValue, true);
            this.f2302r = this.d.getResources().getColorStateList(typedValue.resourceId);
        }
        CharSequence spannableString = new SpannableString(charSequence);
        spannableString.setSpan(new TextAppearanceSpan(null, 0, 0, this.f2302r, null), 0, charSequence.length(), 33);
        return spannableString;
    }

    private void m4535d(Cursor cursor) {
        Bundle extras = cursor != null ? cursor.getExtras() : null;
        if (extras != null && !extras.getBoolean("in_progress")) {
        }
    }

    private Drawable m4536e(Cursor cursor) {
        if (this.f2306v == -1) {
            return null;
        }
        Drawable a = m4525a(cursor.getString(this.f2306v));
        return a == null ? m4538g(cursor) : a;
    }

    private Drawable m4537f(Cursor cursor) {
        return this.f2307w == -1 ? null : m4525a(cursor.getString(this.f2307w));
    }

    private Drawable m4538g(Cursor cursor) {
        Drawable a = m4524a(this.f2296l.getSearchActivity());
        return a != null ? a : this.d.getPackageManager().getDefaultActivityIcon();
    }

    Cursor m4539a(SearchableInfo searchableInfo, String str, int i) {
        if (searchableInfo == null) {
            return null;
        }
        String suggestAuthority = searchableInfo.getSuggestAuthority();
        if (suggestAuthority == null) {
            return null;
        }
        String[] strArr;
        Builder fragment = new Builder().scheme("content").authority(suggestAuthority).query("").fragment("");
        String suggestPath = searchableInfo.getSuggestPath();
        if (suggestPath != null) {
            fragment.appendEncodedPath(suggestPath);
        }
        fragment.appendPath("search_suggest_query");
        String suggestSelection = searchableInfo.getSuggestSelection();
        if (suggestSelection != null) {
            strArr = new String[]{str};
        } else {
            fragment.appendPath(str);
            strArr = null;
        }
        if (i > 0) {
            fragment.appendQueryParameter("limit", String.valueOf(i));
        }
        return this.d.getContentResolver().query(fragment.build(), null, suggestSelection, strArr, null);
    }

    public Cursor m4540a(CharSequence charSequence) {
        String charSequence2 = charSequence == null ? "" : charSequence.toString();
        if (this.f2295k.getVisibility() != 0 || this.f2295k.getWindowVisibility() != 0) {
            return null;
        }
        try {
            Cursor a = m4539a(this.f2296l, charSequence2, 50);
            if (a != null) {
                a.getCount();
                return a;
            }
        } catch (Throwable e) {
            Log.w("SuggestionsAdapter", "Search suggestions query threw an exception.", e);
        }
        return null;
    }

    Drawable m4541a(Uri uri) {
        String authority = uri.getAuthority();
        if (TextUtils.isEmpty(authority)) {
            throw new FileNotFoundException("No authority: " + uri);
        }
        try {
            Resources resourcesForApplication = this.d.getPackageManager().getResourcesForApplication(authority);
            List pathSegments = uri.getPathSegments();
            if (pathSegments == null) {
                throw new FileNotFoundException("No path: " + uri);
            }
            int size = pathSegments.size();
            if (size == 1) {
                try {
                    size = Integer.parseInt((String) pathSegments.get(0));
                } catch (NumberFormatException e) {
                    throw new FileNotFoundException("Single path segment is not a resource ID: " + uri);
                }
            } else if (size == 2) {
                size = resourcesForApplication.getIdentifier((String) pathSegments.get(1), (String) pathSegments.get(0), authority);
            } else {
                throw new FileNotFoundException("More than two path segments: " + uri);
            }
            if (size != 0) {
                return resourcesForApplication.getDrawable(size);
            }
            throw new FileNotFoundException("No resource found for: " + uri);
        } catch (NameNotFoundException e2) {
            throw new FileNotFoundException("No package found for authority: " + uri);
        }
    }

    public View m4542a(Context context, Cursor cursor, ViewGroup viewGroup) {
        View a = super.m2322a(context, cursor, viewGroup);
        a.setTag(new dr(a));
        ((ImageView) a.findViewById(C0259g.edit_query)).setImageResource(this.f2299o);
        return a;
    }

    public void m4543a(int i) {
        this.f2301q = i;
    }

    public void m4544a(Cursor cursor) {
        if (this.f2300p) {
            Log.w("SuggestionsAdapter", "Tried to change cursor after adapter was closed.");
            if (cursor != null) {
                cursor.close();
                return;
            }
            return;
        }
        try {
            super.m2316a(cursor);
            if (cursor != null) {
                this.f2303s = cursor.getColumnIndex("suggest_text_1");
                this.f2304t = cursor.getColumnIndex("suggest_text_2");
                this.f2305u = cursor.getColumnIndex("suggest_text_2_url");
                this.f2306v = cursor.getColumnIndex("suggest_icon_1");
                this.f2307w = cursor.getColumnIndex("suggest_icon_2");
                this.f2308x = cursor.getColumnIndex("suggest_flags");
            }
        } catch (Throwable e) {
            Log.e("SuggestionsAdapter", "error changing cursor and caching columns", e);
        }
    }

    public void m4545a(View view, Context context, Cursor cursor) {
        dr drVar = (dr) view.getTag();
        int i = this.f2308x != -1 ? cursor.getInt(this.f2308x) : 0;
        if (drVar.f2309a != null) {
            m4529a(drVar.f2309a, m4526a(cursor, this.f2303s));
        }
        if (drVar.f2310b != null) {
            CharSequence a = m4526a(cursor, this.f2305u);
            a = a != null ? m4534b(a) : m4526a(cursor, this.f2304t);
            if (TextUtils.isEmpty(a)) {
                if (drVar.f2309a != null) {
                    drVar.f2309a.setSingleLine(false);
                    drVar.f2309a.setMaxLines(2);
                }
            } else if (drVar.f2309a != null) {
                drVar.f2309a.setSingleLine(true);
                drVar.f2309a.setMaxLines(1);
            }
            m4529a(drVar.f2310b, a);
        }
        if (drVar.f2311c != null) {
            m4528a(drVar.f2311c, m4536e(cursor), 4);
        }
        if (drVar.f2312d != null) {
            m4528a(drVar.f2312d, m4537f(cursor), 8);
        }
        if (this.f2301q == 2 || (this.f2301q == 1 && (i & 1) != 0)) {
            drVar.f2313e.setVisibility(0);
            drVar.f2313e.setTag(drVar.f2309a.getText());
            drVar.f2313e.setOnClickListener(this);
            return;
        }
        drVar.f2313e.setVisibility(8);
    }

    public CharSequence m4546c(Cursor cursor) {
        if (cursor == null) {
            return null;
        }
        String a = m4527a(cursor, "suggest_intent_query");
        if (a != null) {
            return a;
        }
        if (this.f2296l.shouldRewriteQueryFromData()) {
            a = m4527a(cursor, "suggest_intent_data");
            if (a != null) {
                return a;
            }
        }
        if (!this.f2296l.shouldRewriteQueryFromText()) {
            return null;
        }
        a = m4527a(cursor, "suggest_text_1");
        return a != null ? a : null;
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        try {
            return super.getView(i, view, viewGroup);
        } catch (Throwable e) {
            Log.w("SuggestionsAdapter", "Search suggestions cursor threw exception.", e);
            View a = m4542a(this.d, this.c, viewGroup);
            if (a != null) {
                ((dr) a.getTag()).f2309a.setText(e.toString());
            }
            return a;
        }
    }

    public boolean hasStableIds() {
        return false;
    }

    public void notifyDataSetChanged() {
        super.notifyDataSetChanged();
        m4535d(m2312a());
    }

    public void notifyDataSetInvalidated() {
        super.notifyDataSetInvalidated();
        m4535d(m2312a());
    }

    public void onClick(View view) {
        Object tag = view.getTag();
        if (tag instanceof CharSequence) {
            this.f2295k.m3857a((CharSequence) tag);
        }
    }
}
