package com.neatorobotics.android.activities;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager.NameNotFoundException;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Handler;
import com.google.android.gms.common.C0436a;
import com.google.android.gms.gcm.C0514b;
import com.neatorobotics.android.R;
import com.neatorobotics.android.activities.home.HomeActivity;
import com.neatorobotics.android.p028a.C0536b;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;

@C0536b
public class LauncherActivity extends C0539a {
    C0514b f2874i;
    Context f2875j;
    String f2876k;
    final Handler f2877l;
    final Runnable f2878m;

    public LauncherActivity() {
        this.f2877l = new Handler();
        this.f2878m = new C0555d(this);
    }

    private String m5372a(Context context) {
        String b = C0742a.m5810b(getApplicationContext(), "GCM_REGID", "");
        if (b.isEmpty()) {
            C0767d.m5869c("LauncherActivity", "Registration not found.");
            return "";
        } else if (C0742a.m5812c(getApplicationContext(), "GCM_APP_VERSION") == m5376b(context)) {
            return b;
        } else {
            C0767d.m5869c("LauncherActivity", "App version changed.");
            return "";
        }
    }

    private void m5373a(Context context, String str) {
        int b = m5376b(context);
        C0742a.m5806a(getApplicationContext(), "GCM_REGID", str);
        C0742a.m5804a(getApplicationContext(), "GCM_APP_VERSION", b);
        C0767d.m5869c("LauncherActivity", "Saving regId on app version " + b);
    }

    private static int m5376b(Context context) {
        try {
            return context.getPackageManager().getPackageInfo(context.getPackageName(), 0).versionCode;
        } catch (NameNotFoundException e) {
            throw new RuntimeException("Could not get package name: " + e);
        }
    }

    private void m5379l() {
        if (C0742a.m5811b(getApplicationContext(), "REMEMBER_ME")) {
            m5380m();
            return;
        }
        m5364o();
        finish();
    }

    private void m5380m() {
        try {
            new C0584g(this).executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/sessions/check")});
        } catch (Exception e) {
            C0767d.m5867a("LauncherActivity", "Exception", e);
        }
    }

    private void m5381n() {
        C0767d.m5868b("LauncherActivity", "User authenticated, access token is valid.");
        Intent intent = new Intent(this, HomeActivity.class);
        intent.setFlags(536870912);
        startActivity(intent);
        finish();
    }

    private boolean m5382t() {
        int a = C0436a.m4751a((Context) this);
        if (a == 0) {
            return true;
        }
        if (C0436a.m4764b(a)) {
            C0436a.m4752a(a, (Activity) this, 9000).show();
        } else {
            C0767d.m5869c("LauncherActivity", "This device is not supported.");
            finish();
        }
        return false;
    }

    private void m5383u() {
        new C0583f(this).execute(new Void[]{null, null, null});
    }

    private void m5384v() {
    }

    protected void m5385k() {
        new C0556e(this).start();
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_splash_screen);
        this.f2875j = getApplicationContext();
        if (m5382t()) {
            this.f2874i = C0514b.m5253a((Context) this);
            this.f2876k = m5372a(this.f2875j);
            C0767d.m5868b("LauncherActivity", "current regID = " + this.f2876k);
            if (this.f2876k.isEmpty()) {
                m5383u();
                return;
            }
            return;
        }
        C0767d.m5869c("LauncherActivity", "No valid Google Play Services APK found.");
    }

    protected void onResume() {
        super.onResume();
        if (m5382t()) {
            m5385k();
        }
    }
}
