package com.neatorobotics.android.activities.easywifi;

import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.app.ab;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p028a.C0535a;
import com.neatorobotics.android.p028a.C0537c;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p031d.C0732b;
import com.neatorobotics.android.p032e.p033a.C0733a;
import com.neatorobotics.android.p032e.p037e.C0739a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.utils.C0764a;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import org.json.JSONObject;

@C0535a
@C0537c
public class EasyWifiFinalActivity extends C0539a {
    Toolbar f2946i;
    protected C0577u f2947j;
    C0576t f2948k;
    int f2949l;
    int f2950m;
    private SharedPreferences f2951n;
    private final String f2952o;
    private final String f2953p;
    private final String f2954q;
    private String f2955r;
    private String f2956s;
    private EditText f2957t;

    public EasyWifiFinalActivity() {
        this.f2952o = "ROBOTNAME";
        this.f2953p = "SSID";
        this.f2954q = "WIFI_PWD";
    }

    private void m5431k() {
        this.f2957t.setText(this.f2951n.getString("ROBOTNAME", ""));
        this.f2955r = this.f2951n.getString("SSID", "");
        this.f2956s = this.f2951n.getString("WIFI_PWD", "");
    }

    private void m5432l() {
        ab a = C0733a.m5780a(this);
        a.m2640a((int) R.string.cannot_connect_to_robot);
        a.m2648a(false);
        a.m2650b((int) R.string.you_are_not_connected_to_robot_wifi);
        a.m2641a((int) R.string.ok, new C0575s(this));
        this.at = a.m2649b();
        this.at.show();
        C0733a.m5782a(getApplicationContext(), this.at);
    }

    public void nextSubmit(View view) {
        if (this.f2957t.getText().toString().length() > 20) {
            this.f2957t.setTextColor(-65536);
            this.f2957t.setHintTextColor(-65536);
            ab a = C0733a.m5780a(this);
            a.m2640a((int) R.string.robot_name_is_too_long);
            a.m2648a(false);
            a.m2650b((int) R.string.robot_name_is_too_long_message);
            a.m2641a((int) R.string.ok, new C0574r(this));
            this.at = a.m2649b();
            this.at.show();
            C0733a.m5782a(getApplicationContext(), this.at);
        } else if (C0739a.m5786a(getApplicationContext()) == null || !C0739a.m5786a(getApplicationContext()).contains(C0732b.f3479a)) {
            m5432l();
        } else {
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("ssid", this.f2955r);
                jSONObject.put("password", this.f2956s);
                jSONObject.put("user_id", C0742a.m5803a(getApplicationContext(), "USER_ID"));
                jSONObject.put("name", this.f2957t.getText());
                jSONObject.put("utc_offset", C0764a.m5851c());
                this.f2948k = this.f2947j.m5470a();
                this.f2948k.m5468a(jSONObject);
                URL url = new URL(getString(R.string.easy_wifi_robot_endpoint) + "/robot/wifi");
                this.f2948k.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{url});
            } catch (Exception e) {
                C0767d.m5867a("EasyWifiFinalActivity", "Exception", e);
            } catch (Exception e2) {
                C0767d.m5867a("EasyWifiFinalActivity", "Exception", e2);
            }
        }
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_easy_wifi_final);
        this.f2951n = getApplicationContext().getSharedPreferences("EasyWifiFinalActivity", 0);
        this.f2947j = new C0577u(this);
        this.f2946i = (Toolbar) findViewById(R.id.toolbar);
        this.f2946i.setNavigationIcon((int) R.drawable.back);
        ((TextView) this.f2946i.findViewById(R.id.toolbarTitle)).setText(getString(R.string.set_robot_name));
        this.f2946i.setNavigationOnClickListener(new C0571o(this));
        this.f2957t = (EditText) findViewById(R.id.robot_name_field);
        this.f2957t.addTextChangedListener(new C0572p(this));
        this.f2949l = this.f2957t.getTextColors().getDefaultColor();
        this.f2950m = this.f2957t.getCurrentHintTextColor();
        this.f2957t.setOnEditorActionListener(new C0573q(this));
        this.f2957t.setSelection(this.f2957t.getText().length());
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            this.f2955r = extras.getString("SSID");
            this.f2956s = extras.getString("PASSWORD");
        }
        if (bundle != null) {
            m5431k();
        }
    }

    protected void onDestroy() {
        super.onDestroy();
    }

    protected void onResume() {
        super.onResume();
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f2951n.edit();
        edit.putString("ROBOTNAME", this.f2957t.getText().toString());
        edit.putString("SSID", this.f2955r);
        edit.putString("WIFI_PWD", this.f2956s);
        edit.commit();
    }

    protected void onStop() {
        super.onStop();
    }
}
