package com.neatorobotics.android.activities.settings;

import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.graphics.Typeface;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.text.method.PasswordTransformationMethod;
import android.text.method.SingleLineTransformationMethod;
import android.view.View;
import android.view.View.OnFocusChangeListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import org.json.JSONObject;

public class ChangeEmailActivity extends C0539a implements OnFocusChangeListener {
    protected C0685i f3350i;
    protected C0686j f3351j;
    int f3352k;
    int f3353l;
    private SharedPreferences f3354m;
    private final String f3355n;
    private final String f3356o;
    private final String f3357p;
    private EditText f3358q;
    private EditText f3359r;
    private TextView f3360s;
    private Button f3361t;

    public ChangeEmailActivity() {
        this.f3355n = "CURRENT_EMAIL";
        this.f3356o = "PASSWORD";
        this.f3357p = "EMAIL";
    }

    private void m5701l() {
        this.f3358q.setText(this.f3354m.getString("EMAIL", ""));
        this.f3359r.setText(this.f3354m.getString("PASSWORD", ""));
        this.f3360s.setText(this.f3354m.getString("CURRENT_EMAIL", ""));
        m5702k();
    }

    protected boolean m5702k() {
        boolean z = !this.f3358q.getText().toString().trim().equalsIgnoreCase("");
        if (this.f3359r.getText().toString().trim().equalsIgnoreCase("")) {
            z = false;
        }
        if (z) {
            this.f3361t.setEnabled(true);
        } else {
            this.f3361t.setEnabled(false);
        }
        return z;
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_change_email);
        this.f3354m = getApplicationContext().getSharedPreferences("ChangeEmailActivity", 0);
        this.f3358q = (EditText) findViewById(R.id.email_field);
        this.f3359r = (EditText) findViewById(R.id.password_field);
        this.f3360s = (TextView) findViewById(R.id.current_email_field);
        this.f3361t = (Button) findViewById(R.id.validate_email_btn);
        this.f3358q.setOnFocusChangeListener(this);
        this.f3359r.setOnFocusChangeListener(this);
        this.f3352k = this.f3358q.getTextColors().getDefaultColor();
        this.f3353l = this.f3358q.getCurrentHintTextColor();
        this.f3359r.setTypeface(Typeface.DEFAULT);
        this.f3359r.setTransformationMethod(new PasswordTransformationMethod());
        this.f3358q.addTextChangedListener(new C0677a(this));
        this.f3359r.addTextChangedListener(new C0678b(this));
        this.f3359r.setOnEditorActionListener(new C0679c(this));
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        toolbar.setNavigationIcon((int) R.drawable.back);
        ((TextView) toolbar.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_change_email));
        toolbar.setNavigationOnClickListener(new C0680d(this));
        this.f3350i = new C0685i(this);
        this.f3351j = new C0686j(this);
        if (bundle != null) {
            m5701l();
        }
        try {
            this.f3351j.m5719a().executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/users/me")});
        } catch (Exception e) {
            C0767d.m5867a("ChangeEmailActivity", "Exception", e);
        }
    }

    public void onFocusChange(View view, boolean z) {
        if (z && (view instanceof EditText)) {
            ((EditText) view).setTextColor(this.f3352k);
            ((EditText) view).setHintTextColor(this.f3353l);
        }
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3354m.edit();
        edit.putString("EMAIL", this.f3358q.getText().toString());
        edit.putString("PASSWORD", this.f3359r.getText().toString());
        edit.putString("CURRENT_EMAIL", this.f3360s.getText().toString());
        edit.commit();
    }

    public void showPasswordClick(View view) {
        if (((TextView) view).getText().equals(getString(R.string.show_password))) {
            this.f3359r.setTransformationMethod(new SingleLineTransformationMethod());
            this.f3359r.setSelection(this.f3359r.getText().length());
            ((TextView) view).setText(R.string.hide_password);
            return;
        }
        this.f3359r.setTransformationMethod(new PasswordTransformationMethod());
        this.f3359r.setSelection(this.f3359r.getText().length());
        ((TextView) view).setText(R.string.show_password);
    }

    public void submitClick(View view) {
        Object obj = 1;
        this.f3358q.setBackgroundResource(R.drawable.input_bg_normal);
        this.f3359r.setBackgroundResource(R.drawable.input_bg_normal);
        this.f3358q.setTextColor(this.f3352k);
        this.f3359r.setTextColor(this.f3352k);
        this.f3358q.setHintTextColor(this.f3353l);
        this.f3359r.setHintTextColor(this.f3353l);
        if (this.f3358q.getText() == null || this.f3358q.getText().toString() == null || this.f3358q.getText().toString().trim().equalsIgnoreCase("")) {
            this.f3358q.setTextColor(-65536);
            this.f3358q.setHintTextColor(-65536);
            obj = null;
        }
        if (this.f3359r.getText() == null || this.f3359r.getText().toString() == null || this.f3359r.getText().toString().trim().equalsIgnoreCase("")) {
            this.f3359r.setTextColor(-65536);
            this.f3359r.setHintTextColor(-65536);
            obj = null;
        }
        if (obj != null) {
            C0681e a = this.f3350i.m5718a();
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put("email", this.f3358q.getText());
                jSONObject.put("password", this.f3359r.getText());
                a.m5716a(jSONObject);
                a.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/users/me/email")});
            } catch (Exception e) {
                C0767d.m5867a("ChangeEmailActivity", "Exception", e);
            } catch (Exception e2) {
                C0767d.m5867a("ChangeEmailActivity", "Exception", e2);
            }
        }
    }
}
