package com.neatorobotics.android.activities.signin;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.graphics.Typeface;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.text.method.PasswordTransformationMethod;
import android.text.method.SingleLineTransformationMethod;
import android.view.View;
import android.view.View.OnFocusChangeListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p028a.C0536b;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.p032e.p042j.C0757n;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import org.json.JSONObject;

@C0536b
public class SignInActivity extends C0539a implements OnFocusChangeListener {
    protected C0720r f3428i;
    int f3429j;
    int f3430k;
    private SharedPreferences f3431l;
    private final String f3432m;
    private final String f3433n;
    private EditText f3434o;
    private EditText f3435p;
    private Button f3436q;

    public SignInActivity() {
        this.f3432m = "EMAIL";
        this.f3433n = "PASSWORD";
    }

    private void m5748l() {
        this.f3434o.setText(this.f3431l.getString("EMAIL", ""));
        this.f3435p.setText(this.f3431l.getString("PASSWORD", ""));
        m5751k();
    }

    protected C0716n m5749a(String str, String str2) {
        return (str == null || str.trim().equalsIgnoreCase("")) ? C0716n.INVALID_EMAIL : (str2 == null || str2.trim().equalsIgnoreCase("")) ? C0716n.INVALID_PASSWORD : C0716n.OK;
    }

    protected C0717o m5750a(C0757n c0757n) {
        return (c0757n == null || c0757n.m5826a() != 201 || c0757n.m5827b() == null || !c0757n.m5827b().has("access_token")) ? (c0757n == null || c0757n.m5826a() != 403) ? C0717o.INVALID : C0717o.DENY : C0717o.OK;
    }

    public void forgotPasswordClick(View view) {
        Intent intent = new Intent(getApplicationContext(), ForgotPasswordActivity.class);
        intent.setFlags(536870912);
        startActivity(intent);
    }

    protected boolean m5751k() {
        boolean z = !this.f3434o.getText().toString().trim().equalsIgnoreCase("");
        if (this.f3435p.getText().toString().trim().equalsIgnoreCase("")) {
            z = false;
        }
        if (z) {
            this.f3436q.setEnabled(true);
        } else {
            this.f3436q.setEnabled(false);
        }
        return z;
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_signin);
        this.f3431l = getApplicationContext().getSharedPreferences("SignInActivity", 0);
        this.f3434o = (EditText) findViewById(R.id.email_field);
        this.f3435p = (EditText) findViewById(R.id.password_field);
        this.f3436q = (Button) findViewById(R.id.signin_btn);
        this.f3434o.setOnFocusChangeListener(this);
        this.f3435p.setOnFocusChangeListener(this);
        this.f3434o.addTextChangedListener(new C0712j(this));
        this.f3435p.addTextChangedListener(new C0713k(this));
        this.f3435p.setOnEditorActionListener(new C0714l(this));
        this.f3429j = this.f3434o.getTextColors().getDefaultColor();
        this.f3430k = this.f3434o.getCurrentHintTextColor();
        this.f3435p.setTypeface(Typeface.DEFAULT);
        this.f3435p.setTransformationMethod(new PasswordTransformationMethod());
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        toolbar.setNavigationIcon((int) R.drawable.close);
        ((TextView) toolbar.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_signin));
        toolbar.setNavigationOnClickListener(new C0715m(this));
        this.f3428i = new C0720r(this);
        if (bundle != null) {
            m5748l();
        }
    }

    public void onFocusChange(View view, boolean z) {
        if (z && (view instanceof EditText)) {
            ((EditText) view).setTextColor(this.f3429j);
            ((EditText) view).setHintTextColor(this.f3430k);
        }
    }

    protected void onResume() {
        super.onResume();
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3431l.edit();
        edit.putString("EMAIL", this.f3434o.getText().toString());
        edit.putString("PASSWORD", this.f3435p.getText().toString());
        edit.commit();
    }

    public void showPasswordClick(View view) {
        if (((TextView) view).getText().equals(getString(R.string.show_password))) {
            this.f3435p.setTransformationMethod(new SingleLineTransformationMethod());
            this.f3435p.setSelection(this.f3435p.getText().length());
            ((TextView) view).setText(R.string.hide_password);
            return;
        }
        this.f3435p.setTransformationMethod(new PasswordTransformationMethod());
        this.f3435p.setSelection(this.f3435p.getText().length());
        ((TextView) view).setText(R.string.show_password);
    }

    public void signInSubmit(View view) {
        C0716n a = m5749a(this.f3434o.getText().toString(), this.f3435p.getText().toString());
        if (a == C0716n.INVALID_EMAIL) {
            this.f3434o.setTextColor(-65536);
            this.f3434o.setHintTextColor(-65536);
        }
        if (a == C0716n.INVALID_PASSWORD) {
            this.f3435p.setTextColor(-65536);
            this.f3435p.setHintTextColor(-65536);
        }
        if (a == C0716n.OK) {
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("email", this.f3434o.getText());
                jSONObject.put("password", this.f3435p.getText());
                String b = C0742a.m5810b(getApplicationContext(), "GCM_REGID", null);
                if (b != null) {
                    jSONObject.put("platform", "android");
                    jSONObject.put("token", b);
                } else {
                    C0767d.m5866a("SignInActivity", "### GCM REGID is NULL I cannot send platform type too!");
                }
                C0718p a2 = this.f3428i.m5762a();
                a2.m5760a(jSONObject);
                a2.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/sessions")});
            } catch (Exception e) {
                C0767d.m5867a("SignInActivity", "Exception", e);
            } catch (Exception e2) {
                C0767d.m5867a("SignInActivity", "Exception", e2);
            }
        }
    }
}
