package com.neatorobotics.android.views;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import com.neatorobotics.android.C0729b;
import com.neatorobotics.android.R;
import com.neatorobotics.android.utils.C0769f;

public class MaterialProgressBar extends View {
    int f3593a;
    int f3594b;
    private C0771a f3595c;

    public MaterialProgressBar(Context context) {
        this(context, null);
    }

    public MaterialProgressBar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, C0729b.MaterialProgressWheel, 0, 0);
        try {
            this.f3593a = obtainStyledAttributes.getInt(0, this.f3594b);
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    public MaterialProgressBar(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f3594b = getResources().getColor(R.color.progress_mask_wheel_color);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, C0729b.MaterialProgressWheel, 0, 0);
        try {
            this.f3593a = obtainStyledAttributes.getInt(0, this.f3594b);
            this.f3595c = new C0771a(this.f3593a, (float) C0769f.m5878a(context, 4));
            this.f3595c.setCallback(this);
            if (getVisibility() == 0) {
                this.f3595c.start();
            }
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        this.f3595c.draw(canvas);
    }

    protected void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        this.f3595c.setBounds(0, 0, i, i2);
    }

    protected void onVisibilityChanged(View view, int i) {
        super.onVisibilityChanged(view, i);
        if (this.f3595c == null) {
            return;
        }
        if (i == 0) {
            this.f3595c.start();
        } else {
            this.f3595c.stop();
        }
    }

    protected boolean verifyDrawable(Drawable drawable) {
        return drawable == this.f3595c || super.verifyDrawable(drawable);
    }
}
