package com.neatorobotics.android.views;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.widget.Button;
import com.neatorobotics.android.C0729b;
import com.neatorobotics.android.R;

public class RobotoButton extends Button {
    public RobotoButton(Context context) {
        super(context);
        m5882a(context, 0);
    }

    public RobotoButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, C0729b.RobotoView, 0, 0);
        try {
            m5882a(context, obtainStyledAttributes.getInt(0, -1));
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    public RobotoButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, C0729b.RobotoView, 0, 0);
        try {
            m5882a(context, obtainStyledAttributes.getInt(0, -1));
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    private void m5882a(Context context, int i) {
        if (!isInEditMode()) {
            String string;
            switch (i) {
                case C0729b.View_android_theme /*0*/:
                    string = context.getResources().getString(R.string.font_roboto);
                    break;
                case C0729b.View_android_focusable /*1*/:
                    string = context.getResources().getString(R.string.font_roboto_light);
                    break;
                case C0729b.View_paddingStart /*2*/:
                    string = context.getResources().getString(R.string.font_roboto_bold);
                    break;
                default:
                    string = null;
                    break;
            }
            if (string != null) {
                setTypeface(Typeface.createFromAsset(context.getAssets(), "fonts/" + string + ".ttf"));
            }
        }
    }
}
