package com.neatorobotics.android.views;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.widget.EditText;
import com.neatorobotics.android.C0729b;
import com.neatorobotics.android.R;

public class RobotoEditTextView extends EditText {
    private Typeface f3596a;

    public RobotoEditTextView(Context context) {
        super(context);
        m5883a(context, 0);
    }

    public RobotoEditTextView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, C0729b.RobotoView, 0, 0);
        try {
            m5883a(context, obtainStyledAttributes.getInt(0, -1));
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    public RobotoEditTextView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, C0729b.RobotoView, 0, 0);
        try {
            m5883a(context, obtainStyledAttributes.getInt(0, -1));
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    private void m5883a(Context context, int i) {
        if (!isInEditMode()) {
            String string;
            switch (i) {
                case C0729b.View_android_theme /*0*/:
                    string = context.getResources().getString(R.string.font_roboto);
                    break;
                case C0729b.View_android_focusable /*1*/:
                    string = context.getResources().getString(R.string.font_roboto_light);
                    break;
                case C0729b.View_paddingStart /*2*/:
                    string = context.getResources().getString(R.string.font_roboto_bold);
                    break;
                default:
                    string = null;
                    break;
            }
            if (string != null) {
                this.f3596a = Typeface.createFromAsset(context.getAssets(), "fonts/" + string + ".ttf");
                setTypeface(this.f3596a);
            }
        }
    }

    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f3596a != null) {
            setTypeface(this.f3596a);
        }
    }
}
