package android.support.v4.app;

import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.Resources.NotFoundException;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Handler;
import android.os.Parcelable;
import android.support.v4.p016g.C0140p;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import com.neatorobotics.android.C0729b;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;

/* renamed from: android.support.v4.app.r */
public class C0076r extends C0070m {
    final Handler f412a;
    final C0081w f413b;
    boolean f414c;
    boolean f415d;
    boolean f416e;
    boolean f417f;
    boolean f418g;
    boolean f419h;

    public C0076r() {
        this.f412a = new C0077s(this);
        this.f413b = C0081w.m677a(new C0079t(this));
    }

    private static String m633a(View view) {
        char c = 'F';
        char c2 = '.';
        StringBuilder stringBuilder = new StringBuilder(128);
        stringBuilder.append(view.getClass().getName());
        stringBuilder.append('{');
        stringBuilder.append(Integer.toHexString(System.identityHashCode(view)));
        stringBuilder.append(' ');
        switch (view.getVisibility()) {
            case C0729b.View_android_theme /*0*/:
                stringBuilder.append('V');
                break;
            case C0729b.View_theme /*4*/:
                stringBuilder.append('I');
                break;
            case C0729b.Toolbar_contentInsetRight /*8*/:
                stringBuilder.append('G');
                break;
            default:
                stringBuilder.append('.');
                break;
        }
        stringBuilder.append(view.isFocusable() ? 'F' : '.');
        stringBuilder.append(view.isEnabled() ? 'E' : '.');
        stringBuilder.append(view.willNotDraw() ? '.' : 'D');
        stringBuilder.append(view.isHorizontalScrollBarEnabled() ? 'H' : '.');
        stringBuilder.append(view.isVerticalScrollBarEnabled() ? 'V' : '.');
        stringBuilder.append(view.isClickable() ? 'C' : '.');
        stringBuilder.append(view.isLongClickable() ? 'L' : '.');
        stringBuilder.append(' ');
        if (!view.isFocused()) {
            c = '.';
        }
        stringBuilder.append(c);
        stringBuilder.append(view.isSelected() ? 'S' : '.');
        if (view.isPressed()) {
            c2 = 'P';
        }
        stringBuilder.append(c2);
        stringBuilder.append(' ');
        stringBuilder.append(view.getLeft());
        stringBuilder.append(',');
        stringBuilder.append(view.getTop());
        stringBuilder.append('-');
        stringBuilder.append(view.getRight());
        stringBuilder.append(',');
        stringBuilder.append(view.getBottom());
        int id = view.getId();
        if (id != -1) {
            stringBuilder.append(" #");
            stringBuilder.append(Integer.toHexString(id));
            Resources resources = view.getResources();
            if (!(id == 0 || resources == null)) {
                String str;
                switch (-16777216 & id) {
                    case 16777216:
                        str = "android";
                        break;
                    case 2130706432:
                        str = "app";
                        break;
                    default:
                        try {
                            str = resources.getResourcePackageName(id);
                            break;
                        } catch (NotFoundException e) {
                            break;
                        }
                }
                String resourceTypeName = resources.getResourceTypeName(id);
                String resourceEntryName = resources.getResourceEntryName(id);
                stringBuilder.append(" ");
                stringBuilder.append(str);
                stringBuilder.append(":");
                stringBuilder.append(resourceTypeName);
                stringBuilder.append("/");
                stringBuilder.append(resourceEntryName);
            }
        }
        stringBuilder.append("}");
        return stringBuilder.toString();
    }

    private void m634a(String str, PrintWriter printWriter, View view) {
        printWriter.print(str);
        if (view == null) {
            printWriter.println("null");
            return;
        }
        printWriter.println(C0076r.m633a(view));
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int childCount = viewGroup.getChildCount();
            if (childCount > 0) {
                String str2 = str + "  ";
                for (int i = 0; i < childCount; i++) {
                    m634a(str2, printWriter, viewGroup.getChildAt(i));
                }
            }
        }
    }

    final View m635a(View view, String str, Context context, AttributeSet attributeSet) {
        return this.f413b.m679a(view, str, context, attributeSet);
    }

    public void m636a(Fragment fragment) {
    }

    public void m637a(Fragment fragment, Intent intent, int i) {
        if (i == -1) {
            super.startActivityForResult(intent, -1);
        } else if ((-65536 & i) != 0) {
            throw new IllegalArgumentException("Can only use lower 16 bits for requestCode");
        } else {
            super.startActivityForResult(intent, ((fragment.f161p + 1) << 16) + (65535 & i));
        }
    }

    void m638a(boolean z) {
        if (!this.f417f) {
            this.f417f = true;
            this.f418g = z;
            this.f412a.removeMessages(1);
            m642e();
        }
    }

    protected boolean m639a(View view, Menu menu) {
        return super.onPreparePanel(0, view, menu);
    }

    public void a_() {
        C0055a.m312b(this);
    }

    protected void b_() {
        this.f413b.m699i();
    }

    public Object m640c() {
        return null;
    }

    public void m641d() {
        if (VERSION.SDK_INT >= 11) {
            C0060c.m521a(this);
        } else {
            this.f419h = true;
        }
    }

    public void dump(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        String str2;
        if (VERSION.SDK_INT >= 11) {
            printWriter.print(str);
            printWriter.print("Local FragmentActivity ");
            printWriter.print(Integer.toHexString(System.identityHashCode(this)));
            printWriter.println(" State:");
            str2 = str + "  ";
            printWriter.print(str2);
            printWriter.print("mCreated=");
            printWriter.print(this.f414c);
            printWriter.print("mResumed=");
            printWriter.print(this.f415d);
            printWriter.print(" mStopped=");
            printWriter.print(this.f416e);
            printWriter.print(" mReallyStopped=");
            printWriter.println(this.f417f);
            this.f413b.m685a(str2, fileDescriptor, printWriter, strArr);
            this.f413b.m678a().m316a(str, fileDescriptor, printWriter, strArr);
            printWriter.print(str);
            printWriter.println("View Hierarchy:");
            m634a(str + "  ", printWriter, getWindow().getDecorView());
        } else {
            printWriter.print(str);
            printWriter.print("Local FragmentActivity ");
            printWriter.print(Integer.toHexString(System.identityHashCode(this)));
            printWriter.println(" State:");
            str2 = str + "  ";
            printWriter.print(str2);
            printWriter.print("mCreated=");
            printWriter.print(this.f414c);
            printWriter.print("mResumed=");
            printWriter.print(this.f415d);
            printWriter.print(" mStopped=");
            printWriter.print(this.f416e);
            printWriter.print(" mReallyStopped=");
            printWriter.println(this.f417f);
            this.f413b.m685a(str2, fileDescriptor, printWriter, strArr);
            this.f413b.m678a().m316a(str, fileDescriptor, printWriter, strArr);
            printWriter.print(str);
            printWriter.println("View Hierarchy:");
            m634a(str + "  ", printWriter, getWindow().getDecorView());
        }
    }

    void m642e() {
        this.f413b.m686a(this.f418g);
        this.f413b.m702l();
    }

    public C0056y m643f() {
        return this.f413b.m678a();
    }

    protected void onActivityResult(int i, int i2, Intent intent) {
        this.f413b.m693c();
        int i3 = i >> 16;
        if (i3 != 0) {
            i3--;
            int b = this.f413b.m690b();
            if (b == 0 || i3 < 0 || i3 >= b) {
                Log.w("FragmentActivity", "Activity result fragment index out of range: 0x" + Integer.toHexString(i));
                return;
            }
            Fragment fragment = (Fragment) this.f413b.m680a(new ArrayList(b)).get(i3);
            if (fragment == null) {
                Log.w("FragmentActivity", "Activity result no fragment exists for index: 0x" + Integer.toHexString(i));
                return;
            } else {
                fragment.m247a(65535 & i, i2, intent);
                return;
            }
        }
        super.onActivityResult(i, i2, intent);
    }

    public void onBackPressed() {
        if (!this.f413b.m678a().m318c()) {
            a_();
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f413b.m681a(configuration);
    }

    protected void onCreate(Bundle bundle) {
        this.f413b.m683a(null);
        super.onCreate(bundle);
        C0080u c0080u = (C0080u) getLastNonConfigurationInstance();
        if (c0080u != null) {
            this.f413b.m684a(c0080u.f433c);
        }
        if (bundle != null) {
            this.f413b.m682a(bundle.getParcelable("android:support:fragments"), c0080u != null ? c0080u.f432b : null);
        }
        this.f413b.m696f();
    }

    public boolean onCreatePanelMenu(int i, Menu menu) {
        if (i != 0) {
            return super.onCreatePanelMenu(i, menu);
        }
        return VERSION.SDK_INT >= 11 ? super.onCreatePanelMenu(i, menu) | this.f413b.m688a(menu, getMenuInflater()) : true;
    }

    public /* bridge */ /* synthetic */ View onCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        return super.onCreateView(view, str, context, attributeSet);
    }

    public /* bridge */ /* synthetic */ View onCreateView(String str, Context context, AttributeSet attributeSet) {
        return super.onCreateView(str, context, attributeSet);
    }

    protected void onDestroy() {
        super.onDestroy();
        m638a(false);
        this.f413b.m703m();
        this.f413b.m707q();
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (VERSION.SDK_INT >= 5 || i != 4 || keyEvent.getRepeatCount() != 0) {
            return super.onKeyDown(i, keyEvent);
        }
        onBackPressed();
        return true;
    }

    public void onLowMemory() {
        super.onLowMemory();
        this.f413b.m704n();
    }

    public boolean onMenuItemSelected(int i, MenuItem menuItem) {
        if (super.onMenuItemSelected(i, menuItem)) {
            return true;
        }
        switch (i) {
            case C0729b.View_android_theme /*0*/:
                return this.f413b.m689a(menuItem);
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                return this.f413b.m692b(menuItem);
            default:
                return false;
        }
    }

    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        this.f413b.m693c();
    }

    public void onPanelClosed(int i, Menu menu) {
        switch (i) {
            case C0729b.View_android_theme /*0*/:
                this.f413b.m691b(menu);
                break;
        }
        super.onPanelClosed(i, menu);
    }

    protected void onPause() {
        super.onPause();
        this.f415d = false;
        if (this.f412a.hasMessages(2)) {
            this.f412a.removeMessages(2);
            b_();
        }
        this.f413b.m700j();
    }

    protected void onPostResume() {
        super.onPostResume();
        this.f412a.removeMessages(2);
        b_();
        this.f413b.m705o();
    }

    public boolean onPreparePanel(int i, View view, Menu menu) {
        if (i != 0 || menu == null) {
            return super.onPreparePanel(i, view, menu);
        }
        if (this.f419h) {
            this.f419h = false;
            menu.clear();
            onCreatePanelMenu(i, menu);
        }
        return m639a(view, menu) | this.f413b.m687a(menu);
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        int i2 = (i >> 8) & 255;
        if (i2 != 0) {
            i2--;
            int b = this.f413b.m690b();
            if (b == 0 || i2 < 0 || i2 >= b) {
                Log.w("FragmentActivity", "Activity result fragment index out of range: 0x" + Integer.toHexString(i));
                return;
            }
            Fragment fragment = (Fragment) this.f413b.m680a(new ArrayList(b)).get(i2);
            if (fragment == null) {
                Log.w("FragmentActivity", "Activity result no fragment exists for index: 0x" + Integer.toHexString(i));
            } else {
                fragment.m249a(i & 255, strArr, iArr);
            }
        }
    }

    protected void onResume() {
        super.onResume();
        this.f412a.sendEmptyMessage(2);
        this.f415d = true;
        this.f413b.m705o();
    }

    public final Object onRetainNonConfigurationInstance() {
        if (this.f416e) {
            m638a(true);
        }
        Object c = m640c();
        List e = this.f413b.m695e();
        C0140p s = this.f413b.m709s();
        if (e == null && s == null && c == null) {
            return null;
        }
        C0080u c0080u = new C0080u();
        c0080u.f431a = c;
        c0080u.f432b = e;
        c0080u.f433c = s;
        return c0080u;
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Parcelable d = this.f413b.m694d();
        if (d != null) {
            bundle.putParcelable("android:support:fragments", d);
        }
    }

    protected void onStart() {
        super.onStart();
        this.f416e = false;
        this.f417f = false;
        this.f412a.removeMessages(1);
        if (!this.f414c) {
            this.f414c = true;
            this.f413b.m697g();
        }
        this.f413b.m693c();
        this.f413b.m705o();
        this.f413b.m706p();
        this.f413b.m698h();
        this.f413b.m708r();
    }

    public void onStateNotSaved() {
        this.f413b.m693c();
    }

    protected void onStop() {
        super.onStop();
        this.f416e = true;
        this.f412a.sendEmptyMessage(1);
        this.f413b.m701k();
    }

    public void startActivityForResult(Intent intent, int i) {
        if (i == -1 || (-65536 & i) == 0) {
            super.startActivityForResult(intent, i);
            return;
        }
        throw new IllegalArgumentException("Can only use lower 16 bits for requestCode");
    }
}
