package android.support.v7.app;

import android.content.Context;
import android.content.DialogInterface;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Handler;
import android.os.Message;
import android.support.v7.internal.widget.ap;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0259g;
import android.support.v7.p019a.C0264l;
import android.text.TextUtils;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout.LayoutParams;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.ScrollView;
import android.widget.TextView;

/* renamed from: android.support.v7.app.q */
class C0287q {
    private TextView f1136A;
    private TextView f1137B;
    private View f1138C;
    private ListAdapter f1139D;
    private int f1140E;
    private int f1141F;
    private int f1142G;
    private int f1143H;
    private int f1144I;
    private int f1145J;
    private int f1146K;
    private int f1147L;
    private Handler f1148M;
    private final OnClickListener f1149N;
    private final Context f1150a;
    private final ba f1151b;
    private final Window f1152c;
    private CharSequence f1153d;
    private CharSequence f1154e;
    private ListView f1155f;
    private View f1156g;
    private int f1157h;
    private int f1158i;
    private int f1159j;
    private int f1160k;
    private int f1161l;
    private boolean f1162m;
    private Button f1163n;
    private CharSequence f1164o;
    private Message f1165p;
    private Button f1166q;
    private CharSequence f1167r;
    private Message f1168s;
    private Button f1169t;
    private CharSequence f1170u;
    private Message f1171v;
    private ScrollView f1172w;
    private int f1173x;
    private Drawable f1174y;
    private ImageView f1175z;

    public C0287q(Context context, ba baVar, Window window) {
        this.f1162m = false;
        this.f1173x = 0;
        this.f1140E = -1;
        this.f1147L = 0;
        this.f1149N = new C0288r(this);
        this.f1150a = context;
        this.f1151b = baVar;
        this.f1152c = window;
        this.f1148M = new C0295y(baVar);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, C0264l.AlertDialog, C0254b.alertDialogStyle, 0);
        this.f1141F = obtainStyledAttributes.getResourceId(C0264l.AlertDialog_android_layout, 0);
        this.f1142G = obtainStyledAttributes.getResourceId(C0264l.AlertDialog_buttonPanelSideLayout, 0);
        this.f1143H = obtainStyledAttributes.getResourceId(C0264l.AlertDialog_listLayout, 0);
        this.f1144I = obtainStyledAttributes.getResourceId(C0264l.AlertDialog_multiChoiceItemLayout, 0);
        this.f1145J = obtainStyledAttributes.getResourceId(C0264l.AlertDialog_singleChoiceItemLayout, 0);
        this.f1146K = obtainStyledAttributes.getResourceId(C0264l.AlertDialog_listItemLayout, 0);
        obtainStyledAttributes.recycle();
    }

    private void m2750a(Button button) {
        LayoutParams layoutParams = (LayoutParams) button.getLayoutParams();
        layoutParams.gravity = 1;
        layoutParams.weight = 0.5f;
        button.setLayoutParams(layoutParams);
    }

    private static boolean m2751a(Context context) {
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(C0254b.alertDialogCenterButtons, typedValue, true);
        return typedValue.data != 0;
    }

    static boolean m2752a(View view) {
        if (view.onCheckIsTextEditor()) {
            return true;
        }
        if (!(view instanceof ViewGroup)) {
            return false;
        }
        ViewGroup viewGroup = (ViewGroup) view;
        int childCount = viewGroup.getChildCount();
        while (childCount > 0) {
            childCount--;
            if (C0287q.m2752a(viewGroup.getChildAt(childCount))) {
                return true;
            }
        }
        return false;
    }

    private boolean m2753a(ViewGroup viewGroup) {
        if (this.f1138C != null) {
            viewGroup.addView(this.f1138C, 0, new ViewGroup.LayoutParams(-1, -2));
            this.f1152c.findViewById(C0259g.title_template).setVisibility(8);
            return true;
        }
        this.f1175z = (ImageView) this.f1152c.findViewById(16908294);
        if ((!TextUtils.isEmpty(this.f1153d) ? 1 : 0) != 0) {
            this.f1136A = (TextView) this.f1152c.findViewById(C0259g.alertTitle);
            this.f1136A.setText(this.f1153d);
            if (this.f1173x != 0) {
                this.f1175z.setImageResource(this.f1173x);
                return true;
            } else if (this.f1174y != null) {
                this.f1175z.setImageDrawable(this.f1174y);
                return true;
            } else {
                this.f1136A.setPadding(this.f1175z.getPaddingLeft(), this.f1175z.getPaddingTop(), this.f1175z.getPaddingRight(), this.f1175z.getPaddingBottom());
                this.f1175z.setVisibility(8);
                return true;
            }
        }
        this.f1152c.findViewById(C0259g.title_template).setVisibility(8);
        this.f1175z.setVisibility(8);
        viewGroup.setVisibility(8);
        return false;
    }

    private int m2754b() {
        return this.f1142G == 0 ? this.f1141F : this.f1147L == 1 ? this.f1142G : this.f1141F;
    }

    private void m2756b(ViewGroup viewGroup) {
        this.f1172w = (ScrollView) this.f1152c.findViewById(C0259g.scrollView);
        this.f1172w.setFocusable(false);
        this.f1137B = (TextView) this.f1152c.findViewById(16908299);
        if (this.f1137B != null) {
            if (this.f1154e != null) {
                this.f1137B.setText(this.f1154e);
                return;
            }
            this.f1137B.setVisibility(8);
            this.f1172w.removeView(this.f1137B);
            if (this.f1155f != null) {
                ViewGroup viewGroup2 = (ViewGroup) this.f1172w.getParent();
                int indexOfChild = viewGroup2.indexOfChild(this.f1172w);
                viewGroup2.removeViewAt(indexOfChild);
                viewGroup2.addView(this.f1155f, indexOfChild, new ViewGroup.LayoutParams(-1, -1));
                return;
            }
            viewGroup.setVisibility(8);
        }
    }

    private void m2758c() {
        boolean z = false;
        m2756b((ViewGroup) this.f1152c.findViewById(C0259g.contentPanel));
        boolean d = m2760d();
        ViewGroup viewGroup = (ViewGroup) this.f1152c.findViewById(C0259g.topPanel);
        ap a = ap.m3341a(this.f1150a, null, C0264l.AlertDialog, C0254b.alertDialogStyle, 0);
        m2753a(viewGroup);
        View findViewById = this.f1152c.findViewById(C0259g.buttonPanel);
        if (!d) {
            findViewById.setVisibility(8);
            findViewById = this.f1152c.findViewById(C0259g.textSpacerNoButtons);
            if (findViewById != null) {
                findViewById.setVisibility(0);
            }
        }
        FrameLayout frameLayout = (FrameLayout) this.f1152c.findViewById(C0259g.customPanel);
        View inflate = this.f1156g != null ? this.f1156g : this.f1157h != 0 ? LayoutInflater.from(this.f1150a).inflate(this.f1157h, frameLayout, false) : null;
        if (inflate != null) {
            z = true;
        }
        if (!(z && C0287q.m2752a(inflate))) {
            this.f1152c.setFlags(131072, 131072);
        }
        if (z) {
            FrameLayout frameLayout2 = (FrameLayout) this.f1152c.findViewById(C0259g.custom);
            frameLayout2.addView(inflate, new ViewGroup.LayoutParams(-1, -1));
            if (this.f1162m) {
                frameLayout2.setPadding(this.f1158i, this.f1159j, this.f1160k, this.f1161l);
            }
            if (this.f1155f != null) {
                ((LayoutParams) frameLayout.getLayoutParams()).weight = 0.0f;
            }
        } else {
            frameLayout.setVisibility(8);
        }
        ListView listView = this.f1155f;
        if (!(listView == null || this.f1139D == null)) {
            listView.setAdapter(this.f1139D);
            int i = this.f1140E;
            if (i > -1) {
                listView.setItemChecked(i, true);
                listView.setSelection(i);
            }
        }
        a.m3349b();
    }

    private boolean m2760d() {
        int i;
        this.f1163n = (Button) this.f1152c.findViewById(16908313);
        this.f1163n.setOnClickListener(this.f1149N);
        if (TextUtils.isEmpty(this.f1164o)) {
            this.f1163n.setVisibility(8);
            i = 0;
        } else {
            this.f1163n.setText(this.f1164o);
            this.f1163n.setVisibility(0);
            i = 1;
        }
        this.f1166q = (Button) this.f1152c.findViewById(16908314);
        this.f1166q.setOnClickListener(this.f1149N);
        if (TextUtils.isEmpty(this.f1167r)) {
            this.f1166q.setVisibility(8);
        } else {
            this.f1166q.setText(this.f1167r);
            this.f1166q.setVisibility(0);
            i |= 2;
        }
        this.f1169t = (Button) this.f1152c.findViewById(16908315);
        this.f1169t.setOnClickListener(this.f1149N);
        if (TextUtils.isEmpty(this.f1170u)) {
            this.f1169t.setVisibility(8);
        } else {
            this.f1169t.setText(this.f1170u);
            this.f1169t.setVisibility(0);
            i |= 4;
        }
        if (C0287q.m2751a(this.f1150a)) {
            if (i == 1) {
                m2750a(this.f1163n);
            } else if (i == 2) {
                m2750a(this.f1166q);
            } else if (i == 4) {
                m2750a(this.f1169t);
            }
        }
        return i != 0;
    }

    public void m2769a() {
        this.f1151b.m2635a(1);
        this.f1151b.setContentView(m2754b());
        m2758c();
    }

    public void m2770a(int i) {
        this.f1156g = null;
        this.f1157h = i;
        this.f1162m = false;
    }

    public void m2771a(int i, CharSequence charSequence, DialogInterface.OnClickListener onClickListener, Message message) {
        if (message == null && onClickListener != null) {
            message = this.f1148M.obtainMessage(i, onClickListener);
        }
        switch (i) {
            case -3:
                this.f1170u = charSequence;
                this.f1171v = message;
            case -2:
                this.f1167r = charSequence;
                this.f1168s = message;
            case -1:
                this.f1164o = charSequence;
                this.f1165p = message;
            default:
                throw new IllegalArgumentException("Button does not exist");
        }
    }

    public void m2772a(Drawable drawable) {
        this.f1174y = drawable;
        this.f1173x = 0;
        if (this.f1175z == null) {
            return;
        }
        if (drawable != null) {
            this.f1175z.setImageDrawable(drawable);
        } else {
            this.f1175z.setVisibility(8);
        }
    }

    public void m2773a(View view, int i, int i2, int i3, int i4) {
        this.f1156g = view;
        this.f1157h = 0;
        this.f1162m = true;
        this.f1158i = i;
        this.f1159j = i2;
        this.f1160k = i3;
        this.f1161l = i4;
    }

    public void m2774a(CharSequence charSequence) {
        this.f1153d = charSequence;
        if (this.f1136A != null) {
            this.f1136A.setText(charSequence);
        }
    }

    public boolean m2775a(int i, KeyEvent keyEvent) {
        return this.f1172w != null && this.f1172w.executeKeyEvent(keyEvent);
    }

    public void m2776b(int i) {
        this.f1174y = null;
        this.f1173x = i;
        if (this.f1175z == null) {
            return;
        }
        if (i != 0) {
            this.f1175z.setImageResource(this.f1173x);
        } else {
            this.f1175z.setVisibility(8);
        }
    }

    public void m2777b(View view) {
        this.f1138C = view;
    }

    public void m2778b(CharSequence charSequence) {
        this.f1154e = charSequence;
        if (this.f1137B != null) {
            this.f1137B.setText(charSequence);
        }
    }

    public boolean m2779b(int i, KeyEvent keyEvent) {
        return this.f1172w != null && this.f1172w.executeKeyEvent(keyEvent);
    }

    public int m2780c(int i) {
        TypedValue typedValue = new TypedValue();
        this.f1150a.getTheme().resolveAttribute(i, typedValue, true);
        return typedValue.resourceId;
    }

    public void m2781c(View view) {
        this.f1156g = view;
        this.f1157h = 0;
        this.f1162m = false;
    }
}
