package android.support.v7.internal.p024a;

import android.content.Context;
import android.content.res.TypedArray;
import android.support.v4.p016g.C0141a;
import android.support.v7.internal.view.C0318b;
import android.support.v7.p019a.C0264l;
import android.support.v7.widget.C0376s;
import android.support.v7.widget.C0396u;
import android.support.v7.widget.C0397v;
import android.support.v7.widget.C0398w;
import android.support.v7.widget.C0400y;
import android.support.v7.widget.C0401z;
import android.support.v7.widget.aa;
import android.support.v7.widget.ab;
import android.support.v7.widget.ac;
import android.support.v7.widget.ak;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import com.neatorobotics.android.C0729b;
import java.lang.reflect.Constructor;
import java.util.Map;

/* renamed from: android.support.v7.internal.a.a */
public class C0303a {
    static final Class[] f1232a;
    private static final Map f1233b;
    private final Object[] f1234c;

    static {
        f1232a = new Class[]{Context.class, AttributeSet.class};
        f1233b = new C0141a();
    }

    public C0303a() {
        this.f1234c = new Object[2];
    }

    private static Context m2806a(Context context, AttributeSet attributeSet, boolean z, boolean z2) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0264l.View, 0, 0);
        int resourceId = z ? obtainStyledAttributes.getResourceId(C0264l.View_android_theme, 0) : 0;
        if (z2 && resourceId == 0) {
            resourceId = obtainStyledAttributes.getResourceId(C0264l.View_theme, 0);
            if (resourceId != 0) {
                Log.i("AppCompatViewInflater", "app:theme is now deprecated. Please move to using android:theme instead.");
            }
        }
        int i = resourceId;
        obtainStyledAttributes.recycle();
        return i != 0 ? ((context instanceof C0318b) && ((C0318b) context).m2912a() == i) ? context : new C0318b(context, i) : context;
    }

    private View m2807a(Context context, String str, AttributeSet attributeSet) {
        if (str.equals("view")) {
            str = attributeSet.getAttributeValue(null, "class");
        }
        try {
            this.f1234c[0] = context;
            this.f1234c[1] = attributeSet;
            View a;
            if (-1 == str.indexOf(46)) {
                a = m2808a(context, str, "android.widget.");
                return a;
            }
            a = m2808a(context, str, null);
            this.f1234c[0] = null;
            this.f1234c[1] = null;
            return a;
        } catch (Exception e) {
            return null;
        } finally {
            this.f1234c[0] = null;
            this.f1234c[1] = null;
        }
    }

    private View m2808a(Context context, String str, String str2) {
        Constructor constructor = (Constructor) f1233b.get(str);
        if (constructor == null) {
            try {
                constructor = context.getClassLoader().loadClass(str2 != null ? str2 + str : str).asSubclass(View.class).getConstructor(f1232a);
                f1233b.put(str, constructor);
            } catch (Exception e) {
                return null;
            }
        }
        constructor.setAccessible(true);
        return (View) constructor.newInstance(this.f1234c);
    }

    public final View m2809a(View view, String str, Context context, AttributeSet attributeSet, boolean z, boolean z2, boolean z3) {
        Context context2 = (!z || view == null) ? context : view.getContext();
        if (z2 || z3) {
            context2 = C0303a.m2806a(context2, attributeSet, z2, z3);
        }
        Object obj = -1;
        switch (str.hashCode()) {
            case -1946472170:
                if (str.equals("RatingBar")) {
                    obj = 7;
                    break;
                }
                break;
            case -1455429095:
                if (str.equals("CheckedTextView")) {
                    obj = 4;
                    break;
                }
                break;
            case -1346021293:
                if (str.equals("MultiAutoCompleteTextView")) {
                    obj = 6;
                    break;
                }
                break;
            case -938935918:
                if (str.equals("TextView")) {
                    obj = 9;
                    break;
                }
                break;
            case -339785223:
                if (str.equals("Spinner")) {
                    obj = 1;
                    break;
                }
                break;
            case 776382189:
                if (str.equals("RadioButton")) {
                    obj = 3;
                    break;
                }
                break;
            case 1413872058:
                if (str.equals("AutoCompleteTextView")) {
                    obj = 5;
                    break;
                }
                break;
            case 1601505219:
                if (str.equals("CheckBox")) {
                    obj = 2;
                    break;
                }
                break;
            case 1666676343:
                if (str.equals("EditText")) {
                    obj = null;
                    break;
                }
                break;
            case 2001146706:
                if (str.equals("Button")) {
                    obj = 8;
                    break;
                }
                break;
        }
        switch (obj) {
            case C0729b.View_android_theme /*0*/:
                return new C0400y(context2, attributeSet);
            case C0729b.View_android_focusable /*1*/:
                return new ac(context2, attributeSet);
            case C0729b.View_paddingStart /*2*/:
                return new C0397v(context2, attributeSet);
            case C0729b.View_paddingEnd /*3*/:
                return new aa(context2, attributeSet);
            case C0729b.View_theme /*4*/:
                return new C0398w(context2, attributeSet);
            case C0729b.Toolbar_contentInsetStart /*5*/:
                return new C0376s(context2, attributeSet);
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                return new C0401z(context2, attributeSet);
            case C0729b.Toolbar_contentInsetLeft /*7*/:
                return new ab(context2, attributeSet);
            case C0729b.Toolbar_contentInsetRight /*8*/:
                return new C0396u(context2, attributeSet);
            case C0729b.Toolbar_popupTheme /*9*/:
                return new ak(context2, attributeSet);
            default:
                return context != context2 ? m2807a(context2, str, attributeSet) : null;
        }
    }
}
