package android.support.v7.internal.view;

import android.content.res.TypedArray;
import android.support.v4.view.C0214n;
import android.support.v4.view.as;
import android.support.v7.internal.view.menu.C0341m;
import android.support.v7.internal.view.menu.C0343o;
import android.support.v7.p019a.C0264l;
import android.util.AttributeSet;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import java.lang.reflect.Constructor;

/* renamed from: android.support.v7.internal.view.h */
class C0324h {
    final /* synthetic */ C0322f f1315a;
    private Menu f1316b;
    private int f1317c;
    private int f1318d;
    private int f1319e;
    private int f1320f;
    private boolean f1321g;
    private boolean f1322h;
    private boolean f1323i;
    private int f1324j;
    private int f1325k;
    private CharSequence f1326l;
    private CharSequence f1327m;
    private int f1328n;
    private char f1329o;
    private char f1330p;
    private int f1331q;
    private boolean f1332r;
    private boolean f1333s;
    private boolean f1334t;
    private int f1335u;
    private int f1336v;
    private String f1337w;
    private String f1338x;
    private String f1339y;
    private C0214n f1340z;

    public C0324h(C0322f c0322f, Menu menu) {
        this.f1315a = c0322f;
        this.f1316b = menu;
        m2949a();
    }

    private char m2945a(String str) {
        return str == null ? '\u0000' : str.charAt(0);
    }

    private Object m2947a(String str, Class[] clsArr, Object[] objArr) {
        try {
            Constructor constructor = this.f1315a.f1310e.getClassLoader().loadClass(str).getConstructor(clsArr);
            constructor.setAccessible(true);
            return constructor.newInstance(objArr);
        } catch (Throwable e) {
            Log.w("SupportMenuInflater", "Cannot instantiate class: " + str, e);
            return null;
        }
    }

    private void m2948a(MenuItem menuItem) {
        boolean z = true;
        menuItem.setChecked(this.f1332r).setVisible(this.f1333s).setEnabled(this.f1334t).setCheckable(this.f1331q >= 1).setTitleCondensed(this.f1327m).setIcon(this.f1328n).setAlphabeticShortcut(this.f1329o).setNumericShortcut(this.f1330p);
        if (this.f1335u >= 0) {
            as.m1351a(menuItem, this.f1335u);
        }
        if (this.f1339y != null) {
            if (this.f1315a.f1310e.isRestricted()) {
                throw new IllegalStateException("The android:onClick attribute cannot be used within a restricted context");
            }
            menuItem.setOnMenuItemClickListener(new C0323g(this.f1315a.m2942c(), this.f1339y));
        }
        if (menuItem instanceof C0341m) {
            C0341m c0341m = (C0341m) menuItem;
        }
        if (this.f1331q >= 2) {
            if (menuItem instanceof C0341m) {
                ((C0341m) menuItem).m3134a(true);
            } else if (menuItem instanceof C0343o) {
                ((C0343o) menuItem).m3155a(true);
            }
        }
        if (this.f1337w != null) {
            as.m1349a(menuItem, (View) m2947a(this.f1337w, C0322f.f1306a, this.f1315a.f1308c));
        } else {
            z = false;
        }
        if (this.f1336v > 0) {
            if (z) {
                Log.w("SupportMenuInflater", "Ignoring attribute 'itemActionViewLayout'. Action view already specified.");
            } else {
                as.m1352b(menuItem, this.f1336v);
            }
        }
        if (this.f1340z != null) {
            as.m1348a(menuItem, this.f1340z);
        }
    }

    public void m2949a() {
        this.f1317c = 0;
        this.f1318d = 0;
        this.f1319e = 0;
        this.f1320f = 0;
        this.f1321g = true;
        this.f1322h = true;
    }

    public void m2950a(AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = this.f1315a.f1310e.obtainStyledAttributes(attributeSet, C0264l.MenuGroup);
        this.f1317c = obtainStyledAttributes.getResourceId(C0264l.MenuGroup_android_id, 0);
        this.f1318d = obtainStyledAttributes.getInt(C0264l.MenuGroup_android_menuCategory, 0);
        this.f1319e = obtainStyledAttributes.getInt(C0264l.MenuGroup_android_orderInCategory, 0);
        this.f1320f = obtainStyledAttributes.getInt(C0264l.MenuGroup_android_checkableBehavior, 0);
        this.f1321g = obtainStyledAttributes.getBoolean(C0264l.MenuGroup_android_visible, true);
        this.f1322h = obtainStyledAttributes.getBoolean(C0264l.MenuGroup_android_enabled, true);
        obtainStyledAttributes.recycle();
    }

    public void m2951b() {
        this.f1323i = true;
        m2948a(this.f1316b.add(this.f1317c, this.f1324j, this.f1325k, this.f1326l));
    }

    public void m2952b(AttributeSet attributeSet) {
        boolean z = true;
        TypedArray obtainStyledAttributes = this.f1315a.f1310e.obtainStyledAttributes(attributeSet, C0264l.MenuItem);
        this.f1324j = obtainStyledAttributes.getResourceId(C0264l.MenuItem_android_id, 0);
        this.f1325k = (obtainStyledAttributes.getInt(C0264l.MenuItem_android_menuCategory, this.f1318d) & -65536) | (obtainStyledAttributes.getInt(C0264l.MenuItem_android_orderInCategory, this.f1319e) & 65535);
        this.f1326l = obtainStyledAttributes.getText(C0264l.MenuItem_android_title);
        this.f1327m = obtainStyledAttributes.getText(C0264l.MenuItem_android_titleCondensed);
        this.f1328n = obtainStyledAttributes.getResourceId(C0264l.MenuItem_android_icon, 0);
        this.f1329o = m2945a(obtainStyledAttributes.getString(C0264l.MenuItem_android_alphabeticShortcut));
        this.f1330p = m2945a(obtainStyledAttributes.getString(C0264l.MenuItem_android_numericShortcut));
        if (obtainStyledAttributes.hasValue(C0264l.MenuItem_android_checkable)) {
            this.f1331q = obtainStyledAttributes.getBoolean(C0264l.MenuItem_android_checkable, false) ? 1 : 0;
        } else {
            this.f1331q = this.f1320f;
        }
        this.f1332r = obtainStyledAttributes.getBoolean(C0264l.MenuItem_android_checked, false);
        this.f1333s = obtainStyledAttributes.getBoolean(C0264l.MenuItem_android_visible, this.f1321g);
        this.f1334t = obtainStyledAttributes.getBoolean(C0264l.MenuItem_android_enabled, this.f1322h);
        this.f1335u = obtainStyledAttributes.getInt(C0264l.MenuItem_showAsAction, -1);
        this.f1339y = obtainStyledAttributes.getString(C0264l.MenuItem_android_onClick);
        this.f1336v = obtainStyledAttributes.getResourceId(C0264l.MenuItem_actionLayout, 0);
        this.f1337w = obtainStyledAttributes.getString(C0264l.MenuItem_actionViewClass);
        this.f1338x = obtainStyledAttributes.getString(C0264l.MenuItem_actionProviderClass);
        if (this.f1338x == null) {
            z = false;
        }
        if (z && this.f1336v == 0 && this.f1337w == null) {
            this.f1340z = (C0214n) m2947a(this.f1338x, C0322f.f1307b, this.f1315a.f1309d);
        } else {
            if (z) {
                Log.w("SupportMenuInflater", "Ignoring attribute 'actionProviderClass'. Action view already specified.");
            }
            this.f1340z = null;
        }
        obtainStyledAttributes.recycle();
        this.f1323i = false;
    }

    public SubMenu m2953c() {
        this.f1323i = true;
        SubMenu addSubMenu = this.f1316b.addSubMenu(this.f1317c, this.f1324j, this.f1325k, this.f1326l);
        m2948a(addSubMenu.getItem());
        return addSubMenu;
    }

    public boolean m2954d() {
        return this.f1323i;
    }
}
