package android.support.v7.internal.view.menu;

import android.content.Context;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.support.v4.p012d.p013a.C0117b;
import android.support.v4.view.C0214n;
import android.support.v4.view.ax;
import android.support.v7.internal.widget.an;
import android.util.Log;
import android.view.ActionProvider;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.MenuItem.OnActionExpandListener;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewDebug.CapturedViewProperty;
import android.widget.LinearLayout;
import com.neatorobotics.android.C0729b;

/* renamed from: android.support.v7.internal.view.menu.m */
public final class C0341m implements C0117b {
    private static String f1460w;
    private static String f1461x;
    private static String f1462y;
    private static String f1463z;
    private final int f1464a;
    private final int f1465b;
    private final int f1466c;
    private final int f1467d;
    private CharSequence f1468e;
    private CharSequence f1469f;
    private Intent f1470g;
    private char f1471h;
    private char f1472i;
    private Drawable f1473j;
    private int f1474k;
    private C0333i f1475l;
    private ad f1476m;
    private Runnable f1477n;
    private OnMenuItemClickListener f1478o;
    private int f1479p;
    private int f1480q;
    private View f1481r;
    private C0214n f1482s;
    private ax f1483t;
    private boolean f1484u;
    private ContextMenuInfo f1485v;

    C0341m(C0333i c0333i, int i, int i2, int i3, int i4, CharSequence charSequence, int i5) {
        this.f1474k = 0;
        this.f1479p = 16;
        this.f1480q = 0;
        this.f1484u = false;
        this.f1475l = c0333i;
        this.f1464a = i2;
        this.f1465b = i;
        this.f1466c = i3;
        this.f1467d = i4;
        this.f1468e = charSequence;
        this.f1480q = i5;
    }

    public C0117b m3126a(int i) {
        Context e = this.f1475l.m3045e();
        m3129a(LayoutInflater.from(e).inflate(i, new LinearLayout(e), false));
        return this;
    }

    public C0117b m3127a(ax axVar) {
        this.f1483t = axVar;
        return this;
    }

    public C0117b m3128a(C0214n c0214n) {
        if (this.f1482s != null) {
            this.f1482s.m1965f();
        }
        this.f1481r = null;
        this.f1482s = c0214n;
        this.f1475l.m3037b(true);
        if (this.f1482s != null) {
            this.f1482s.m1958a(new C0342n(this));
        }
        return this;
    }

    public C0117b m3129a(View view) {
        this.f1481r = view;
        this.f1482s = null;
        if (view != null && view.getId() == -1 && this.f1464a > 0) {
            view.setId(this.f1464a);
        }
        this.f1475l.m3035b(this);
        return this;
    }

    public C0214n m3130a() {
        return this.f1482s;
    }

    CharSequence m3131a(aa aaVar) {
        return (aaVar == null || !aaVar.m2970a()) ? getTitle() : getTitleCondensed();
    }

    public void m3132a(ad adVar) {
        this.f1476m = adVar;
        adVar.setHeaderTitle(getTitle());
    }

    void m3133a(ContextMenuInfo contextMenuInfo) {
        this.f1485v = contextMenuInfo;
    }

    public void m3134a(boolean z) {
        this.f1479p = (z ? 4 : 0) | (this.f1479p & -5);
    }

    public C0117b m3135b(int i) {
        setShowAsAction(i);
        return this;
    }

    void m3136b(boolean z) {
        int i = this.f1479p;
        this.f1479p = (z ? 2 : 0) | (this.f1479p & -3);
        if (i != this.f1479p) {
            this.f1475l.m3037b(false);
        }
    }

    public boolean m3137b() {
        if ((this.f1478o != null && this.f1478o.onMenuItemClick(this)) || this.f1475l.m3030a(this.f1475l.m3056p(), (MenuItem) this)) {
            return true;
        }
        if (this.f1477n != null) {
            this.f1477n.run();
            return true;
        }
        if (this.f1470g != null) {
            try {
                this.f1475l.m3045e().startActivity(this.f1470g);
                return true;
            } catch (Throwable e) {
                Log.e("MenuItemImpl", "Can't find activity to handle intent; ignoring", e);
            }
        }
        return this.f1482s != null && this.f1482s.m1963d();
    }

    public int m3138c() {
        return this.f1467d;
    }

    boolean m3139c(boolean z) {
        int i = this.f1479p;
        this.f1479p = (z ? 0 : 8) | (this.f1479p & -9);
        return i != this.f1479p;
    }

    public boolean collapseActionView() {
        return (this.f1480q & 8) == 0 ? false : this.f1481r == null ? true : (this.f1483t == null || this.f1483t.m1376b(this)) ? this.f1475l.m3044d(this) : false;
    }

    char m3140d() {
        return this.f1475l.m3038b() ? this.f1472i : this.f1471h;
    }

    public void m3141d(boolean z) {
        if (z) {
            this.f1479p |= 32;
        } else {
            this.f1479p &= -33;
        }
    }

    String m3142e() {
        char d = m3140d();
        if (d == '\u0000') {
            return "";
        }
        StringBuilder stringBuilder = new StringBuilder(f1460w);
        switch (d) {
            case C0729b.Toolbar_contentInsetRight /*8*/:
                stringBuilder.append(f1462y);
                break;
            case C0729b.Toolbar_titleTextAppearance /*10*/:
                stringBuilder.append(f1461x);
                break;
            case C0729b.Theme_actionModeCutDrawable /*32*/:
                stringBuilder.append(f1463z);
                break;
            default:
                stringBuilder.append(d);
                break;
        }
        return stringBuilder.toString();
    }

    public void m3143e(boolean z) {
        this.f1484u = z;
        this.f1475l.m3037b(false);
    }

    public boolean expandActionView() {
        return !m3152n() ? false : (this.f1483t == null || this.f1483t.m1375a(this)) ? this.f1475l.m3042c(this) : false;
    }

    boolean m3144f() {
        return this.f1475l.m3041c() && m3140d() != '\u0000';
    }

    public boolean m3145g() {
        return (this.f1479p & 4) != 0;
    }

    public ActionProvider getActionProvider() {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.getActionProvider()");
    }

    public View getActionView() {
        if (this.f1481r != null) {
            return this.f1481r;
        }
        if (this.f1482s == null) {
            return null;
        }
        this.f1481r = this.f1482s.m1956a((MenuItem) this);
        return this.f1481r;
    }

    public char getAlphabeticShortcut() {
        return this.f1472i;
    }

    public int getGroupId() {
        return this.f1465b;
    }

    public Drawable getIcon() {
        if (this.f1473j != null) {
            return this.f1473j;
        }
        if (this.f1474k == 0) {
            return null;
        }
        Drawable a = an.m3318a(this.f1475l.m3045e(), this.f1474k);
        this.f1474k = 0;
        this.f1473j = a;
        return a;
    }

    public Intent getIntent() {
        return this.f1470g;
    }

    @CapturedViewProperty
    public int getItemId() {
        return this.f1464a;
    }

    public ContextMenuInfo getMenuInfo() {
        return this.f1485v;
    }

    public char getNumericShortcut() {
        return this.f1471h;
    }

    public int getOrder() {
        return this.f1466c;
    }

    public SubMenu getSubMenu() {
        return this.f1476m;
    }

    @CapturedViewProperty
    public CharSequence getTitle() {
        return this.f1468e;
    }

    public CharSequence getTitleCondensed() {
        CharSequence charSequence = this.f1469f != null ? this.f1469f : this.f1468e;
        return (VERSION.SDK_INT >= 18 || charSequence == null || (charSequence instanceof String)) ? charSequence : charSequence.toString();
    }

    public void m3146h() {
        this.f1475l.m3035b(this);
    }

    public boolean hasSubMenu() {
        return this.f1476m != null;
    }

    public boolean m3147i() {
        return this.f1475l.m3057q();
    }

    public boolean isActionViewExpanded() {
        return this.f1484u;
    }

    public boolean isCheckable() {
        return (this.f1479p & 1) == 1;
    }

    public boolean isChecked() {
        return (this.f1479p & 2) == 2;
    }

    public boolean isEnabled() {
        return (this.f1479p & 16) != 0;
    }

    public boolean isVisible() {
        return (this.f1482s == null || !this.f1482s.m1961b()) ? (this.f1479p & 8) == 0 : (this.f1479p & 8) == 0 && this.f1482s.m1962c();
    }

    public boolean m3148j() {
        return (this.f1479p & 32) == 32;
    }

    public boolean m3149k() {
        return (this.f1480q & 1) == 1;
    }

    public boolean m3150l() {
        return (this.f1480q & 2) == 2;
    }

    public boolean m3151m() {
        return (this.f1480q & 4) == 4;
    }

    public boolean m3152n() {
        if ((this.f1480q & 8) == 0) {
            return false;
        }
        if (this.f1481r == null && this.f1482s != null) {
            this.f1481r = this.f1482s.m1956a((MenuItem) this);
        }
        return this.f1481r != null;
    }

    public MenuItem setActionProvider(ActionProvider actionProvider) {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.setActionProvider()");
    }

    public /* synthetic */ MenuItem setActionView(int i) {
        return m3126a(i);
    }

    public /* synthetic */ MenuItem setActionView(View view) {
        return m3129a(view);
    }

    public MenuItem setAlphabeticShortcut(char c) {
        if (this.f1472i != c) {
            this.f1472i = Character.toLowerCase(c);
            this.f1475l.m3037b(false);
        }
        return this;
    }

    public MenuItem setCheckable(boolean z) {
        int i = this.f1479p;
        this.f1479p = (z ? 1 : 0) | (this.f1479p & -2);
        if (i != this.f1479p) {
            this.f1475l.m3037b(false);
        }
        return this;
    }

    public MenuItem setChecked(boolean z) {
        if ((this.f1479p & 4) != 0) {
            this.f1475l.m3027a((MenuItem) this);
        } else {
            m3136b(z);
        }
        return this;
    }

    public MenuItem setEnabled(boolean z) {
        if (z) {
            this.f1479p |= 16;
        } else {
            this.f1479p &= -17;
        }
        this.f1475l.m3037b(false);
        return this;
    }

    public MenuItem setIcon(int i) {
        this.f1473j = null;
        this.f1474k = i;
        this.f1475l.m3037b(false);
        return this;
    }

    public MenuItem setIcon(Drawable drawable) {
        this.f1474k = 0;
        this.f1473j = drawable;
        this.f1475l.m3037b(false);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.f1470g = intent;
        return this;
    }

    public MenuItem setNumericShortcut(char c) {
        if (this.f1471h != c) {
            this.f1471h = c;
            this.f1475l.m3037b(false);
        }
        return this;
    }

    public MenuItem setOnActionExpandListener(OnActionExpandListener onActionExpandListener) {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.setOnActionExpandListener()");
    }

    public MenuItem setOnMenuItemClickListener(OnMenuItemClickListener onMenuItemClickListener) {
        this.f1478o = onMenuItemClickListener;
        return this;
    }

    public MenuItem setShortcut(char c, char c2) {
        this.f1471h = c;
        this.f1472i = Character.toLowerCase(c2);
        this.f1475l.m3037b(false);
        return this;
    }

    public void setShowAsAction(int i) {
        switch (i & 3) {
            case C0729b.View_android_theme /*0*/:
            case C0729b.View_android_focusable /*1*/:
            case C0729b.View_paddingStart /*2*/:
                this.f1480q = i;
                this.f1475l.m3035b(this);
            default:
                throw new IllegalArgumentException("SHOW_AS_ACTION_ALWAYS, SHOW_AS_ACTION_IF_ROOM, and SHOW_AS_ACTION_NEVER are mutually exclusive.");
        }
    }

    public /* synthetic */ MenuItem setShowAsActionFlags(int i) {
        return m3135b(i);
    }

    public MenuItem setTitle(int i) {
        return setTitle(this.f1475l.m3045e().getString(i));
    }

    public MenuItem setTitle(CharSequence charSequence) {
        this.f1468e = charSequence;
        this.f1475l.m3037b(false);
        if (this.f1476m != null) {
            this.f1476m.setHeaderTitle(charSequence);
        }
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f1469f = charSequence;
        if (charSequence == null) {
            CharSequence charSequence2 = this.f1468e;
        }
        this.f1475l.m3037b(false);
        return this;
    }

    public MenuItem setVisible(boolean z) {
        if (m3139c(z)) {
            this.f1475l.m3024a(this);
        }
        return this;
    }

    public String toString() {
        return this.f1468e.toString();
    }
}
