package android.support.v7.internal.view.menu;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.support.v4.p012d.p013a.C0117b;
import android.support.v4.view.C0214n;
import android.util.Log;
import android.view.ActionProvider;
import android.view.CollapsibleActionView;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.MenuItem;
import android.view.MenuItem.OnActionExpandListener;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.SubMenu;
import android.view.View;
import java.lang.reflect.Method;

@TargetApi(14)
/* renamed from: android.support.v7.internal.view.menu.o */
public class C0343o extends C0332e implements MenuItem {
    private Method f1487c;

    C0343o(Context context, C0117b c0117b) {
        super(context, c0117b);
    }

    C0344p m3154a(ActionProvider actionProvider) {
        return new C0344p(this, this.a, actionProvider);
    }

    public void m3155a(boolean z) {
        try {
            if (this.f1487c == null) {
                this.f1487c = ((C0117b) this.b).getClass().getDeclaredMethod("setExclusiveCheckable", new Class[]{Boolean.TYPE});
            }
            this.f1487c.invoke(this.b, new Object[]{Boolean.valueOf(z)});
        } catch (Throwable e) {
            Log.w("MenuItemWrapper", "Error while calling setExclusiveCheckable", e);
        }
    }

    public boolean collapseActionView() {
        return ((C0117b) this.b).collapseActionView();
    }

    public boolean expandActionView() {
        return ((C0117b) this.b).expandActionView();
    }

    public ActionProvider getActionProvider() {
        C0214n a = ((C0117b) this.b).m820a();
        return a instanceof C0344p ? ((C0344p) a).f1488a : null;
    }

    public View getActionView() {
        View actionView = ((C0117b) this.b).getActionView();
        return actionView instanceof C0345q ? ((C0345q) actionView).m3162c() : actionView;
    }

    public char getAlphabeticShortcut() {
        return ((C0117b) this.b).getAlphabeticShortcut();
    }

    public int getGroupId() {
        return ((C0117b) this.b).getGroupId();
    }

    public Drawable getIcon() {
        return ((C0117b) this.b).getIcon();
    }

    public Intent getIntent() {
        return ((C0117b) this.b).getIntent();
    }

    public int getItemId() {
        return ((C0117b) this.b).getItemId();
    }

    public ContextMenuInfo getMenuInfo() {
        return ((C0117b) this.b).getMenuInfo();
    }

    public char getNumericShortcut() {
        return ((C0117b) this.b).getNumericShortcut();
    }

    public int getOrder() {
        return ((C0117b) this.b).getOrder();
    }

    public SubMenu getSubMenu() {
        return m3002a(((C0117b) this.b).getSubMenu());
    }

    public CharSequence getTitle() {
        return ((C0117b) this.b).getTitle();
    }

    public CharSequence getTitleCondensed() {
        return ((C0117b) this.b).getTitleCondensed();
    }

    public boolean hasSubMenu() {
        return ((C0117b) this.b).hasSubMenu();
    }

    public boolean isActionViewExpanded() {
        return ((C0117b) this.b).isActionViewExpanded();
    }

    public boolean isCheckable() {
        return ((C0117b) this.b).isCheckable();
    }

    public boolean isChecked() {
        return ((C0117b) this.b).isChecked();
    }

    public boolean isEnabled() {
        return ((C0117b) this.b).isEnabled();
    }

    public boolean isVisible() {
        return ((C0117b) this.b).isVisible();
    }

    public MenuItem setActionProvider(ActionProvider actionProvider) {
        ((C0117b) this.b).m819a(actionProvider != null ? m3154a(actionProvider) : null);
        return this;
    }

    public MenuItem setActionView(int i) {
        ((C0117b) this.b).setActionView(i);
        View actionView = ((C0117b) this.b).getActionView();
        if (actionView instanceof CollapsibleActionView) {
            ((C0117b) this.b).setActionView(new C0345q(actionView));
        }
        return this;
    }

    public MenuItem setActionView(View view) {
        if (view instanceof CollapsibleActionView) {
            view = new C0345q(view);
        }
        ((C0117b) this.b).setActionView(view);
        return this;
    }

    public MenuItem setAlphabeticShortcut(char c) {
        ((C0117b) this.b).setAlphabeticShortcut(c);
        return this;
    }

    public MenuItem setCheckable(boolean z) {
        ((C0117b) this.b).setCheckable(z);
        return this;
    }

    public MenuItem setChecked(boolean z) {
        ((C0117b) this.b).setChecked(z);
        return this;
    }

    public MenuItem setEnabled(boolean z) {
        ((C0117b) this.b).setEnabled(z);
        return this;
    }

    public MenuItem setIcon(int i) {
        ((C0117b) this.b).setIcon(i);
        return this;
    }

    public MenuItem setIcon(Drawable drawable) {
        ((C0117b) this.b).setIcon(drawable);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        ((C0117b) this.b).setIntent(intent);
        return this;
    }

    public MenuItem setNumericShortcut(char c) {
        ((C0117b) this.b).setNumericShortcut(c);
        return this;
    }

    public MenuItem setOnActionExpandListener(OnActionExpandListener onActionExpandListener) {
        ((C0117b) this.b).m818a(onActionExpandListener != null ? new C0346r(this, onActionExpandListener) : null);
        return this;
    }

    public MenuItem setOnMenuItemClickListener(OnMenuItemClickListener onMenuItemClickListener) {
        ((C0117b) this.b).setOnMenuItemClickListener(onMenuItemClickListener != null ? new C0347s(this, onMenuItemClickListener) : null);
        return this;
    }

    public MenuItem setShortcut(char c, char c2) {
        ((C0117b) this.b).setShortcut(c, c2);
        return this;
    }

    public void setShowAsAction(int i) {
        ((C0117b) this.b).setShowAsAction(i);
    }

    public MenuItem setShowAsActionFlags(int i) {
        ((C0117b) this.b).setShowAsActionFlags(i);
        return this;
    }

    public MenuItem setTitle(int i) {
        ((C0117b) this.b).setTitle(i);
        return this;
    }

    public MenuItem setTitle(CharSequence charSequence) {
        ((C0117b) this.b).setTitle(charSequence);
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        ((C0117b) this.b).setTitleCondensed(charSequence);
        return this;
    }

    public MenuItem setVisible(boolean z) {
        return ((C0117b) this.b).setVisible(z);
    }
}
