package android.support.v7.internal.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0257e;
import android.support.v7.p019a.C0261i;
import android.support.v7.widget.bh;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.View.OnKeyListener;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.ViewTreeObserver.OnGlobalLayoutListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.FrameLayout;
import android.widget.ListAdapter;
import android.widget.PopupWindow.OnDismissListener;

/* renamed from: android.support.v7.internal.view.menu.v */
public class C0350v implements C0336x, OnKeyListener, OnGlobalLayoutListener, OnItemClickListener, OnDismissListener {
    static final int f1495a;
    boolean f1496b;
    private final Context f1497c;
    private final LayoutInflater f1498d;
    private final C0333i f1499e;
    private final C0351w f1500f;
    private final boolean f1501g;
    private final int f1502h;
    private final int f1503i;
    private final int f1504j;
    private View f1505k;
    private bh f1506l;
    private ViewTreeObserver f1507m;
    private C0271y f1508n;
    private ViewGroup f1509o;
    private boolean f1510p;
    private int f1511q;
    private int f1512r;

    static {
        f1495a = C0261i.abc_popup_menu_item_layout;
    }

    public C0350v(Context context, C0333i c0333i, View view) {
        this(context, c0333i, view, false, C0254b.popupMenuStyle);
    }

    public C0350v(Context context, C0333i c0333i, View view, boolean z, int i) {
        this(context, c0333i, view, z, i, 0);
    }

    public C0350v(Context context, C0333i c0333i, View view, boolean z, int i, int i2) {
        this.f1512r = 0;
        this.f1497c = context;
        this.f1498d = LayoutInflater.from(context);
        this.f1499e = c0333i;
        this.f1500f = new C0351w(this, this.f1499e);
        this.f1501g = z;
        this.f1503i = i;
        this.f1504j = i2;
        Resources resources = context.getResources();
        this.f1502h = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(C0257e.abc_config_prefDialogWidth));
        this.f1505k = view;
        c0333i.m3026a((C0336x) this, context);
    }

    private int m3173g() {
        ListAdapter listAdapter = this.f1500f;
        int makeMeasureSpec = MeasureSpec.makeMeasureSpec(0, 0);
        int makeMeasureSpec2 = MeasureSpec.makeMeasureSpec(0, 0);
        int count = listAdapter.getCount();
        int i = 0;
        int i2 = 0;
        View view = null;
        int i3 = 0;
        while (i < count) {
            View view2;
            int itemViewType = listAdapter.getItemViewType(i);
            if (itemViewType != i2) {
                i2 = itemViewType;
                view2 = null;
            } else {
                view2 = view;
            }
            if (this.f1509o == null) {
                this.f1509o = new FrameLayout(this.f1497c);
            }
            view = listAdapter.getView(i, view2, this.f1509o);
            view.measure(makeMeasureSpec, makeMeasureSpec2);
            itemViewType = view.getMeasuredWidth();
            if (itemViewType >= this.f1502h) {
                return this.f1502h;
            }
            if (itemViewType <= i3) {
                itemViewType = i3;
            }
            i++;
            i3 = itemViewType;
        }
        return i3;
    }

    public void m3174a() {
        if (!m3187d()) {
            throw new IllegalStateException("MenuPopupHelper cannot be used without an anchor");
        }
    }

    public void m3175a(int i) {
        this.f1512r = i;
    }

    public void m3176a(Context context, C0333i c0333i) {
    }

    public void m3177a(C0333i c0333i, boolean z) {
        if (c0333i == this.f1499e) {
            m3188e();
            if (this.f1508n != null) {
                this.f1508n.m2689a(c0333i, z);
            }
        }
    }

    public void m3178a(C0271y c0271y) {
        this.f1508n = c0271y;
    }

    public void m3179a(View view) {
        this.f1505k = view;
    }

    public void m3180a(boolean z) {
        this.f1496b = z;
    }

    public boolean m3181a(ad adVar) {
        if (adVar.hasVisibleItems()) {
            boolean z;
            C0350v c0350v = new C0350v(this.f1497c, adVar, this.f1505k);
            c0350v.m3178a(this.f1508n);
            int size = adVar.size();
            for (int i = 0; i < size; i++) {
                MenuItem item = adVar.getItem(i);
                if (item.isVisible() && item.getIcon() != null) {
                    z = true;
                    break;
                }
            }
            z = false;
            c0350v.m3180a(z);
            if (c0350v.m3187d()) {
                if (this.f1508n == null) {
                    return true;
                }
                this.f1508n.m2690a(adVar);
                return true;
            }
        }
        return false;
    }

    public boolean m3182a(C0333i c0333i, C0341m c0341m) {
        return false;
    }

    public void m3183b(boolean z) {
        this.f1510p = false;
        if (this.f1500f != null) {
            this.f1500f.notifyDataSetChanged();
        }
    }

    public boolean m3184b() {
        return false;
    }

    public boolean m3185b(C0333i c0333i, C0341m c0341m) {
        return false;
    }

    public bh m3186c() {
        return this.f1506l;
    }

    public boolean m3187d() {
        boolean z = false;
        this.f1506l = new bh(this.f1497c, null, this.f1503i, this.f1504j);
        this.f1506l.m4043a((OnDismissListener) this);
        this.f1506l.m4041a((OnItemClickListener) this);
        this.f1506l.m4042a(this.f1500f);
        this.f1506l.m4044a(true);
        View view = this.f1505k;
        if (view == null) {
            return false;
        }
        if (this.f1507m == null) {
            z = true;
        }
        this.f1507m = view.getViewTreeObserver();
        if (z) {
            this.f1507m.addOnGlobalLayoutListener(this);
        }
        this.f1506l.m4040a(view);
        this.f1506l.m4049d(this.f1512r);
        if (!this.f1510p) {
            this.f1511q = m3173g();
            this.f1510p = true;
        }
        this.f1506l.m4053f(this.f1511q);
        this.f1506l.m4055g(2);
        this.f1506l.m4046c();
        this.f1506l.m4062m().setOnKeyListener(this);
        return true;
    }

    public void m3188e() {
        if (m3189f()) {
            this.f1506l.m4058i();
        }
    }

    public boolean m3189f() {
        return this.f1506l != null && this.f1506l.m4060k();
    }

    public void onDismiss() {
        this.f1506l = null;
        this.f1499e.close();
        if (this.f1507m != null) {
            if (!this.f1507m.isAlive()) {
                this.f1507m = this.f1505k.getViewTreeObserver();
            }
            this.f1507m.removeGlobalOnLayoutListener(this);
            this.f1507m = null;
        }
    }

    public void onGlobalLayout() {
        if (m3189f()) {
            View view = this.f1505k;
            if (view == null || !view.isShown()) {
                m3188e();
            } else if (m3189f()) {
                this.f1506l.m4046c();
            }
        }
    }

    public void onItemClick(AdapterView adapterView, View view, int i, long j) {
        C0351w c0351w = this.f1500f;
        c0351w.f1514b.m3031a(c0351w.m3191a(i), 0);
    }

    public boolean onKey(View view, int i, KeyEvent keyEvent) {
        if (keyEvent.getAction() != 1 || i != 82) {
            return false;
        }
        m3188e();
        return true;
    }
}
