package android.support.v7.internal.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.os.Build.VERSION;
import android.support.v4.view.ba;
import android.support.v4.view.bw;
import android.support.v4.view.ea;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0264l;
import android.support.v7.widget.ActionMenuPresenter;
import android.support.v7.widget.ActionMenuView;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;

/* renamed from: android.support.v7.internal.widget.a */
abstract class C0352a extends ViewGroup {
    protected final C0356b f1526a;
    protected final Context f1527b;
    protected ActionMenuView f1528c;
    protected ActionMenuPresenter f1529d;
    protected int f1530e;
    protected ea f1531f;
    private boolean f1532g;
    private boolean f1533h;

    C0352a(Context context) {
        this(context, null);
    }

    C0352a(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    C0352a(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1526a = new C0356b(this);
        TypedValue typedValue = new TypedValue();
        if (!context.getTheme().resolveAttribute(C0254b.actionBarPopupTheme, typedValue, true) || typedValue.resourceId == 0) {
            this.f1527b = context;
        } else {
            this.f1527b = new ContextThemeWrapper(context, typedValue.resourceId);
        }
    }

    protected static int m3195a(int i, int i2, boolean z) {
        return z ? i - i2 : i + i2;
    }

    protected int m3198a(View view, int i, int i2, int i3) {
        view.measure(MeasureSpec.makeMeasureSpec(i, Integer.MIN_VALUE), i2);
        return Math.max(0, (i - view.getMeasuredWidth()) - i3);
    }

    protected int m3199a(View view, int i, int i2, int i3, boolean z) {
        int measuredWidth = view.getMeasuredWidth();
        int measuredHeight = view.getMeasuredHeight();
        int i4 = ((i3 - measuredHeight) / 2) + i2;
        if (z) {
            view.layout(i - measuredWidth, i4, i, measuredHeight + i4);
        } else {
            view.layout(i, i4, i + measuredWidth, measuredHeight + i4);
        }
        return z ? -measuredWidth : measuredWidth;
    }

    public ea m3200a(int i, long j) {
        if (this.f1531f != null) {
            this.f1531f.m1851b();
        }
        if (i == 0) {
            if (getVisibility() != 0) {
                bw.m1514c((View) this, 0.0f);
            }
            ea a = bw.m1533q(this).m1844a(1.0f);
            a.m1845a(j);
            a.m1846a(this.f1526a.m3444a(a, i));
            return a;
        }
        a = bw.m1533q(this).m1844a(0.0f);
        a.m1845a(j);
        a.m1846a(this.f1526a.m3444a(a, i));
        return a;
    }

    public boolean m3201a() {
        return this.f1529d != null ? this.f1529d.m3514d() : false;
    }

    public int getAnimatedVisibility() {
        return this.f1531f != null ? this.f1526a.f1715a : getVisibility();
    }

    public int getContentHeight() {
        return this.f1530e;
    }

    protected void onConfigurationChanged(Configuration configuration) {
        if (VERSION.SDK_INT >= 8) {
            super.onConfigurationChanged(configuration);
        }
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(null, C0264l.ActionBar, C0254b.actionBarStyle, 0);
        setContentHeight(obtainStyledAttributes.getLayoutDimension(C0264l.ActionBar_height, 0));
        obtainStyledAttributes.recycle();
        if (this.f1529d != null) {
            this.f1529d.m3500a(configuration);
        }
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int a = ba.m1414a(motionEvent);
        if (a == 9) {
            this.f1533h = false;
        }
        if (!this.f1533h) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (a == 9 && !onHoverEvent) {
                this.f1533h = true;
            }
        }
        if (a == 10 || a == 3) {
            this.f1533h = false;
        }
        return true;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int a = ba.m1414a(motionEvent);
        if (a == 0) {
            this.f1532g = false;
        }
        if (!this.f1532g) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (a == 0 && !onTouchEvent) {
                this.f1532g = true;
            }
        }
        if (a == 1 || a == 3) {
            this.f1532g = false;
        }
        return true;
    }

    public void setContentHeight(int i) {
        this.f1530e = i;
        requestLayout();
    }

    public void setVisibility(int i) {
        if (i != getVisibility()) {
            if (this.f1531f != null) {
                this.f1531f.m1851b();
            }
            super.setVisibility(i);
        }
    }
}
