package com.neatorobotics.android.p032e.p037e;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiConfiguration;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.text.TextUtils;
import com.neatorobotics.android.NeatoApplication;
import com.neatorobotics.android.utils.C0767d;
import java.util.List;

/* renamed from: com.neatorobotics.android.e.e.a */
public class C0739a {
    public static long f3505a;
    public static boolean f3506b;

    static {
        f3505a = -1;
        f3506b = true;
    }

    public static int m5785a(ScanResult scanResult) {
        String str = scanResult.capabilities;
        C0767d.m5868b("ConnectionHelper", "Network capabilities: " + str);
        return str.toUpperCase().contains("WEP") ? 0 : str.toUpperCase().contains("PSK") ? 1 : str.toUpperCase().contains("EAP") ? 2 : 3;
    }

    public static String m5786a(Context context) {
        String replace;
        String str = "";
        if (((ConnectivityManager) context.getSystemService("connectivity")).getNetworkInfo(1).isConnected()) {
            WifiInfo connectionInfo = ((WifiManager) context.getSystemService("wifi")).getConnectionInfo();
            if (!(connectionInfo == null || TextUtils.isEmpty(connectionInfo.getSSID()))) {
                replace = connectionInfo.getSSID().replace("\"", "");
                C0767d.m5868b("ConnectionHelper", "Current ssid = " + replace);
                return replace;
            }
        }
        replace = str;
        C0767d.m5868b("ConnectionHelper", "Current ssid = " + replace);
        return replace;
    }

    public static void m5787a(Context context, int i) {
        C0767d.m5868b("ConnectionHelper", "connectToConfiguredRobotNetwork with id... " + i);
        WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
        wifiManager.disconnect();
        if (!wifiManager.enableNetwork(i, true)) {
            C0767d.m5868b("ConnectionHelper", "Failed to enable network!");
        }
        wifiManager.saveConfiguration();
        wifiManager.reconnect();
    }

    public static void m5788a(Context context, ScanResult scanResult) {
        try {
            WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
            for (WifiConfiguration wifiConfiguration : wifiManager.getConfiguredNetworks()) {
                if (wifiConfiguration.SSID.replace("\"", "").equalsIgnoreCase(scanResult.SSID.replace("\"", ""))) {
                    wifiManager.removeNetwork(wifiConfiguration.networkId);
                    wifiManager.saveConfiguration();
                    C0767d.m5868b("ConnectionHelper", "Network removed: " + wifiConfiguration.SSID);
                }
            }
        } catch (Exception e) {
            C0767d.m5867a("ConnectionHelper", "Exception", e);
        }
    }

    public static void m5789a(Context context, ScanResult scanResult, String str) {
        C0767d.m5868b("ConnectionHelper", "###  configureWPARobotNetwork....");
        if (scanResult != null && scanResult.SSID != null && !"".equalsIgnoreCase(scanResult.SSID.replace("\"", "").trim())) {
            String str2 = scanResult.SSID;
            WifiConfiguration wifiConfiguration = new WifiConfiguration();
            wifiConfiguration.SSID = "\"" + str2 + "\"";
            wifiConfiguration.hiddenSSID = true;
            wifiConfiguration.status = 2;
            wifiConfiguration.priority = 99999;
            wifiConfiguration.allowedKeyManagement.set(1);
            wifiConfiguration.allowedProtocols.set(0);
            wifiConfiguration.allowedAuthAlgorithms.set(0);
            wifiConfiguration.preSharedKey = "\"" + str + "\"";
            C0767d.m5868b("ConnectionHelper", "Configured neato-xxxx WPA network....");
            WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
            if (wifiManager.addNetwork(wifiConfiguration) == -1) {
                C0767d.m5868b("ConnectionHelper", "Failed to add network configuration!");
            } else if (!wifiManager.saveConfiguration()) {
                C0767d.m5868b("ConnectionHelper", "Failed to persist the list of configured networks!");
            }
        }
    }

    public static boolean m5790a() {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) NeatoApplication.m5360a().getSystemService("connectivity")).getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnectedOrConnecting();
    }

    public static int m5791b(Context context) {
        int networkId;
        if (((ConnectivityManager) context.getSystemService("connectivity")).getNetworkInfo(1).isConnected()) {
            WifiInfo connectionInfo = ((WifiManager) context.getSystemService("wifi")).getConnectionInfo();
            if (connectionInfo != null) {
                networkId = connectionInfo.getNetworkId();
                C0767d.m5868b("ConnectionHelper", "Current network id = " + networkId);
                return networkId;
            }
        }
        networkId = -1;
        C0767d.m5868b("ConnectionHelper", "Current network id = " + networkId);
        return networkId;
    }

    public static void m5792b(Context context, ScanResult scanResult) {
        C0767d.m5868b("ConnectionHelper", "###  configureRobotNetwork....");
        if (scanResult != null && scanResult.SSID != null && !"".equalsIgnoreCase(scanResult.SSID.replace("\"", "").trim())) {
            String str = scanResult.SSID;
            WifiConfiguration wifiConfiguration = new WifiConfiguration();
            wifiConfiguration.SSID = "\"" + str + "\"";
            wifiConfiguration.allowedKeyManagement.set(0);
            wifiConfiguration.priority = 99999;
            C0767d.m5868b("ConnectionHelper", "Configured neato-xxxx open network....");
            WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
            if (wifiManager.addNetwork(wifiConfiguration) == -1) {
                C0767d.m5868b("ConnectionHelper", "Failed to add network configuration!");
            } else if (!wifiManager.saveConfiguration()) {
                C0767d.m5868b("ConnectionHelper", "Failed to persist the list of configured networks!");
            }
        }
    }

    public static void m5793b(Context context, ScanResult scanResult, String str) {
        C0767d.m5868b("ConnectionHelper", "findAndConnectToRobotAP... " + scanResult.SSID);
        WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
        if (!wifiManager.isWifiEnabled()) {
            wifiManager.setWifiEnabled(true);
        }
        List<WifiConfiguration> configuredNetworks = wifiManager.getConfiguredNetworks();
        if (configuredNetworks == null) {
            C0767d.m5868b("ConnectionHelper", "NO CONFIGURED NETWORK RETURN...");
            return;
        }
        boolean z = false;
        for (WifiConfiguration wifiConfiguration : configuredNetworks) {
            boolean z2;
            if (wifiConfiguration.SSID.replace("\"", "").equalsIgnoreCase(scanResult.SSID.replace("\"", ""))) {
                C0767d.m5868b("ConnectionHelper", "ALREADY CONFIGURED: " + wifiConfiguration.SSID + " I will remove it and reconfigure....");
                z2 = true;
            } else {
                z2 = z;
            }
            z = z2;
        }
        if (z) {
            C0739a.m5788a(context, scanResult);
            try {
                Thread.sleep(5000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
        if (C0739a.m5785a(scanResult) == 3) {
            C0767d.m5868b("ConnectionHelper", "Robot AP has SECURITY NONE network.");
            C0739a.m5792b(context, scanResult);
        } else if (C0739a.m5785a(scanResult) == 1) {
            C0767d.m5868b("ConnectionHelper", "Robot AP has SECURITY WPA/PSK network.");
            C0739a.m5789a(context, scanResult, str);
        } else {
            C0767d.m5866a("ConnectionHelper", "Neato UNSUPPORTED ROBOT AP SECURITY MODE: " + C0739a.m5785a(scanResult));
        }
        C0739a.m5796c(context, scanResult);
    }

    public static boolean m5794b() {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) NeatoApplication.m5360a().getSystemService("connectivity")).getActiveNetworkInfo();
        boolean z = activeNetworkInfo != null && activeNetworkInfo.isConnected();
        C0767d.m5868b("ConnectionHelper", "Is conneccted = " + z);
        return z;
    }

    public static void m5795c(android.content.Context r5) {
        /* JADX: method processing error */
/*
        Error: jadx.core.utils.exceptions.JadxRuntimeException: Can't find block by offset: 0x0094 in list []
	at jadx.core.utils.BlockUtils.getBlockByOffset(BlockUtils.java:42)
	at jadx.core.dex.instructions.IfNode.initBlocks(IfNode.java:58)
	at jadx.core.dex.visitors.blocksmaker.BlockFinish.initBlocksInIfNodes(BlockFinish.java:48)
	at jadx.core.dex.visitors.blocksmaker.BlockFinish.visit(BlockFinish.java:33)
	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:31)
	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:17)
	at jadx.core.ProcessClass.process(ProcessClass.java:37)
	at jadx.core.ProcessClass.processDependencies(ProcessClass.java:59)
	at jadx.core.ProcessClass.process(ProcessClass.java:42)
	at jadx.api.JadxDecompiler.processClass(JadxDecompiler.java:281)
	at jadx.api.JavaClass.decompile(JavaClass.java:59)
	at jadx.api.JadxDecompiler$1.run(JadxDecompiler.java:161)
*/
        /*
        r3 = -1;
        r0 = "ConnectionHelper";
        r1 = "Removing Robot AP network and reconnect to HOME WI-FI method...";
        com.neatorobotics.android.utils.C0767d.m5868b(r0, r1);
        r0 = "";
        r1 = com.neatorobotics.android.p032e.p037e.C0739a.m5786a(r5);	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r0 = "wifi";	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r0 = r5.getSystemService(r0);	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r0 = (android.net.wifi.WifiManager) r0;	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r2 = com.neatorobotics.android.p031d.C0732b.f3479a;	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r1 = r1.contains(r2);	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        if (r1 == 0) goto L_0x0034;	 Catch:{ Exception -> 0x0063, all -> 0x009a }
    L_0x001e:
        r1 = "ConnectionHelper";	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r2 = "Removing Robot AP network....";	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        com.neatorobotics.android.utils.C0767d.m5868b(r1, r2);	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r1 = com.neatorobotics.android.p032e.p037e.C0739a.m5791b(r5);	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        if (r1 == r3) goto L_0x0034;	 Catch:{ Exception -> 0x0063, all -> 0x009a }
    L_0x002b:
        r0.disableNetwork(r1);	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r0.removeNetwork(r1);	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r0.saveConfiguration();	 Catch:{ Exception -> 0x0063, all -> 0x009a }
    L_0x0034:
        r0 = "HOME_WIFI_NETWORK_ID";
        r0 = com.neatorobotics.android.p032e.p040h.C0742a.m5808b(r5, r0, r3);
        if (r0 == r3) goto L_0x005d;
    L_0x003c:
        r1 = com.neatorobotics.android.p032e.p037e.C0739a.m5791b(r5);
        if (r0 == r1) goto L_0x005d;
    L_0x0042:
        r1 = "ConnectionHelper";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "Trying to reconnect to home Wifi...";
        r2 = r2.append(r3);
        r2 = r2.append(r0);
        r2 = r2.toString();
        com.neatorobotics.android.utils.C0767d.m5868b(r1, r2);
        com.neatorobotics.android.p032e.p037e.C0739a.m5787a(r5, r0);
    L_0x005d:
        r0 = "HOME_WIFI_NETWORK_ID";
        com.neatorobotics.android.p032e.p040h.C0742a.m5813d(r5, r0);
    L_0x0062:
        return;
    L_0x0063:
        r0 = move-exception;
        r1 = "ConnectionHelper";	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r2 = "Exception";	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        com.neatorobotics.android.utils.C0767d.m5867a(r1, r2, r0);	 Catch:{ Exception -> 0x0063, all -> 0x009a }
        r0 = "HOME_WIFI_NETWORK_ID";
        r0 = com.neatorobotics.android.p032e.p040h.C0742a.m5808b(r5, r0, r3);
        if (r0 == r3) goto L_0x0094;
    L_0x0073:
        r1 = com.neatorobotics.android.p032e.p037e.C0739a.m5791b(r5);
        if (r0 == r1) goto L_0x0094;
    L_0x0079:
        r1 = "ConnectionHelper";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "Trying to reconnect to home Wifi...";
        r2 = r2.append(r3);
        r2 = r2.append(r0);
        r2 = r2.toString();
        com.neatorobotics.android.utils.C0767d.m5868b(r1, r2);
        com.neatorobotics.android.p032e.p037e.C0739a.m5787a(r5, r0);
    L_0x0094:
        r0 = "HOME_WIFI_NETWORK_ID";
        com.neatorobotics.android.p032e.p040h.C0742a.m5813d(r5, r0);
        goto L_0x0062;
    L_0x009a:
        r0 = move-exception;
        r1 = "HOME_WIFI_NETWORK_ID";
        r1 = com.neatorobotics.android.p032e.p040h.C0742a.m5808b(r5, r1, r3);
        if (r1 == r3) goto L_0x00c4;
    L_0x00a3:
        r2 = com.neatorobotics.android.p032e.p037e.C0739a.m5791b(r5);
        if (r1 == r2) goto L_0x00c4;
    L_0x00a9:
        r2 = "ConnectionHelper";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "Trying to reconnect to home Wifi...";
        r3 = r3.append(r4);
        r3 = r3.append(r1);
        r3 = r3.toString();
        com.neatorobotics.android.utils.C0767d.m5868b(r2, r3);
        com.neatorobotics.android.p032e.p037e.C0739a.m5787a(r5, r1);
    L_0x00c4:
        r1 = "HOME_WIFI_NETWORK_ID";
        com.neatorobotics.android.p032e.p040h.C0742a.m5813d(r5, r1);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.neatorobotics.android.e.e.a.c(android.content.Context):void");
    }

    public static void m5796c(Context context, ScanResult scanResult) {
        C0767d.m5868b("ConnectionHelper", "connectToConfiguredRobotNetwork...");
        WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
        wifiManager.disconnect();
        for (WifiConfiguration wifiConfiguration : wifiManager.getConfiguredNetworks()) {
            C0767d.m5868b("ConnectionHelper", wifiConfiguration.SSID + " has priority " + wifiConfiguration.priority);
            if (wifiConfiguration.SSID.replace("\"", "").equalsIgnoreCase(scanResult.SSID.replace("\"", ""))) {
                int i = wifiConfiguration.networkId;
                C0767d.m5868b("ConnectionHelper", "Trying to enable new configured network...");
                if (!wifiManager.enableNetwork(i, true)) {
                    C0767d.m5868b("ConnectionHelper", "Failed to enable network!");
                }
                wifiManager.saveConfiguration();
            }
        }
        wifiManager.reconnect();
    }

    public static boolean m5797c() {
        return ((ConnectivityManager) NeatoApplication.m5360a().getSystemService("connectivity")).getNetworkInfo(1).isConnected();
    }

    public static void m5798d(Context context) {
        C0767d.m5868b("ConnectionHelper", "enableWiFi... ");
        WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
        if (!wifiManager.isWifiEnabled()) {
            wifiManager.setWifiEnabled(true);
        }
    }

    public static boolean m5799e(Context context) {
        C0767d.m5868b("ConnectionHelper", "isWifiEnabled... ");
        return ((WifiManager) context.getSystemService("wifi")).isWifiEnabled();
    }
}
