package com.neatorobotics.android.utils;

import android.content.Context;
import android.os.Build.VERSION;
import android.provider.Settings.Global;
import android.provider.Settings.System;
import android.text.format.DateFormat;
import com.neatorobotics.android.NeatoApplication;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p032e.p035c.C0737a;
import com.neatorobotics.android.p032e.p039g.C0741a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import javax.net.ssl.SSLHandshakeException;
import org.json.JSONObject;

/* renamed from: com.neatorobotics.android.utils.a */
public class C0764a {
    public static long m5840a() {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MMM-dd HH:mm:ss");
        simpleDateFormat.setTimeZone(TimeZone.getTimeZone("UTC"));
        try {
            return new SimpleDateFormat("yyyy-MMM-dd HH:mm:ss").parse(simpleDateFormat.format(new Date())).getTime();
        } catch (ParseException e) {
            e.printStackTrace();
            return 0;
        }
    }

    public static long m5841a(String str, String str2) {
        try {
            return new SimpleDateFormat(str).parse(str2).getTime();
        } catch (Exception e) {
            C0767d.m5867a("DateUtils", "Exception", e);
            return 0;
        }
    }

    public static String m5842a(String str) {
        try {
            Date parse = new SimpleDateFormat("HH:mm").parse(str);
            return DateFormat.is24HourFormat(NeatoApplication.m5360a()) ? C0764a.m5852c(parse) : C0764a.m5855d(parse);
        } catch (Exception e) {
            C0767d.m5867a("DateUtils", "Exception", e);
            return "";
        }
    }

    public static String m5843a(ArrayList arrayList) {
        if (arrayList == null || arrayList.size() <= 0) {
            return "";
        }
        JSONObject jSONObject = new JSONObject();
        for (int i = 0; i < arrayList.size(); i++) {
            try {
                jSONObject.put("" + arrayList.get(i), true);
            } catch (Exception e) {
                C0767d.m5867a("DateUtils", "Exception", e);
            }
        }
        return C0764a.m5854d(jSONObject.toString());
    }

    public static String m5844a(Date date) {
        try {
            return new SimpleDateFormat("a").format(date);
        } catch (Exception e) {
            C0767d.m5867a("DateUtils", "Exception", e);
            return null;
        }
    }

    public static void m5845a(SSLHandshakeException sSLHandshakeException) {
        if (!C0764a.m5846a(NeatoApplication.m5360a())) {
            C0741a.m5802a();
        }
    }

    public static boolean m5846a(Context context) {
        return VERSION.SDK_INT >= 17 ? Global.getInt(context.getContentResolver(), "auto_time", 0) == 1 : System.getInt(context.getContentResolver(), "auto_time", 0) == 1;
    }

    public static String m5847b() {
        Calendar instance = Calendar.getInstance();
        instance.add(12, (int) (((C0742a.m5809b(NeatoApplication.m5360a(), "SERVER_DEVICE_TIME_DELTA_MILLIS", 0) * -1) / 1000) / 60));
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("EEE, dd MMM yyyy HH:mm:ss 'GMT'", Locale.US);
        simpleDateFormat.setTimeZone(TimeZone.getTimeZone("GMT"));
        return simpleDateFormat.format(instance.getTime());
    }

    public static String m5848b(Date date) {
        return DateFormat.is24HourFormat(NeatoApplication.m5360a()) ? C0764a.m5852c(date) : C0764a.m5856e(date);
    }

    public static JSONObject m5849b(ArrayList arrayList) {
        if (arrayList == null || arrayList.size() <= 0) {
            return new JSONObject();
        }
        JSONObject jSONObject = new JSONObject();
        for (int i = 0; i < arrayList.size(); i++) {
            try {
                jSONObject.put("" + arrayList.get(i), true);
            } catch (Exception e) {
                C0767d.m5867a("DateUtils", "Exception", e);
            }
        }
        return jSONObject;
    }

    public static boolean m5850b(String str) {
        boolean z;
        Exception e;
        int i = 0;
        try {
            JSONObject jSONObject = new JSONObject(str);
            z = false;
            while (i < 7) {
                try {
                    if (jSONObject.has(i + "") && jSONObject.getBoolean(i + "")) {
                        z = true;
                    }
                    i++;
                } catch (Exception e2) {
                    e = e2;
                }
            }
        } catch (Exception e3) {
            Exception exception = e3;
            z = false;
            e = exception;
            C0767d.m5867a("DateUtils", "Exception", e);
            return z;
        }
        return z;
    }

    public static String m5851c() {
        Calendar instance = Calendar.getInstance(TimeZone.getDefault());
        C0767d.m5868b("DateUtils", "Calendar Zone Offset: " + instance.get(15));
        C0767d.m5868b("DateUtils", "Calendar DST Offset: " + instance.get(16));
        int i = instance.get(15);
        int i2 = instance.get(16);
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("UTC");
        if (i >= 0) {
            stringBuffer.append("+");
        }
        stringBuffer.append(String.format("%.1f", new Object[]{Double.valueOf(((double) i) / 3600000.0d)}).replace(",", ".").replace(".5", ":30").replace(".0", ":00"));
        stringBuffer.append("UTC");
        if (i2 + i >= 0) {
            stringBuffer.append("+");
        }
        Object[] objArr = new Object[1];
        objArr[0] = Double.valueOf((((double) i2) / 3600000.0d) + (((double) i) / 3600000.0d));
        stringBuffer.append(String.format("%.1f", objArr).replace(",", ".").replace(".5", ":30").replace(".0", ":00"));
        C0767d.m5868b("DateUtils", stringBuffer.toString());
        return stringBuffer.toString();
    }

    public static String m5852c(Date date) {
        try {
            return new SimpleDateFormat("HH:mm").format(date);
        } catch (Exception e) {
            C0767d.m5867a("DateUtils", "Exception", e);
            return null;
        }
    }

    public static ArrayList m5853c(String str) {
        ArrayList arrayList = new ArrayList();
        try {
            JSONObject jSONObject = new JSONObject(str);
            int i = 0;
            while (i < 7) {
                if (jSONObject.has(i + "") && jSONObject.getBoolean(i + "")) {
                    arrayList.add(Integer.valueOf(i));
                }
                i++;
            }
        } catch (Exception e) {
            C0767d.m5867a("DateUtils", "Exception", e);
        }
        return arrayList;
    }

    public static String m5854d(String str) {
        Object obj = 1;
        Context a = NeatoApplication.m5360a();
        if (str == null || !C0764a.m5850b(str)) {
            return a.getResources().getString(R.string.emptyString);
        }
        try {
            JSONObject jSONObject = new JSONObject(str);
            Object obj2 = (jSONObject.has("0") && jSONObject.getBoolean("0")) ? 1 : null;
            Object obj3 = (jSONObject.has("1") && jSONObject.getBoolean("1")) ? 1 : null;
            Object obj4 = (jSONObject.has("2") && jSONObject.getBoolean("2")) ? 1 : null;
            Object obj5 = (jSONObject.has("3") && jSONObject.getBoolean("3")) ? 1 : null;
            Object obj6 = (jSONObject.has("4") && jSONObject.getBoolean("4")) ? 1 : null;
            Object obj7 = (jSONObject.has("5") && jSONObject.getBoolean("5")) ? 1 : null;
            if (!(jSONObject.has("6") && jSONObject.getBoolean("6"))) {
                obj = null;
            }
            if (obj2 != null && r1 != null && obj3 == null && obj4 == null && obj5 == null && obj6 == null && obj7 == null) {
                return a.getResources().getString(R.string.weekends);
            }
            if (obj2 == null && r1 == null && obj3 != null && obj4 != null && obj5 != null && obj6 != null && obj7 != null) {
                return a.getResources().getString(R.string.weekdays);
            }
            if (obj2 != null && r1 != null && obj3 != null && obj4 != null && obj5 != null && obj6 != null && obj7 != null) {
                return a.getResources().getString(R.string.everyday);
            }
            String[] strArr = new String[]{a.getResources().getString(R.string.sun_small_descr), a.getResources().getString(R.string.mon_small_descr), a.getResources().getString(R.string.tue_small_descr), a.getResources().getString(R.string.wed_small_descr), a.getResources().getString(R.string.thu_small_descr), a.getResources().getString(R.string.fri_small_descr), a.getResources().getString(R.string.sat_small_descr)};
            StringBuffer stringBuffer = new StringBuffer();
            ArrayList c = C0764a.m5853c(str);
            for (int i = 0; i < c.size(); i++) {
                if (i != 0) {
                    stringBuffer.append(", ");
                }
                stringBuffer.append(strArr[((Integer) c.get(i)).intValue()]);
            }
            return stringBuffer.toString();
        } catch (Exception e) {
            C0767d.m5867a("DateUtils", "Exception", e);
            return a.getResources().getString(R.string.emptyString);
        }
    }

    public static String m5855d(Date date) {
        try {
            return new SimpleDateFormat("hh:mm a").format(date);
        } catch (Exception e) {
            C0767d.m5867a("DateUtils", "Exception", e);
            return null;
        }
    }

    public static String m5856e(Date date) {
        try {
            return new SimpleDateFormat("hh:mm").format(date);
        } catch (Exception e) {
            C0767d.m5867a("DateUtils", "Exception", e);
            return null;
        }
    }

    public static Date m5857e(String str) {
        try {
            return new SimpleDateFormat("HH:mm").parse(str);
        } catch (Exception e) {
            C0767d.m5867a("DateUtils", "Exception", e);
            return new Date();
        }
    }

    public static void m5858f(String str) {
        if (!C0770g.m5881a(str)) {
            long a = C0764a.m5840a() - C0764a.m5841a(C0737a.f3486c, str);
            C0767d.m5868b("DateUtils", "DELTA TIME = " + a);
            C0742a.m5805a(NeatoApplication.m5360a(), "SERVER_DEVICE_TIME_DELTA_MILLIS", a);
        }
    }
}
