package com.neatorobotics.android.views;

import android.animation.ObjectAnimator;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Paint.Cap;
import android.graphics.Paint.Style;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.util.Property;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import com.neatorobotics.android.NeatoApplication;

/* renamed from: com.neatorobotics.android.views.a */
public class C0771a extends Drawable implements Animatable {
    private static final Interpolator f3597a;
    private static final Interpolator f3598b;
    private final RectF f3599c;
    private ObjectAnimator f3600d;
    private ObjectAnimator f3601e;
    private boolean f3602f;
    private Paint f3603g;
    private float f3604h;
    private float f3605i;
    private float f3606j;
    private float f3607k;
    private boolean f3608l;
    private Property f3609m;
    private Property f3610n;

    static {
        f3597a = new LinearInterpolator();
        f3598b = new DecelerateInterpolator();
    }

    public C0771a(int i, float f) {
        this.f3599c = new RectF();
        this.f3609m = new C0772b(this, Float.class, "angle");
        this.f3610n = new C0773c(this, Float.class, "arc");
        this.f3607k = f;
        this.f3603g = new Paint();
        this.f3603g.setAntiAlias(true);
        this.f3603g.setStyle(Style.STROKE);
        this.f3603g.setStrokeCap(Cap.ROUND);
        this.f3603g.setStrokeWidth(f);
        this.f3603g.setColor(i);
        m5887d();
    }

    private void m5886c() {
        this.f3602f = !this.f3602f;
        if (this.f3602f) {
            this.f3604h = (this.f3604h + 60.0f) % 360.0f;
        }
    }

    private void m5887d() {
        this.f3601e = ObjectAnimator.ofFloat(this, this.f3609m, new float[]{360.0f});
        this.f3601e.setInterpolator(f3597a);
        this.f3601e.setDuration(2000);
        this.f3601e.setRepeatMode(1);
        this.f3601e.setRepeatCount(-1);
        this.f3600d = ObjectAnimator.ofFloat(this, this.f3610n, new float[]{300.0f});
        this.f3600d.setInterpolator(f3598b);
        this.f3600d.setDuration(600);
        this.f3600d.setRepeatMode(1);
        this.f3600d.setRepeatCount(-1);
        this.f3600d.addListener(new C0774d(this));
    }

    public float m5888a() {
        return this.f3605i;
    }

    public void m5889a(float f) {
        this.f3605i = f;
        invalidateSelf();
    }

    public float m5890b() {
        return this.f3606j;
    }

    public void m5891b(float f) {
        this.f3606j = f;
        invalidateSelf();
    }

    public void draw(Canvas canvas) {
        float f;
        float f2 = this.f3605i - this.f3604h;
        float f3 = this.f3606j;
        if (this.f3602f) {
            f = 30.0f + f3;
        } else {
            f2 += f3;
            f = (360.0f - f3) - 30.0f;
        }
        canvas.drawArc(this.f3599c, f2, f, false, this.f3603g);
    }

    public int getOpacity() {
        return -2;
    }

    public boolean isRunning() {
        return this.f3608l;
    }

    protected void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        this.f3599c.left = (((float) rect.left) + (this.f3607k / 2.0f)) + 0.5f;
        this.f3599c.right = (((float) rect.right) - (this.f3607k / 2.0f)) - 0.5f;
        this.f3599c.top = (((float) rect.top) + (this.f3607k / 2.0f)) + 0.5f;
        this.f3599c.bottom = (((float) rect.bottom) - (this.f3607k / 2.0f)) - 0.5f;
    }

    public void setAlpha(int i) {
        this.f3603g.setAlpha(i);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f3603g.setColorFilter(colorFilter);
    }

    public void start() {
        if (!NeatoApplication.f2866a && !isRunning()) {
            this.f3608l = true;
            this.f3601e.start();
            this.f3600d.start();
            invalidateSelf();
        }
    }

    public void stop() {
        if (isRunning()) {
            this.f3608l = false;
            this.f3601e.cancel();
            this.f3600d.cancel();
            invalidateSelf();
        }
    }
}
